%global homedir %{_datadir}/%{name}
%global confdir extras/packaging/rpm/sources
%global foreman_rake %{_sbindir}/%{name}-rake
%global dynflow_sidekiq_service_name dynflow-sidekiq@
%global rake /usr/bin/rake

%global release 1
%global prereleasesource develop
%global prerelease %{?prereleasesource}

Name:    foreman
Version: 3.13.0
Release: 0.20241105103236316029.pr9980.8590.ga1211115c%{?dist}
Summary: Systems Management web application

Group:  Applications/System
License: GPLv3+ with exceptions
URL: https://theforeman.org
Source0: foreman-3.13.0.tar.gz
Source3: %{name}.logrotate
Source4: %{name}.cron.d
Source5: %{name}.tmpfiles
BuildArch:  noarch

# Plugin was removed in Foreman 3.3, 3.5 includes DB cleanup
Obsoletes: rubygem-foreman_docker < 5.0.0-4

Requires: (%{name}-selinux if selinux-policy-targeted)

Requires: ruby(release)
Requires: rubygems
Requires: rubygem(rake) >= 0.8.3
Requires: rubygem(bundler_ext)

Requires: wget
Requires: /etc/cron.d
Requires: gawk
Requires: /usr/sbin/sendmail

Requires(pre):  shadow-utils
Requires(post): systemd-sysv
Requires(post): systemd-units
Requires(preun): systemd-units

# Require fapolicyd package if fapolicyd is present
Requires: (%{name}-fapolicyd if fapolicyd)

# start specfile default Requires
Requires: (rubygem(rails) >= 6.1.6 with rubygem(rails) < 6.2.0)
Requires: (rubygem(rest-client) >= 2.0.0 with rubygem(rest-client) < 3)
Requires: (rubygem(audited) >= 5.0 with rubygem(audited) < 6.0)
Requires: (rubygem(will_paginate) >= 3.3 with rubygem(will_paginate) < 4.0)
Requires: (rubygem(ancestry) >= 4.0 with rubygem(ancestry) < 5.0)
Requires: (rubygem(scoped_search) >= 4.1.10 with rubygem(scoped_search) < 5)
Requires: (rubygem(ldap_fluff) >= 0.5.0 with rubygem(ldap_fluff) < 1.0)
Requires: (rubygem(apipie-rails) >= 0.8.0 with rubygem(apipie-rails) < 2)
Requires: rubygem(apipie-dsl) >= 2.6.2
Requires: rubygem(rdoc) < 6.4
Requires: (rubygem(rabl) >= 0.15.0 with rubygem(rabl) < 1)
Requires: (rubygem(oauth) >= 1.0 with rubygem(oauth) < 2.0)
Requires: (rubygem(deep_cloneable) >= 3 with rubygem(deep_cloneable) < 4)
Requires: (rubygem(validates_lengths_from_database) >= 0.5 with rubygem(validates_lengths_from_database) < 1.0)
Requires: (rubygem(friendly_id) >= 5.4.2 with rubygem(friendly_id) < 6)
Requires: (rubygem(secure_headers) >= 6.3 with rubygem(secure_headers) < 7.0)
Requires: (rubygem(safemode) >= 1.4 with rubygem(safemode) < 2)
Requires: (rubygem(fast_gettext) >= 2.1 with rubygem(fast_gettext) < 3.0)
Requires: (rubygem(gettext_i18n_rails) >= 1.8 with rubygem(gettext_i18n_rails) < 2.0)
Requires: (rubygem(rails-i18n) >= 7.0 with rubygem(rails-i18n) < 8.0)
Requires: (rubygem(logging) >= 1.8.0 with rubygem(logging) < 3.0.0)
Requires: (rubygem(fog-core) >= 2.1 with rubygem(fog-core) < 3.0)
Requires: rubygem(net-scp)
Requires: rubygem(net-ssh)
Requires: rubygem(net-ldap) >= 0.16.0
Requires: rubygem(net-ping)
Requires: (rubygem(activerecord-session_store) >= 2.0.0 with rubygem(activerecord-session_store) < 3)
Requires: (rubygem(sprockets) >= 4.0 with rubygem(sprockets) < 5.0)
Requires: (rubygem(sprockets-rails) >= 3.0 with rubygem(sprockets-rails) < 4.0)
Requires: (rubygem(responders) >= 3.0 with rubygem(responders) < 4.0)
Requires: (rubygem(roadie-rails) >= 3.0 with rubygem(roadie-rails) < 4.0)
Requires: (rubygem(deacon) >= 1.0 with rubygem(deacon) < 2.0)
Requires: (rubygem(mail) >= 2.7 with rubygem(mail) < 3.0)
Requires: (rubygem(sshkey) >= 2.0 with rubygem(sshkey) < 3.0)
Requires: (rubygem(dynflow) >= 1.6.5 with rubygem(dynflow) < 2.0.0)
Requires: rubygem(daemons)
Requires: (rubygem(bcrypt) >= 3.1 with rubygem(bcrypt) < 4.0)
Requires: rubygem(get_process_mem)
Requires: (rubygem(rack-cors) >= 1.1 with rubygem(rack-cors) < 2.0)
Requires: (rubygem(jwt) >= 2.2.2 with rubygem(jwt) < 3.0)
Requires: (rubygem(graphql) >= 1.13.0 with rubygem(graphql) < 1.14.0)
Requires: rubygem(graphql-batch)
# end specfile default Requires

Requires: rubygem(bigdecimal)

# start specfile facter Requires
Requires: rubygem(facter)
# end specfile facter Requires

# start specfile jsonp Requires
Requires: rubygem(rack-jsonp)
# end specfile jsonp Requires

# Build dependencies
%{?systemd_requires}
BuildRequires: asciidoc
BuildRequires: rubygem(bigdecimal)
BuildRequires: gettext
BuildRequires: /usr/bin/ruby
BuildRequires: rubygems
BuildRequires: rubygem(rake) >= 0.8.3
BuildRequires: rubygem(bundler_ext)
BuildRequires: /usr/bin/npx
BuildRequires: make
BuildRequires: (rubygem(rss) or ruby-default-gems < 3.0)
Requires: (rubygem(rss) or ruby-default-gems < 3.0)
BuildRequires: (rubygem(rexml) or ruby-default-gems < 3.0)
Requires: (rubygem(rexml) or ruby-default-gems < 3.0)

# start specfile default BuildRequires
BuildRequires: (rubygem(rails) >= 6.1.6 with rubygem(rails) < 6.2.0)
BuildRequires: (rubygem(rest-client) >= 2.0.0 with rubygem(rest-client) < 3)
BuildRequires: (rubygem(audited) >= 5.0 with rubygem(audited) < 6.0)
BuildRequires: (rubygem(will_paginate) >= 3.3 with rubygem(will_paginate) < 4.0)
BuildRequires: (rubygem(ancestry) >= 4.0 with rubygem(ancestry) < 5.0)
BuildRequires: (rubygem(scoped_search) >= 4.1.10 with rubygem(scoped_search) < 5)
BuildRequires: (rubygem(ldap_fluff) >= 0.5.0 with rubygem(ldap_fluff) < 1.0)
BuildRequires: (rubygem(apipie-rails) >= 0.8.0 with rubygem(apipie-rails) < 2)
BuildRequires: rubygem(apipie-dsl) >= 2.6.2
BuildRequires: rubygem(rdoc) < 6.4
BuildRequires: (rubygem(rabl) >= 0.15.0 with rubygem(rabl) < 1)
BuildRequires: (rubygem(oauth) >= 1.0 with rubygem(oauth) < 2.0)
BuildRequires: (rubygem(deep_cloneable) >= 3 with rubygem(deep_cloneable) < 4)
BuildRequires: (rubygem(validates_lengths_from_database) >= 0.5 with rubygem(validates_lengths_from_database) < 1.0)
BuildRequires: (rubygem(friendly_id) >= 5.4.2 with rubygem(friendly_id) < 6)
BuildRequires: (rubygem(secure_headers) >= 6.3 with rubygem(secure_headers) < 7.0)
BuildRequires: (rubygem(safemode) >= 1.4 with rubygem(safemode) < 2)
BuildRequires: (rubygem(fast_gettext) >= 2.1 with rubygem(fast_gettext) < 3.0)
BuildRequires: (rubygem(gettext_i18n_rails) >= 1.8 with rubygem(gettext_i18n_rails) < 2.0)
BuildRequires: (rubygem(rails-i18n) >= 7.0 with rubygem(rails-i18n) < 8.0)
BuildRequires: (rubygem(logging) >= 1.8.0 with rubygem(logging) < 3.0.0)
BuildRequires: (rubygem(fog-core) >= 2.1 with rubygem(fog-core) < 3.0)
BuildRequires: rubygem(net-scp)
BuildRequires: rubygem(net-ssh)
BuildRequires: rubygem(net-ldap) >= 0.16.0
BuildRequires: rubygem(net-ping)
BuildRequires: (rubygem(activerecord-session_store) >= 2.0.0 with rubygem(activerecord-session_store) < 3)
BuildRequires: (rubygem(sprockets) >= 4.0 with rubygem(sprockets) < 5.0)
BuildRequires: (rubygem(sprockets-rails) >= 3.0 with rubygem(sprockets-rails) < 4.0)
BuildRequires: (rubygem(responders) >= 3.0 with rubygem(responders) < 4.0)
BuildRequires: (rubygem(roadie-rails) >= 3.0 with rubygem(roadie-rails) < 4.0)
BuildRequires: (rubygem(deacon) >= 1.0 with rubygem(deacon) < 2.0)
BuildRequires: (rubygem(mail) >= 2.7 with rubygem(mail) < 3.0)
BuildRequires: (rubygem(sshkey) >= 2.0 with rubygem(sshkey) < 3.0)
BuildRequires: (rubygem(dynflow) >= 1.6.5 with rubygem(dynflow) < 2.0.0)
BuildRequires: rubygem(daemons)
BuildRequires: (rubygem(bcrypt) >= 3.1 with rubygem(bcrypt) < 4.0)
BuildRequires: rubygem(get_process_mem)
BuildRequires: (rubygem(rack-cors) >= 1.1 with rubygem(rack-cors) < 2.0)
BuildRequires: (rubygem(jwt) >= 2.2.2 with rubygem(jwt) < 3.0)
BuildRequires: (rubygem(graphql) >= 1.13.0 with rubygem(graphql) < 1.14.0)
BuildRequires: rubygem(graphql-batch)
BuildRequires: rubygem(activerecord-nulldb-adapter)
# end specfile default BuildRequires

# assets
BuildRequires: nodejs-packaging
BuildRequires: nodejs >= 14
BuildRequires: http-parser
BuildRequires: systemd

# start package.json devDependencies BuildRequires
BuildRequires: (npm(@babel/core) >= 7.7.0 with npm(@babel/core) < 8.0.0)
BuildRequires: (npm(@theforeman/builder) >= 13.0.1 with npm(@theforeman/builder) < 14.0.0)
BuildRequires: (npm(argv-parse) >= 1.0.1 with npm(argv-parse) < 2.0.0)
BuildRequires: (npm(babel-loader) >= 8.0.0 with npm(babel-loader) < 9.0.0)
BuildRequires: (npm(buffer) >= 5.7.1 with npm(buffer) < 6.0.0)
BuildRequires: (npm(compression-webpack-plugin) >= 10.0.0 with npm(compression-webpack-plugin) < 11.0.0)
BuildRequires: (npm(css-loader) >= 6.8.1 with npm(css-loader) < 7.0.0)
BuildRequires: (npm(dotenv) >= 5.0.0 with npm(dotenv) < 6.0.0)
BuildRequires: (npm(graphql) >= 15.5.0 with npm(graphql) < 16.0.0)
BuildRequires: (npm(path-browserify) >= 1.0.1 with npm(path-browserify) < 2.0.0)
BuildRequires: (npm(sass) >= 1.60.0 with npm(sass) < 1.61.0)
BuildRequires: (npm(sass-loader) >= 13.3.2 with npm(sass-loader) < 14.0.0)
BuildRequires: (npm(style-loader) >= 1.3.0 with npm(style-loader) < 2.0.0)
BuildRequires: (npm(webpack) >= 5.75.0 with npm(webpack) < 6.0.0)
BuildRequires: (npm(webpack-cli) >= 5.0.1 with npm(webpack-cli) < 6.0.0)
BuildRequires: (npm(webpack-stats-plugin) >= 1.0.3 with npm(webpack-stats-plugin) < 2.0.0)
# end package.json devDependencies BuildRequires

# start package.json dependencies BuildRequires
BuildRequires: (npm(@module-federation/utilities) >= 1.7.0 with npm(@module-federation/utilities) < 2.0.0)
BuildRequires: (npm(@theforeman/vendor) >= 13.0.1 with npm(@theforeman/vendor) < 14.0.0)
BuildRequires: (npm(graphql-tag) >= 2.11.0 with npm(graphql-tag) < 3.0.0)
BuildRequires: (npm(intl) >= 1.2.5 with npm(intl) < 1.3.0)
BuildRequires: (npm(jed) >= 1.1.1 with npm(jed) < 2.0.0)
BuildRequires: (npm(os-browserify) >= 0.3.0 with npm(os-browserify) < 1.0.0)
BuildRequires: (npm(react-intl) >= 2.8.0 with npm(react-intl) < 3.0.0)
# end package.json dependencies BuildRequires

# start specfile assets BuildRequires
BuildRequires: (rubygem(jquery-ui-rails) >= 6.0 with rubygem(jquery-ui-rails) < 7.0)
BuildRequires: (rubygem(patternfly-sass) >= 3.59.4 with rubygem(patternfly-sass) < 3.60.0)
BuildRequires: (rubygem(gettext_i18n_rails_js) >= 1.4 with rubygem(gettext_i18n_rails_js) < 2.0)
BuildRequires: (rubygem(po_to_json) >= 1.1 with rubygem(po_to_json) < 2.0)
BuildRequires: (rubygem(execjs) >= 1.4.0 with rubygem(execjs) < 3.0)
BuildRequires: (rubygem(terser) >= 1.1 with rubygem(terser) < 2.0)
BuildRequires: (rubygem(sass-rails) >= 6.0 with rubygem(sass-rails) < 7.0)
BuildRequires: (rubygem(coffee-rails) >= 5.0.0 with rubygem(coffee-rails) < 5.1.0)
# end specfile assets BuildRequires

# start specfile facter BuildRequires
BuildRequires: rubygem(facter)
# end specfile facter BuildRequires


%package cli
Summary: Foreman CLI
Group: Applications/System
Requires: rubygem(hammer_cli_foreman)

%description cli
Meta Package to install hammer rubygems and its dependencies

%files cli

%package debug
Summary: Foreman debug utilities
Group: Applications/System
Requires: rsync

%description debug
Useful utilities for debug info collection

%files debug
%{_sbindir}/%{name}-debug
%{_datadir}/%{name}/script/%{name}-debug.d

%package libvirt
Summary: Foreman libvirt support
Group:  Applications/System
# start specfile libvirt Requires
Requires: rubygem(fog-libvirt) >= 0.9.0
Requires: (rubygem(ruby-libvirt) >= 0.5 with rubygem(ruby-libvirt) < 1.0)
# end specfile libvirt Requires
Requires: %{name} = %{version}-%{release}
Requires: genisoimage
Requires: /usr/bin/websockify
Obsoletes: foreman-virt < 1.0.0
Provides: foreman-virt = 1.0.0

%description libvirt
Meta package to install requirements for libvirt compute resource support.

%files libvirt
%{_datadir}/%{name}/bundler.d/libvirt.rb

%package openstack
Summary: Foreman OpenStack support
Group:  Applications/System
# start specfile openstack Requires
Requires: (rubygem(fog-openstack) >= 1.0.8 with rubygem(fog-openstack) < 2.0.0)
# end specfile openstack Requires
Requires: %{name} = %{version}-%{release}

%description openstack
Meta package to install requirements for OpenStack compute resource support.

%files openstack
%{_datadir}/%{name}/bundler.d/openstack.rb

%package ovirt
Summary: Foreman oVirt support
Group:  Applications/System
# start specfile ovirt Requires
Requires: (rubygem(fog-ovirt) >= 2.0.1 with rubygem(fog-ovirt) < 3)
# end specfile ovirt Requires
Requires: %{name} = %{version}-%{release}
Requires: /usr/bin/websockify

%description ovirt
Meta package to install requirements for oVirt compute resource support.

%files ovirt
%{_datadir}/%{name}/bundler.d/ovirt.rb

%package ec2
Summary:   Foreman Amazon Web Services (AWS) EC2 support
Group:     Applications/System
# start specfile ec2 Requires
Requires: (rubygem(fog-aws) >= 3.6.2 with rubygem(fog-aws) < 4)
# end specfile ec2 Requires
Requires:  %{name} = %{version}-%{release}

%description ec2
Meta package to install requirements for Amazon Web Services (AWS) EC2 support.

%files ec2
%{_datadir}/%{name}/bundler.d/ec2.rb

%package vmware
Summary: Foreman VMware support
Group:  Applications/System
# start specfile vmware Requires
Requires: (rubygem(fog-vsphere) >= 3.6.4 with rubygem(fog-vsphere) < 4.0)
# end specfile vmware Requires
Requires: %{name} = %{version}-%{release}
Requires: /usr/bin/websockify

%description vmware
Meta package to install requirements for VMware compute resource support.

%files vmware
%{_datadir}/%{name}/bundler.d/vmware.rb

%package assets
Summary: Foreman asset pipeline support
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: nodejs >= 14
Requires: /usr/bin/npx

# start package.json devDependencies Requires
Requires: (npm(@babel/core) >= 7.7.0 with npm(@babel/core) < 8.0.0)
Requires: (npm(@theforeman/builder) >= 13.0.1 with npm(@theforeman/builder) < 14.0.0)
Requires: (npm(argv-parse) >= 1.0.1 with npm(argv-parse) < 2.0.0)
Requires: (npm(babel-loader) >= 8.0.0 with npm(babel-loader) < 9.0.0)
Requires: (npm(buffer) >= 5.7.1 with npm(buffer) < 6.0.0)
Requires: (npm(compression-webpack-plugin) >= 10.0.0 with npm(compression-webpack-plugin) < 11.0.0)
Requires: (npm(css-loader) >= 6.8.1 with npm(css-loader) < 7.0.0)
Requires: (npm(dotenv) >= 5.0.0 with npm(dotenv) < 6.0.0)
Requires: (npm(graphql) >= 15.5.0 with npm(graphql) < 16.0.0)
Requires: (npm(path-browserify) >= 1.0.1 with npm(path-browserify) < 2.0.0)
Requires: (npm(sass) >= 1.60.0 with npm(sass) < 1.61.0)
Requires: (npm(sass-loader) >= 13.3.2 with npm(sass-loader) < 14.0.0)
Requires: (npm(style-loader) >= 1.3.0 with npm(style-loader) < 2.0.0)
Requires: (npm(webpack) >= 5.75.0 with npm(webpack) < 6.0.0)
Requires: (npm(webpack-cli) >= 5.0.1 with npm(webpack-cli) < 6.0.0)
Requires: (npm(webpack-stats-plugin) >= 1.0.3 with npm(webpack-stats-plugin) < 2.0.0)
# end package.json devDependencies Requires

# start package.json dependencies Requires
Requires: (npm(@module-federation/utilities) >= 1.7.0 with npm(@module-federation/utilities) < 2.0.0)
Requires: (npm(@theforeman/vendor) >= 13.0.1 with npm(@theforeman/vendor) < 14.0.0)
Requires: (npm(graphql-tag) >= 2.11.0 with npm(graphql-tag) < 3.0.0)
Requires: (npm(intl) >= 1.2.5 with npm(intl) < 1.3.0)
Requires: (npm(jed) >= 1.1.1 with npm(jed) < 2.0.0)
Requires: (npm(os-browserify) >= 0.3.0 with npm(os-browserify) < 1.0.0)
Requires: (npm(react-intl) >= 2.8.0 with npm(react-intl) < 3.0.0)
# end package.json dependencies Requires

# start specfile assets Requires
Requires: (rubygem(jquery-ui-rails) >= 6.0 with rubygem(jquery-ui-rails) < 7.0)
Requires: (rubygem(patternfly-sass) >= 3.59.4 with rubygem(patternfly-sass) < 3.60.0)
Requires: (rubygem(gettext_i18n_rails_js) >= 1.4 with rubygem(gettext_i18n_rails_js) < 2.0)
Requires: (rubygem(po_to_json) >= 1.1 with rubygem(po_to_json) < 2.0)
Requires: (rubygem(execjs) >= 1.4.0 with rubygem(execjs) < 3.0)
Requires: (rubygem(terser) >= 1.1 with rubygem(terser) < 2.0)
Requires: (rubygem(sass-rails) >= 6.0 with rubygem(sass-rails) < 7.0)
Requires: (rubygem(coffee-rails) >= 5.0.0 with rubygem(coffee-rails) < 5.1.0)
# end specfile assets Requires

%description assets
Meta package to install asset pipeline support.

%files assets
%{_datadir}/%{name}/bundler.d/assets.rb
%{_datadir}/%{name}/webpack
%{_datadir}/%{name}/.babelrc.js
%{_datadir}/%{name}/script/npm*
%{_datadir}/%{name}/script/plugin_webpack*
%{_datadir}/%{name}/script/webpack-analyze*

%package plugin
Summary: Foreman plugin support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: rubygem(activerecord-nulldb-adapter)

%description plugin
Meta package with support for plugins.

%files plugin
%{_sysconfdir}/rpm/macros.%{name}-plugin
%{_datadir}/%{name}/schema.rb.nulldb
%{_datadir}/%{name}/bundler.d/nulldb.rb

%package build
Summary: Foreman package RPM support
Group: Development/Libraries

%description build
Meta package with support for building RPMs in the Foreman release cycle.

%files build
%{_sysconfdir}/rpm/macros.%{name}-dist

%package console
Summary: Foreman console support
Group:  Applications/System
# start specfile console Requires
Requires: (rubygem(wirb) >= 1.0 with rubygem(wirb) < 3.0)
Requires: (rubygem(amazing_print) >= 1.1 with rubygem(amazing_print) < 2.0)
# end specfile console Requires
Requires: %{name} = %{version}-%{release}

%description console
Meta Package to install requirements for console support

%files console
%{_datadir}/%{name}/bundler.d/console.rb

%package postgresql
Summary: Foreman Postgresql support
Group:  Applications/System
# start specfile postgresql Requires
Requires: (rubygem(pg) >= 0.18 with rubygem(pg) < 2.0)
# end specfile postgresql Requires
Requires: %{name} = %{version}-%{release}

# On EL8 and Fedora the locales are not present by default. Since the installer
# installs with the en_US.UTF-8 locale, this is needed in most cases and
# doesn't hurt in others.
%if 0%{?fedora} || 0%{?rhel} >= 8
Requires: glibc-langpack-en
%endif

%description postgresql
Meta Package to install requirements for postgresql support

%files postgresql
%{_datadir}/%{name}/bundler.d/postgresql.rb

%package telemetry
Summary: Foreman telemetry support
Group:  Applications/System
# start specfile telemetry Requires
Requires: (rubygem(prometheus-client) >= 1.0 with rubygem(prometheus-client) < 5)
Requires: rubygem(statsd-instrument) < 3
# end specfile telemetry Requires
Requires: %{name} = %{version}-%{release}

%description telemetry
Meta Package to install requirements for telemetry support

%files telemetry
%{_datadir}/%{name}/bundler.d/telemetry.rb

%package journald
Summary: Foreman journald logging support
Group:  Applications/System
# start specfile journald Requires
Requires: (rubygem(logging-journald) >= 2.0 with rubygem(logging-journald) < 3.0)
# end specfile journald Requires
Requires: %{name} = %{version}-%{release}

%description journald
Meta Package to install requirements for journald logging support

%files journald
%{_datadir}/%{name}/bundler.d/journald.rb

%package redis
Summary: Foreman Redis caching support
Group:  Applications/System
# start specfile redis Requires
Requires: (rubygem(redis) >= 4.5.0 with rubygem(redis) < 4.6.0)
# end specfile redis Requires
Requires: %{name} = %{version}-%{release}

%description redis
Meta Package to install requirements for Redis caching support

%files redis
%{_datadir}/%{name}/bundler.d/redis.rb

%package dynflow-sidekiq
Summary: Foreman Dynflow's Sidekiq executor
Group:  Applications/System
# start specfile dynflow_sidekiq Requires
Requires: (rubygem(sidekiq) >= 6.5 with rubygem(sidekiq) < 7.0)
Requires: rubygem(gitlab-sidekiq-fetcher)
# end specfile dynflow_sidekiq Requires
Requires: %{name} = %{version}-%{release}

%description dynflow-sidekiq
Meta Package to install dynflow sidekiq executor support

%files dynflow-sidekiq
%{_datadir}/%{name}/bundler.d/dynflow_sidekiq.rb
%{_unitdir}/%{dynflow_sidekiq_service_name}.service
%{_datadir}/%{name}/extras/dynflow-sidekiq.rb

%post dynflow-sidekiq
%systemd_post %{dynflow_sidekiq_service_name}.service

%preun dynflow-sidekiq
%systemd_preun %{dynflow_sidekiq_service_name}.service

%postun dynflow-sidekiq
%systemd_postun_with_restart %{dynflow_sidekiq_service_name}.service

%package service
Summary: Foreman systemd service support
Group:  Applications/System
# start specfile service Requires
Requires: (rubygem(puma) >= 5.1 with rubygem(puma) < 7)
Requires: (rubygem(sd_notify) >= 0.1.0 with rubygem(sd_notify) < 0.2.0)
# end specfile service Requires
Requires: rubygem(puma-status)
Requires: %{name} = %{version}-%{release}

%description service
Meta Package to install requirements for Foreman service

%files service
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_datadir}/%{name}/bundler.d/service.rb
%{_sbindir}/%{name}-puma-status

%package pcp
Summary: Foreman PCP integration
Requires: pcp

%description pcp
Configuration files for the Performance Co-Pilot integration

%files pcp
%{_sysconfdir}/pcp/proc/%{name}-hotproc.conf
%{_sharedstatedir}/pcp/config/pmlogconf/%{name}-hotproc

%description
Foreman is aimed to be a Single Address For All Machines Life Cycle Management.
Foreman is based on Ruby on Rails, and this package bundles Rails and all
plugins required for Foreman to work.

%prep
%setup -q -n foreman-3.13.0

%build
#build man pages
%{rake} -f Rakefile.dist build \
  PREFIX=%{_prefix} \
  SBINDIR=%{_sbindir} \
  SYSCONFDIR=%{_sysconfdir} \
  --trace

# sidekiq service SELinux helper path update
sed -i '/^ExecStart/ s|/usr/bin/sidekiq \(.\+\)$|%{_libexecdir}/%{name}/sidekiq-selinux \1|' extras/systemd/%{dynflow_sidekiq_service_name}.service

#build locale files
make -C locale all-mo

#use Bundler_ext instead of Bundler
mv Gemfile Gemfile.in
cp db/schema.rb.nulldb db/schema.rb
export BUNDLER_EXT_GROUPS="default assets"
ln -s %{nodejs_sitelib} node_modules
export NODE_ENV=production
%{rake} webpack:compile DATABASE_URL=nulldb://nohost
%{rake} assets:precompile RAILS_ENV=production DATABASE_URL=nulldb://nohost --trace
rm db/schema.rb

%install
rm -rf %{buildroot}

#install man pages
%{rake} -f Rakefile.dist install \
  PREFIX=%{buildroot}%{_prefix} \
  SBINDIR=%{buildroot}%{_sbindir} \
  SYSCONFDIR=%{buildroot}%{_sysconfdir} \
  --trace
%{rake} -f Rakefile.dist clean

install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/dynflow
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m0755 %{buildroot}%{_localstatedir}/run/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}/plugins
install -d -m0755 %{buildroot}%{_libexecdir}/%{name}
#Copy init scripts and sysconfigs
install -Dp -m0644 extras/systemd/%{dynflow_sidekiq_service_name}.service %{buildroot}%{_unitdir}/%{dynflow_sidekiq_service_name}.service
install -Dp -m0755 script/%{name}-debug %{buildroot}%{_sbindir}/%{name}-debug
install -Dp -m0755 script/%{name}-rake %{buildroot}%{_sbindir}/%{name}-rake
install -Dp -m0755 script/%{name}-tail %{buildroot}%{_sbindir}/%{name}-tail
install -Dp -m0755 script/%{name}-puma-status %{buildroot}%{_sbindir}/%{name}-puma-status
install -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -Dp -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/%{name}
install -Dp -m0644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -Dp -m0644 extras/systemd/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -Dp -m0644 extras/systemd/%{name}.socket %{buildroot}%{_unitdir}/%{name}.socket
# PCP integration
install -Dp -m0644 extras/pcp/%{name}-hotproc.conf %{buildroot}%{_sysconfdir}/pcp/proc/%{name}-hotproc.conf
install -Dp -m0644 extras/pcp/%{name}-hotproc.summary %{buildroot}%{_sharedstatedir}/pcp/config/pmlogconf/%{name}-hotproc/summary

# SELinux libexec wrappers
cat > %{buildroot}%{_libexecdir}/%{name}/sidekiq-selinux <<EOF
#!/bin/bash
# Shell wrapper with SELinux transition into foreman_rails_t domain.
exec sidekiq "\$@"
EOF

cp -p Gemfile.in %{buildroot}%{_datadir}/%{name}/Gemfile.in
cp -p -r app bin bundler.d config config.ru extras lib locale Rakefile script webpack .babelrc.js %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_datadir}/%{name}/extras/{jumpstart,spec}
find %{buildroot}%{_datadir}/%{name}/script/%{name}-tail.d/* -type d |xargs rm -rf

# remove all test units from produciton release
find %{buildroot}%{_datadir}/%{name} -type d -name "test" |xargs rm -rf

# remove spring loader, depends on Bundler and only installed via development group
rm -f %{buildroot}%{_datadir}/%{name}/bin/spring

# Move config files to %{_sysconfdir}
mv %{buildroot}%{_datadir}/%{name}/config/database.yml.example %{buildroot}%{_datadir}/%{name}/config/database.yml
mv %{buildroot}%{_datadir}/%{name}/config/settings.yaml.example %{buildroot}%{_datadir}/%{name}/config/settings.yaml

for i in database.yml settings.yaml foreman-debug.conf; do
mv %{buildroot}%{_datadir}/%{name}/config/$i %{buildroot}%{_sysconfdir}/%{name}
ln -sv %{_sysconfdir}/%{name}/$i %{buildroot}%{_datadir}/%{name}/config/$i
done

for i in orchestrator worker; do
  mv %{buildroot}%{_datadir}/%{name}/config/dynflow/$i.yml.example %{buildroot}%{_datadir}/%{name}/config/dynflow/$i.yml
  mv %{buildroot}%{_datadir}/%{name}/config/dynflow/$i.yml %{buildroot}%{_sysconfdir}/%{name}/dynflow/
  ln -sv %{_sysconfdir}/%{name}/dynflow/$i.yml %{buildroot}%{_datadir}/%{name}/config/dynflow/$i.yml
done

# Put db in %{_localstatedir}/lib/%{name}/db
cp -pr db/schema.rb.nulldb db/migrate db/seeds.rb db/seeds.d %{buildroot}%{_datadir}/%{name}
mkdir %{buildroot}%{_localstatedir}/lib/%{name}/db

ln -sv %{_localstatedir}/lib/%{name}/db %{buildroot}%{_datadir}/%{name}/db
ln -sv %{_datadir}/%{name}/migrate %{buildroot}%{_localstatedir}/lib/%{name}/db/migrate
ln -sv %{_datadir}/%{name}/seeds.rb %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.rb
ln -sv %{_datadir}/%{name}/seeds.d %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.d
ln -sv %{_datadir}/%{name}/schema.rb.nulldb %{buildroot}%{_localstatedir}/lib/%{name}/db/schema.rb.nulldb

# Put HTML %{_localstatedir}/lib/%{name}/public
cp -pr public %{buildroot}%{_localstatedir}/lib/%{name}/
ln -sv %{_localstatedir}/lib/%{name}/public %{buildroot}%{_datadir}/%{name}/public

# Put logs in %{_localstatedir}/log/%{name}
ln -sv %{_localstatedir}/log/%{name} %{buildroot}%{_datadir}/%{name}/log

# Put tmp files in %{_localstatedir}/run/%{name}
ln -sv %{_localstatedir}/run/%{name} %{buildroot}%{_datadir}/%{name}/tmp

# Symlink plugin settings directory to
ln -sv %{_sysconfdir}/%{name}/plugins %{buildroot}%{_datadir}/%{name}/config/settings.plugins.d

# Create VERSION file
install -pm0644 VERSION %{buildroot}%{_datadir}/%{name}/VERSION

# Create RPM macros for plugin packages to use at build time
mkdir -p %{buildroot}%{_sysconfdir}/rpm
cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name} << EOF
# Common locations
%%%{name}_dir %{_datadir}/%{name}
%%%{name}_bundlerd_dir %%{%{name}_dir}/bundler.d
%%%{name}_log_dir %{_localstatedir}/log/%{name}

# Common commands
%%%{name}_rake         %{foreman_rake}
EOF

cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name}-dist << EOF
# Version to use like a dist tag
%%%{name}dist .fm$(echo %{version} | awk -F. '{print $1 "_" $2}')
EOF

cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name}-plugin << EOF
# Generate bundler.d file for a plugin
# -n<plugin_name>   Overrides default of gem_name
%%%{name}_bundlerd_file(n:) \\
mkdir -p %%{buildroot}%%{%{name}_bundlerd_dir} \\
cat <<GEMFILE > %%{buildroot}%%{%{name}_bundlerd_dir}/%%{-n*}%%{!?-n:%%{gem_name}}.rb \\
gem '%%{-n*}%%{!?-n:%%{gem_name}}' \\
GEMFILE

# Common locations
%%%{name}_bundlerd_plugin %%{%{name}_bundlerd_dir}/%%{gem_name}.rb
%%%{name}_pluginconf_dir %{_sysconfdir}/%{name}/plugins
# Common assets locations
%%%{name}_assets_plugin %%{gem_instdir}/public/assets/%%{gem_name}
%%%{name}_assets_foreman %%{foreman_dir}/public/assets/%%{gem_name}
# Common webpack locations
%%%{name}_webpack_plugin %%{gem_instdir}/public/webpack/%%{gem_name}
%%%{name}_webpack_foreman %%{foreman_dir}/public/webpack/%%{gem_name}
# Common apipie locations
%%%{name}_apipie_cache_plugin %%{gem_instdir}/public/apipie-cache/plugin/%%{gem_name}
%%%{name}_apipie_cache_foreman %%{foreman_dir}/public/apipie-cache/plugin/%%{gem_name}
# build apipie cache index
%%%{name}_apipie_cache %%{%{name}_rake} apipie:cache:index >> %%{%{name}_log_dir}/apipie_cache.log 2>&1 || :
# log plugin installation
%%%{name}_plugin_log \\
echo %%{gem_name} >> %%{foreman_dir}/tmp/restart_required_changed_plugins || : \\
chown foreman:foreman %%{foreman_dir}/tmp/restart_required_changed_plugins || :

# Generate precompiled assets at gem_instdir/public/assets/gem_name/
# -r<rake_task>     Overrides rake task of plugin:assets:precompile[plugin_name]
# -n<plugin_name>   Overrides default of gem_name for precompile step
# -a                Prebuild apipie cache
# -s                Precompile assets
%%%{name}_precompile_plugin(r:n:as) \\
mkdir -p ./%{_datadir} \\
cp -r %%{%{name}_dir} ./%{_datadir} || echo 0 \\
mkdir -p ./%{_localstatedir}/lib/%{name} \\
cp -r %{_localstatedir}/lib/%{name}/db ./%{_localstatedir}/lib/%{name} || echo 0 \\
unlink ./%{_datadir}/%{name}/db \\
pushd ./%%{%{name}_dir} \\
mkdir db/ \\
cp -rf %{_datadir}/%{name}/db/* db/ \\
mv db/schema.rb.nulldb db/schema.rb \\
\\
ln -s %{nodejs_sitelib} node_modules \\
export GEM_PATH=%%{buildroot}%%{gem_dir}:\${GEM_PATH:+\${GEM_PATH}}\${GEM_PATH:-\`ruby -e "print Gem.path.join(':')"\`} \\
unlink tmp \\
mkdir tmp \\
\\
rm \`pwd\`/config/initializers/encryption_key.rb \\
rm \`pwd\`/config/database.yml \\
%{rake} security:generate_encryption_key \\
export BUNDLER_EXT_NOSTRICT=1 \\
export NODE_ENV=production \\
cp %%{buildroot}%%{%{name}_bundlerd_dir}/%%{gem_name}.rb ./bundler.d/%%{gem_name}.rb \\
%%{?-s:%{rake} %%{-r*}%%{!?-r:plugin:assets:precompile[%%{-n*}%%{!?-n:%%{gem_name}}]} RAILS_ENV=production DATABASE_URL=nulldb://nohost --trace} \\
%%{?-a:%{rake} plugin:apipie:cache[%%{gem_name}] FOREMAN_APIPIE_LANGS=en_US RAILS_ENV=production cache_part=resources OUT=%%{buildroot}%%{%{name}_apipie_cache_plugin} DATABASE_URL=nulldb://nohost --trace} \\
\\
popd \\
rm -rf ./usr \\
%%{?-a:mkdir -p %%{buildroot}%%{foreman_dir}/public/apipie-cache/plugin} \\
%%{?-a:ln -s %%{%{name}_apipie_cache_plugin} %%{buildroot}%%{%{name}_apipie_cache_foreman}} \\
%%{?-s:[ -e %%{buildroot}%%{%{name}_assets_plugin} ] && mkdir -p %%{buildroot}%%{foreman_dir}/public/assets} \\
%%{?-s:[ -e %%{buildroot}%%{%{name}_assets_plugin} ] && ln -s %%{%{name}_assets_plugin} %%{buildroot}%%{%{name}_assets_foreman}} \\
%%{?-s:[ -e %%{buildroot}%%{%{name}_webpack_plugin} ] && mkdir -p %%{buildroot}%%{foreman_dir}/public/webpack} \\
%%{?-s:[ -e %%{buildroot}%%{%{name}_webpack_plugin} ] && ln -s %%{%{name}_webpack_plugin} %%{buildroot}%%{%{name}_webpack_foreman}} \\
%%{?-s:rm -f %%{buildroot}%%{%{name}_webpack_plugin}/*.js.map} \\
%%{?-s:rm -f %%{buildroot}%%{gem_instdir}/public/webpack/foreman-vendor.*} \\
%%{?-s:rm -rf %%{buildroot}%%{gem_instdir}/public/webpack/fonts} \\
%%{?-s:rm -rf %%{buildroot}%%{gem_instdir}/public/webpack/images}
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc CHANGELOG Contributors README.md VERSION
%license LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/app
%{_datadir}/%{name}/app/assets/config/manifest.js
%exclude %{_datadir}/%{name}/app/assets/images
%exclude %{_datadir}/%{name}/app/assets/stylesheets
%exclude %{_datadir}/%{name}/app/assets/javascripts
%exclude %{_datadir}/%{name}/script/%{name}-debug.d
%exclude %{_datadir}/%{name}/script/%{name}-puma-status
%exclude %{_datadir}/%{name}/script/%{name}-rake
%exclude %{_datadir}/%{name}/script/%{name}-tail
%exclude %{_datadir}/%{name}/script/npm*
%exclude %{_datadir}/%{name}/script/plugin_webpack*
%exclude %{_datadir}/%{name}/script/webpack-analyze*
%dir %{_datadir}/%{name}/bundler.d
%exclude %{_datadir}/%{name}/bundler.d/development.rb
%{_datadir}/%{name}/bundler.d/facter.rb
%{_datadir}/%{name}/bundler.d/jsonp.rb
%exclude %{_datadir}/%{name}/bundler.d/openid.rb
%exclude %{_datadir}/%{name}/bundler.d/test.rb
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/config*
%{_datadir}/%{name}/db
%{_datadir}/%{name}/extras
%exclude %{_datadir}/%{name}/extras/systemd
%{_datadir}/%{name}/Gemfile.in
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/locale
%{_datadir}/%{name}/log
%{_datadir}/%{name}/migrate
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/public
%{_datadir}/%{name}/Rakefile
%{_datadir}/%{name}/script
%{_datadir}/%{name}/seeds.*
%attr(700,%{name},%{name}) %{_datadir}/%{name}/.ssh
%{_datadir}/%{name}/tmp
%{_datadir}/%{name}/VERSION
%{_sbindir}/%{name}-rake
%{_sbindir}/%{name}-tail
%{_mandir}/man8
%attr(755,root,root) %{_libexecdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/%{name}
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/encryption_key.rb
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/cron.d/%{name}
%{_sysconfdir}/rpm/macros.%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/lib/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}/plugins
%attr(-,%{name},%{name}) %{_localstatedir}/run/%{name}
%attr(-,%{name},root) %{_datadir}/%{name}/config.ru
%attr(-,%{name},root) %{_datadir}/%{name}/config/environment.rb
%ghost %{_datadir}/%{name}/config/initializers/encryption_key.rb
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_datadir}/%{name}/config/initializers/local_secret_token.rb
%{_tmpfilesdir}/%{name}.conf
%exclude %{_datadir}/%{name}/docker-compose.yml

%pre
# Add the "foreman" user and group
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{homedir} -s /sbin/nologin -c "Foreman" %{name}

if [ $1 == 2 ]; then
  systemctl --no-reload disable dynflowd.service > /dev/null 2>&1 || :
  systemctl stop dynflowd.service > /dev/null 2>&1 || :
fi
exit 0

%post
# secret token used for cookie signing etc.
if [ ! -f %{_datadir}/%{name}/config/initializers/local_secret_token.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  %{foreman_rake} security:generate_token >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
fi

# encryption key used to encrypt DB contents
# move the generated key file to /etc/foreman/ so users back it up, symlink to it from ~foreman
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     ! -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/encryption_key.rb
  %{foreman_rake} security:generate_encryption_key >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  mv %{_datadir}/%{name}/config/initializers/encryption_key.rb %{_sysconfdir}/%{name}/
fi
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  ln -s %{_sysconfdir}/%{name}/encryption_key.rb %{_datadir}/%{name}/config/initializers/
fi

# Enforce tmpfiles run
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf
exit 0

%post service
%systemd_post %{name}.socket %{name}.service

%preun service
%systemd_preun %{name}.socket %{name}.service

%postun service
%systemd_postun_with_restart %{name}.service
%systemd_postun %{name}.socket

%changelog
* Tue Nov 05 2024 Packit <hello@packit.dev> - 3.13.0-0.20241105103236316029.pr9980.8590.ga1211115c
- Fixes #37949 - Fix typo (Nadja Heitmann)
- Fixes #37927 - Enable remote desktop in Windows template (Nadja Heitmann)
- i18n - extracting new, pulling from tx (Cole Higgins)
- Fixes #37963 - Make SeedHelper.test_template_requirements public (Adam Ruzicka)
- Fixes #37877 - Compatibility with yggdrasil 0.2.z and 0.4.z (Adam Ruzicka)
- Fixes #37919 - make sure sudo is installed (Bernhard Suttner)
- Fixes #37691 - rename AuthSource Welcome var to fix translation (MariaAga)
- Fixes #37915 - Give Toasts keys for ToastsList (MariaAga)
- Refs #37913 - Make sure to update package list and facts on all OSes (Bernhard Suttner)
- Refs #37913 - Update repository metadata for Debian first (Bernhard Suttner)
- Refs #37926 - Fix Layout/BeginEndAlignment cop (akumari)
- Refs #37926 - Fix Lint/LiteralInInterpolation cop (akumari)
- Refs #37926 - Fix Layout/TrailingWhitespace cop (akumari)
- Refs #37926 - Fix rubocop Layout/FirstHashElementIndentation (archanaserver)
- Refs #37926 - Fix rubocop Layout/EmptyLineBetweenDefs (archanaserver)
- Refs #37926 - Fix Rubocop Layout/EmptyLinesAroundAttributeAccessor (archanaserver)
- Fixes #37926 - Fix Rubocop Layout/SpaceAroundOperators (archanaserver)
- Fixes #36688 - Provide option to use wget for the new Register Host feature (Markus Reisner)
- Fixes #37427 - Fix Style/KeywordParametersOrder (akumari)
- Refs #37427 - Fix Style/RedundantFileExtensionInRequire cop (akumari)
- Refs #37427 - Fix Style/RedundantAssignment cop (akumari)
- explicitly run on Ubuntu 24.04, not latest (Evgeni Golov)
- allow pip to break system packages when installin pykickstart (Evgeni Golov)
- Fixes #37878 - expose hidden_value attribute when creating parameters (Evgeni Golov)
- Fixes #37425 - Fix Layout/ArgumentAlignment (akumari)
- Fixes #37431 - Fix Style/SoleNestedConditional cop (akumari)
- Refs #37427 - Disable Style/OptionalBooleanParameter cop (akumari)
- FIXES #37867 - Fix remote_execution_ssh_keys sudoers permissions (Pablo Fernández Rodríguez)
- Fixes #37912 - Correct Puppet server in Windows default user data template (Ewoud Kohl van Wijngaarden)
- Fixes #37903 - Parse Ansible password in Windows default provisioning template correctly (Nadja Heitmann)
- Fixes #37870 - Auto-import new GPG keys on SLES (Marcel Kühlhorn)
- Fixes #37836 - Add possibility to display action when table is empty (kmalyjur)
- Fixes #37085 - Add netiq as an authentication source (Jan Bundesmann)
- Fixes #37841 - Fix typo 'Unkown' -> 'Unknown' (Ewoud Kohl van Wijngaarden)
- Fixes #37843 - explicitly call HTTP proxies that, not just "proxy" (Evgeni Golov)
- Fixes #37800 - Don't apply the compute profile when updating host (Leos Stejskal)
- Refs #37833 - Fix file timestamp handling when pulling translations (Ewoud Kohl van Wijngaarden)
- Fixes #37730 - Update provisioning template built snippet for http-proxy usage (Matthias Dellweg)
- Fixes #37718 - BuildModal error message not copyable - Replace TreeView component with Tree-Table - Remove unneeded active element management from tree component (Thorben Denzer)
- Fixes #37805 - Add possibility to display message when table is empty (kmalyjur)
- Refs #29991 - Move settings into initializers (Oleh Fedorenko)
- Refs #29991 - Make VM an acronym (Oleh Fedorenko)
- Refs #29991 - Deal with Nic model by explicit preloading (Oleh Fedorenko)
- Refs #29991 - Apply review suggestions (Oleh Fedorenko)
- Refs #29991 - Fix ReportScanner warning with plugins in mind (Oleh Fedorenko)
- Refs #29991 - Fix empty resources in tests (Oleh Fedorenko)
- Refs #29991 - Fix rubocop (Oleh Fedorenko)
- Refs #29991 - Fix tests (Oleh Fedorenko)
- Refs #29991 - Move http_proxy to app/lib (Oleh Fedorenko)
- Refs #29991 - Enable eager loading in test env (Oleh Fedorenko)
- Refs #29991 - Preload STI differently (Oleh Fedorenko)
- Refs #29991 - Fix deprecations warnings for MeduimProviders/ReportScanner (Oleh Fedorenko)
- Refs #29991 - Fix deprecation warnings for Foreman::Provision (Oleh Fedorenko)
- Refs #29991 - Fix deprecation warnings for AuditAssociations (Oleh Fedorenko)
- Refs #29991 - Fix deprecation warnings for Settings (Oleh Fedorenko)
- Refs #29991 - Move net into app/lib (Oleh Fedorenko)
- Refs #29991 - Fix CsvExporter initialization warning (Oleh Fedorenko)
- Refs #29991 - Fix TelemetryHelper initialization warning (Oleh Fedorenko)
- Refs #29991 - Clean up some requirements (Oleh Fedorenko)
- Refs #29991 - Fix test (Oleh Fedorenko)
- Refs #29991 - Fix rubocop (Oleh Fedorenko)
- Refs #29991 - More PuppetCA renaming (Oleh Fedorenko)
- Refs #29991 - Remove require_dependency calls (Oleh Fedorenko)
- Fixes #29991 - Enable Zeitwerk (Oleh Fedorenko)
- Fixes #33895 - Set up Zeitwerk inflector (Ewoud Kohl van Wijngaarden)
- Fixes #10946 - Make user email optional if email is disabled (alazik)
- Fixes #37591 - remove hand cursor from generic table (MariaAga)
- Fixes #37592 - open Documentation in new tab in generic table (MariaAga)
- Fixes #37714 - inherit overrides deploy on in hostgroup (MariaAga)
- Fixes #37770 - hosts bottom pagination doesnt work (MariaAga)
- Fixes #37769 - Point to correct rhsm host (Jason)
- Fixes #37731 - Display correct network while importing a host (Girija Soni)
- Fixes #37768 - Respect the updateParamsByUrl param (Jeremy Lenz)
- Fixes #37647 - Make telemetry allowed_labels configurable (Pavel Moravec)
- Fixes #37767 - Fixes User search filter for 'auth_source_type'. (Manisha Singhal)
- Fixes #37775 - include hashes in production builds of assets (Evgeni Golov)
- Fixes #37774 - wait for the host page to render before editing again (Evgeni Golov)
- Refs #37443 - find the right Edit button on the host details page (Evgeni Golov)
- Fixes #37519 - Host form - Libvirt improvements (Leos Stejskal)
- refs #37433 - Revert indentation for subscription_manager_setup (Leos Stejskal)
- Refs #36999 - Force host-passthrough CPU model for libvirt (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.13.0-develop (Cole Higgins)
- Fixes #37756 - Add product host count to subscription - general report (Nadja Heitmann)
- Fixes #37623 - Use html format in react controller for ics domains (Chris Roberts)
- Refs #36547 - explicitly stringify major/minor for Ubuntu (Evgeni Golov)
- Fixes #37734 - Fix audit message about removing records (alazik)
- Fixes #37702 - Registration - Find methods for taxonomies (Stejskal Leos)
- properly fail the "Test Suite" check when any inputs are failing (Evgeni Golov)
- Fixes #37711 - Properly derive an IP from subnets in test factories (Ewoud Kohl van Wijngaarden)
- Fixes #37720 - Execute insights registration with empty input (Sayan Das)
- i18n - extracting new, pulling from tx (Cole Higgins)
- Fixes #37645 - Tab title missing in tableindexpage (MariaAga)
- Fixes #37086 - fix the obsolete chat information (Marek Hulan)
- Refs #34839 - require fog-vsphere version with NVME support (Girija Soni)
- Fixes #37458 - Fix Style/CaseLikeIf cop (akumari)
- Fixes #37601 - Add Foreman CA refresh template (Shim Shtein)
- Fixes #37426 - Fix cop Minitest/AssertEmpty (archanaserver)
- Refs #37426 - Fix cop Minitest/RefuteNil (archanaserver)
- Refs #37426 - Fix cop Minitest/AssertNil (archanaserver)
- Refs #37426 - Fix cops Minitest/AssertEmptyLiteral (archanaserver)
- Fixes #37428 - Fix Style/ExplicitBlockArgument cop (akumari)
- Fixes #37651 - Fix error msg about invalid MAC appearing twice (alazik)
- Fixes #37424 - Fix Style/RedundantRegexpEscape cop (akumari)
- Fixes #37423 - Fix Style/HashEachMethods cop (akumari)
- Fixes #36999 - Drop libvirt CPU model option for VM creation (Ewoud Kohl van Wijngaarden)
- Fixes #36495 - Extend Windows templates for Puppet and Ansible (Nadja Heitmann)
- Fixes #37690 - Add button linking to new hosts index UI (Jeremy Lenz)
- Fixes #37433 - Set indentation when calling subscription_manager_setup  and add snapshot of templates (Joniel Pasqualetto)
- Fixes #37496 - RHEL registration template priority (RhinoX)
- Fixes #37675 - Change All Hosts kebab menu to match design Refs #37675 - Add registry for table row kebab actions use Popper for menu toggle (Jeremy Lenz)
- Revert "Pin mocha to a lower version" (Evgeni Golov)
- Fixes #37644 - Pagination doesnt update between react pages (MariaAga)
- Fixes #34839 - Add support for VMware NVME Controllers (Girija Soni)
- Pin mocha to a lower version (Partha Aji)
- Fixes #37582 - use textarea in host comment edit (MariaAga)
- Fixes #37640 - Apply Loc/Org filter to Host Registration form (Nadja Heitmann)
- Fixes #37648 - Show complete hostgroup name in host overview and table (kmalyjur)
- Fixes #37503 - Delay plugin finalization until seeds are seeded (Adam Ruzicka)
- Fixes #36978 - Add possibility to use remote webdriver (dosas)
- Fixes #37551 - Hosts : Allow bulk reassignment of hostgroups (Samir Jha)
- Fixes #37614 - Use SHA512 for password hashing when no OS is set (Ewoud Kohl van Wijngaarden)
- Fixes #37597 - Fix description of the Instance color setting (alazik)
- Fixes #37589 - Store the BuildStatus in DB (Bernhard Suttner)
- Fixes #37059 - Templates - cloned_from reference (Leos Stejskal)
- Fixes #37562 - Fix local disk boot over network (Jan Löser)
- Fixes #37583 - remove coffee-rails (MariaAga)
- Fixes #37610 - pass the unencrypted root_pass to crypt for grub_pass (Evgeni Golov)
- Fixes #36626 - safe checks for the pxe_loader (Stejskal Leos)
- Fixes #37584 - Host details - Fix append domain setting (Leos Stejskal)
- Fixes #37613 - compare parsed YAML results, not Strings (Evgeni Golov)
- Fixes #37607 - pin FFI to < 1.17 for Ruby 2.7 (Evgeni Golov)
- Fixes #37581 - Refactor timezone and NTP server config in kickstart (nofaralfasi)
- Fixes #37495 - Unify sending the built state to foreman (Bernhard Suttner)
- Fixes #37578 - remove space between button in generic table (MariaAga)
- Revert "Fixes #37501 - Clean up custom repositories from host registration" (Leos Stejskal)
- Fixes #37575 - Foreman Table columns sort is inconsistent (MariaAga)
- Fixes #36919 - Add URL validation to HTTP Proxy URL field. (Chris Roberts)
- Fixes #37548 - Fix BulkBuildHostModal   so it no longer requires orgId (Jeremy Lenz)
- Fixes #36650 - change the OS default hash function (Marek Hulan)
- Fixes #37300 - Change I18n loading from import to require (MariaAga)
- Fixes #37550 - per_page=all should return all parameters (Bernhard Suttner)
- Fixes #37558 - Properly clean up temporary settings in tests (Ewoud Kohl van Wijngaarden)
- Fixes #37527 - Remove duplicate code (Bernhard Suttner)
- Fixes #37556 - Show host name instead of id in canceled build notification (kmalyjur)
- Fixes #37553 - Wait for all plugin JS to load before rendering ColumnSelector (Jeremy Lenz)
- Fixes #29450 - Use sp-references in used taxonomy lookup (Adam Ruzicka)
- Refs #37505 - fix clevis & tang snippet (Richard Stempfl)
- Fixes #37398 - Extend TableIndexPage and TableHooks   with new capabilities for All Hosts page (Jeremy Lenz)
- Fixes #37501 - Clean up custom repositories from host registration (Nadja Heitmann)
- Fixes #37532 - display_fqdn_for_hosts on Facts page (Leos Stejskal)
- Refs #37440 - Readd host registration repo parameters with deprecation warning (Nadja Heitmann)
- Fixes #37478 - Add power status column (Jeremy Lenz)
- Fixes #37395 - New Hosts page perform build actions (Partha Aji)
- Refs #36886 - update Rocky8 snapshots (Evgeni Golov)
- Fixes #37485 - HostsIndex now uses pagination and search from url on initial load (Jeremy Lenz)
- Fixes #36886 - upload facts for new hosts (Bernhard Suttner)
- Fixes #37345 - Improve "EFI local chainloading" on SecureBoot enabled hosts (Jan Löser)
- Fixes #37515 - Drop Host Vulnerabilities report (Adam Ruzicka)
- Refs #37374 - Fix wrong key for ipv6 (Adam Ruzicka)
- Fixes #37420 - Fix Style/AccessorGrouping cop (akumari)
- drop unused dynflowd script (Evgeni Golov)
- Fixes #36547 - Fix parsing of Ubuntu version in fact parsers (Markus Reisner)
- Bump develop to 3.12.0-develop (Griffin-Sullivan)
- i18n - extracting new, pulling from tx (Ewoud Kohl van Wijngaarden)
- Fixes #37489 - use host_details_ui in React context (MariaAga)
- Fixes #37439 - API 'build_pxe_default' with taxonomies (Leos Stejskal)
- Fixes #37443 - edit comment from host details (MariaAga)
- Fixes #37490 - Correct translation logic in registration cmd (Ewoud Kohl van Wijngaarden)
- Fixes #37488 - Correct fact setting descriptions (Ewoud Kohl van Wijngaarden)
- Fixes #37440 - Enable multiple repositories for host registration (Nadja Heitmann)
- Fixes #37461 - Don't use the Kickstart rhsm for RHEL 8 (Leos Stejskal)
- Fixes #37434 - Use nightly for develop manual links (Ewoud Kohl van Wijngaarden)
- Fixes #37484 - remove bookworm/sid workaround (Evgeni Golov)
- Fixes #37374 - Prefer execution interface over primary (Adam Ruzicka)
- Fixes #37463 - Fix permission handling for table prefs (Adam Ruzicka)
- Fixes #37437 - Prevent XSS issue for pages using react and angular (Bernhard Suttner)
- Fixes #37444 - get rid of sidekiq deprecation warnings (Bernhard Suttner)
- Fixes #37421 - foreman_bootdisk templates not seeded (Leos Stejskal)
- Refs #33664 - Fix syntax error in sub man setup script (Nadja Heitmann)
- drop old and unused sync_templates script (Evgeni Golov)
- Fixes #37422 - Switch to method definition in template generators (Shim Shtein)
- Fixes #37436 - Remove TimedCacheStore class (Oleh Fedorenko)
- Fixes #37432 - Fix Style/GlobalStdStream cop (akumari)
- Fixes #37406 - drop upload functionality from foreman-debug (Evgeni Golov)
- Fixes #35463 - Allow newer rdoc on Ruby 3.1 (Ewoud Kohl van Wijngaarden)
- Fixes #37391 - also use reactExports for core (Evgeni Golov)
- Fixes #37387 - Drop unused typeToIcon function (Ewoud Kohl van Wijngaarden)
- Fixes #37386 - Drop toggleRowGroup and filter_permissions functions (Ewoud Kohl van Wijngaarden)
- Fixes #37385 - Drop (un)check_all_roles event handlers (Ewoud Kohl van Wijngaarden)
- Archive all_react_app_exports.js (MariaAga)
- Fixes #36830 - transform_vars on preseed_path (Bernhard Suttner)
- Fixes #37307 - Add more control over SelectAllCheckbox (Oleh Fedorenko)
- Fixes #36691 - use 'connectefi scsi' by default (Bernhard Suttner)
- Fixes #37367 - Switch to 'network' directive instead of ifcfg (Shim Shtein)
- include Katello in GHA tests (Evgeni Golov)
- Fixes #36525 - kickstart's RHSM line only works on RHEL hosts (Pat Riehecky)
- Fixes #37343 - Fix the ks param deprecation warning for rhel 8 (Girija Soni)
- Fixes #36885 - Add Clevis/Tang disk encryption template (Jan Löser)
- Fixes #37353 - always read cached webpack manifest (Evgeni Golov)
- Fixes #37337 - Fix snapshot task and add Rocky 8 & 9 (Leos Stejskal)
- Fixes #37293 - Add user columns to hosts index - add column registry - add plugin documentation - Make breadcrumb a React link - Respect display_fqdn_for_hosts setting (Jeremy Lenz)
- Fixes #37344 - enable compression for webpack assets (Evgeni Golov)
- Fixes #37252 - prevent duplicate foremanReact in plugins (MariaAga)
- switch container to use CentOS Stream 9 as base (Evgeni Golov)
- Fixes #37312 - Upgrade foreman-vendor packages to 13.x (Samir Jha)
- Fixes #33664 - Adjust subman_setup snippet for debian (Markus Bucher)
- Fixes #37280 - remove typeAheadSelect (MariaAga)
- Fixes #37215 - Stop reporting CV/LCE if not set to hosts (Hao Yu)
- Pin fog-vsphere to >= 3.6.4 (Leos Stejskal)
- Fixes #37231 - Handle incorrect domain setting display (Matěj Mudra)
- Fixes #37247 - refactor HostsIndex to map results directly (Jeremy Lenz)
- Fixes #37287 - Iterate on hashes when both key and value are used (Ewoud Kohl van Wijngaarden)
- Fixes #37282 - Adding the current_time macro (Sayan Das)
- Fixes #37273 - Use delegation syntax for resource_scope (Ewoud Kohl van Wijngaarden)
- Fixes #37002 - Add pagelet anchor for user and usergroup tabs (Bastian Schmidt)
- Refs #37065 - require at least apipie-dsl 2.6.2 (Evgeni Golov)
- Fixes #37274 - Mark API/params as deprecated (Bernhard Suttner)
- Fixes #37270 - Misspelled OpenStruct class name (Bernhard Suttner)
- Fixes #37069 - Fallback to UTC on invalid timezone (Oleh Fedorenko)
- Fixes #37065 - report_row now explicitly accepts kwargs   also adds a test which fails without the fix (Jeremy Lenz)
- Fixes #37244: Add new virtual hw versions for VSphere 8.0 and 8.0U2 (Sebastian Bublitz)
- Fixes #37248 - make hostsIndexContext a singleton (MariaAga)
- Fixes #37255 - pin victory-pie ~36.8.6 (Evgeni Golov)
- Fixes #36023: Add missing VMWare GuestOS mappings (Sebastian Bublitz)
- Refs #37010 - Ensure correct yaml for netplan (Bastian Schmidt)
- Refs #37034 - Fix ERB syntax for comments (Maximilian Kolb)
- Fixes #37236 - Add primaryButton prop to PermissionDenied component (Oleh Fedorenko)
- Fixes #37199 - javascript method for webpack_asset_paths (MariaAga)
- Fixes #37132 - Fix sorting problem in os integration test (dosas)
- Fixes #37241 - Use PostgreSQL 13 in tests (Evgeni Golov)
- Fix Style/CommentAnnotation cop (akumari)
- Fixes #37150 - Race condition in edit smart proxy test (dosas)
- Refs #37224 - Force *all* Hosts to have a comment (Adam Ruzicka)
- Fixes #37043 - Inheritance overrides host facets (Alexander Olofsson)
- Refs #37179 - explicitly include SelectiveClone in facets (Evgeni Golov)
- Fixes #37179 - Clone hostgroup facets when cloning hostgroup (Jeremy Lenz)
- Fixes #37233 - Generic table always shows actions (MariaAga)
- Fixes #37224 - Force Hosts to have a comment (Adam Ruzicka)
- Fixes #37167 - Subscription entitlement report template (Samir Jha)
- Fixes #36574 - Update fast_gettext to ~> 2.1 (Oleh Fedorenko)
- Refs #36574 - Avoid patching Fastgettext (Ewoud Kohl van Wijngaarden)
- Refs #37034 - Use apt-key add on Ubuntu 16.04 (Maximilian Kolb)
- sort taxable_ids before comparing them (Evgeni Golov)
- Fixes #37011 - Apply latest Ubuntu Autoinstall userdata changes (Bastian Schmidt)
- Fixes #37193 - trap ERR not supported on dash (Bernhard Suttner)
- Fixes #37134 - upgrade to node 18 and npm 8 (MariaAga)
- Bump actions/upload-artifact from 3 to 4 (dependabot[bot])
- Fixes #37184 - Report template generates incorrect kernel version (Hao Yu)
- Refs #36502 - update snapshots after template change (Evgeni Golov)
- Fixes #36502 - iPXE Discovery Only Works on net0 (jmott85)
- Fixes #37189 - Registration before & after snippets (Leos Stejskal)
- Fixes #36891 - Provide a scope for email-notification-eligible users (Adam Ruzicka)
- Bump develop to 3.11.0-develop (Griffin-Sullivan)
- More explicit dev setup instructions (Ewoud Kohl van Wijngaarden)
- Correct the minimum PostgreSQL version (Ewoud Kohl van Wijngaarden)
- i18n - extracting new, pulling from tx (Griffin-Sullivan)
- Fixes #37168 - fix potential for duplicate html-id (Markus Bucher)
- Fixes #37173 - duplicate ids from webpack style (MariaAga)
- Fixes #37142 - Cloud-init breaks due to newline (Maximilian Kolb)
- Fixes #37039 - Honor permissions and taxonomies for host statuses (Adam Ruzicka)
- Fixes #37092 - Use minitest_reporters_github in GHA (Ewoud Kohl van Wijngaarden)
- Fixes #37156 - Pin victory-core to 36.8.z (Samir Jha)
- Fixes #37154 - run componentRegistry.registerMultiple once (MariaAga)
- Fixes #37089 - host details - sub tabs are hidden (MariaAga)
- Refs #37102 - Read real webpack manifest in test (Ewoud Kohl van Wijngaarden)
- Fixes #37161 - load public/webpack when available (MariaAga)
- Fixes #37079 - Show current user in nav menu when screen too small (kmalyjur)
- build packit on el9 (Evgeni Golov)
- Fixes #37064 - Login missing background after scrolling (MariaAga)
- Fixes #37128 - Unpin @adobe/css-tools (Evgeni Golov)
- Refs #36849 - Enable strict keyword argument matching (Oleh Fedorenko)
- Fixes #36849 - Run GHA on Ruby 3.0 (Oleh Fedorenko)
- Fixes #37127 - Clean up old storybook dependencies (Evgeni Golov)
- Fixes #37126 - Replace node-sass with sass (Evgeni Golov)
- Remove unused cssnano and css-minimizer-webpack-plugin (Eric D. Helms)
- Refs #37102 - detect plugins webpack by looking for remoteEntry.js (Evgeni Golov)
- Fixes #37120 - Fix grammar error in Realm welcome (Adam Ruzicka)
- Fixes #37015 - Refactor OwnerClassifier (nofaralfasi)
- Fixes #37115 - Drop unused react-dnd-test-utils dependency (Ewoud Kohl van Wijngaarden)
- Refs #37102 - filter out webpack host argument (MariaAga)
- Refs #37102 - add back generic node_modules resolve path (Evgeni Golov)
- Refs #37102 - explicitly depend on buffer (Evgeni Golov)
- Refs #37102 - don't prefix vendor imports with node_modules (Evgeni Golov)
- Refs #37102 - don't alias @theforeman/vendor (Evgeni Golov)
- Fixes #37102 - webpack 5 (MariaAga)
- Fixes #37070 - BreadcrumbBar.test.js missing await (MariaAga)
- Fixes #37087 - STI preparations for Ruby 3.0 (Oleh Fedorenko)
- Fixes #37093 - Drop single_test gem (Ewoud Kohl van Wijngaarden)
- Fixes #37016 - stop trying to report CV / LCE for hypervisors (Ian Ballou)
- Bump actions/cache from 3 to 4 (dependabot[bot])
- Refs #37067 - closing parent nav should close child nav (MariaAga)
- Fixes #37067 - closing parent nav should close child nav (MariaAga)
- Fixes #37067 - closing parent nav should close child nav (kmalyjur)
- Fixes #37066 - Fix duplicate HTML-id (Markus Bucher)
- Fixes #37013 - change the 'All hosts' menu item's url based on the `new_host_page` setting (Ron Lavi)
- Fixes #37038 - Use correct total and owned links (Adam Ruzicka)
- Fixes #36972 - Make hammer accept unlimited as JWT life time (Girija Soni)
- Fixes #36969 - return the actual exit status of registration command (nofaralfasi)
- Fixes #36872 - Banner to show foreman instance (MariaAga)
- Refs #36849 - Update tests for documentation_url (Oleh Fedorenko)
- Fixes #36160 - add display_name field to Host GraphQL type (nofaralfasi)
- Fixes #37012 - Add a placeholder when selecting booltype params (Girija Soni)
- Fixes #37034 - Replace apt-key on Debian/Ubuntu (Maximilian Kolb)
- Update extras/systemd/foreman.service (Marek Hulán)
- Fixes #37035 - add unit starting limits in place (Marek Hulán)
- Fixes #37025 - Navigation should only have 1 item expended (MariaAga)
- Fixes #37026 - EditorView snapshots update (MariaAga)
- Refs #36849 - Remove deprecated URI.{encode,decode} (Oleh Fedorenko)
- Refs #36849 - Fix Ruby 3 kwargs handling (Oleh Fedorenko)
- Refs #36849 - Correct kwargs handling in documentation_button (Ewoud Kohl van Wijngaarden)
- Fix labeler configuration for v5 (Ewoud Kohl van Wijngaarden)
- Fixes #37019 - Correct release names in OS factories (Ewoud Kohl van Wijngaarden)
- Fixes #37010 - Support safe navigation operator in safemode (Ewoud Kohl van Wijngaarden)
- run external kickstart and grub tests on GHA (Evgeni Golov)
- Fixes #36741 - Check Ubuntu version more explicitly (Bastian Schmidt)
- Bump actions/labeler from 4 to 5 (dependabot[bot])
- Fixes #35248 - Show mac address in VmWare info (Girija Soni)
- Revert "Bump actions/labeler from 4 to 5" (Evgeni Golov)
- Bump actions/labeler from 4 to 5 (dependabot[bot])
- Bump actions/stale from 8 to 9 (dependabot[bot])
- Fixes #36936 - Switch to terser (Eric D. Helms)
- cancel other running tests when a new push happens (Evgeni Golov)
- Fixes #36963 - Table index new button far in large screens (mariaaga)
- Fixes #36896 - override plugin toolbar css (MariaAga)
- Fixes #36966 - broken link in Register Host documentation (MariaAga)
- Fixes #36744 - VM tab (legacy UI) shows error in case host is not associated to VM (Markus Reisner)
- Fixes #32359 - Entitlement report generation now shows all entitlements by default. (Quinn James)
- Fixes #36949 - Clear nav search doesn't clear results (MariaAga)
- Fixes #36917 - Create current user permissions API (kmalyjur)
- Fixes #36747 - create new snippet for subscription-manager setup (nofaralfasi)
- also execute assets:precompile as part of GHA tests (Evgeni Golov)
- Refs #32848 - Ensure the Foreman version is nightly in tests (Ewoud Kohl van Wijngaarden)
- Fixes #36955 - Revert back 'Change Puppet CA' action (Leos Stejskal)
- execute db:seed as a test (Evgeni Golov)
- Fixes #36959 - rename interface to host_interface (MariaAga)
- Fixes #36958 - wrap script tags in content_for(:javascripts) (MariaAga)
- run integration tests as part of the GHA matrix (Evgeni Golov)
- Fixes #36948 - Nav Search doesnt show ansible roles (MariaAga)
- Bump develop to 3.10.0-develop (Griffin Sullivan)
- Fixes #36938 - Ignore output of some commands in Global Registration (Stejskal Leos)
- i18n - extracting new, pulling from tx (Griffin Sullivan)
- Fixes #36869 - update hosts path with current_hosts_path (Partha Aji)
- Build packit against rhel-8 (Ewoud Kohl van Wijngaarden)
- enable GHA for pushes to develop and stable branches (Evgeni Golov)
- move rubocop into foreman.yml (Evgeni Golov)
- Fixes #36711 - Fix searching in settings (Girija Soni)
- fixes #36939 - Allow for deployment of puppet 8 (Trent Anderson)
- configure cancel-in-progress for new foreman workflow (Evgeni Golov)
- parallelize tests on GHA (Evgeni Golov)
- Build container with NodeJS 14 (Ewoud Kohl van Wijngaarden)
- Fixes #36913 - Set up GHA with matrix to run test on Ruby 2.7 (Oleh Fedorenko)
- Fixes #36930 - Make invalid YAML test compatible with libyaml 0.2.x (Ewoud Kohl van Wijngaarden)
- Fixes #36892 - Pass host results to REX slot;   allow root node permissions to be extended Refs #36892 - improvements to regex & index layout (Jeremy Lenz)
- Fixes #36934 - accept uppercased VLAN names (Ron Lavi)
- Fixes #36932 - Import buffer in globalIdHelpers.js (MariaAga)
- Fixes #36933 - Fix linter issue in DateTimePicker.js (MariaAga)
- Fixes #36923 - Navigation search menu should be less wide (mariaaga)
- Fixes #36915 - Correct datetime input for report generation (Samir Jha)
- Refs #36826 - Fix Subscription Entitlement Report headers (Ian Ballou)
- Fixes #35601 - Search in navigation (MariaAga)
- Fixes #31545: Add status of Rails cache to Ping API (Eric D. Helms)
- Use yum.tfm.o for packages during packit build (Evgeni Golov)
- Fixes #36575 - Use apipie-dsl default model descriptions (archanaserver)
- Fixes #32848 - Support linking to docs.theforeman.org (Ewoud Kohl van Wijngaarden)
- Refs #36822 - Removes an accidentally commented line in TableHooks (Partha Aji)
- Fixes #36905 - Add hotprocs for new pulpcore 3.39 entrypoint (Ian Ballou)
- Fixes #36889 - Add error message to indicate failed authentication (nofaralfasi)
- Fixes #36134 - kickstart in graphical mode runs chvt to the wrong terminal (Pat Riehecky)
- Fixes #36864 - Show entire opened bookmarks properly (Karolina Malyjurkova)
- Fixes #36867 - Add host delete & create   Add bulk modal with bulk params   add register/create buttons; fix links   address UX comments   Remove icon from delete action in the toolbar’s kebab   In the delete modal as a primary button use just “Delete”    (not delete host)   To the top part:     Add a kebab with legacy UI button   Ensure the loading screen doesn't say 'No Results'   support foreman_remote_execution slot   Refs #36867 - move action to new controller   move bulk hosts extension test to Foreman (Jeremy Lenz)
- use foreman-devel module (Evgeni Golov)
- Refs #36815 - Require redis group if it is present (Eric D. Helms)
- Refs #36815 - explicitly require redis (Evgeni Golov)
- Fixes #36880 - include LookupValue permissions in fixtures (nofaralfasi)
- use the values from matrix.json in JS tests (Evgeni Golov)
- use the values from matrix.json in plugin react tests (Evgeni Golov)
- Fixes #36858 - Table index page design changes (MariaAga)
- Bump actions/setup-node from 3 to 4 (dependabot[bot])
- Fixes #36842 - reduce impact of rails-cache issue (Markus Bucher)
- Fixes #36860 - Remove workaround for fixing layout rendering (MariaAga)
- Fixes #36541 - Update Redis default databases for dynflow and cache (Eric D. Helms)
- Test Github Actions with NodeJS 14 (Eric D. Helms)
- Fixes #36822 - Design new hosts page (Partha Aji)
- Fixes #36826 - Add Host - Installed Products report * Add system purpose role and usage to subscriptions entitlement report (Ian Ballou)
- Fixes #36839 - Optimize apipie translate methods (Ewoud Kohl van Wijngaarden)
- Fixes #36841 - Switch to Process.clock_gettime for ping (Eric D. Helms)
- Fixes #36815: Set Redis reconnect_attempts to default (Eric D. Helms)
- add a JSON representation of supported ecosystems (Evgeni Golov)
- Fixes #36793 - Allow plugins to close ActionsBar kebab via React context (Jeremy Lenz)
- Fixes #36821 - Fix table pagination to be used separately (Oleh Fedorenko)
- Fixes #36805 - add foreman-hotproc config to be used with PCP (Evgeni Golov)
- Fixes #36783 - Add condition for title in PageLayout (kmalyjur)
- Refs #36705 - fix the spacing of settings erb (Marek Hulan)
- Fixes #36819 - Bump sidekiq to at least 6.5 (Eric D. Helms)
- Fixes #36816 - drop last remain of the Rackspace CR (Evgeni Golov)
- fixes #36160 - Redefine append domain names setting (Dyrkon)
- Refs #36575 - Avoid translating labels during startup (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Correct i18n usage in taxonomies apipie (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Avoid translations during startup in name gen (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Avoid i18n during startup in owner_type validation (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Avoid i18n during startup in host name validation (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Avoid i18n during startup in hg root_pass (Ewoud Kohl van Wijngaarden)
- Refs #36575 - Avoid translations during startup on root_pass (Ewoud Kohl van Wijngaarden)
- Fixes #36705 - Valid error message for no settings found (Girija Soni)
- Fixes #36775 - Allow creation of unlimited PATs again (Adam Ruzicka)
- Fixes #36796 - Make host_facts_updated event visible (Oleh Fedorenko)
- Fixes #36799 - Add Salt image path to ConfigReportsController (Bastian Schmidt)
- Refs #36715 - Update fact_names description for facts_hash (Oleh Fedorenko)
- Fixes #36786 - Permit Symbol for YAML.safe_load report parser (Bastian Schmidt)
- Fixes #36723 - Remove Fedora/Red Hat Atomic related code (Ewoud Kohl van Wijngaarden)
- Fixes #36791 - Fix typo in variable name (Maximilian Kolb)
- Fixes #36759 - only call allowed transpilers (Evgeni Golov)
- Fixes #36715 - Speed up host fact retrieval (Jeremy Lenz)
- Fixes #36768: Prevent redirection to other hosts via HTTP referer header (Eric D. Helms)
- Fixes #36774 - count db:abort_if_pending_migrations as setup task (Evgeni Golov)
- Fixes #36763 - Use a case statement in RHSM fact parser (Ewoud Kohl van Wijngaarden)
- Fixes #32748 - add pf4 table template (MariaAga)
- Fixes #36767 - use runuser instead of su to run rake (Evgeni Golov)
- Fixes #36673 - Fix directory ownership for remote_execution_ssh_user (Tony James)
- Fixes #36717 - Remove katello-agent leftovers from redhat-register.erb (Oleh Fedorenko)
- fixes #36658 - only use {linux,initrd}efi for x86/64 KS PXEGrub2 EL7 (Laura Hild)
- Fixes #36734 - Hide double title on Register Host page (Karolina Malyjurkova)
- Refs #36517 - Correct host search for IPv6 on subnet list (Ewoud Kohl van Wijngaarden)
- Fixes #36361 - Change vlan interface notation (Alexey Masolov)
- Bump docker/build-push-action from 4 to 5 (dependabot[bot])
- Refs #36400 - add ouia-ids to ChartBox (MariaAga)
- Use actions/labeler to apply directory labels (Ewoud Kohl van Wijngaarden)
- add stale action to replace prprocessor (Evgeni Golov)
- Bump actions/checkout from 3 to 4 (dependabot[bot])
- Fixes #36466 - Allow gathering information on deleted records (Oleh Fedorenko)
- Fixes #36703 - Enhance handling of hash-based actions for single buttons (nofaralfasi)
- Fixes #36663 - Add permission to modify LookupValue resource (nofaralfasi)
- Fixes #36522 - Properly display changes of owner_id field in audits (Adam Ruzicka)
- Fixes #36699 - Reject invalid expiration dates for PATs (Adam Ruzicka)
- Bump develop to 3.9.0-develop (Griffin Sullivan)
- Fixes #36350 - Add line breaks to long bookmarks (Karolina Malyjurkova)
- Fixes #36551 - Update PermissionDenied component (MariaAga)
- Fixes #35124 - Fix preseed_kernel_options to work with full-host-bootdisk deployments (Jonas Trüstedt)
- Refs #36677 - fix tests (Bernhard Suttner)
- test-build container in CI (Evgeni Golov)
- Fixes #36104 - Distinguish host events (Oleh Fedorenko)
- Fixes #36677 - Added BOOTIF-parameter to autoinstall kernel_options (Jonas Trüstedt)
- Fixes #36400 - Update ConfigReports to pf4 (MariaAga)
- Fixes #36659 - Drop CentOS 8 mirror (Ewoud Kohl van Wijngaarden)
- Fixes #36661 - remove restore_plugins from test_helper (Evgeni Golov)
- Fixes #36660 - drop value from settings dsl (Evgeni Golov)
- Fixes #36656 - Pin @adobe/css-tools to 4.2.0 (Samir Jha)
- Fixes #36591 - Fix the parameter value masking (Girija Soni)
- Fixes #36639 - Use Templates feature on IPv6 (Ewoud Kohl van Wijngaarden)
- Fixes #36329: Read UI notification cache as JSON (Eric D. Helms)
- Fixes #36536 - Update AutoYaST provisioning templates for SLES 15 SP5 (Marcel Kühlhorn)
- Fixes #36644 - Validate root_url before using it (Evgeni Golov)
- Fixes #36651 - Support Minitest 5.19+ (Evgeni Golov)
- Refs #36537 - Drop description from setting search (Girija Soni)
- Fixes #36587 - rename Host - Applicable Errata report * ...and fix comment typos (Ian Ballou)
- Fixes #36393 - Do not rebuild managed hosts in registration (Leos Stejskal)
- update shoulda-matchers to 5.x (Evgeni Golov)
- Refs #36219 - allow loading HashWithIndifferentAccess from YAML (Evgeni Golov)
- Fixes #36617 - Pin minitest < 5.19 to resolve test failures (Samir Jha)
- Fixes #36471 - Add eslint rule to alert missing ouia-ids (MariaAga)
- Ignore theforeman-eslint-plugin-rules in packaging (Ewoud Kohl van Wijngaarden)
- Fixes #36571 - Remove dividers between navigation items (MariaAga)
- Refs #36219 - remove redundant line (Ron Lavi)
- Fixes #36222 - drop unused puppet rake task (Ron Lavi)
- Fixes #36219 - use YAML.safe_load instead of YAML.load (Ron Lavi)
- Refs #36508 - Remove unused variable from preseed_networking_setup snippet (Nadja Heitmann)
- Fixes #36508 - Fix virtual nic configuration in preseed (Nadja Heitmann)
- Fixes #36583 - Remove power_manager from autoload_paths (Ewoud Kohl van Wijngaarden)
- Refs #36518 - bump fog-vsphere version (Bernhard Suttner)
- Fixes #36518 - show disk/partitions of vsphere host (Bernhard Suttner)
- Fixes #36543 - open navigation items in new tab (MariaAga)
- Fixes #36293 - Use a stricter regex (Et7f3)
- Fixes #36560 - Persist pxe_loader on os_select (Adam Ruzicka)
- Fixes #35432 - Use Rails 6.1 defaults (Oleh Fedorenko)
- Fixes #36550 - Add PermissionDenied to reports tab in host (MariaAga)
- Fixes #36549 - params tab show buttons only with premissions (MariaAga)
- Refs #30344 - review fixes (MariaAga)
- Fixes #30344 - use pf4 navigation (MariaAga)
- Refs #30344 - remove changeActive navigation function (MariaAga)
- Update smart_proxy_dev_setup.asciidoc (nofar)
- Fixes #36519 - Fix python-version on debian12 (Markus Bucher)
- don't audit npm install (Evgeni Golov)
- don't run analyze when building the container (Evgeni Golov)
- add back stories to exclude list for now (Evgeni Golov)
- Fixes #36509 - Fix totalCount handling for GraphQL queries with first parameter (Kamil Szubrycht)
- Refs #36330 - Use merged translations (Adam Ruzicka)
- Fixes #35942 - pass from settings not encrypted (Markus Bucher)
- Fixes #36490 - Remove redundant ERB closing tag in coreos template (wlma)
- Fixes #36439 - remove storybook and update ui docs (MariaAga)
- Fixes #36449 - Make /api/v2 public (Adam Ruzicka)
- Fixes #36189 - Add AlmaLinux UEFI provisioning support (Mike Rochefort)
- Fixes #36475 - Update ansible dev setup guide (nofaralfasi)
- Fixes #36481 - Set the ouiaID of add parameter button (Girija Soni)
- Fixes #30690 - Add last_checkin attribute to Entitlements Template (Ashish Humbe)
- Fixes #36001 - Create new modal for adding personal access tokens (Karolina Malyjurkova)
- Fixes #36470 - Add missing ouia-ids to all pf4 (MariaAga)
- Fixes #36244 - Notify user if he is trying to compare the same host (Ashish Humbe)
- Fixes #36395 - move value setting to seed (Shimon Shtein)
- Fixes #36450 - Respect old/new host details in log/vmrc (Adam Ruzicka)
- Fixes #36239 - Template load_resource - explain :joins, :preload and includes (Leos Stejskal)
- Fixes #36441 - quote ipv6 addresses (Vitaly Pyslar)
- Fixes #36426 - Introduce human-readable host statuses (Jeremy Lenz)
- Fixes #36067 - Drop reports link from the kebab menu in new host details page (Lior Keren)
- Fixes #36161 - Add windows default user data template (Nadja Heitmann)
- Refs #35649 - improve the error handling for Virtualization card (Lucy Fu)
- Bump develop to 3.8.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #36088 - translate the description values on the settings page (nofaralfasi)
- Fixes #36342 - Move JS scripts to the layout's Body (Ron Lavi)
- Fixes #36366 - Monospace font for variables and facts (Girija Soni)
- Fixes #36419 - Generate locale js files as pretty (Adam Ruzicka)
- Fixes #36408 - Remove wrong chars at the end of the file (Bernhard Suttner)
- Refs #36330 - Place assets into plugin dir (Adam Ruzicka)
- Fixes #36330 - Fix plugin translations in frontend (Adam Ruzicka)
- Fixes #36339 - Ansible DEV docs - ansible-runner-env path config (Leos Stejskal)
- Fixes #36394 - Add infra facet search validators (Adam Ruzicka)
- Fixes #36375 - allow apipie-rails 1.x (Evgeni Golov)
- Fixes #36370 - allow all providers in the graphql enum (Evgeni Golov)
- Fixes #36331 - Expose translation registration in plugin DSL (Adam Ruzicka)
- Fixes #36312 - Remove toast for register host validation (Girija Soni)
- Fixes #36058 - Drop the socket facts chart (Girija Soni)
- Fixes #36180 - iPXE provisioning template for Ubuntu autoinstall (damon)
- Fixes #36371 - make provider_friendly_name a String (Evgeni Golov)
- Fixes #36280 - Persist attributes on os_select (Adam Ruzicka)
- i18n - extracting new, pulling from tx (ianballou)
- Fixes #36357 - allow Puma 6.x (Evgeni Golov)
- Fixes #36199 - LoadingPage PF4 refactor (Lior Keren)
- Fixes #36229 - Fix template documentation (Bastian Schmidt)
- Refs #29590 - add debian pkgs to installed packages report (Bernhard Suttner)
- Fixes #36309 - Increase LDAP auth source password length limit (Adam Ruzicka)
- Update smart-proxy config file extension in the setup guide (nofaralfasi)
- Fixes #36097 - protect rendered template (Bernhard Suttner)
- Fixes #36321 - Extract exact value from example strings (Ewoud Kohl van Wijngaarden)
- Refs #36321 - Consistently use N/A (Ewoud Kohl van Wijngaarden)
- Refs #36321 - Use consistent casing in translation strings (Ewoud Kohl van Wijngaarden)
- Fixes #36307 - Remove * for non mandatory fields (Girija Soni)
- Fixes #36017 - Remove spacing for array type settings (Girija Soni)
- Fixes #36292 - show placeholder in host details card values (MariaAga)
- Fixes #36305 - Pin sass version to 1.60.z to avoid node 14 dependency (Samir Jha)
- Fixes #36228 - add installable option to errata reports (Ian Ballou)
- Fixes #36263 - hosts names are hidden in small screens (MariaAga)
- Fixes #36265 - Make redirect when editing host tad more reliable (Adam Ruzicka)
- Fixes #36262 - allow newer prometheus-client gem (Evgeni Golov)
- remove warning that prometheus does not support multithreading (Evgeni Golov)
- Fixes #35068 - Expired build token should return 401 instead of 412 (Leos Stejskal)
- Fixes #36232 - Allow to pass custom error handler for submitForm (Oleh Fedorenko)
- Fixes #36225 - fix Host Details path in config report (vijaysawant)
- Fixes #36190 - add issued date to applied report template (Nagoor Shaik)
- Fixes #36177 - install additional-packages (Bernhard Suttner)
- Fixes #36192 - Adding a Tooltip to EditorSettings (Lior Keren)
- Fixes #36153 - host_puppet_environment ignores host param (Leos Stejskal)
- Fixes #36050 - DiffRadioButtons PF4 Refactor (Lior Keren)
- Fixes #36129 - Force ellipsis on all columns (Oleh Fedorenko)
- Fixes #36018 - Added ellipsis for URL overflow in HTTP Proxy (girijaasoni)
- Fixes #35846 - allow Host searching by PXE loader (Marek Hulan)
- Fixes #35949 - move select_multiple_puppet_proxy to the puppet plugin (Ron Lavi)
- Fixes #36139 - Respect old/new host details in spice/vnc (Adam Ruzicka)
- Fixes #36135 - Correct host links in dashboard (Adam Ruzicka)
- do not explicitly enable the ruby module in packit (Evgeni Golov)
- Fixes #35837 - Allow non admin users update table preferences (pkoprda)
- Bump develop to 3.7.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #35762 - No host error after editing host's interfaces (Karolina Malyjurkova)
- Fixes #35701 - Export button should use selectable columns (pkoprda)
- Fixes #36131 - Remove puppet params for non-integrated (Ewoud Kohl van Wijngaarden)
- Refs #34975 - fix kickstart_kernel_options.erb escaping (Johann Grabmann)
- i18n - extracting new (Ewoud Kohl van Wijngaarden)
- Fixes #35990 - fix search fact_values via API (nofaralfasi)
- add packit config (Evgeni Golov)
- Fixes #36111 - do not focus search when typing in textarea (MariaAga)
- Fixes #36071 - Registration - Unregister host before CA change (Stejskal Leos)
- Fixes #36107 - Suppress warnings from accessing undefined settings (Adam Ruzicka)
- Refs #35436 - Add ouiaId to card templates (Lucy Fu)
- Fixes #36000 - use static ID attr in host details (Ron Lavi)
- Fixes #35978 - Update pf to 2022.16+ release (MariaAga)
- Fixes #35969 - Add custom kickstart boot options (Pat Riehecky)
- Fixes #35837 - Hide column selector on empty host index page (pkoprda)
- Fixes #36019 - Pass URL params to foreman_url as hash (Leos Stejskal)
- Refs #35649 - Fix the issue with volume capacity for libvirt (Lucy Fu)
- Fixes #36014 - Kickstart default - remove @core group (Leos Stejskal)
- Refs #35593 - call dnf upgrade to keep the container uptodate (Evgeni Golov)
- no need to generate apipie cache in the container anymore (Evgeni Golov)
- Fixes #35977 - html_escape host-comment in index (Markus Bucher)
- Fixes #35893 - Pin to audited 5.x (Ewoud Kohl van Wijngaarden)
- Fixes #35896 - Improvement to getControllerSearchProps (Lucy Fu)
- Refs #35890 - revert enable harmony mode with Uglifier to use ES6 syntax (Ron Lavi)
- Fixes #35641 - Add FOREMAN_PUMA_WORKER_TIMEOUT (Joniel Pasqualetto)
- Fixes #35890 - enable harmony mode with Uglifier to use ES6 syntax (nofaralfasi)
- Fixes #35840 - Install chrony on RHEL 7 (Leos Stejskal)
- Fixes #35956 - Close popovers on tab change (Adam Ruzicka)
- Fixes #35957 - Close template popovers on tab change (Adam Ruzicka)
- Fixes #35946 - windows pass-crypt modifies input (Markus Bucher)
- Fixes #35845 - Searching hosts should be possible by all reported data (Marek Hulan)
- Fixes #35912 - template autocomplete has incorrect props (MariaAga)
- Fixes #29939 - drop category column from settings (Ondrej Ezr)
- Fixes #35908 - Remove hidden boundaries for power column (Oleh Fedorenko)
- Fixes #35900 - Update Kickstart default for Katello (Oleh Fedorenko)
- Fixes #35903 - Support extracting logs from journald (Adam Ruzicka)
- Fixes #35866 - Make RSS notification expire after 1 month (Adam Ruzicka)
- Fixes #35843 - add alias for configuration_status searching (Marek Hulan)
- #35909 - Windows default iPXE httpboot template (Usman Sunyaev)
- Provide more information about host sub-statuses (Marek Hulán)
- Fixes #35902 - Correct env variable FOREMAN_RAILS_CACHE_STORE_URLS in docker-compose.yml (Jannis Warnat)
- Fixes #35649 - Add Details tab - Virtualization card (Lucy Fu)
- Fixes #35898 - Correct syntax for multiple queues (Adam Ruzicka)
- Fixes #35593 - Use CentOS 8 Stream for container (Ewoud Kohl van Wijngaarden)
- Fixes #35894 - Properly detect setting changes (Adam Ruzicka)
- Refs #34305 - Fix load_values test (Adam Ruzicka)
- Fixes #35797 - libvirt nil network comparison (Ben Magistro)
- Fixes #35876 - Add tag_type parameter to replace_value_control (nofar)
- Fixes #35823 - Boot time should show up empty instead of N/A (pkoprda)
- Fixes #35726 - adding callback_enabled option to job templates for foreman_ansible (nofaralfasi)
- Refs #35893 - Pin to audited 5.0.x (Ewoud Kohl van Wijngaarden)
- Refs #35578: preseed_netplan_generic_interface with DHCP interface (Dan R. K. Ports)
- Refs #35785 - Use BIOS in upppercase (Ewoud Kohl van Wijngaarden)
- Fixes #35660 - Update report templates for multi CV (Jeremy Lenz)
- Fixes #35862 - Update fog-vsphere version in Foreman (Chris Roberts)
- Fixes #35868 - Stop using Katello unconditionally (Alexander Olofsson)
- Fixes #35871 - purge trends only when statistics not installed (Ondrej Ezr)
- Fixes #35719 - Preseed Autoinstall auto updates (Bastian Schmidt)
- Fixes #35865 - Update future Debian release names and versions (Evgeni Golov)
- Fixes #35819 - Details tab cards have horizontal scroll (MariaAga)
- Fixes #35781 - Drop old Ruby < 2.5 compatibility code (Ewoud Kohl van Wijngaarden)
- Fixes #35326 - Rename hostname/fqdn ENC vars to avoid conflicts (Paul Donohue)
- Refs #32685 - Keep modulized model name in Global ID (Kamil Szubrycht)
- Fixes #35839 - Move Details tab out of experimental labs (MariaAga)
- Fixes #35836 - Drop "BIOS" UUID field (Ewoud Kohl van Wijngaarden)
- Refs #35361 - Add development docs (Shim Shtein)
- Fixes #35820 - Selectable columns should have shorter headers (pkoprda)
- Fixes #35648 - Fixes API documentation typo (Elkin Aguas)
- Fixes #35645 - install and use sub-man for SLES OS during host-reg (Bernhard Suttner)
- Fixes #35550 - change autocomplete to be pf4 (MariaAga)
- Fixes #35286 - New PXEGrub2 template for Ubuntu Autoinstall (Marcel Kuehlhorn)
- Fixes #35816 - ISE when passing org_id as an array (Samir Jha)
- Refs #35796 - Reduce empty lines (Ewoud Kohl van Wijngaarden)
- Fixes #35796 - Allow overriding default kernel parameters (#9525) (tux93)
- Fixes #35674 - Add more custom pre/post snippet hooks (Bernhard Suttner)
- Fixes #35670 - pkg_manager.erb - support AmazonLinux 2 & 2022 (William Dixon)
- Fixes #35744 - Date components are not translated (MariaAga)
- Fixes #35630 - remove translated string in layout html (MariaAga)
- Fixes #35802 - Use per_page=all in the UI (Ewoud Kohl van Wijngaarden)
- Fixes #35255 - Add Parameters tab to host details page (#9368) (Maria)
- Fixes #35462 - Depend on the rss gem (#9440) (Ewoud Kohl van Wijngaarden)
- Fixes #35764 - Add last report to host details (#9512) (Maria)
- Refs #35530 - Dont use shellescape on the filename (Sayan Das)
- Fixes #32521 - Compute resource console button reflects availability (Ewoud Kohl van Wijngaarden)
- Fixes #35786 - Move fields between categories (pkoprda)
- Fixes #35785 - Add bios fields to reported data (pkoprda)
- Fixes #35757 - Same columns should have the same status (pkoprda)
- i18n - extracting new, pulling from tx (Ewoud Kohl van Wijngaarden)
- Refs #35578 - Fix netplan interface template syntax (#9515) (Ewoud Kohl van Wijngaarden)
- Fixes #35642 - update the message in the new UI to display the host's creator (nofaralfasi)
- Fixes #35733 - Add network category to selectable columns (pkoprda)
- Fixes #35758 - Allow latest Rails 6.1 (Eric D. Helms)
- Fixes #35745 - Add Virtual guests to System properties card (Lucy Fu)
- Fixes #35751 - Hide Manage columns text in small screens (MariaAga)
- Fixes #34219 - Add page title to Host Detail (Karolina Malyjurkova)
- Fixes #35673 - Do not allow create empty table preference (pkoprda)
- Fixes #35724 - Add page title to Host Statuses (Karolina Malyjurkova)
- Bump develop to 3.5.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #35623 - Add reported data profile for hosts index page (Oleh Fedorenko)
- Fixes #35605 - host details tab can be too tall (#9495) (Ian Ballou)
- Fixes #35656 - host details Networking interfaces card (#9475) (Maria)
- Fixes #35667 - Add Details tab - BIOS card (Karolina Malyjurkova)
- Fixes #35088 - Remove GCE Compute resource code (Leos Stejskal)
- Fixes #35397 - Preseed Autoinstall incorporate host_params (Marcel Kühlhorn)
- i18n - extracting new, pulling from tx (Ewoud Kohl van Wijngaarden)
- Fixes #35717 - use caller_locations in deprecation warnings (Evgeni Golov)
- Fixes #35708 - Avoid multiple %s placeholders in i18n (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Avoid multiple %s placeholders in i18n (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Avoid multiple %s placeholders in i18n (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Avoid string interpolation with translations (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Avoid string interpolation with translations (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Avoid string interpolation with translations (Ewoud Kohl van Wijngaarden)
- Refs #35708 - Fix bad string interpolation example (Ewoud Kohl van Wijngaarden)
- Fixes #35696 - add bios info to reported data facet (MariaAga)
- Fixes #35702 - Move Card Context to apply all host tabs (#9494) (Maria)
- Fixes #35621 - Make power status a selectable column (Oleh Fedorenko)
- Fixes #29590 - Katello report template for listing host packages (#9487) (Ian Ballou)
- Refs #35414 - Log an early message on dynflow startup (Ewoud Kohl van Wijngaarden)
- Refs #35300 - Pass arguments as keyword arguments (Ewoud Kohl van Wijngaarden)
- Fixes #35583 - Skip dhclient installation (Bernhard Suttner)
- Fixes #35626 - Registration & proxy's registration_url (Stejskal Leos)
- Fixes #34786 - Remove deprecated slot 'details-cards' (#9489) (Maria)
- Fixes #35694 - Add foreman product version macro (Adam Ruzicka)
- Fixes #35473 - Add extlogin API endpoint (Oleh Fedorenko)
- Fixes #35287 - Create column selector on host index page (#9323) (Peter Koprda)
- Refs #35414 - Add sd_notify dependency to service (Ewoud Kohl van Wijngaarden)
- Fixes #35376 - Allow additional entries in config.hosts Co-authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> (Jeremy Lenz)
- Fixes #35647 - Update foreman_dev_setup.asciidoc (kmalyjur)
- Fixes #35634 - searchbar crashes when no permissions (MariaAga)
- Fixes #35665 - Host Details add a provisioning card (#9480) (Maria)
- Fixes #35536 - Template input_resource macro & preview error (#9428) (Leos Stejskal)
- Fixes #35663 - relax jwt pin to accept newer versions than 2.2.z (Evgeni Golov)
- Refs #35581 - setting a generic pg version (nofar)
- Fixes #35658 - don't fail parsing Windows facts without os_name (Evgeni Golov)
- Fixes #35650 - write correct form of deb repo (Bernhard Suttner)
- Fixes #35528 - Remove i386 from host architectures (#9424) (Leos Stejskal)
- Fixes #35636 - Display host name in delete modal (Karolina Malyjurkova)
- Fixes #35622 - Add kernel release to new host UI OS card (#9461) (Chris Roberts)
- fixes #35578: Netplan fixes for different static cases (Anthony Somerset)
- Fixes #35619 - Add kernel_version to reported data facet for new host UI (Chris Roberts)
- refs #35069 - ApplicationRecord.<=> undefined method 'name' (Leos Stejskal)
- Refs #32685 - Use actual model (Oleh Fedorenko)
- Fixes #35176 - add review templates to host details (#9434) (Maria)
- Fixes #35569 - set correct icons (Bernhard Suttner)
- update readme to point at discourse, not old google groups (Evgeni Golov)
- Fixes #35581 - dev_setup clearing up instructions (Lior Keren)
- Fixes #35587 - Updating Contributing file with a few links (Lior Keren)
- Fixes #35547 - Include REX pull in kickstart default (#9430) (Adam Růžička)
- Refs #35530 - Alternative approach to save_to_file (Adam Ruzicka)
- Refs #35436 - Add ouiaId to Edit button on new host detail page (Lucy Fu)
- Refs #34949 - Do not set taxonomies during extlogin (Adam Ruzicka)
- Refs #35300 - Pass options as keyword arguments (#9441) (Ewoud Kohl van Wijngaarden)
- Fixes #35497 - New host UI - Link to host group (Leos Stejskal)
- Fixes #35387 - Host details templates card (#9359) (Maria)
- Fixes #32685 - update graphql to 1.13.x (Evgeni Golov)
- Fixes #35561 - Allow delaying yggdrasil restart (#9435) (Adam Růžička)
- Fixes #35131 - Change icon of disabled user (Dyrkon)
- Fixes #35558 - Fix current lint warnings (#9433) (Maria)
- Fixes #35530 - Make save_to_file macro safer (#9426) (Adam Růžička)
- Fixes #35448 - Update roadie-rails to 3.x (Ewoud Kohl van Wijngaarden)
- Refs #35414 - Fix sd_notify for multiple orchestrators (Adam Ruzicka)
- Fixes #35414 - Drop sd_notify usage (Adam Ruzicka)
- Fixes #35414 - Bump Sidekiq to 6.3.z (Adam Ruzicka)
- Fixes #34997 - Fix expand/collapse all behavior in Details tab (#9416) (Jeremy Lenz)
- Fixes #35450 - Update rack-cors to 1.1.x (Ewoud Kohl van Wijngaarden)
- Fixes #35449 - Update sshkey to 2.x (Ewoud Kohl van Wijngaarden)
- Fixes #35347 - purge old trends and foreman_docker references during upgrade (#9343) (Ian Ballou)
- Fixes #35466 - Correct repo location of puppet-release files (Matt Darcy)
- Fixes #34764 - refactor filters page (#9186) (Maria)
- Fixes #34949 - Do not set taxonomies during extlogin (Adam Ruzicka)
- Fixes #35285: New Discovery kexec template for Ubuntu Autoinstall (#9322) (tux93)
- Fixes #35240 - Add support for static IP to AutoYaST PXELinux (#9311) (tux93)
- Fixes #35519 - fix the iPXE default template description (#9421) (Marek Hulán)
- Fixes #35206 - more accurate messaging when host statuses are cleared (Jeremy Lenz)
- Fixes #25507 - Add a help bubble with an explanation and link to a manual (#9405) (Matěj Mudra)
- Fixes #35485 - concurrent safe create OS when parsing facts (#9403) (Pavel Moravec)
- refs #35331 - Anaconda rhsm RHEL 9 params fix (Leos Stejskal)
- Fixes #35416 - adding a disabled option to links in the dropdown menus (nofaralfasi)
- Fixes #35331 - Use Anaconda rhsm in kickstart for RHEL 9 (Leos Stejskal)
- Fixes #35391 - Dev docs - Smart Proxy, REX & Ansible (Leos Stejskal)
- Fixes #35417 - adding testing instructions to the development setup guide. (#9369) (nofar)
- Fixes #35055 - Add permission to action_permission for bootfiles (#9397) (Matěj Mudra)
- Fixes #35488 - Fix snapshots:generate task (Leos Stejskal)
- fixes #31593 - included puppet7 param in kickstart_default header (Matt Darcy)
- Fixes #35300 - Pass keyword arguments correctly (#9332) (Ewoud Kohl van Wijngaarden)
- Fixes #35424 - host details audits change from list to table (MariaAga)
- Fixes #35180 - Remove default network identifier (Bastian Schmidt)
- Fixes #35137 - Permit setting puppet tag during install (Pat Riehecky)
- Fixes #35177 - Option to switch to graphical kickstart (Pat Riehecky)
- Fixes #35491 - host details statuses clear button disabled (#9409) (Maria)
- Fixes #35480 - Host provisioning & OS without family (Leos Stejskal)
- Fixes #35439 - Add ouia-id to ConfirmModal (MariaAga)
- Fixes #35490 - Registration - Changing proxy cause an error (Leos Stejskal)
- Fixes #35475 - add masonryLayout to os card (#9400) (Maria)
- Fixes #35152 - Add clone media option (#9350) (Matěj Mudra)
- Fixes #35472 - Try restarting yggdrasild before enabling it (Adam Ruzicka)
- Fixes #35436 - Add ouiaId prop to all supported components in host details (Lucy Fu)
- Fixes #31966 - Add warning for foreman-rake permissions:reset task (#9395) (Matěj Mudra)
- Fixes #35166 - Enable static IP for Ubuntu Autoinstall (Jonas Trüstedt)
- Fixes #35203 - bulk rebuild host if token expired (#9316) (Bernhard Suttner)
- Fixes #29539 - Unbundle websockify (Ewoud Kohl van Wijngaarden)
- Fixes #35305 - make host details labels clickable (#9393) (Maria)
- Fixes #35447 - Update apipie-rails to 0.8.x (Ewoud Kohl van Wijngaarden)
- Fixes #35319 - host card remove isSelectable/isHoverable (#9344) (Maria)
- Fixes #35438 - Unescape cluster on compute resource controller (Chris Roberts)
- Fixes #35403 - disable public_file_server in production (Evgeni Golov)
- Fixes #35345 - Host details Operating system card (#9341) (Maria)
- Refs #35428 - Simplify i18n.fallbacks handling (Ewoud Kohl van Wijngaarden)
- Fixes #35428 - Update rails-i18n to version 7 (Ewoud Kohl van Wijngaarden)
- Fixes #35430 - Update as_deprecations_tracker for Ruby 3 (Ewoud Kohl van Wijngaarden)
- Fixes #35361 - Add hidden columns back for compatibility (Shim Shtein)
- Fixes #35361 - Make columns on host index page selectable (Oleh Fedorenko)
- Fixes #35429 - Update oauth to version 1.x (Ewoud Kohl van Wijngaarden)
- Fixes #35427 - Update scoped_search to at least 4.1.10 (Ewoud Kohl van Wijngaarden)
- Refs #35420 - Remove unused settings.yaml.dist file (Ewoud Kohl van Wijngaarden)
- Fixes #35423 - Update ancestry to version 4 (Ewoud Kohl van Wijngaarden)
- Fixes #35422 - Update audited to version 5 (Ewoud Kohl van Wijngaarden)
- Fixes #35420 - Drop boot_settings.rb for early settings (Ewoud Kohl van Wijngaarden)
- Fixes #35421 - Pin will_paginate to at least 3.3.0 (Ewoud Kohl van Wijngaarden)
- Fixes #35419 - Remove empty webpack_assets.rb file (#9370) (Ewoud Kohl van Wijngaarden)
- Fixes #35264 - Unpin net-ssh dependency (Ewoud Kohl van Wijngaarden)
- fixes #35377 - allow upper case letter in device identifiers (snemeth)
- Fixes #35194 - add option for reboot --kexec to kickstart (Pat Riehecky)
- Fixes #35207 - dual stack fallback (Pat Riehecky)
- Fixes #35294 - Switch to masonry card layout for Details tab (Jeremy Lenz)
- Refs #35359 - cleaner add_ca_bundle_to_store (Partha Aji)
- Fixes #35359 - Add cacert to http proxy (#9348) (Partha Aji)
- Fixes #35371 - Update show_me_the_cookies to 6.x (Ewoud Kohl van Wijngaarden)
- Fixes #35346 - change only the corresponding network (#9342) (Bernhard Suttner)
- Update develop to 3.5.0-develop (Amit Upadhye)
- Fixes #35151 - Add CentOS Stream 9 installation medium (#9346) (Matěj Mudra)
- Refs #35274 - Revert "Make columns on host index page selectable (#9319)" (Shim Shtein)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #35279 - Add SLES support for host registration (#9320) (Bernhard Suttner)
- Fixes #33565 - speed-up kickstart on air gapped infra (#8795) (pandrieux)
- Fixes #35239 - Update AutoYaST SLES default provisioning template for 15 SP4 (#9309) (tux93)
- Refs #35160 - Add explanation about plugin installation (Ron Lavi)
- Fixes #35306 - host_puppet_* template macros ignores host_param (#9334) (Leos Stejskal)
- Fixes #35288 - add pry debugging to the development setup guide (nofaralfasi)
- Fixes #35274 - Make columns on host index page selectable (#9319) (Oleh Fedorenko)
- Fixes #35280 - Install katello-host-tools / -tracer during host registration (#9321) (Bernhard Suttner)
- Fixes #30659 - Allow friendly_id 5.4 again (Ewoud Kohl van Wijngaarden)
- Fixes #35298 - Pass trim_mode as a keyword argument (Ewoud Kohl van Wijngaarden)
- Fixes #35299 - Remove redundant mocha inclusion (Ewoud Kohl van Wijngaarden)
- Fixes #35301 - minitest 5 deprecation fixes (Ewoud Kohl van Wijngaarden)
- Fixes #35132 - Make audits host detection regex more strict (Shim Shtein)
- Fixes #35293 - unambigous call (Ondrej Ezr)
- Fixes #35289 - Add cali* interfaces to ignore list (Shim Shtein)
- Fixes #35127 - migrate discovery and bootdisk templates to Foreman (#9314) (nofar)
- Fixes #35135 - GPG key import should use https (Pat Riehecky)
- Fixes #4007 - updating users email to be optional (#9279) (nofar)
- Fixes #35167 - move hostgroups dropdown actions to extendable helper (#9297) (nofar)
- Fixes #35187 - puppet params for non-integrated (Pat Riehecky)
- Fixes #35244 - Pin Faraday to 1.x (Ewoud Kohl van Wijngaarden)
- Fixes #35212 - Add options for table preferences API (pheeeter)
- Refs #34526 - Drop Rails 6.0 support code (Ewoud Kohl van Wijngaarden)
- Fixes #35210 - Allow symbols and hashes in YAML columns (Oleh Fedorenko)
- Fixes #34975 - Removed ks=. is supplied by kernel options snippet (#9238) (Garret Rumohr)
- Fixes #35182 - Add Rocky Linux UEFI provisioning support (Ewoud Kohl van Wijngaarden)
- Fixes #35173 - Better distinguish autocompletion for index pages (Oleh Fedorenko)
- Fixes #35196 - Use assert_equal to match rendered templates (Ewoud Kohl van Wijngaarden)
- Fixes #35174 - Expose Foreman short version as a macro (Adam Ruzicka)
- Fixes #35179 - Use Ruby 2.7 for Rubocop action (Ewoud Kohl van Wijngaarden)
- Fixes #34941 - Enable Ubuntu Autoinstall smart proxy deployment (Bastian Schmidt)
- Fixes #32925 - added validation for root_pass on provisioning settings (nofaralfasi)
- Fixes #35035 - set VNC password length to 8 chars. (Robert Frank)
- Fixes #34961 - Move expansion carat to right side for Details tab cards (Lucy Fu)
- Fixes #35126 - Hide reports "Origin" column when table is already filtered by origin (Ron Lavi)
- Fixes #35160 - adding a development installation guide for Foreman (nofaralfasi)
- Fixes #35146 - Lock rack-test < 2.0.0 (#9288) (Oleh Fedorenko)
- Fixes #35072 - Save search props into store (Oleh Fedorenko)
- Fixes #35066 - Puppet enablement flags are inconsistent (#9263) (Pat Riehecky)
- Fixes #35015 - Use http proxy when pulling RSS (Adam Ruzicka)
- Fixes #34996 - Ignore http proxies when talking to smart proxies (Adam Ruzicka)
- Fixes #35014 - Rework Net::HTTP extension (Adam Ruzicka)
- Fixes #35014 - Fix injection of global HTTP proxy into net/http (Adam Ruzicka)
- Fixes #32612 - Add some extra metadata to the default kickstart (Pat Riehecky)
- Fixes #35083 - add power status timeout param (Ron Lavi)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #35098 - add Georgian(ka), Polish(pl) and Catalan(ca) langauges (Amit Upadhye)
- Fixes #35069 - ApplicationRecord.<=> undefined method 'name' (Leos Stejskal)
- Fixes #32881 - Expose previous application record revision through safemode (#9258) (Oleh Fedorenko)
- Fixes #34901 - System properties card updates (Lucy Fu)
- Bump actions/setup-node from 1 to 3 (dependabot[bot])
- Bump actions/checkout from 2 to 3 (dependabot[bot])
- chore: Included githubactions in the dependabot config (naveen)
- Split npm dependency resolution from module installation in React tests (Eric D. Helms)
- Fixes #35047 - improve copy to clipboard react component (Bernhard Suttner)
- Fixes #34971 - fix the validators label help (Marek Hulan)
- Refs #35001 - fix recent communication card weight (Jeremy Lenz)
- Fixes #34969 - Set up REX pull on client setup (#9235) (Adam Růžička)
- Fixes #34791 - remove pf3 bookmarks (MariaAga)
- chore: Set permissions for GitHub actions (naveen)
- Fixes #34998 - long breadcrumb switcher is out of view (MariaAga)
- Support != and ~ search on os_minor and ~ on os_major (#9243) (Adam Růžička)
- Fixes #35001 - adjust card weights (Jeremy Lenz)
- Fixes #35017 - Add Tracer installation status to System properties card. (#9252) (Lucy Fu)
- filter-package-json: add cli options for files (Evgeni Golov)
- Fixes #34948 - drop missing owner notification (nofaralfasi)
- Fixes #34981 - Add 'Recent communication' card to overview (Jeremy Lenz)
- Fixes #34987 - Force 1 call on first load for TableIndexPage (Oleh Fedorenko)
- Fixes #35013 - config rake uses Setting DSL (Ondrej Ezr)
- preseed_default_finish: fix typo (Kenyon Ralph)
- Fixes #34887 - userdata controller should be able to look up host by MAC address (Tilman Kranz)
- Fixes #28810 - changes to Any organization & Any location taxonomy's names (nofaralfasi)
- Fixes #34942 - Adapt installation media search path for Ubuntu 20.04.3+ (Bastian Schmidt)
- Fixes #9770 - add functionality to create hosts from hostgroups (nofaralfasi)
- Fixes #32476 - 'No matches found' text is untranslated (MariaAga)
- Fixes #34881 - Clean up MountingService (MariaAga)
- Fixes #34978: Do not use Apipie DSL cache (Eric D. Helms)
- Refs #34305 - forgotten category for new settings (Ondrej Ezr)
- Refs #32686 - relax fog-core pin, we support newer fog-google now (Evgeni Golov)
- Fixes #34994 - require ApplicationRecord early for migrations (Evgeni Golov)
- Fixes #34700 - autoinstall template enable root user (Bastian Schmidt)
- Fixes #34305 - stop creating settings in DB (#9050) (Ondřej Ezr)
- Fixes #34908 - Set hostname for Ubuntu Autoinstall (Bastian Schmidt)
- Fixes #34718 - Ubuntu netplan use ens160 as default interface name (Bastian Schmidt)
- Refs #34526 - Update Rails to 6.1.6 (Evgeni Golov)
- Fixes #26853 - update screenshots in readme file (nofaralfasi)
- Fixes #34526 - Switch Rails version to 6.1 (Leos Stejskal)
- Fixes #32686 - use fog-google 1.14+, compatible with Ruby 3.0 (Evgeni Golov)
- Fixes #34939: Use rabl 0.15.0 or greater (Eric D. Helms)
- Fixes #34921 - Fix SettingValueException error message (Jeremy Lenz)
- Fixes #34938 - don't re-evaluate input() values on each host (Evgeni Golov)
- Refs #33672 - remove unnecessary timestamps from taxable_taxonomies table (nofar)
- Fixes #34396 - job report tweaks (Marek Hulan)
- Fixes #34702 - use warning instead of halt for SCSI issues (Lukas Zapletal)
- Fixes #33672 - drop unnecessary timestamps (nofaralfasi)
- Fixes #34913 - Take plugins into consideration when checking pending migrations (Adam Růžička)
- Update package.json to 3.4.0 (Amit Upadhye)
- Bump develop to 3.4.0-develop (Amit Upadhye)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #34838 - Add errors when setting values are invalid (#9203) (Jeremy Lenz)
- Fixes #32991 - PageLayout to use PF4 components (MariaAga)
- Fixes #34866 - Settings - Like operator for name (Leos Stejskal)
- Fixes #34830 - Construct hostname for redirect each time (Oleh Fedorenko)
- Refs #34602 - drop restart_required_changed_plugins file on boot (Evgeni Golov)
- Fixes #34841 - remove share your feedback link in new host page (Ron Lavi)
- Fixes #34782 - Add reports tab in host page (#9190) (Ron Lavi)
- Fixes #34843 - load SSL key using OpenSSL::PKey.read (Evgeni Golov)
- Fixes #34857 - show error when using node 16+ (MariaAga)
- Fixes #34831 - change host status icon to green (#9202) (Jeremy Lenz)
- Fixes #34515, #34516 - Add host owner and comment on host list page (#9182) (Peter Koprda)
- Fixes #34809 - provide a description for the checkin report (#9199) (Marek Hulán)
- Fixes #34815 - Fix slots in system properties card (Jeremy Lenz)
- Fixes #34798 - New host detail page sentence case fixes (Jeremy Lenz)
- Fixes #34802 - Pin tabbable version (Samir Jha)
- Fixes #34643 - Do not use Apipie cache (Eric D. Helms)
- Fixes #33010 - Add Details tab to host details page (#9189) (Jeremy Lenz)
- Fixes #34776 - removes the doubled description key (Marek Hulan)
- Fixes #34710 - Use foreman request address (Bernhard Suttner)
- Fixes #34712 - Add enabled repositories report (Ian Ballou)
- Fixes #34748 - Taxonomies api to accept per_page all (MariaAga)
- Fixes #34755 - Fix text/icon alignment on host status card (Jeremy Lenz)
- Fixes #34747 - override_param should consider direction (Ron Lavi)
- Fixes #34744 - Remove reports deprecation warning (Ron Lavi)
- Refs #31147 - fix seed:reports example (Ron Lavi)
- Fixes #34713 - Remove pf3 OverlayTrigger (MariaAga)
- Fixes #34690 - rake printing auditable attributes (Ondřej Ezr)
- Fixes #34745 - Error on API actions if no key is passed (#9179) (Jeremy Lenz)
- Fixes #34714 - Refactor handling of External IPAM response (Christopher Smith)
- Fixes #33236 - optimize useAPI hook (Amir Fefer)
- Fixes #34646 - move initialization into initializer (#9155) (Ondřej Ezr)
- Refs #34495 - Katello erros from Breadcrumb switcher (MariaAga)
- Remove duplicate puma gem declaration (Ewoud Kohl van Wijngaarden)
- Fixes #34307: Support unattended partitionning using crypto under Debian (Romuald Conty)
- Fixes #34603 - deprecate non-DSL setting definitions (Ondřej Ezr)
- Fixes #34689 - bootfile should be useable in Jail (Bernhard Suttner)
- Fixes #34673 - properly note what identifier is passed in props (Ondřej Ezr)
- Fixes #34658 - Harmonize preseed templates (Bernhard Suttner)
- Fixes #32572 - PBKDF2 password hashing support (Lukas Zapletal)
- Fixes #34542 - Add ouiaId for easier testing (Ron Lavi)
- Fixes #34614 - Provide JS helpers for dealing with global IDs (Adam Ruzicka)
- Fixes #34526 - rescue_from JSON params parse errors (Leos Stejskal)
- Fixes #34649 - Upgrade Rails to 6.0.4.7 (Eric D. Helms)
- Fixes #34662 - Breadcrumb switcher use V for selected (MariaAga)
- Fixes #34661 - Registration migration with nil template (Leos Stejskal)
- Fixes #34569 - postpone LookupValue#match validations (Ondřej Ezr)
- Fixes #34546 - Bookmarks should update the searchbar (MariaAga)
- Fixes #31965 - make bmc_credentials_accessible disabled by default (Lukas Zapletal)
- Fixes #34610 - Entitlement report double counts consumed subs (#9151) (Ian Ballou)
- Fixes #34634 - fix order description syntax (Ondřej Ezr)
- Fixes #34391 - use facets to expose reported data in API (Ondřej Ezr)
- Refs #34360 - allow host deleting with host_reports plugin (Lukas Zapletal)
- Refs #34558 - update snapshots (Ondřej Ezr)
- Fixes #34558 - Trigger Ansible provisioning callback from Preseed Finish (Daniel Henninger)
- Fixes #34570 - pass kwarks args properly (Ondřej Ezr)
- Fixes #34572 - fix invalid redirect after host edit (Amir Fefer)
- Fixes #30861 - keep setting collections in registry (Ondřej Ezr)
- Fixes #34557 - improve association resolver (Ondřej Ezr)
- Fixes #34565 - fix installation media for Ubuntu versions with autoinstall (20.04.3+) (Bastian Schmidt)
- Refs #34511 - align pf4 design to breadcrumbs (Amir Fefer)
- Fixes #34596 - sanitize default template names (Ondřej Ezr)
- Fixes #33782 - do not use fixtures for Settings (Ondřej Ezr)
- Fixes #32035 - Add DSL autocompletion in templates (Oleh Fedorenko)
- Fixes #34481 - Update foreman-js to 10.1.0 (Oleh Fedorenko)
- Fixes #34495 - Breadcrumb switcher doesn't work with katello (MariaAga)
- Fixes #34228 - close bookmarks after selecting a bookmark (MariaAga)
- Refs #33937 - improve setting usage (Ondřej Ezr)
- Fixes #33937 - Use local boot template setting (Ben Magistro)
- Fixes #10413 - Drop unattended mode deprecation (Tomer Brisker)
- Refs #10413 - Drop unattended mode checks from views (Tomer Brisker)
- Refs #10413 - Drop unattended mode check in controllers (Tomer Brisker)
- Refs #10413 - Drop unattended mode checks from menu (Tomer Brisker)
- Refs #10413 - Drop unattended mode checks in helpers (Tomer Brisker)
- Refs #10413 - Drop unattended mode checks from models (Tomer Brisker)
- Refs #10413 - Drop unattended mode check in app init (Tomer Brisker)
- Refs #10413 - Remove unattended mode check in routes (Tomer Brisker)
- Refs #10413 - Remove unattended: false from tests (Tomer Brisker)
- Refs #10413 - Force :unattended: true (Tomer Brisker)
- Refs #34580 - fix unrelated tests snapshots (Ron Lavi)
- Fixes #34580 - Remove pagination deprecations (Ron Lavi)
- Refs #34442 - Allow Katello to hide tabs on new host detail page (Jeremy Lenz)
- Fixes #34579 - fix the redirect after canceling host's form (Amir Fefer)
- Fixes #34573 - encrypt DSL setting values (Ondřej Ezr)
- Fixes #34553 - Use systemd for Ansible callback under newer Debian family OSes (Daniel Henninger)
- Refs #34323 - explicit value for Rails 6.1 (Ondřej Ezr)
- Fixes #34571 - Add Safemode Jail for ActiveSupport::TimeWithZone (Jason)
- Refs #33671 - print apipie warnings on stderr (Evgeni Golov)
- Fixes #34525 - Call insights snippet by honoring host_registration_insights param during system build (Sayan Das)
- Fixes #34339 - sanitize fqdn in tests (Ondřej Ezr)
- Fixes #34513 - Undefined method 'format_errors' when db:seed fail (Leos Stejskal)
- fixes #34388 - Add support for configuring puppet in UI, but skipping setup during preseed/kickstart. (Daniel Henninger)
- Fixes #34498 - added RHEL9 and CentOS9 Guest OSes (Nagoor Shaik)
- Fixes #33660 - ignore dynflow tables for dump (Lukas Zapletal)
- Fixes #34240 - do not read undefined setting (Ondřej Ezr)
- Refs #34489 - update snapshot tests for Yast PXE (Lukas Zapletal)
- Fixes #33938 - Implement driverdisk --source=url (Erik Berg)
- Fixes #33930 - templates: set vgname based on dev (Erik Berg)
- Fixes #34328 - GraphQL use directly SettingRegistry (Ondřej Ezr)
- Fixes #34544 - Update pagelet documentation for developers (Nadja Heitmann)
- Fixes #34543 - Add mountpoints for hosts list (Nadja Heitmann)
- Fixes #34532 - disable EFI local chainloading by default (Lukas Zapletal)
- Fixes #32632 - initial verison of Ubuntu autoinstall templates (Lukas Zapletal)
- Fixes #34506 - infer correct permisson name in authorized_for (Ondřej Ezr)
- Fixes #34346 - support Openstack URI with paths (Marek Hulan)
- Fixes #34311 - Update AutoYaST SLES default for 15 SP3 (Marcel Kühlhorn)
- Fixes #20265 - Add UEFI Grub(2) templates for SUSE (Markus Bucher)
- Fixes #34489 - AutoYaST PXE http-proxy without http-proxy-port (Marcel Kühlhorn)
- Fixes #33948 - Present network info in single columns (Ewoud Kohl van Wijngaarden)
- Fixes #34511 - add breadcrumb's switcher to the new host page (Amir Fefer)
- Fixes #34462 - shorten DNS timeout for primary detection (Lukas Zapletal)
- Fixes #34499 - new h/w versions for vSphere 7.0 U2 & U3 (Nagoor Shaik)
- Fixes #34500 - Add Rails 6.1 support (Ondřej Ezr)
- Refs #34500 - reimplement routing hash_for on Rails 6.1 (Ondřej Ezr)
- Fixes #34450 - Normalize CentOS casing from facts (Ewoud Kohl van Wijngaarden)
- Fixes #30122 - remove usage of controller level force_ssl (Ondřej Ezr)
- Fixes #34251 - Add API endpoint for import Ipv4 subnet (aabramov)
- Fixes #34350 - Require 'foreman/telemetry' in ldap initializer (Leos Stejskal)
- Fixes #34290 - Create pf4 breadcrumb switcher (MariaAga)
- Fixes #34326 - improve test clarity (Ondřej Ezr)
- Fixes #34416 - taxonomy title in ForemanContext (Ondřej Ezr)
- Fixes #34353 - Fix early load of fog_extensions (Leos Stejskal)
- Bump develop to 3.3-develop (Amit Upadhye)
- Fixes #34375 - allow passing empty attributes for facets (#9083) (Ondřej Ezr)
- Fixes #34409 - rename existing CentOS OSes to CentOS_Stream (Lukas Zapletal)
- Fixes #34365 - Update examples for truthy? and falsy? macros (Leos Stejskal)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Refs #34360 - Use Plugin's API (Oleh Fedorenko)
- Fixes #34410 - add missing variant prop to pagination (Amir Fefer)
- Refs #33862 - fix empy page props (Amir Fefer)
- Fixes #34371 - correctly construct fqdn for redirct (Ondřej Ezr)
- Fixes #34381 - Change example for --order (aabramov)
- Fixes #34360 - prepare for Host Reports migration (Lukas Zapletal)
- Fixes #33781 - deprecate non-DSL setting definitions (Ondřej Ezr)
- Fixes #34330 - fix rhsm puppet parser for IPv6 (Lukas Zapletal)
- Fixes #34366 - skip GraphQL types enhancements in migrations (Ondřej Ezr)
- Fixes #34349 - improve api/settings#index coverage (Ondřej Ezr)
- Fixes #34323 - use defaults from memory (Ondřej Ezr)
- Refs #34323 - sanitize setting fixtures (Ondřej Ezr)
- Fixes #34351 - Allow Site manager role to be extended from plugins (Adam Ruzicka)
- Fixes #34329 - Allow permissions to be excluded from default roles (Adam Ruzicka)
- Fixes #34293 - remove experimental banner in new host page (Amir Fefer)
- Fixes #34340 - Insights snippet - remove connection test (Leos Stejskal)
- Fixes #34302 - associate CentOS_Stream OS with the templates (Lukas Zapletal)
- Fixes #34315 - adds Oracle VIF hypervisor NIC filter (Lukas Zapletal)
- Fixes #34300 - correctly construct the fqdn for redirect (Ondřej Ezr)
- Fixes #34289 - remove workaround for encoding root_pass (Ondřej Ezr)
- Fixes #33946 - remove dangerouslySetInnerHTML uses (MariaAga)
- Fixes #34249 - Update subman facts after host registration (Leos Stejskal)
- Fixes #34254 - remove host details link from hosts index (Amir Fefer)
- update npm exclude list (Evgeni Golov)
- Fixes #34198 - Registration and host_init_config templates previews (Leos Stejskal)
- Fixes #34062 - update ace-editor to fix toggel typo (MariaAga)
- Fixes #33862 - add empty state for new host page (Amir Fefer)
- Fixes #34299 - allow input deletion during seeding (Justin Sherrill)
- Refs #34006 - enable setup in tests (Ondřej Ezr)
- Fixes #34006 - use rbac_registry for all plugin rbac (Ondřej Ezr)
- Fixes #34010 - add a setup hook to RbacRegistry (Ondřej Ezr)
- Fixes #34009 - add finalization hook to plugin (Ondřej Ezr)
- Refs #33418 - Make last_report.origin interval parametrizable fixup (Nadja Heitmann)
- Fixes #34292 - support pxe_kernel_options in Preseed templates (Oliver Freyermuth)
- Refs #33418 - Make last_report.origin interval parametrizable (Nadja Heitmann)
- Fixes #34259 - add slot for rex dropdown in host page (Amir Fefer)
- Refs #34252 - Registration API - Remove dots from param descriptions (Stejskal Leos)
- Fixes #34223 - fix the missing username in audits (Amir Fefer)
- Fixes #34280 - Add `ip_include?` method to `IPAM::Base` (Jan Matusz)
- Fixes #31027 - transpiler macros for CoreOS family (Lukas Zapletal)
- Fixes #34271 - Ignore url query params when setting active tab (Jeremy Lenz)
- Fixes #34133 - Add PF4 pagination (Ron Lavi)
- Fixes #34265 - change more deprecated ks/sendmac Anaconda options (Lukas Zapletal)
- Fixes #34252 - Missing example for 'Install packages' field (Leos Stejskal)
- Fixes #34250 - Insecure help text at Host Registration (Leos Stejskal)
- Fixes #34234 - do not allow HTTP on SmartProxy Auth (Ondřej Ezr)
- Fixes #34236 - Drop require_ssl_smart_proxies setting (Ewoud Kohl van Wijngaarden)
- Revert "Fixes #32035 - Add DSL autocompletion in templates" (Oleh Fedorenko)
- Refs #33968 - Telemetry is not autoloadable (Ondřej Ezr)
- Fixes #23300 - Brakeman SQL injections (Leos Stejskal)
- Fixes #32035 - Add DSL autocompletion in templates (Oleh Fedorenko)
- Fixes #33310 - Remove epoch shifting, as AreaChart already does this (Ben Tucci)
- Fixes #34142 - make the core cards arrangeable in new host page (#8995) (Amir Fefer)
- Fixes #34166 - opt in the new host page by default (Amir Fefer)
- Fixes #30550,#28155 - Return valid vsphere folder (#9006) (Bernhard Suttner)
- Fixes #34122 - Report disallowed metric labels as other (Lukas Zapletal)
- Fixes #34206 - Fix bool params in global registration template (Stejskal Leos)
- Fixes #34213 - truthy? and falsy? template helpers (Leos Stejskal)
- Fixes #34214 - use host_param_true? to detect puppet6-repo (Adam Cécile)
- Fixes #34165 - Require code from lib folder (Leos Stejskal)
- Fixes #34212 - pin rdoc < 6.4 to avoid psych dependency (Ondřej Ezr)
- Fixes #34058 - extract multiline string for translation (MariaAga)
- i18n - extracting new (MariaAga)
- Fixes #33470 - Adding support for CentOS Stream (Dominik Matoulek)
- Fixes #33736 - Allow 2 search with bookmark in one page (MariaAga)
- Fixes #34123 - Add mail_enabled to user (aabramov)
- Fixes #34160 - Improve fact_values api performance (Tomer Brisker)
- Fixes #34091 - add logging helper log_duration (Lukáš Zapletal)
- Fixes #34146 - Move services from lib/foreman to app/services/foreman (Leos Stejskal)
- Fixes #34129 - HostDetails - UX Review - Spacing (adewar)
- Fixes #33775 - Add Support to ? for setting wildcards (aabramov)
- Fixes #34151 - translate just once (Ondřej Ezr)
- Fixes #34026 - authorize puppet reports via Proxy (Lukas Zapletal)
- Fixes #34138 - Autoload ProxyAPI files from /app/services (Leos Stejskal)
- Fixes #28571 - move away from record_tag_helper (Leos Stejskal)
- Fixes #32919 - Add Salt Autosign grain to minion configuration (Bastian Schmidt)
- Fixes #34139 - Move Foreman::Renderer from lib/ to app/services (Leos Stejskal)
- Fixes #33417 - Hide version from the Login page (Anna Vitova)
- Revert "Fixes #30665 - drop the intl polyfills" (Ron Lavi)
- Fixes #34068 - Inconsistent name of Job invocation report template (Dominik Matoulek)
- Refs #26968 - don't disable Katellos MeantimeReporter (Evgeni Golov)
- Fixes #30665 - drop the intl polyfills (Avi Sharvit)
- exclude all @testing-library packages from packaging (Evgeni Golov)
- Fixes #34117 - Drop ancient models:consolidate task (Tomer Brisker)
- Refs #10413 - Deprecate setting unattended: false (Tomer Brisker)
- Fixes #34063 - Drop deprecated Host#import_facts method (Tomer Brisker)
- Fixes #34086 - explicitly depend on graphql-tag (Evgeni Golov)
- Refs #34093 - Document Authorizer#can? and log huge cache loads (Tomer Brisker)
- Refs #34093 - Improve host config status performance (Tomer Brisker)
- Refs #34093 - Allow skipping cache from `User.can?` (Tomer Brisker)
- Refs #34093 - Minor authorizer clean ups (Tomer Brisker)
- Fixes #34093 - Don't eager load all authorized resources (Tomer Brisker)
- Refs #33968 - Fix the fix of Telemetry initializers (Lukas Zapletal)
- Fixes #34088 - templates puppet repo parameters (Erik Berg)
- Fixes #22110 - allow minitest 5.11 and newer (Evgeni Golov)
- Fixes #34085 - fix 'all audits' link in host page (Amir Fefer)
- Fixes #33897 - Puppet Environment in taxonomy ignore_types (Leos Stejskal)
- Fixes #33151 - translate host details tabs title (Amir Fefer)
- Fixes #26968 - Switch to minitest-reporters (Ewoud Kohl van Wijngaarden)
- Fixes #34064 - don't override magic `klass` variable (Evgeni Golov)
- Fixes #33942 - Allow extra vars for awx/tower on snippet template. (rbertol)
- Fixes #33801 - Replace obsolete URI.escape method (aabramov)
- Fixes #33996 - Clean up deprecated methods (Tomer Brisker)
- Fixes #33842 - Make ordering by id possible for more models (Oleh Fedorenko)
- Fixes #33991 - Require /lib dependencies in initializers/foreman.rb (Leos Stejskal)
- Fixes #33929 - improve subnet network exception (Lukas Zapletal)
- Fixes #34008 - Add org + loc params to scoped search (Shimon Shtein)
- Fixes #33979 - Registration - name & path to host_init_config template (Leos Stejskal)
- Fixes #33989 - Fix autoload of constants in ApiPie initializer (Leos Stejskal)
- Fixes #32461 - add endline in save_to_file (Lukas Zapletal)
- Fixes #34002 - add Foreman::Plugin#medium_providers_registry (Tomer Brisker)
- Fixes #33811 - Inheritance of root password for Hosts (Dominik Matoulek)
- Fixes #33892 - add setting validations in to_prepare (#8911) (Ondřej Ezr)
- Fixes #33985 - move identifiers to ApplicationRecord (Ondřej Ezr)
- Fixes #33981 - fix the RHEL OS name parsing (Marek Hulan)
- Fixes #33984 - removes custom update methods (Ondřej Ezr)
- Fixes #33992 - drop truncate_bytes method (Tomer Brisker)
- Fixes #33986 - moves Callback ensures to separate files (Ondřej Ezr)
- Fixes #33987 - HostMix using Concern properly (Ondřej Ezr)
- Fixes #33967 - Loading constants in initializers/active_record_extensions.rb (Leos Stejskal)
- Fixes #33968 - Fix loading of Foreman::Telemetry in initializers (Leos Stejskal)
- Fixes #33955 - Host detail page can't fully see build modal (MariaAga)
- Fixes #33957 - Require Foreman::Util in initializers (Leos Stejskal)
- Fixes #33964 - Fix loading of Menu::Loader in initializer (Leos Stejskal)
- Fixes #33950 - Fix early load of ForemanInternal in initializer (Leos Stejskal)
- Fixes #33055: Support ADFS-style JWTs (Alexander Olofsson)
- Fixes #33656 - FactValue search by org and loc (Dominik Matoulek)
- Fixes #33949 - Fix early load of plugin fact parsers (Leos Stejskal)
- Fixes #32602 - enables puppet 7 agent support (Trent Anderson)
- Fixes #33890 - Require Foreman::Gettext in initializers (Leos Stejskal)
- Fixes #33935 - Cache setting categories (Tomer Brisker)
- Fixes #33882 - refresh host's global status after clearing a sub status (Amir Fefer)
- Refs #27906 - Add FacterDB test (Ewoud Kohl van Wijngaarden)
- Fixes #27906 - Always prefer modern facts in Facter (Ewoud Kohl van Wijngaarden)
- Fixes #33865 - API Development Guidelines (Stejskal Leos)
- Fixes #33920 - drop translations for some languages (Tomer Brisker)
- Fixes #33872 - disable build option when no permission (Amir Fefer)
- Refs #33909 - Drop test for deduplicate_subnets module (Tomer Brisker)
- Refs #33909 - Reset User column information (Tomer Brisker)
- Refs #33909 - Squash imap column conversion (Tomer Brisker)
- Refs #33909 - Remove useless User lookup (Tomer Brisker)
- Refs #33909 - Delete empty migrations (Tomer Brisker)
- Fixes #33909 - Drop data migrations before Foreman 2.0 (Tomer Brisker)
- Fixes #33906 - Drop fix_db_cache setting (Tomer Brisker)
- Fixes #33907 - Add current_date macro (Oleh Fedorenko)
- Fixes #33681 - delete unused react_pagination_props (MariaAga)
- Fixes #33916 - Bump develop to 3.2.0-develop (Amit Upadhye)
- Fixes #33826 - Better determine if the host has a BMC interface (Nacho Barrientos)
- Refs #33773 - Fix french translations (Amit Upadhye)
- Fixes #33794 - Remove auto-suggested address when the domain has changed (aabramov)
- Fixes #33894 - decode string when setting active tab (Jeremy Lenz)
- Fixes #33861 - add default type for DB settings (Ondřej Ezr)
- Fixes #31454 - make sure eject is installed on debian/ubuntu systems (Bernhard Suttner)
- Fixes #33248 - show auth source form errors (Ondřej Ezr)
- Fixes #33851 - cleanup Bullet config (Ondřej Ezr)
- Fixes #33853 - demodulize resource type for plugin types (Leos Stejskal)
- Fixes #31947 - add grub2/ks validation to jenkins rake task (Lukas Zapletal)
- Fixes #32937 - Support static networking in AutoYaST iPXE (Marcel Kühlhorn)
- Fixes #33680 - removed AppStream Pulp2 workaround (Lukas Zapletal)
- Fixes #32999 - add console to kebab dropdown (Amir Fefer)
- Fixes #33793 - Template written twice (Anna Vitova)
- Fixes #33697 - Registration - smart proxy features (Stejskal Leos)
- Fixes #33732 - Make sure base64 encoding is done when creating a host via API (Bernhard Suttner)
- Fixes #33769 - Windows client installation type (Alexander Olofsson)
- Fixes #33833 - add integration tests for host details (Amir Fefer)
- Fixes #33484 - add setting for opt-in/out the new host details (Amir Fefer)
- Fixes #32064 - drop Puppet related settings (Ondřej Ezr)
- Fixes #33727 - Fixed gathering of allowed actions for permission (Dominik Matoulek)
- Refs #33491 - make the hostname bold in delete modal (Amir Fefer)
- Refs #33635 - Make assert_new_button work with PF4 buttons (Tomer Brisker)
- Refs #23936 - disable NIC fact parsing on Windows (Lukáš Zapletal)
- Fixes #33802 - cleanup leftover statistics methods (Ondřej Ezr)
- Fixes #33778 - Drop unstable legacy Facter facts (Ewoud Kohl van Wijngaarden)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #33787 - Drop Accept Header handling for API version (Tomer Brisker)
- Fixes #33805 - fix host details tabs (Amir Fefer)
- Fixes #33635 - update Audits & Models pages buttons to PF4 (Ron Lavi)
- Fixes #33791 - respect global settings precedence (Ondřej Ezr)
- Fixes #33800 - reinstall react-intl (Avi Sharvit)
- Refs #33551 - fix the searching in audits by user (Marek Hulan)
- Fixes #33740 - load inital values from DSL (Ondřej Ezr)
- Fixes #33742 - rename link to old Host Detail UI (Ondřej Ezr)
- Fixes #33776 - Adding support for IPv6 parsing in RHSM parser (Dominik Matoulek)
- refs #33695 - Add description to pkg_manager snippet (Leos Stejskal)
- Fixes #33757 - Add banner about new report storage (Lukáš Zapletal)
- Fixes #29288 - reorder Config management settings (Ondřej Ezr)
- Refs #33541 - correct naming of association tables (Ondřej Ezr)
- Refs #31060 - drop also environment_classes (Ondřej Ezr)
- Fixes #33784 - Remove Ruby < 2.5 compatibility code (Ewoud Kohl van Wijngaarden)
- Refs #33601 - improve Provisioning settings descriptions (Ondřej Ezr)
- Refs #33595 - improve Email setting descriptions (Ondřej Ezr)
- Refs #33589 - improve Authentication descriptions (Ondřej Ezr)
- Fixes #33607 - use setting DSL for Puppet category (Ondřej Ezr)
- Fixes #33601 - use setting DSL for Provisioning category (Ondřej Ezr)
- Fixes #33596 - use setting DSL for Notification category (Ondřej Ezr)
- Fixes #33595 - use setting DSL for Email category (Ondřej Ezr)
- Fixes #33589 - use setting DSL for Authentication category (Ondřej Ezr)
- Refs #32893 - organize general category (Ondřej Ezr)
- Refs #32893 - put settings in category file (Ondřej Ezr)
- Fixes #33758 - update foreman-js 8.16.0 (MariaAga)
- Fixes #33696 - add build review modal in host details (#8847) (Amir Fefer)
- Fixes #33626 - use webpack for foreman plugin gems (Bernhard Suttner)
- Fixes #32328 - Infrastructure roles (Adam Ruzicka)
- Fixes #30028 - Properly clean composed facts (Tomer Brisker)
- Fixes #27024 - Adding audit cleanup duration and update rake task (Dominik Matoulek)
- Fixes #32214 - Register query field with a resolver (Ondrej Prazak)
- fixes #33666 - add ignoredisk to kickstart default template (Dave Thomas)
- Fixes #33714 - add facts and reports in host details kebab (Amir Fefer)
- Refs #33690 - replace uuid with nanoid for toast key (Tomer Brisker)
- Fixes #33690 - Unify toast notification logic in one component (Tomer Brisker)
- Fixes #33695 - Package manager snippet (Leos Stejskal)
- Fixes #33268 - add power status dropdown to host details (Amir Fefer)
- Fixes #33724 - disable picking a login with a special meaning (Marek Hulan)
- Fixes #33551 - allow searching audits by current_user (Marek Hulan)
- Fixes #33671 - hide apipie warning in config (Evgeni Golov)
- Fixes #33723 - Make dynflow-sidekiq services PartOf foreman.service (Adam Ruzicka)
- Fixes #33706 - dont fail build on old Setting categories (Ondřej Ezr)
- Fixes #33560 - Pin @jest/types (Ondrej Prazak)
- Fixes #31372 - improve facet relation hook (#8151) (Ondřej Ezr)
- Refs #31060 - Move environment cleanup to rake task (Tomer Brisker)
- don't add packaging as codeowners for test.rb and development.rb (Evgeni Golov)
- Refs #32652 - cleanup schema_migrations from dropped migrations (Ondřej Ezr)
- Fixes #31060 - drop Environments migrations (Ondřej Ezr)
- Fixes #33541 - drop puppetclass migrations (Ondřej Ezr)
- Fixes #31096 - remove config group migrations (Ondřej Ezr)
- Fixes #31732 - drop env from TemplateCombination migration (Ondřej Ezr)
- Fixes #32652 - task to purge puppet data (Ondřej Ezr)
- Fixes #29481 - unpin capybara (Ondřej Ezr)
- Fixes #33584 - UNDI iPXE firmware zero suffis (Lukas Zapletal)
- Fixes #33507 - add a button for switching the new details page (Amir Fefer)
- Fixes #32750 - make searchbar css looks like PF4 (Ron Lavi)
- Fixes #14854 - connection libvirt leak fixed (Lukas Zapletal)
- Refs #33550 - Remove environment from template combinations api controller (Nadja Heitmann)
- Fixes #33034 - add a description to all provisioning templates (Marek Hulan)
- Fixes #33491 - fix host page kebab actions (Amir Fefer)
- Fixes #33675 - remove snapshot testing from pf4 bookmark (MariaAga)
- Fixes #33611 - expose capabilities in proxy show (Evgeni Golov)
- Fixes #32656 - Add manageBookmarks to pf4 bookmarks (MariaAga)
- fixes #33574 - resize network field width of vmware/ovirt/libvirt (Magnus Toneby)
- Fixes #32678 - katello_ca_consumer in registration template (Stejskal Leos)
- Fixes #33647 - Return persisted attrs on edit mutation (Ondrej Prazak)
- Fixes #33597 - add an experimental banner on host details page (Amir Fefer)
- Refs #33639 - Reduce array resizing in fact importer (Tomer Brisker)
- Refs #33639 - Only pull needed data for fact updates (Tomer Brisker)
- Fixes #33640 - Improve caching of SettingRegistry#load_values (#8817) (Jonathon Turel)
- Fixes #33639 - Reduce object allocations in FactImporter#update_facts (Jonathon Turel)
- Fixes #33637 - Correctly redirect hostgroup create page (Tomer Brisker)
- Fixes #33469 - current stream for Flatcar (Lukas Zapletal)
- Fixes #33502,#33501 - align host owner in host details (Amir Fefer)
- Fixes #33504 - align hostname title in host details page (Amir Fefer)
- Fixes #33617 - fix 'All audits' link in host details page (Amir Fefer)
- Fixes #33621 - Remove experimental host wizard (Ron Lavi)
- Refs #33481 - use svg for login background (Ron Lavi)
- Fixes #33481 - fix login footer on small screens (Ron Lavi)
- Fixes #33490 - fix edit button in host details page (Amir Fefer)
- Fixes #33505 - trucate overflow text in audit card (Amir Fefer)
- Fixes #33566 - don't install wget on RHEL 9+ (Marek Hulan)
- Fixes #33550 - Remove Puppet API endpoints (Nadja Heitmann)
- Fixes #33570 - Fix confirm action for unlock (Oleh Fedorenko)
- Fixes #33265 - Pin foreman-js to >= 8.7, < 8.12.1 to avoid jest failures in katello (Samir Jha)
- Fixes #32893 - use setting DSL for General category (Ondřej Ezr)
- Refs #32286 - load definition even in migrations (Ondřej Ezr)
- Refs #32286 - setting DSL switch preparation (Ondřej Ezr)
- Refs #33025 - fix spacing of search definitions (Marek Hulan)
- Fixes #33025 - allow filtering hosts by user id (Marek Hulan)
- Fixes #33540 - Run 'subscription-manager clean' when force=true (Stejskal Leos)
- Fixes #33539 - use correct deprecation (Nadja Heitmann)
- Fixes #33419 - Introduce Fact Parser Registry (Dominik Matoulek)
- Fixes #30981 - add a slot in the new host page kebab (Amir Fefer)
- Fixes #33514 - correct errorToast type (Jeremy Lenz)
- Fixes #33503 - change Mac to MAC in the overview (Marek Hulan)
- Fixes #33408 - Support all RHEL derivatives in registration (amtilghman)
- Refs #32398 - Pass router history to tabs (Ondrej Prazak)
- Fixes #32403 - Add validations to a setting DSL (Ondřej Ezr)
- Fixes #33426 - changing virtual in ks fixed (Lukas Zapletal)
- Fixes #33387 - Remove view_tasks permission (Tomer Brisker)
- Fixes #32273 - VMWare compute failure ends up in ArgumentError (too few arguments) (Adam Cecile)
- Fixes #33473 - use the confirm modal in the host details page (Amir Fefer)
- Fixes #33440 - improve description for "Oauth map users" setting (Dominik Matoulek)
- Refs #33416 - Remove beforeRenderingCallback from renderRoute (Tomer Brisker)
- Refs #33416 - Call fallbackRoute directly (Tomer Brisker)
- Fixes #33416 - Flatten ForemanSwitcher (Tomer Brisker)
- Fixes #33432 - Rename the Report template button (Anna Vitova)
- Fixes #33371 - Fixing personal tokens for users (Dominik Matoulek)
- Fixes #33423 - Keep gray bg on overview tab only (Ondrej Prazak)
- Fixes #32837 - drop unwanted URI parsing from extension (Lukas Zapletal)
- Fixes #33405 - fix unregister fill reducer (Amir Fefer)
- Disable no-console warning in chart service (Tomer Brisker)
- Add more words to ignored spelling list (Tomer Brisker)
- Fixes #32880 - Add confirmation modal service (#8619) (Ron Lavi)
- Ignore @babel/eslint-* in packaging (Ewoud Kohl van Wijngaarden)
- Fixes #33390 - Use PF4 styling for warning in registration form (Stejskal Leos)
- Fixes #33396 - Filter out vms with missing instanceUuid (Tomer Brisker)
- Fixes #33389 - Make the registration form more compact (Leos Stejskal)
- Fixes #33223 - Improving Job Invocation Report Template (Dominik Matoulek)
- Fixes #30504 - Remove trends and statistics endpoints (Tomer Brisker)
- Fixes #32398 - add hash-router for tabs (Amir Fefer)
- Fixes #33177 - Don't store incorrect referrer for redirect (Tomer Brisker)
- Fixes #33122 - Introduce skip pattern for ACL test (Ondřej Ezr)
- Refs #33008 - ignore db/structure.sql (Lukas Zapletal)
- Fixes #32892 - add rails URL validator (Ondřej Ezr)
- Fixes #33347 - Fix settings index API (Oleh Fedorenko)
- Fixes #33026, #30865 - Add React error boundary (Ron Lavi)
- call npm install with --no-optional and --no-audit for plugins (Evgeni Golov)
- Fixes #33280 - category for DSL defined settings (Ondřej Ezr)
- Fixes #33229 - BMC feature error reports correctly (Lukas Zapletal)
- Fixes #33316 - display toasts messages properly (Ron Lavi)
- Fixes #30984 - translate host relative date creation (Amir Fefer)
- Fixes #33324 - fix host details tabs redundant re-render (Amir Fefer)
- Fixes #33323 - broken Documentation in search for react page (MariaAga)
- Refs #33318 - add a script to filter package.json (Evgeni Golov)
- Fixes #33319 - don't run fix-stories on every postinstall (Evgeni Golov)
- Fixes #33305 - Prevent shell globs for yum remove katello-ca-consumer (rafaelguerra01)
- Fixes #33318 - add JS packages to be excluded for packaging (Evgeni Golov)
- Fixes #33311 - align host details cards (Amir Fefer)
- Fixes #33265 - Katello Nightly Failure (andrewgdewar)
- Fixes #32908 - Allow UTF character in vnic attributes (yifatmakias)
- Fixes #22801 - Encrypted spice consoles (Ewoud Kohl van Wijngaarden)
- Fixes #31638 - Adds host status overview page (Kamil Szubrycht)
- Fixes #33180 - add task to migrate Puppet info (Ondřej Ezr)
- Fixes #33215 - Registration - link to documentation (#8704) (Leos Stejskal)
- Fixes #33092 - Restart network on EL8 (Bernhard Suttner)
- Fixes #31049 - Introduce server CA file setting (Kamil Szubrycht)
- Fixes #32541 - add "overwrite" parameter in apidoc (maccelf)
- Fixes #32727 - Added status and version to api call (#8572) (Adi Abramovich)
- Fixes #32822 - Job templates and resource picker (Leos Stejskal)
- Fixes #32769 - Associate a VM via API to a compute resource (aabramov)
- Bump develop to 3.1.0-develop (Amit Upadhye)
- Fixes #32792 - Add update to ca when vmware cr is updated (yifatmakias)
- Fixes #33048 - Add Associate VM to dropdown (aabramov)
- Fixes #32963 - Load only present categories (Ondřej Ezr)
- Fixes #33153 - make slot registry singleton (Amir Fefer)
- Fixes #33197 - Show error message if credentials are wrong (Bernhard Suttner)
- Fixes #33033 - shell_escape template macro (Stejskal Leos)
- Refs #31093 - drop ConfigGroup edit js (Ondřej Ezr)
- Fixes #29681 - Fixing bad regex for excluding facts (Dominik Matoulek)
- Fixes #32437 - Use webpack-dev-server-without-h2 (Ron Lavi)
- Fixes #31128 - add host details card to overview tab (Amir Fefer)
- Fixes #33004 - Registration - Refresh subscription data (Stejskal Leos)
- Fixes #33161 - Add useCallback to RegistrationCommandsPage (Jeremy Lenz)
- Fixes #33003 - Refactor FactChart to use slice pattern (#8657) (Tomer Brisker)
- Fixes #32780 - Delete host params when register host (Stejskal Leos)
- Fixes #33121 - Registration command API & params with false values (Stejskal Leos)
- Fixes #33155 - Drop Spice XPI support (Ewoud Kohl van Wijngaarden)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #33090 - load AIX OS attributes (Lukas Zapletal)
- Fixes #33123 - Add GraphQL type for permissions (Ondrej Prazak)
- Fixes #31444 - Add host's statuses to the details page (Amir Fefer)
- refs #32287 - Restrict search operators for Settings (Leos Stejskal)
- Fixes #33110 - host details page cleanup (Amir Fefer)
- Fixes #32415 - access only through SettingRegistry (Ondřej Ezr)
- Fixes #32540 - host_param_(true|false)? cleanup (Evgeni Golov)
- Fixes #32820 - align recent audits card to the new design (Amir Fefer)
- Bump version to 3.0-develop (Tomer Brisker)
- Fixes #33008 - switch to sql schema dumping (Justin Sherrill)
- Fixes #33098 - update fog-libvirt to 0.9.0 (Lukas Zapletal)
- fixes #33093 - force Fedora 33 builds due to failures on 34 (Ohad Levy)
- Fixes #32548 - Moving Salt fact parser to Core (Dominik Matoulek)
- Fixes #33049 - Properly handle missing status type (#8675) (Tomer Brisker)
- Fixes #31751 - make enable-epel false by default (Evgeni Golov)
- Refs #32860 - dont put notification deprecation in the html (MariaAga)
- Fixes #32756 - Toast notifications & PatternFly 4 (Leos Stejskal)
- Fixes #33038 - add bmc_available to host show API (Amir Fefer)
- Fixes #33042 - salt-minion is installed in saltstack_setup (Bernhard Suttner)
- Fixes #32558 - Moving Chef fact parser and importer to Core (Dominik Matoulek)
- Remove hound badge (Ewoud Kohl van Wijngaarden)
- Fixes #33013 - Silence bundler in production (Ewoud Kohl van Wijngaarden)
- Refs #32070 - Remove Puppet Environment react component (Nadja Heitmann)
- Fixes #32896 - Extract Environment GraphQL (Kamil Szubrycht)
- Refs #31007 - API routes use correct namespace (Ondřej Ezr)
- Fixes #31369 - drop environment fixtures (Ondřej Ezr)
- Fixes #31059 - regenerate snapshots without environment (Ondřej Ezr)
- Fixes #31059 - drop Environment models (Ondřej Ezr)
- Refs #31059 - guard for Environment in setting (Ondřej Ezr)
- Refs #31059 - cleanup Environment from tests (Ondřej Ezr)
- Refs #31059 - drop environment from PuppetFactParser (Ondřej Ezr)
- Refs ##31059 - drop environments from User (Ondřej Ezr)
- Refs ##31059 - drop environments from Taxonomy (Ondřej Ezr)
- Refs ##31059 - drop environments from Report (Ondřej Ezr)
- Refs #31059 - drop environments from nic (Ondřej Ezr)
- Refs #31059 - drop environment hostgroup extension (Ondřej Ezr)
- Refs #31059 - drop environments Host extensions (Ondřej Ezr)
- Refs #31055 - drop puppetclasses_or_envs_changed view (Kamil Szubrycht)
- Fixes #32091 - drop Environment from Host overview (Ondřej Ezr)
- Fixes #31749 - extract puppet related css (Ondřej Ezr)
- Fixes #31769 - drop Host puppet related searches (Ondřej Ezr)
- Fixes #31095 - Remove config groups model (Shira Maximov)
- Fixes #31235 - drop Puppetclass models (Ondřej Ezr)
- Fixes #31766 - drop Puppetclass GraphQL (Ondřej Ezr)
- Refs #30332 - drop ConfigGroupInfo (Ondřej Ezr)
- Refs #31129 - drop Puppetclass from Host(group) API (Ondřej Ezr)
- Refs #31062 - drop Envrionment from Hostgroup API (Ondřej Ezr)
- Refs #31062 - drop Environments from Host API (Ondřej Ezr)
- Fixes #31129 - drop Host classes API (Ondřej Ezr)
- Fixes #31732 - drop environment in TemplateCombination model (Ondřej Ezr)
- Refs #31733 - drop Environment assignmet API (Ondřej Ezr)
- Fixes #31733 - drop UI for Environment assignment (Ondřej Ezr)
- Fixes #31369 - drop Environment fixtures usage (Ondřej Ezr)
- Fixes #30170 - drop smart class param permissions (Ondřej Ezr)
- Fixes #31014 - Drop PuppetLookupKey model (Ondřej Ezr)
- Fixes #31661 - drop externalNodes from host controller (Ondřej Ezr)
- Fixes #31659 - extract importNode from Host (Ondřej Ezr)
- Fixes #30332 - Drop PuppetInfo (Ondřej Ezr)
- Fixes #31366 - drop Puppet parameter template input type (Ondřej Ezr)
- Fixes #31055 - drop Puppet import (Ondřej Ezr)
- Fixes #31010 - drop Parameters::PuppetclassLookupKey (Ondřej Ezr)
- Fixes #31061 - drop Environment permissions (Ondřej Ezr)
- Fixes #31106 - drop config groups permissions (Shira Maximov)
- Fixes #31131 - drop Puppetclass permissions (Ondřej Ezr)
- Fixes #31114 - drop Environment params filter (Ondřej Ezr)
- Fixes #31062 - drop Environment API (Ondřej Ezr)
- Fixes #31130 - drop Puppetclass parameter filter (Ondřej Ezr)
- Fixes #31129 - drop Puppetclass API (Ondřej Ezr)
- Refs #31089 - drop Puppetclass lookups helpers (Ondřej Ezr)
- Refs #31089 - drop Puppet Params host helpers (Ondřej Ezr)
- Fixes #31089 - drop Puppetclass views and helpers (Ondřej Ezr)
- Refs #31092 - drop Puppetclasses integration test (Ondřej Ezr)
- Refs #31092 - drop Puppetclass menu item (Ondřej Ezr)
- Fixes #31092 - drop Puppetclass UI controllers (Ondřej Ezr)
- Refs #31092 - drop Puppetclass UI routes (Ondřej Ezr)
- Fixes #31056 - drop SmartProxy Puppet feature (Ondřej Ezr)
- Refs #31009 - drop LookupKeysHelper puppet methods (Ondřej Ezr)
- Refs #31094 - route config groups API to plugin (Ondřej Ezr)
- Fixes #31093 - drop Config Groups UI (Shira Maximov)
- Fixes #31106 - Remove config groups controller (Shira Maximov)
- Fixes #30913 - drop environment field from Host(group) form (Ondřej Ezr)
- Fixes #31094 - drop config groups API (Shira Maximov)
- Refs #31094 - drop config_groups from Host(group) API (Ondřej Ezr)
- Refs #31136 - drop Change Environment permissions (Ondřej Ezr)
- Fixes #31160 - drop Puppet Classes Host(group) form tab (Ondřej Ezr)
- Fixes #31136 - drop Change Environment host action (Ondřej Ezr)
- Fixes #31058 - drop Environments views and helpers (Ondřej Ezr)
- Fixes #31057 - drop Environment UI logic (Ondřej Ezr)
- Fixes #31013 - drop puppet lookup value extensions (Ondřej Ezr)
- Fixes #31007 - routes API requests to a plugin (Ondřej Ezr)
- Refs #31007 - drop API LookupKeysCommonController (Ondřej Ezr)
- Refs #31007 - drop OverrideValues API (Ondřej Ezr)
- Refs #31007 - drop SmartClassParameters API (Ondřej Ezr)
- Fixes #31009 - drop smart class parameters UI (Ondřej Ezr)
- Fixes #32918 - Host registration - Update packages (Leos Stejskal)
- Fixes #32808 - Add visual Amazon support (Bernhard Suttner)
- Fixes #32013 - improve the UX for adding host parameters (Marek Hulan)
- Refs #32840 - Fix setting editing (Tomer Brisker)
- Fixes #33011 - Navigation doesn't display Host Wizard without admin (adewar)
- Fixes #32959 - Unassign OS in registration migration (Leos Stejskal)
- Refs #32981 - add snapshot tests for debian and ubuntu (Lukas Zapletal)
- Fixes #32981 - revert #30748 - On Ubuntu 18 use netplan (Lukas Zapletal)
- Fixes #32948 - change slot warning to be more explicit (Amir Fefer)
- Revert "Fixes #32952 - Set upper version of rake to avoid failures" (Ewoud Kohl van Wijngaarden)
- Fixes #32963 - Load only present categories (Ondřej Ezr)
- Fixes #32584 - drop flot charts (Ondřej Ezr)
- Fixes #23665 - Patternfly charts on Host Detail (Ondřej Ezr)
- Fixes #32953 - create DB settings on full load (Ondřej Ezr)
- Fixes #32952 - Set upper version of rake to avoid failures (Dominik Matoulek)
- Fixes #32517 - Moving Rhsm fact parser to Core (Dominik Matoulek)
- Fixes #32589 - add a support for Oracle Linux registration (Marek Hulan)
- Fixes #32860 - move toast list to app's root (#8618) (Ron Lavi)
- Fixes #32840 - Avoid duplicate tooltips on settings (#8610) (Tomer Brisker)
- Fixes #32942 - properly state the user name when failing (Evgeni Golov)
- Fixes #32921 - treat empty TFTP servername correctly (Lukas Zapletal)
- Fixes #32924 - Add validation for compute-profile-id to hostgroup API (yifatmakias)
- Fixes #32692 - add kebab dropdown support to host details cards (Amir Fefer)
- Revert "Use builder babel config properly" (Tomer Brisker)
- Use builder babel config properly (Ondřej Ezr)
- Fixes #32752 - Don't allow editing readonly settings (#8608) (Tomer Brisker)
- Fixes #32928 - Allow templates to hide preview button (Oleh Fedorenko)
- Fix broken pot file (Ondřej Ezr)
- Fixes #32490 - proper permission for ansible (#8630) (Ondřej Ezr)
- Fixes #32894 - add types to Setting DSL (Ondřej Ezr)
- Fixes #32904 - update js vendor to 8.7 (MariaAga)
- Fixes #32855 - Fix route of available_networks API (Markus Bucher)
- Fixes #32635 - fix already initialized constant (Lukas Zapletal)
- Fixes #32782 - Add types and queries for Lookup Values (Ondrej Prazak)
- Fixes #32821 - Open audit documentation in a new tab (Tomer Brisker)
- Fixes #32286 - new settings definition DSL (Ondřej Ezr)
- Fixes #32883 - Menu::Item doesn't use conditional option (Ian Ballou)
- Fixes #32715 - add custom snippets to finish template (Pablo N. Hess)
- Fixes #32805 - Make outofsync_interval setting available as host parameter (Nadja Heitmann)
- Fixes #32825 - Add type for permissions on resource (Ondrej Prazak)
- Fixes #32741 - Allow merge for yaml/json variables (Bernhard Suttner)
- Fixes #32842: Don't disable MAC address input for VMs being imported (Manuel Laug)
- Fixes #29614 - add search to ace editor (MariaAga)
- Fixes #32851 - Add parameter to run attach --auto (dforste)
- Fixes #32695 - Fix inconsistent behavior with taxable parameters in API (yifatmakias)
- Fixes #32858 - allow host comment in safe mode (Marek Hulan)
- Fixes #32484 - Translate settings tooltip (Tomer Brisker)
- Fixes #27812 - indicate that password for host is set (#8555) (Bernhard Suttner)
- Fixes #32828 - enable secondary tabs in host details page (Amir Fefer)
- Fixes #32843 - Don't mock sprintf, n__() in js tests (Tomer Brisker)
- Fixes #32753 - Remote code execution through Sendmail (Lukas Zapletal)
- Refs #31100 - Fix typos in DocumentationLink component (Tomer Brisker)
- Fixes #32776 - Fixing subtotal count at Hosts controller (Dominik Matoulek)
- Refs #30394 - rename taxable checks (Ondřej Ezr)
- Fixes #30394 - allow non-admins deal with untaxed filters (Ondřej Ezr)
- Fixes #32833 - Fixing scoped search for reported.virtual (#8605) (Dominik Matoulek)
- Fixes #32826 - nonadmin users able to revoke tokens (#8602) (Ondřej Ezr)
- Fixes #32809 - Replace Freenode references with Libera.Chat (Amit Upadhye)
- Fixes #32518 - Moving Ansible fact parser (Dominik Matoulek)
- Fixes #10236 - Fix wrong error message when creating scond primary/provision interface (yifatmakias)
- Fixes #28221 - Adding passing of template scope for snippet rendering (Dominik Matoulek)
- Fixes #30387 - Remove `view_bookmarks` permission (Tomer Brisker)
- Fixes #32486 - Fedora34/RHEL9 deprecated kernel boot parameters (Garret Rumohr)
- Fixes #21641 - Drop jquery-ui spinners in favor of React implementation (yifatmakias)
- fixes #32770 - confirm dialogue for revoking of token added (sufanek1)
- Fixes #32166 - Merging Ignored Interfaces to Excluded Facts (#8560) (Dominik Matoulek)
- Fixes #32192 - Override only the relevant parts (Adam Ruzicka)
- Fixes #32192 - Monkey patch restclient to unescape proxy credentials (Adam Ruzicka)
- Fixes #32192 - Handle special characters in HTTP proxy credentials (Adam Ruzicka)
- Fixes #32703 - fix invlid --order example (aabramov)
- Fixes #32650 - add resource_type to filter base (Ondřej Ezr)
- Fixes #32767 - Resolve global id for non-integer types (Ondrej Prazak)
- Fixes #32674 - Add link to templates_doc (Bernhard Suttner)
- Fixes #32704 - Improve parent scope identification (Tomer Brisker)
- Fixes #32456 - Parent host groups in Registration form (Leos Stejskal)
- Fixes #32625 - Registration API & OS template (#8549) (Leos Stejskal)
- Fixes #32691 - override grid props in host details cards (Amir Fefer)
- Refs #31277 - add cssnano (Amir Fefer)
- Fix missing space in test helper (Tomer Brisker)
- Fixes #31915 - move documentation button in error page (MariaAga)
- Fixes #31978 - fix the automated provisioning of Fedora (Marek Hulan)
- Fixes #32673 - deduplicate records prior uniq index (Ondřej Ezr)
- Fixes #32322 - Cancel build status when host initial configuration fail (#8448) (Leos Stejskal)
- Fixes #32457 - Register host & apply inherited attributes (#8539) (Leos Stejskal)
- Fixes #32536 - add valid error when using invalid status type (yifatmakias)
- Fixes #32681 - avoid naked echo statements in grub (#8564) (Lukáš Zapletal)
- Fixes #32489 - setting load on code reload (Ondřej Ezr)
- Fixes #32662 - Respect the visibility when editing bookmarks (Nacho Barrientos)
- Fixes #31277 - remove unused execSync (Amir Fefer)
- Fixes #31277 - styling webpack config file (Amir Fefer)
- Fixes #31277 - optimize css files (Amir Fefer)
- Refs #31787 - AlmaLinux support in templates (Bernhard Suttner)
- Refs #32516 - Rocky Linux support in templates (Bernhard Suttner)
- Fixes #32141 - Adding notif. about finish of rendering report (#8537) (Dominik Matoulek)
- Fixes #32140 - Adding scoped search on reported data (Dominik Matoulek)
- Fixes #32657 - Prevent duplicate templates (Tomer Brisker)
- Fixes #30047 - fix Value boxes size to fit content (aabramov)
- Fixes #32641 - Disambiguate column name (Nacho Barrientos)
- Fixes #2170 - Support custom AWS EC2 tags (Adam Cecile)
- Fixes #32290 - Set offline options for Ubuntu as well (Quirin Pamp)
- Fixes #31073 - test Taxonomix with Domain (Ondřej Ezr)
- Refs #31370 - simplify factory traits (Ondřej Ezr)
- Fixes #32645 - Add descendants field to hostgroup (Ondrej Prazak)
- Fixes #32497 - allow template to properly manage vlan tag over bond interface (Joniel Pasqualetto)
- Fixes #31595 - deprecate flot_chart (Ondřej Ezr)
- Fixes #32397 - changed button type to submit (#8543) (Adi Abramovitch)
- Fixes #31100 - Create PF4 Bookmarks dropdown (MariaAga)
- Fixes #32636 - allow relative filename in settings (#8542) (Lukáš Zapletal)
- Fixes #27604 - added Fedora|Redhat CoreOS and IM (Lukas Zapletal)
- Fixes #32391 - change alignment from inline to inline-block (aabramov)
- Fixes #32139 - Inform about Foreman instance in emails (#8514) (Dominik Matoulek)
- Fixes #32452 - Host Registration tweaks and improvements (#8519) (Leos Stejskal)
- Fixes #31132 - Downcase MAC addresses (Romuald Conty)
- Fixes #32505 - fix storybook compile errors (Amir Fefer)
- Fixes #31407 - prevent spaces for snapshot test files (Lukas Zapletal)
- Fixes #31307 - Improve compute network error messages (Bernhard Suttner)
- Fixes #32287 - setting index loads from registry (Ondřej Ezr)
- Fixes #32566 - Fix port setting for spice consoles (Ewoud Kohl van Wijngaarden)
- Fixes #31717 - lazy-load fast_gettext for faster boot (#8275) (Lukáš Zapletal)
- Fixes #31370 - multi-host stub template snapshots (#8149) (Lukáš Zapletal)
- Fixes #32499 - Webpack DEV server minimal logs (Leos Stejskal)
- fixes #32516 - Add visual Rocky support (lumarel)
- Fixes #31596 - Timeseries Area chart in React (Ondřej Ezr)
- Fixes #31787 - Add AlmaLinux support (Andrew Lukoshko)
- Fixes #32508 - use root_pass.present? to check the root_pass (Evgeni Golov)
- Fixes #32389 - Quote taxonomies in search query (#8490) (Adi Abramovitch)
- Fixes #31781 - Update existing API data from the API middleware (Amir Fefer)
- bump version to 2.6-develop (Tomer Brisker)
- Fixes #31802 - Include All option for Status for Appiled Errata Report (Jaskaran)
- Fixes #32458 - Disable katello agent install by default when provisioning (Jonathon Turel)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #31383 - Add report template for CVEs (#8154) (Ondřej Pražák)
- Fixes #32361 - Use eslint-plugin-translation (Ron Lavi)
- Fixes #21039 - Ensure dates are printed consistently (aabramov)
- Fixes #32264 - Fix bug in vmware disk size field input (yifatmakias)
- Fixes #30062 - DataTable isnt fully translated (MariaAga)
- Fixes #32468 - Mark provisioning template tooltip as translatable (Amit Upadhye)
- Fixes #32440: Update activerecord-session_store to 2.0+ (Eric D. Helms)
- refs #31179 - Host Registration - curl with '--show-error' (#8446) (Leos Stejskal)
- Fixes #32434 - Fix warn about oudated apipie cache (Ewoud Kohl van Wijngaarden)
- refs #31240 - Fix 'Register host' button on Host welcome page (Leos Stejskal)
- Fixes #32427 - API should expose report origin (Marek Hulan)
- Refs #29507 - use /usr/share/foreman/tmp not /run/foreman (Evgeni Golov)
- Fixes #32394 - Use grub_pass macro instead of variable (Oleh Fedorenko)
- Fixes #32193 - enable byebug in development (Lukas Zapletal)
- Fixes #29507 - Add puma-status for reporting (sthirugn)
- Fixes #31399 - snapshot tests exclude plugins (Lukas Zapletal)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- refs #31240 - Revert lint changes from previous fix (#8469) (Leos Stejskal)
- Fixes #32272 - Deprecate jquery.ui.custom_spinners (yifatmakias)
- Refs #31240 - fix more lint issues (Ron Lavi)
- Refs  #31240 - fix ExclamationCircleIcon import (Ron Lavi)
- Refs #30288 - improves CPUs counter input (Ondřej Ezr)
- Fixes #32070 - Updating welcome pages to use react component (aabramov)
- Refs #24351 - dashboard removals revert (Ondřej Ezr)
- Refs #30862 - do not validate new settings (Ondřej Ezr)
- Fixes #31240 - New Host Registration Form (#8419) (Leos Stejskal)
- Fixes #30748 - On Ubuntu 18.04+ use /etc/netplan (Stefan Lasiewski)
- Fixes #32083 - use full Host model in VM template (Ondřej Ezr)
- Fixes #32004 - Don't ignore use-ntp host param in prov templates (Oleh Fedorenko)
- Fixes #31946 - support for S390x (Lukas Zapletal)
- Refs #32372 - correct remaining paths (Martin Schlossarek)
- Fixes #30862 - introduce SettingRegistry (#8002) (Ondřej Ezr)
- Refs #32258 - Added documentation about status class (Shimon Shtein)
- Fixes #32372 - Correct path for logs in kickstart (Martin Schlossarek)
- Fixes #31790 - always delegate bootserver IP resolution to smart proxy (Amit Upadhye)
- Fixes #32375 - Fix prop-type in TableBody-component (Markus Bucher)
- Fixes #24351 - chart click through search (Ondřej Ezr)
- Fixes #32360 - remove array destruction (Ondřej Ezr)
- fixes #32307 - Allowing rand method in safemode (#8443) (Dominik Matoulek)
- Fixes #32252 - block ip during host creation (Bernhard Suttner)
- Fixes #32295 - Fix Puppet service for Debian provisioning (nadjaheitmann)
- Refs #30784 - MemoryAllocation use react helper (Ondřej Ezr)
- Fixes #31687 - Host Registration - Repository & GPG keys (#8402) (Leos Stejskal)
- Fixes #29782: Drop Passenger work arounds (Eric D. Helms)
- Fixes #31743 - Template macro install_packages (#8298) (Leos Stejskal)
- Fixes #32313 - Bookmarks menu enhancements (Leos Stejskal)
- Fixes #32258 - Change to_status default to noop (Shimon Shtein)
- Fixes #32266 - render_error call in userdata fixed (#8442) (Lukáš Zapletal)
- Fixes #32092 - add puppet safe guard (Ondřej Ezr)
- fixes #32243 - Adding render_pagelet to subnet page (Dominik Matoulek)
- Fixes #32121 - Puppetclass create audit taxonomy (Ondřej Ezr)
- Fixes #32153 - Hide tooltip on multiselect all buttons (Tomer Brisker)
- Fixes #31451 - Adding Job Invocation template (Dominik Matoulek)
- Fixes #30288 - replace CPU/Cores/socket input to react comp (yifatmakias)
- Fixes #32170 - Adding total_disk_size to host facets (Dominik Matoulek)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #32242 - Drop db_pending_migration setting (Tomer Brisker)
- fixes #32243 - Adding render_pagelet to subnet page (Dominik Matoulek)
- Fixes #32086 - seed locking (Markus Bucher)
- Fixes #32213 - inform user about wrong use of admin flag (Marek Hulan)
- Fixes #32245 - No host by default in database.yml.example (Ewoud Kohl van Wijngaarden)
- Fixes #32220 - Delete welcome pages for locations and organizations (aabramov)
- Fixes #32238 - Bind systemd socket to IPv6 (Ewoud Kohl van Wijngaarden)
- Fixes #30053 - Audit page render slow when organization is set (Hao Yu)
- Fixes #31361 - Mark strings translatable for infrastructure page (Amit Upadhye)
- Fixes #32177 - Return result key as snake case symbol (Ondřej Pražák)
- Fixes #32216 - Handle Debian Bullseye Testing facts (Ewoud Kohl van Wijngaarden)
- Fixes #32217 - Correct OS search on host list (Ewoud Kohl van Wijngaarden)
- Fixes #30784 - replace memory allocation input to react comp (yifatmakias)
- Fixes #31883 -  Validate compute attributes before API creation (yifatmakias)
- Fixes #31070 - update the macro documentation (#8409) (Marek Hulán)
- Fixes #31750 - :foreman_server_ca_cert macro & not existing file (#8294) (Leos Stejskal)
- Fixes #31665 - Remove changeTaxonomy actions from layout (Tomer Brisker)
- Fixes #32084 - document default attributes retrieve (Ondřej Ezr)
- Fixes #32063 - remove use-ntp parameter from timezone command (Artur Obolewicz)
- Fixes #29295 - Change operatingsystem_id type from string to number in API docs for ids (aabramov)
- Refs #31147 - Correct coloring of zero metrics in report overviews (Simon Peeters)
- Fixes #32090 - deprecate flot_bar_chart (Ondřej Ezr)
- Fixes #32118 - remove legacy code and update version for jwt gem (Rahul Bajaj)
- Fixes #30779 - Implement ActionDispatch::RemoteIp (#7960) (Ewoud Kohl van Wijngaarden)
- Fixes #31715 - print slow initializers to debug log (Lukas Zapletal)
- Fixes #31848 - fix ForemanForm error regression (Amir Fefer)
- Fixes #31992 - Registration of host with FIPS (Leos Stejskal)
- Fixes #32042 - move safeguard for REX & insights (#8371) (Leos Stejskal)
- Refs #31745 - Require @theforeman/* 8.4.1 (Ewoud Kohl van Wijngaarden)
- Refs #32025 - fix rerender guard condition (Ondřej Ezr)
- Refs #31663 - Host detail - Fix typo in @host variable (Leos Stejskal)
- Refs #30331 - refctor nav header to pf4 (MariaAga)
- Trigger js tests on changes to eslint settings (Tomer Brisker)
- ignore `matcher` in eslint spellcheck (Tomer Brisker)
- Fixes #32056 - Open EmptyState documentation links in new tab (Tomer Brisker)
- Fixes #31663 - Registration templates usability issues (#8256) (Leos Stejskal)
- Fixes #32025 - allow changing root Component props (Ondřej Ezr)
- Fixes #31962 - changed preseed-iPXE to set domain for bootdisk-deployments (Jonas Trüstedt)
- Fixes #32051 - Change exit status in iPXE templates (#8373) (Andrea Perotti)
- Fixes #32055 - Don't show missing doc link on EmptyState (Tomer Brisker)
- Fixes #31990 - Optimize tooltip and popover initialization (Tomer Brisker)
- Fixes #32046 - Set setting with selection to empty value (Ondrej Prazak)
- Fixes #31885 - Registration - Simplified logic for rex & insights (#8342) (Leos Stejskal)
- Fixes #32009 - remove flot_pie_chart (#8366) (Ondřej Ezr)
- Fixes #32029 - test coverage for taxed_and_untaxed (#8370) (Ondřej Ezr)
- Fixes #31597 - Add description for host param in LDAP (aabramov)
- Fixes #32026 - cloned role throws error 500 if invalid (Ondřej Ezr)
- Fixes #31179 - Curls output during Global Registration (JaskaranNarula)
- Fixes #31850 - Host Registration - REX interface issue (Leos Stejskal)
- Refs #31745 - Refresh DiffModal snapshots (Ondrej Prazak)
- Fixes #31745 - Add GraphQL client (Ondrej Prazak)
- Fixes #31742 - enable eager_load in dev environment (Lukas Zapletal)
- Fixes #31713 - Add Raspberry Pi OS logo (Marek Hulan)
- Fixes #31912 - Host registration tab improvements (#8343) (Leos Stejskal)
- Fixes #31934 - correct redirection after user update (Marek Hulan)
- Fixes #31937 - CVE-2021-20256 BMC controller credential leak (Evgeni Golov)
- Fixes #28311 - use publicURL in openstack resource (Vitaly Pyslar)
- Fixes #31857 - Move login-page caption to footer (Ron Lavi)
- Fixes #31942 - Host filter error on nil (Ondřej Ezr)
- Refs #29960 - also set PrivateTmp=true for dynflow-sidekiq (Evgeni Golov)
- Fixes #29960 - set PrivateTmp=true in foreman.service (Evgeni Golov)
- Fixes #31931 - Allow searching by id on Hosts (#8344) (Adam Růžička)
- Fixes #31064 - sequence helper macro (#8072) (Lukáš Zapletal)
- Fixes #31830 - support children in SkeletonLoader component (Amir Fefer)
- Fixes #31882 - set ENC var hostname to shortname (Manfred Pusch)
- Refs #31720 - Apply @ezr-ondrej suggestions from code review (Jeremy Lenz)
- Refs #31720 - address comments and add links (Jeremy Lenz)
- Refs #31720 - Apply tbrisker suggestions (Jeremy Lenz)
- Fixes #31720 - add first draft doc (Jeremy Lenz)
- Fixes #31873 - Expose edit permissions in api index layout (Adam Ruzicka)
- Refs #30215 - mark string for translation (Shira Maximov)
- Fixes #31855 - add ellipsis with tooltip for long setting values (Amir Fefer)
- Fixes #31629 - API for generating registration command (Leos Stejskal)
- Fixes #31884 - Correctly warn about wrong logging layout (Tomer Brisker)
- Fixes #31881 - Bump vendor and builder to 8.3.3 (Ondrej Prazak)
- Fixes #31686 - Highlight changed matchers (Ondrej Prazak)
- Fixes #30724 - Remove console errors from ForemanModal (Jeremy Lenz)
- Fixes #31822 - 'Register Host' link under the Hosts menu (Leos Stejskal)
- Fixes #30215 - Add warning banner about puppet ENC extraction (Shira Maximov)
- Fixes #31723 - Show changes after setting update (Ondrej Prazak)
- Fixes #28016 - Add global slot for host(group) params (Ondrej Prazak)
- Fixes #31789 - remove dot from vnic-profiles API description (Adi Abramovich)
- Fixes #31730 - cleaner event name and documentation (Lukas Zapletal)
- Fixes #30787 - upgrade js vendor to 8.0.0 (MariaAga)
- Fixes #31792 - make the configuration status clickable (Marek Hulan)
- Fixes #31758 - Unterminated single quote in chainloader pxeboot template breaks grub2 parser (Scott Lindeneau)
- Helpful mention of the other foreman (sandstrom)
- Fixes #30699 - Log invalid JWT at warning instead of error (JaskaranNarula)
- Refs #31080 - fix react-hooks/exhaustive-deps warning (#8310) (Amir Fefer)
- Fixes #31798 - Fix error notifications in react forms (#8309) (Amir Fefer)
- Fixes #31791 - Add duplicate name validation to bookmarks (#8304) (Amir Fefer)
- Fixes #31719 - Fix array settings to accept empty array (Ondrej Prazak)
- fixes #31633 - Introducing format_time macro (Dominik Matoulek)
- Fixes #31722 - Improve url validation for HTTP proxies (Ondrej Prazak)
- Fixes #31747 - host checkin report fix (#8293) (Ranjan Kumar)
- Bump version to 2.5.0-develop (Amit Upadhye)
- Fixes #31738 - deprecate environment in templates API (#8288) (Ondřej Ezr)
- Fixes #29111 - Ansible Inventory includes newlines in response (#8289) (Anand Agrawal)
- Fixes #31569 - deprecate flot pie chart (Ondřej Ezr)
- Fixes #31689 - Handle vertical drag & drop (Ondrej Prazak)
- Fixes #30834 - Add support for vnic profile (Shira Maximov)
- Fixes #31233 - Clean up deprecations for 2.4 and older (Shira Maximov)
- Fixes #31243 - subscription API for active job (Lukas Zapletal)
- Fixes #31666 - Deprecate current taxonomies from store (Tomer Brisker)
- Fixes #22259 - bump fog-libvirt (Marek Hulan)
- Fixes #31718 - Remove use of {locations,organizations}_enabled (Ewoud Kohl van Wijngaarden)
- Fixes #31483 - Provisioning templates - Error message for blank template & fix resetting fields (Leos Stejskal)
- fixes #31675 - creating bond network configuration (Christian Meißner)
- Add .nvmrc to gitignore (Christian Meißner)
- Fixes #31282 - update after review (Leos Stejskal)
- Fixes #31282 - JWT scope (Leos Stejskal)
- Fixes #31688 - Remove NavDropdown component (#8266) (Tomer Brisker)
- Fixes #30835 - ovirt Filter SD by data and volume (Shira Maximov)
- Fixes #31571 - CentOS Stream installation media (Lukas Zapletal)
- Fixes #31573 - drop IPAPPEND2 and use BOOTIF with 01 prefix (Lukas Zapletal)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- fixes #31631 - configure bond the right way (Christian Meißner)
- Fixes #31626 - convert list into comma sep string (Christian Meißner)
- Fixes #31664 - add OpenWrt icons (Marek Hulan)
- Fixes #31669 - Register RegistrationFacet in application.rb (Jonathon Turel)
- Fixes #31480 - External IPAM Error Handling Fix (grizzthedj)
- fixes #31585 - iPXE ping gateway and name server (Pat Riehecky)
- Fixes #31637 - nilify http proxy credentials (Marek Hulan)
- Fixes #31625 - Correctly display environments for class params (Tomer Brisker)
- Fixes #31645 - Missing host UUID in global registration template (#8252) (Leos Stejskal)
- Fixes #31639 - Fix for syntax error when rendering Global Registration Template (#8251) (Leos Stejskal)
- Fixes #31503 - Add insecure checkbox to the registration form (#8206) (Leos Stejskal)
- Fixes #31600 - cant change taxonomies in small screens (MariaAga)
- Fixes #31531 - less general OS name matchers (Ondřej Ezr)
- Fixes #31518 - remove unused registration_token from API (Ondřej Ezr)
- Fixes #31521 - structured plugin information in statuses API (Evgeni Golov)
- Fixes #31603 - Fix setting for HTTP proxy (Ondrej Prazak)
- Fixes #30426 - Add InlineEdit pf4 React component (#7826) (John Mitsch)
- Fixes #31599 - Simplify TaxonomySwitcher  (#8242) (Tomer Brisker)
- Fixes #31578 - External IPAM now fails with 'mac address cannot be nil' on Compute Resource deployment (grizzthedj)
- Fixes #31431 - Update to Puma ~> 5.1 (Ewoud Kohl van Wijngaarden)
- Fixes #31440 - adding snippet_if_exists to nochroot block (#8175) (Dominik Matoulek)
- Fixes #31587 - SettingName fallback to name (#8235) (Ondřej Ezr)
- Fixes #29792 - Add current taxonomies and user in react context (#7655) (Amir Fefer)
- Fixes #29914 - show  taxonomy switcher when no view permission (Amir Fefer)
- Fixes #31584 - Fix rake config output (Ewoud Kohl van Wijngaarden)
- Fixes #31213 - hostgroup API facets extension point (#8115) (Ondřej Ezr)
- refs #29862 - improves report macros docs (Marek Hulan)
- Fixes #29969 - applied errata host filter (#7892) (Ondřej Ezr)
- fixes #31543 - Fixing bad error message at puppetrun endpoint (Dominik Matoulek)
- Fixes #31568 - Use puppet-release in provisioning (Matt Darcy)
- Fixes #31567 - Add setup-ruby action to workflow (Jeremy Lenz)
- Fixes #31429 - expose nic_delay in interfaces and subnets api views (Evgeni Golov)
- Fixes #31517 - do not use deprecated Net::LDAP:LdapError (Ondřej Ezr)
- Fixes #31526 - ConfigReports chart clicks (Ondřej Ezr)
- Fixes #31561 - fix propTypes in EmptyStatePattern (MariaAga)
- Fixes #31454 - extract eject cdrom into snippet (Lukas Zapletal)
- Refs #31250 - fix API middleware usage  story (Amir Fefer)
- Fixes #30842 - Update Stories for Storybook v6 upgrade   -update hierarchy separators for mdx files   -fix webpack config to cover new Storybook presets api   -fix broken stories   -adjust story ordering   -update imports to use Storybook packages directly   -stop using withKnobs decorator (no longer required)   -use @theforeman/stories v7.0.0 (Jeremy Lenz)
- Fixes #31554 - empty? check on integer (Ondřej Ezr)
- Fixes #31549 - Navigating twice removes highlight from nav (MariaAga)
- Fixes #31546 - cant use customBreadcrumbs in pagelayout (MariaAga)
- Fixes #31551 - remove ovirt_use_v4 from oVirt CR attributes (Shira Maximov)
- Fixes #31471 - setting API deprecate timestamps (Ondřej Ezr)
- Fixes #30793 - Remove API v3 from fog-ovirt (Shira Maximov)
- Fixes #31165 - sync usergroups only for given user :racehorse: (Ondřej Ezr)
- Fixes #30889 - random unitialized constants failures (Ondřej Ezr)
- Fixes #31482 - don't require ansible to render the inventory (Evgeni Golov)
- Fixes #31538 - use `distinct` scope for class params association (Tomer Brisker)
- Fixes #31284 - template input registry (#8130) (Ondřej Ezr)
- Fixes #31533 - drop Rake pin again (Evgeni Golov)
- Refs #31533 - pin rake to < 13.0.2 to avoid test failures (Evgeni Golov)
- Fixes #31250 - add useAPI hook for API requests (Amir Fefer)
- Fixes #31491 - ALTLinux icons display (Pavel Skrylev)
- Refs #31495 - Remove unused title property (Tomer Brisker)
- Refs #31495 - Properly handle missing breadcrumb caption (Tomer Brisker)
- Fix js testing - bundler not found (Ondřej Ezr)
- Fixes #31231 - show na when data is empty in host details (MariaAga)
- Fixes #30737 - If VLAN is present, pass to debian-installer (#8201) (Lukáš Zapletal)
- Fixes #31461 - Allow reinitialization of init values in ForemanForm (Oleh Fedorenko)
- Fixes #31495: Set a title on the logout page (Eric D. Helms)
- Refs #31285 - use Ruby 1.9 style Hash (Ondřej Ezr)
- Fixes #31285 - setting timestamps for API (Ondřej Ezr)
- Fixes #31452 - BOOTIF workaround for EL 8.3 (Lukas Zapletal)
- Refs #30987 - fix ArrowIcon import failing (Amir Fefer)
- Fixes #31478 - Stop using deprecated API export in common/index.js (Jeremy Lenz)
- Fixes #31080 - Add UI for managing Personal Access Tokens (#7806) (Kamil Szubrycht)
- Refs #29636 - fix BMC test failures (Lukas Zapletal)
- Fixes #31198 - Search doesn't work on the models page (MariaAga)
- Fixes #31410 - Clone Operating system (Leos Stejskal)
- Fixes #29636 - Add BMC support for Redfish. (r.stricklin)
- Fixes #31147 - extend StatusCalculator to use 64 bits (Lukas Zapletal)
- Fixes #30987 - Add card template extension to host details page (Amir Fefer)
- Refs #30670 - dynflow client depends on environment (Marek Hulan)
- Fixes #31368 - Simplify mount_search_bar method (Tomer Brisker)
- Fixes #31111 - set welcome flag only if welcome exists (Ondřej Ezr)
- Fixes #30978 - add css to global js files (Amir Fefer)
- Fixes #29292 - Move pagination options to the client (#8152) (Tomer Brisker)
- Refs #30925 - run rubocop in parallel mode (Lukas Zapletal)
- Fixes #31420 - Global Registration Template - exit on fail (Leos Stejskal)
- Fixes #30670 - start dynflow client in report tasks (Marek Hulan)
- Fixes #31143 - use single quotes in registration templates (Marek Hulan)
- Fixes #31017 - Do not use updates,security repos for Debian installations (Quirin Pamp)
- Refs #30925 - Rubocop autogenerated config with the gem (Ondřej Ezr)
- Fixes #30925 - use the organization style gem (Ondřej Ezr)
- Fixes #31408 - Use regexp to match networks by VLAN ID (Simon Peeters)
- Fixes #29324 - Adding head tags dynamically with react (Amir Fefer)
- Fixes #31364 - Properly import facts when unattended == false (Tomer Brisker)
- Fixes #28521 - log location, pre/post, dynamic layout (Lukas Zapletal)
- Fixes #31397 - Global Registration - hostgroup_id instead of host_group_id (#8156) (Leos Stejskal)
- Fixes #31348 - raw params in foreman_url support (Lukas Zapletal)
- Fixes #31398 - Allow period in external usergroup name (Tomer Brisker)
- Fixes #31345: Fix permissions undefined for nil due to race condition (Eric D. Helms)
- Fixes #31365 - Breadcrumbs story is empty (MariaAga)
- Fixes #31367 - Drop unused get_search_props method (Tomer Brisker)
- Fixes #30934 - improve template invocation_form inputs (Ondřej Ezr)
- Fixes #31290 - plugin_documentation_url params (#8131) (Ron Lavi)
- Fixes #31139 - Docs - How to create plugin (Leos Stejskal)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #31241 - show dateTimePicker default value (Ondřej Ezr)
- Fixes #31281 - Registration Form - Add info about JWT access (Leos Stejskal)
- Fixes #31193 - allow ansible inventory template without Katello (Evgeni Golov)
- Fixes #30799 - Upgrade js tests to support Jest 26 (John Mitsch)
- Fixes #31311 - add `id` to apidoc of interfaces_attributes (Evgeni Golov)
- Fixes #31273 - improve token logging (Lukas Zapletal)
- Fixes #31168 - rename ENC var name to hostname (Nagoor Shaik)
- Fixes #31317 - Fix broken VNC console in a secured connection (Shira Maximov)
- Fixes #30552 - Fix vmware vm cloning when volumes are not present (yifatmakias)
- Fixes #31295 - Table pagination in react has extra space (MariaAga)
- Fixes #31177 - make registration variables more readable (Marek Hulan)
- Fixes #31291 - No breadcrumbs for React pages (MariaAga)
- Fixes #28214 - Disable all locked template input fields (Marek Hulán)
- Fixes #31168 - Add host name to ENC output (#8103) (Nagoor Shaik)
- Refs #26871 - migrate to scope_by_resource_id (Marek Hulan)
- Fixes #26871 - restore taxonomy name as ID in API (Marek Hulan)
- Fixes #31262 - Warn about incorrect logging layout (Ewoud Kohl van Wijngaarden)
- Fixes #31258 - Don't fail migration if setting is hardcoded (Tomer Brisker)
- Fixes #30957 - External IPAM improved error handling and doc updates (grizzthedj)
- Fixes #31082 - Add Insights snippet to the Kickstart templates (#8092) (Leos Stejskal)
- Fixes #31236 - Host setup action in RegistrationController extendable from plugins (#8121) (Leos Stejskal)
- Bump version to 2.4-develop (Tomer Brisker)
- Fix ipv6 factory to stop failing (Shimon Shtein)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #31020 - Global Registration & REX setup parameter (#8104) (Leos Stejskal)
- Fixes #31228 - Improve UUID check performance (Tomer Brisker)
- Fixes #31021 - Global Registration & Insights setup parameter (#8091) (Leos Stejskal)
- Fixes #31174 - PaginationWrapper is not translated (MariaAga)
- Refs #27457 - add children prop to AppSwitcher (Amir Fefer)
- Fixes #30647 - Parameterize redhat_register install parameters for kt_activation_keys (Jeffrey Cutter)
- Fixes #30966 - make host substatus clickable (yifatmakias)
- Fixes #27457 - Add support for react router in plugins (Amir Fefer)
- Fixes #31097 - link to a tab in host details page (Ron Lavi)
- Refs #30791 - update snapshots due to pf4 update (Amir Fefer)
- Fixes #31191 - use correct status when report scheduling fails (Evgeni Golov)
- Fixes #31164 - Hosts Welcome page - Register host button (#8108) (Leos Stejskal)
- Refs #28384 - Use correct Foreman version in error log task (Tomer Brisker)
- Fixes #30710 - Add id to console button (Adam Ruzicka)
- Fixes #30890 - added externalipam to subnet API (#8067) (Lukáš Zapletal)
- Fixes #30459 - Global Registration Smart Proxy callback support (#8054) (Leos Stejskal)
- Fixes #31099 - filter out unstable facts: memory and load (Lukas Zapletal)
- Fixes #31024 - Optimize host taxonomy_conditions (#8101) (Tomer Brisker)
- Fixes #30820 - drop digest and use hash index instead (Lukas Zapletal)
- Fixes #31043 - Global Registration Template - Replace JSON in CURL with form-data (#8068) (Leos Stejskal)
- Fixes #31067 - improve error message for ESP chainload (Lukas Zapletal)
- Refs #30921 - enable authorized link_to from engines (Ondřej Ezr)
- Fixes #31161 - default cancel_path for engines (Ondřej Ezr)
- Fixes #28484 - Pass hostname to GCP API (Adam Cecile)
- Fixes #30838 - do not return report after create (Lukas Zapletal)
- Fixes #30852 - eager loading of report.logs (Lukas Zapletal)
- Fixes #30713 - power_status helper fixed (Lukas Zapletal)
- Fixes #30473 - UI for Global Registration (#8034) (Leos Stejskal)
- Fixes #29964 - Add memory allocation react component (yifatmakias)
- Fixes #30036 - use untranslated string for href in templates (MariaAga)
- Fixes #30544 - deprecate mount_react_component (Avi Sharvit)
- Fixes #31123 - cover menu generation by test (Ondřej Ezr)
- Fixes #30791 - Add tab extension abilty (host details page) (#7967) (Amir Fefer)
- Fixes #30942 - use react_component to mount breadcrumbs (Ondřej Ezr)
- Refs #31107 - test login page separately (Ondřej Ezr)
- Fixes #31107 - test Middleware on domain resource (Ondřej Ezr)
- Fixes #31090 - drop poltergeist dependency (Ondřej Ezr)
- Fixes #29017 - do not show 2nd tooltip on SP name (Justin Sherrill)
- Fixes #30417 - add pf4 emptystate component (Rahul Bajaj)
- Fixes #31091 - logging config absolute path (Ondřej Ezr)
- Fixes #31071 - expose created_at for report template (Ranjan Kumar)
- Fixes #28682 - stop using jquery in ToastNotifications (MariaAga)
- Fixes #30535 - Use HTTP headers in puma (hsahmed)
- update the number of vmware docs (Evgeni Golov)
- Fixes #30839 - accept Arrays of nested compute attributes (Ondřej Ezr)
- Fixes #30949 - Safe mode preview (Kamil Szubrycht)
- Fixes #30998 - Global Registration - Secure connection (#8047) (Leos Stejskal)
- Fixes #30926 - move parse_facts to HostFactImporter (Ondřej Ezr)
- Fixes #31048 - Fix 'add widget' dropdown header style (Amir Fefer)
- Fixes #30936 - Toast should have fallback type (MariaAga)
- Fixes #30929 - Deprecate ovirt v3 API (Shira Maximov)
- Fixes #30997 - allow image_path in all cases (Ondřej Ezr)
- Refs #25478 - TemplateRenderJob mailer test (Ondřej Ezr)
- Fixes #30946: Use Rails default for JSON root node (Eric D. Helms)
- Fixes #31016 - refresh registries after plugin testing (#8055) (Ondřej Ezr)
- Fixes #30917 - Add Smart proxy feature 'Registration' (#8024) (Leos Stejskal)
- Fixes #31015 - Add macros to deal with json and yaml in safemode (Kamil Szubrycht)
- Fixes #31041 - Insights snippet - Add connection test (Leos Stejskal)
- Fixes #31031 - no rocket hash keys in routes (Ondřej Ezr)
- Refs #29257 - clean up unused setting UI helpers (Ondřej Ezr)
- Refs #30519 - Add graphql types related to report (Ondrej Prazak)
- Refs #31031 - no mixed hash keys (Ondřej Ezr)
- Fixes #31030 - update broken snapshots (Ondřej Ezr)
- Fixes #29024 - help distinguish multiple Foremans from each other (Bernhard Suttner)
- Refs #29970 - speedup Applicable Errata report (Ondřej Ezr)
- Fixes #29710 - Clean up .where conditions (Tomer Brisker)
- Fixes #30738 - Configure katello-agent with act key (Ondrej Prazak)
- Fixes #30860 - introduce SettingPresenter (#8001) (Ondřej Ezr)
- Fixes #30840 - Add eslint spellcheck (laviro)
- Fixes #30952 - Rename react-component to foreman-react-component (Jonathon Turel)
- Fixes #30446 - Global Registration Template - Default taxonomies (#8025) (Leos Stejskal)
- Fixes #31011 - Allow :url in SmartProxy jail (Kamil Szubrycht)
- Refs #29683 - clean up forgotten puts (Ondřej Ezr)
- Fixes #30993 - HRT endpoint enables owner in strong params definition (#8049) (Leos Stejskal)
- Fixes #30999 - Add :activation_key to the Global registration template (Leos Stejskal)
- Fixes #30992 - HRT API endpoint should document ipv6 parameter (Leos Stejskal)
- Fixes #30771 - Complete global registration flow (#8018) (Leos Stejskal)
- Fixes #30922 - common lookup_key rabl template (Ondřej Ezr)
- fixes #30930 - Allow methods to traverse hostgroup hierarchy (#8030) (Manuel Laug)
- Fixes #30921 - enable authorized link_to from engines (Ondřej Ezr)
- Fixes #13459 - libvirt name coding (Ondřej Ezr)
- Fixes #30931 - Add a default empty query string to pushUrl helper (Amir Fefer)
- Fixes #30932: Rescue from RecordInvalid for plugin role creation (#8032) (Eric Helms)
- Fixes #30604 - replace mount_react_component in ReactApp (MariaAga)
- Refs #30803: Enable unix socket binding (Eric D. Helms)
- Refs #30840 - spelling findings after using eslint (laviro)
- Fixes #30602 - Use new react mounter for react_cancel_button (Yifat Makias)
- Fixes #30607 - replace mount_react_component in Slot (Amir Fefer)
- Fixes #30912 - Fix ovirt API CR creation with Quota name (Shira Maximov)
- Fixes #30612 - replace to react_component in status chart widget (Amir Fefer)
- Fixes #30798 - remove unused erb in apipie_dsls (MariaAga)
- Fixes #30916 - pin puma to < 5.0 (Evgeni Golov)
- Fixes #30905 - do not use ancestry 3.2.0 (Ondřej Ezr)
- Refs #30029 - moved initialization of allowed tags (Lukas Zapletal)
- Refs #30715 - Set timeout for JS GH actions (laviro)
- Refs #30750 - update snapshots for puppet sha change (Lukas Zapletal)
- Fixes #29257 - Remove x-editable-rails (Ondřej Pražák)
- Fixes #30750 - poweroff schedule command for SSH finish (Lukas Zapletal)
- Fixes #30715 - Add foreman JS tests github action (laviro)
- Refs #29295 - fixes the API doc (JaskaranNarula)
- Fixes #30774 - Show cancel btn on new hw model page (Ondrej Prazak)
- Fixes #28787 - Introduce last host checkin report (Marek Hulan)
- Fixes #30029 - telemetry label filter (Lukas Zapletal)
- Fixes #30519 - Add queries for config reports (Ondrej Prazak)
- Fixes #30817 - Remove AIO dirs in puppet.conf (Ewoud Kohl van Wijngaarden)
- Fixes #30844 - do not error on exposed port for BIOS (#7993) (Lukáš Zapletal)
- Refs #30667 - Use separate logger config for sidekiq workers (Adam Ruzicka)
- Fixes #30821 - checking core migrations as well (Ondřej Ezr)
- Fixes #30830 - Fix ovirt CR creation from API (Shira Maximov)
- Fixes #30559 - allow "ids" in safemode for ActiveRecord (Dominik Matoulek)
- Fixes #30843 - check for seeding on template input lock (Justin Sherrill)
- Fixes #30847 - rebuild taxonomy_search (#7995) (Ondřej Ezr)
- Fixes #30822 - disabling filling of mac address in UI (Dominik Matoulek)
- Refs #29992 - stopInterval callback on API success (Ron Lavi)
- Fixes #30836 - prevent DHCP nil exception (Lukas Zapletal)
- Fixes #28210 - API to fix Locked template input (Anand Agrawal)
- Fixes #30681 - fact value host search (#7913) (Ondřej Ezr)
- Fixes #30813 - explicitly use rsync.theforeman.org for upload (Evgeni Golov)
- Fixes #30734 - Use noninteractive frontend while installing freeipa-client on debian systems (Joshua Doll)
- Fixes #30444 - Host registration in Global Registration template (#7915) (Leos Stejskal)
- Fixes #30792 - Added root pw for image based deploy (brimioulle)
- Fixes #30768 - remove API status selector default (laviro)
- Fixes #30698 - set title for new/edit auth source ldaps (Bernhard Suttner)
- Fixes #30790 - wrap all examples in apipie_dsl_example() (#7966) (Mirek Długosz)
- Fixes #30608 - Use new react mounter for templates form (yifatmakias)
- Fixes #30763 - move architecture to abstract provider (Lukas Zapletal)
- Fixes #30786 - Fix yup snapshots (MariaAga)
- Fixes #30744 - fix host creation when volume is empty (Shira Maximov)
- Fixes #30778 - Report Template host_cores macro (Ranjan Kumar)
- Fixes #30739 - User must login with the assigned auth source (Rahul Bajaj)
- Refs #27298 - drop unstable audit mailer test (Tomer Brisker)
- Fixes #30603 - replace mount_react_component in templates helper (Amir Fefer)
- Fixes #30706 - Gracefully recover from CR connection error (Tomer Brisker)
- Fixes #30601 - replace mount_react_component in toasts (MariaAga)
- Fixes #30638 - replace react-numeric-input with rc-number-input (yifatmakias)
- Fixes #30627 - mac address is not required for virtual resources (Dominik Matoulek)
- Fixes #30730 - Implement systemd notify support for dynflow-sidekiq (Adam Ruzicka)
- Fixes #29356: Use puma-plugin-systemd to provide systemd notify support (Eric D. Helms)
- Fixes #30615 - Fix incorrect ipv6 error showing in host interfaces (yifatmakias)
- Fixes #30492 - Fixed bug in Highly Available checkbox in ovirt cp (yifatmakias)
- Fixes #30596 - replace mount_react_component in config reports (Amir Fefer)
- Fixes #30684 - add password edit button to the http proxy form (Avi Sharvit)
- Fixes #29984 - Validate all ovirt volume attrs are string (Shira Maximov)
- Fixes #30609 - Use new react mounter for users form (yifatmakias)
- Refs #30348 - statistic permission cleanup (Ondřej Ezr)
- Fixes #30606 - replace mount_react_component in extlogout (MariaAga)
- Fixes #30348 - trends cleanup task (Ondřej Ezr)
- Fixes #30712 - pin shoulda_matcher < 4.4 (Justin Sherrill)
- Fixes #30709 - disable hound eslint checks (Ron Lavi)
- Fixes #30538 - Update set of available events (Oleh Fedorenko)
- Fixes #30466 - trigger toasts from API middleware (Ron Lavi)
- Fixes #30555 - Authorizer uses subselect for joined_on (#7877) (Ondřej Ezr)
- Fixes #30442 - Global registration template params & host registration (#7859) (Leos Stejskal)
- Fixes #30415 - use only repos managed by sub-man (#7823) (Bernhard Suttner)
- Fixes #30556 - Get an accurate err for invalid hosts in report (#7897) (Shira Maximov)
- Fixes #30605 - replace mount_react_component in search (MariaAga)
- Fixes #30599 - replace mount_react_component in login (MariaAga)
- Fixes #30598 - replace mount_react_component with react_component (Avi Sharvit)
- Fixes #30643 - Allow inheriting auth source classes (#7905) (Tomer Brisker)
- Fixes #30328 - Adds patternfly 4 Loading react component (John Mitsch)
- Fixes #30634 - Windows Deploy Templates Domain Join (Matthias Hähnel)
- Fixes #30595,#30656 - support rendering multiple distribution widgets (Avi Sharvit)
- Fixes #30667 - Reuse log level configured for Dynflow for Sidekiq (Adam Ruzicka)
- Fixes #30512 - avoid query for smart proxy settings (#7864) (Justin Sherrill)
- Fixes #30618 - remove foreman-js:link (#7888) (Avi Sharvit)
- Refs #30659 - pin friendly_id to < 5.4 (Tomer Brisker)
- Fixes #30600 - use react_component in asciidoc (Avi Sharvit)
- Fixes #30558 - Fix typos in templates DSL (#7878) (Mirek Długosz (Mirosław Długosz-Zalewski))
- Fixes #30650 - fixed linter error in HOC.js (yifatmakias)
- Fixes #30610 - Use new react mounter for vmware vm (yifatmakias)
- Fixes #30613 - Use new mounter for report diff (Ondrej Prazak)
- Fixes #30597 - replace mount_react_component in pagination (MariaAga)
- Fixes #30430 - fix split_matcher (Ondřej Ezr)
- Add single commit check to GH actions (Tomer Brisker)
- Fixes #30611 - webcomponent mount FactChart (Ondřej Ezr)
- Fixes #30620 - Fix CR creation from the API (Shira Maximov)
- Fixes #30614 - webcomponent mount on ptable welcome (Ondřej Ezr)
- Bump version to 2.3-develop (Tomer Brisker)
- Fixes #30510 - Compare host packages report (Ranjan Kumar)
- Fixes #30554 - Update Storybook docs for plugins and mount_react_component (Jeremy Lenz)
- Fixes #30617 - Fix Change Owner bulk action (Ewoud Kohl van Wijngaarden)
- Fixes #30528 - Run rake console as dynflow client (#7871) (Adam Růžička)
- Remove quotation marks in conditional example, so it can be copy-pasted (Mirek Długosz)
- Fixes #30563 - link to generated page instead of directory (Mirek Długosz)
- Fixes #30587 - forgeries rake task (Ondřej Ezr)
- Fixes #30127 - always skip orchestration (Ondřej Ezr)
- Refs #28384 - handle case when request ID is missing (Jonathon Turel)
- Fixes #30551 - Move section to a parameter in documentation links (Shimon Shtein)
- Fixes #30159 - drop Statistics backend (Ondřej Ezr)
- Refs #30159 - drop Statistics UI (Ondřej Ezr)
- Fixes #30437 - add react context to pagination broken story (Amir Fefer)
- fixes #30499 - update latest versions of fedora, ruby and node (Ohad Levy)
- Fixes #30526 - provisioning templates will be taken from CR in HG too (Shira Maximov)
- Fixes #30319 - Taxonomy scope for AuthSources#index (Ondřej Ezr)
- Fixes #30339 - isolate LookupKey tests (Ondřej Ezr)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #30495 - Add main_app prefix to some route helpers (Shira Maximov)
- Fixes #30408 - full report data for scanning (Ondřej Ezr)
- Fixes #30508 - Upgrade vendor to v4.12.0 (MariaAga)
- Fixes #30441 - Global Registration Template API endpoint (#7839) (Leos Stejskal)
- Fixes #30185 - Change console files to be compatible to python3 (Shira Maximov)
- Fixes #30375 - fix os_minor search to not show empty minor (Shira Maximov)
- Fixes #29332 - update the breadcrumbs to pf4 (Avi Sharvit)
- Refs #30044 - fix rpm build failure related to pf4 styles (Amir Fefer)
- Fixes #30484 - Fix assets for graphiql (Ondrej Prazak)
- Refs #29940 - Refactor select options (Ondrej Prazak)
- Fixes #30470 - Add DSL docs for smart proxy (#7846) (Oleh Fedorenko)
- Refs #30331 - move layout proptypes to helper (MariaAga)
- Refs #30331 - Adds PF4 CustomContextSelector (MariaAga)
- Fixes #30044 - Initial Host Details Page Redesign (Amir Fefer)
- Fixes #28384 - Allow hiding stacktraces in the UI (Dominik Matoulek)
- Fixes #30431 - Grub2 IPv6 only subnet nil error (Lukas Zapletal)
- Fixes #29860 - Add base macros docs (#7768) (Oleh Fedorenko)
- Refs #30080 - don't fail-fast react plugins tests (Ron Lavi)
- Refs #27298 - transient mailer test failure (Ondřej Ezr)
- Fixes #30412 - fix shifted react-container (Ron Lavi)
- Fixes #30382 - Don't translate taxonomy names (Tomer Brisker)
- Refs #30151 - fix routing (Marek Hulan)
- Refs #30151 - review changes (Marek Hulan)
- Refs #30151 - incorporate review feedback (Marek Hulan)
- Fixes #30151 - Provide a generic help for writing templates (Marek Hulan)
- Fixes #10577 - Handle login csrf token expiry nicely (#7832) (Tomer Brisker)
- Refs #29993 - Remove before_action puppetrun (Dominik Matoulek)
- Fixes #29992 - pass stopInterval in handleError (Ron Lavi)
- Fixes #30228 - Refactor the Layout component (Avi Sharvit)
- Fixes #28516 - support all API operations (Ron Lavi)
- Fixes #30222 - Isolate LookupValue tests (Ondřej Ezr)
- Fixes #29993 - Drop Puppetrun (Dominik Matoulek)
- Fixes #28357 - BMC Subnet-Proxy association (Lukas Zapletal)
- Fixes #30126 - use facets fact parsing (Ondřej Ezr)
- Fixes #30351 - Adjust the wording on hosts so that it reflects the value represents the Smart Proxy whose puppet_url will be used (Karl Vollmer)
- Fixes #30401 - remove fixture usage from classification tests (#7817) (Ondřej Ezr)
- Fixes #30175,#30195 - Moving Quota validation to before_save in Ovirt CR (#7774) (Yifat Makias)
- Refs #30080 - gh action to match sub-directories (laviro)
- Fixes #30143 - passing root_url without section (Ron Lavi)
- templates - sync from community-templates (Tomer Brisker)
- Refs #29683 - add search by param tests for models (kgaikwad)
- Fixes #29683 - fix params search on hg,os,domain,subnet pages (kgaikwad)
- Fixes #30372 - Fix creation of ovirt CR via api (Shira Maximov)
- Fixes #30098 - Drop trends permissions (Ondřej Ezr)
- Refs #30098 - Drop trends models (Ondřej Ezr)
- Fixes #30244 - prevent Filter empty search_condition (Jonathon Turel)
- Fixes #30356 - remove dependency and use surge directly (Jeremy Lenz)
- Fixes #30246 - Upgrade vendor to v4.11.1 (Avi Sharvit)
- Fixes #30216 - refactor the js session-storage (Avi Sharvit)
- Refs #30098 - Deprecate trends API endpoints (Ondřej Ezr)
- Fixes #30144 - use media_type check not content_type (Ondřej Ezr)
- Fixes #30207 - isolate LookupKeysControllerTest (Ondřej Ezr)
- Fixes #27319 - add vnc console for kubevirt (Shira Maximov)
- Fixes #30205 - smart proxies statuses with logs feature disabled (Pavel Moravec)
- Refs #30098 - Drop trends UI (Ondřej Ezr)
- Refs #30080 - run GH react tests on relevant files (laviro)
- Fixes #30196 - Remove double listed marcos (Dominik Matoulek)
- Fixes #30317 - Do not add comment to locked template (Ondrej Prazak)
- Refs #30098 - drop trends import (Ondřej Ezr)
- Fixes #30310 - add missing translations (Marek Hulan)
- Fixes #29866 - Add DSL docs for host template macros (Oleh Fedorenko)
- Fixes #29865 - Add DSL docs for inputs macros (Oleh Fedorenko)
- Fixes #29863 - Add DSL docs for snippets (Oleh Fedorenko)
- Fixes #29864 - Add DSL docs for loaders (Oleh Fedorenko)
- Fixes #29862 - Add DSL docs for report (Oleh Fedorenko)
- Fixes #30229 - Fix errors when searching os that not exists (Shira Maximov)
- Fixes #30247 - do not delete VMs by default (Marek Hulan)
- Fixes #30152 - Unfreeze full_name for settings (Ondrej Prazak)
- Fixes #30231 - Fix keyboard to keyboard_layout in ovirt CR API (Shira Maximov)
- Refs #30232 - icon in userdropdown to pf4 (MariaAga)
- Fixes #30232 - userdropdown pf4 (MariaAga)
- Fixes #30080 - run plugins react tests in action (laviro)
- Refs #26772 - Use toasts from context (Ondrej Prazak)
- Fixes #26772 - Use react-router on hw models page (Ondrej Prazak)
- Refs #30085 - pass stop_interval action to reducer (laviro)
- Refs #30127 - drop setting enable_orchestration_on_fact_import (Ondřej Ezr)
- Refs #30127 - extract import_facts from host (Ondřej Ezr)
- Refs #29331 - increase the vertical nav font-size (Avi Sharvit)
- Fixes #30146 - Allow running Rake tasks as Dynflow clients (Adam Ruzicka)
- Fixes #30178 - User role with long name without spaces overlap to another column (#7764) (Leos Stejskal)
- Fixes #29445 - restrict STI deletion to admin (#7694) (Marek Hulán)
- Fixes #30085 - return on interval middleware stop (Ron Lavi)
- Fixes #29849 - Add DSL docs for hosts (Oleh Fedorenko)
- Fixes #28986 - Hide host selector from report templates (Shira Maximov)
- Fixes #29851 - Add DSL docs for NIC (Oleh Fedorenko)
- Fixes #29331 - use patternfly v4 fonts (Avi Sharvit)
- Fixes #30110,#29968 - upgrade vendor to v4.8.0 (Avi Sharvit)
- Fixes #28226 - upgrade to sprockets 4 (Ondřej Ezr)
- Fixes #29498 - improve pending_migrations check (Ondřej Ezr)
- Fixes #30154 - Use LazyValidator for models (Oleh Fedorenko)
- Fixes #30107 - graphql powerStatus field (Ondřej Ezr)
- Fixes #30138 - report template download button (Ondřej Ezr)
- Fixes #28303 - connect react router to redux (Amir Fefer)
- Fixes #30030 - use media_type where appropriate (Michael Moll)
- Fixes #30139 - UserDropdowns.scss is a duplicate (MariaAga)
- Fixes #30001 - fix auth sources breadcrumbs (Amir Fefer)
- Fixes #30056 - Forcing Unicode in reports (Dominik Matoulek)
- Fixes #29967 - encrypte root password in settings (Suraj Patil)
- Fixes #29854 - Add DSL docs for host groups (Oleh Fedorenko)
- Fixes #29988 - Upgrade Rails to 6.0.3.1 (Tomer Brisker)
- Refs #26925 - registration token method naming (Ondřej Ezr)
- Fixes #29853 - Add DSL docs for OS (Oleh Fedorenko)
- Fixes #28515 - refactor power status (Ron Lavi)
- Fixes #30097 - media provider friendly_name method removed (Lukas Zapletal)
- Fixes #30086 - move foremanUrl into ReactApp (Ron Lavi)
- Fixes #30041 - Don't allow impersonate disabled user (Dominik Matoulek)
- Fixes #29852 - Add DSL docs for PTables (Oleh Fedorenko)
- Fixes #28664 - support API middleware response callbacks (#7337) (Ron Lavi)
- Fixes #30014 - set MALLOC_ARENA_MAX=2 for puma (Lukas Zapletal)
- Fixes #30052 - Do not dump dynflow tables when dumping db schema (Adam Ruzicka)
- Fixes #29219 - Deploy Storybook to surge.sh (#7648) (Jeremy Lenz)
- Fixes #29903 - Add select functionality to table (MariaAga)
- Fixes #29856 - Add DSL docs for subnets (Oleh Fedorenko)
- Fixes #29855 - Add DSL docs for users (Oleh Fedorenko)
- Fixes #29973 - Move property docs next to the jail (Oleh Fedorenko)
- Fixes #29909 - Add option to fetch all records from API (Ondřej Pražák)
- Fixes #29974 - allow subnet helpers (#7713) (Lukáš Zapletal)
- Fixes #29990 - stop clear API response on polling (Ron Lavi)
- Fixes #29850 - Add DSL docs for realm (Oleh Fedorenko)
- Fixes #29900 - Add Cpu/Cores react component (yifatmakias)
- Fixes #29702 - added image validation check to ovirt (yifatmakias)
- Refs #29910 - Remove dynamic method definition (Ondrej Prazak)
- Fixes #29910 - Refactor setting option selection (Ondrej Prazak)
- Fixes #29859 - Add DSL docs for SSH keys (Oleh Fedorenko)
- Fixes #29858 - Add DSL docs for domains (Oleh Fedorenko)
- Fixes #29958 - fix name convention for auth sources tab (Rahul Bajaj)
- Fixes #28116 - introduce CentOS mirror (8.x) inst. media (Lukas Zapletal)
- Refs #28920 - Add more tests (Ondrej Prazak)
- Refs #28920 - Settings resolve permission name (Ondrej Prazak)
- Fixes #28920 - Add queries and mutation for settings (Ondrej Prazak)
- Fixes #29940 - add select to FormField (Ondřej Ezr)
- Refs #26925 - fix host registration tab styles (Ondřej Ezr)
- fixes #26925 - support host registration (Timo Goebel)
- Fixes #29936 - Bump fog-aws version to 3.6.5 (Aditi Puntambekar)
- Fixes #29716,#29283 - Bump fog-ovirt version (Shira Maximov)
- Fixes #29578 - add sorting feature to reports (Marek Hulan)
- Fixes #29709 - Check properly managed interfaces (Ondrej Prazak)
- Fixes #29714 - Drop puppetclass_id column from Lookup_keys (Shira Maximov)
- Fixes #28028 - Drop chromedriver dependency (Ewoud Kohl van Wijngaarden)
- Fixes #29490 - adds http_proxy support in GCE (kgaikwad)
- Fixes #29857 - Add DSL docs for taxonomies (Oleh Fedorenko)
- templates - sync from community-templates (Tomer Brisker)
- templates - delete old templates on sync (Tomer Brisker)
- Refs #28028 - update chromedriver to match jenkins version (Michael Moll)
- refs #15628 - remove unused rdoc gem reference (Ohad Levy)
- Fixes #29902 - Fixed bad name in NumericInput component (yifatmakias)
- Refs #29872 - Always require test_unit railtie (Tomer Brisker)
- Fixes #28639,#28640 - fix AWS deprecation and unrecognized args warnings (Aditi Puntambekar)
- Refs #29135 - fix section paramter in links (Shimon Shtein)
- Fixes #29872 - Only load used Rails frameworks (Tomer Brisker)
- Fixes #29870 - replace awesome_print with amazing_print (Michael Moll)
- Fixes #15628 - Require rdoc for apipie-rails (Viliam Krizan)
- Fixes #29891 - add kernel release fact for rhsm (Ranjan Kumar)
- Fixes #29869 - react pages in plugins (Ondřej Ezr)
- Fixes #29888 - Add ';vdsmdummy;' and 'br-int' to interface exclusion lists (Leos Stejskal)
- Fixes #29881 - Require only used rss modules (Tomer Brisker)
- Fixes #29761 - correct config status chart layout (Tomer Brisker)
- Refs #29796 - statistics extraction warning (Ondřej Ezr)
- Fixes #29796 - trends extraction warning (Ondřej Ezr)
- Fixes #29402 - Add missing gov region for EC2 (Aditi Puntambekar)
- Fixes #27879 - token is properly generated for iPXE Embedded (Lukas Zapletal)
- Fixes #29733 - deprecate foreman_url without arguments (Lukas Zapletal)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #28182 - fixing broken search bar in facts (Amir Fefer)
- Refs #28874 - bump fog version (Ondřej Ezr)
- Fixes #28874 - set/get eager zero flag (Bernhard Suttner)
- Refs #29744 - refactor the set_current_user method (Rahul Bajaj)
- Fixes #29744 - Consistent session expiration for oidc ext. users (Rahul Bajaj)
- Fixes #28850 - Make users disableable (Dominik Matoulek)
- Refs #29738 - Fix string extraction for plugins (Jonathon Turel)
- Bump version to 2.2-develop (Tomer Brisker)
- Fixes #29734 - Fix bar chart on config report page (Ondrej Prazak)
- Fixes #29741 - Login background override (Ron Lavi)
- Fixes #29740 - Align puppet class names (Ondrej Prazak)
- Fixes #29327 - Add actions to mail notification API (yifatmakias)
- Fixes #29738 - Extract strings from plugin webpack dir (#7649) (Adam Růžička)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #29429 - Bump dependency on Dynflow (Adam Ruzicka)
- Fixes #29429 - Provide rake tasks for Dynflow migrations (Adam Ruzicka)
- Refs #29682 - apply distinct & reorder on taxonomies association (kgaikwad)
- Refs #29682 - refactored test case (kgaikwad)
- Refs #29682 - added test to verify audit change (kgaikwad)
- Fixes #29682 - remove duplicate elements in audit set_taxonomies (kgaikwad)
- Fixes #28618 - rename smart vars settings to smart class params (Amir Fefer)
- Fixes #29719 - Hostgroup facet inheritance error (#7642) (Alexander "Ananace" Olofsson)
- Fixes #29377 - rename report templates (Lukas Zapletal)
- Fixes #29362 - Include templates in seed hash calculation (Tomer Brisker)
- Fixes #29712 - Add default_src to CSP policy (Shimon Shtein)
- Fixes #25723 - Prevent AJ.spawn_if_missing from creating duplicates (Adam Ruzicka)
- Fixes #29708 - Remove internal use of deprecated JS API (John Mitsch)
- Fixes #28070 - host param fallback parameter (Lukas Zapletal)
- Fixes #29700 - bold table headers (#7637) (Avi Sharvit)
- Fixes #29695 - Add svg file support (Fellipe Henrique)
- Fixes #29135 - Move external links to a single controller (Shimon Shtein)
- Fixes #29092 - Set Active Tab for AuthSourceExternal form (Aaditi Jain)
- Fixes #29679 - Require fixed benchmark-ips version (Michael Moll)
- i18n - add missing pot,po files (Amit Upadhye)
- i18n - extracting new, pulling from tx (Amit Upadhye)
- Fixes #29529 - Bump Foreman-js versions (John Mitsch)
- Fixes #29284 - Drop Rackspace support (Tomer Brisker)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #29630 - fix navbar brand icon style (Ron Lavi)
- Refs #29608 - Apply De-Morgan to EncryptValue methods (Tomer Brisker)
- Refs #29679 - Pin benchmark-ips (Tomer Brisker)
- Fixes #29608 - optimize encryption check (Lukas Zapletal)
- Fixes #29582 - Improve performance of externalNodes (Lukas Zapletal)
- Fixes #29110 - updated fact parser to handle v3 debian OS (#7482) (Lukáš Zapletal)
- Fixes #29676 - explicitly use Rails 6.0 compatible gems (Michael Moll)
- Fixes #29642 - drop sqlite support (Tomer Brisker)
- Fixes #29673 - Upgrade to Rails 6.0.2.2 (Tomer Brisker)
- Fixes #29655 - Allow hosts for Rails in devel environment (John Mitsch)
- Fixes #28598,#28597 - remove VariableLookupKey model, tests (Shira Maximov)
- Fixes #29670 - upgrade patternfly (Ondřej Ezr)
- Refs #29605 - pin more more of babel-plugin-dyncamic-import-node (Ondřej Ezr)
- Fixes #28669 - Fix looping and session expiration for SSO users (Rahul Bajaj)
- Fixes #29584 - Preload Puma in production (Ewoud Kohl van Wijngaarden)
- Refs #27298 - Try to fix audit mailer test again (Tomer Brisker)
- Fixes #29621 - Switch default to Rails 6.0 (Michael Moll)
- Fixes #29434 - Add basic documentation for template macros (#7537) (Oleh Fedorenko)
- Fixes #29433 - seeding with scope (Ondřej Ezr)
- Fixes #28596 - remove smart_var from LookupKeysCommonController (Amir Fefer)
- Fixes #29612 - Update debian.rb to support Ubuntu 20 legacy pxe (Naga)
- Fixes #26311 - graceful fail of external user creation (#7583) (Rahul Bajaj)
- Refs #28539 - smart variables migration direction (Ondřej Ezr)
- Fixes #29522 - upgrade jquery-ui-rails (Ondřej Ezr)
- refs #29567 - remove sqlite in container build (Ohad Levy)
- Refs #29605 - pin babel-plugin-dynamic-import-node (Tomer Brisker)
- Fixes #29567 - Add nulldb for build environments (Eric D. Helms)
- Fixes #28539 - Drop smart variables from DB (Shira Maximov)
- Fixes #28323 - Collect information about Dynflow sidekiq in f-debug (Adam Ruzicka)
- Fixes #29496 - Fix pagination for client-side paging (Ondrej Prazak)
- Fixes #29558 - use Rails 6 on Ruby >= 2.6 (Michael Moll)
- Fixes #29557 - Adjust filename headers for Rails 6 (Michael Moll)
- Fixes #29471 - add 6.0 deprecations to whitelist (Michael Moll)
- Fixes #29524 - association preloading in testing (Ondřej Ezr)
- Fixes #29520 - use Arel where needed to wrap SQL (Michael Moll)
- Refs #29483 - remove unecessary use of implicit scopes (Ondřej Ezr)
- Fixes #29447 - Build more efficient taxonomy search for filters (Adam Ruzicka)
- Fixes #29523 - GraphQL collection preloading on Rails 6 (Ondřej Ezr)
- Fixes #29532 - Require scoped_search to 4.1.8 (Michael Moll)
- Fixes #29525 - Use model name from global id to load object (Kamil Szubrycht)
- Fixes #29504 - Skip plugin registration if the db is not ready (Kamil Szubrycht)
- Fixes #29439 - VMRC doesn't start (Bernhard Suttner)
- Fixes #26210 - Don't remove locked template (Dominik Matoulek)
- Fixes #29470 - Rails 6 compatible template handler method (Ondřej Ezr)
- Fixes #29491 - Simplify Plugin#pending_migration method (Tomer Brisker)
- Fixes #29477 - updated VMware vSphere 7.0 VM Hardware version (Nagoor Shaik)
- refs #29481 - Pin capybara (#7569) (Michael Moll)
- Fixes #29473 - Correctly test invalid content type error (Tomer Brisker)
- Fixes #29474 - remove :on from save callbacks (Tomer Brisker)
- Fixes #29472 - Skip action_mailbox controller permission test (Michael Moll)
- Fixes #28620 - sqlite foreign_key removal (Ondřej Ezr)
- Fixes #29452 - fk migrations cleanup (Ondřej Ezr)
- Fixes #29464 - plain inputs can be hidden (Marek Hulan)
- Fixes #29178 - improved labels and help on proxy page (Lukas Zapletal)
- Fixes #27975 - DHCP cleanup task (Lukas Zapletal)
- Fixes #1513 - distinguish between RHEL 7 Server and Workstation (Marek Hulan)
- fixes #29432 - add flatcar os support (Timo Goebel)
- Fixes #28734 - Add hostgroup inherited parameters in GET (Shira Maximov)
- Fixes #29386 - fix setting_type for oidc_audience (Rahul Bajaj)
- Refs #20832 - extract strings (Marek Hulan)
- Fixes #29427 - change breadcrumbs path in compute resources (Amir Fefer)
- Fixes #20832 - allow deletion of unkown STI records (Marek Hulan)
- Fixes #29416 - Trigger a full page reload on session expiration (Rahul Bajaj)
- Fixes #28960 - Remove redundant begin block (Emil DRAGU)
- Fixes #28960 - assign filtered users list to original variable (Emil DRAGU)
- Fixes #28960 - Configuration Error Reports not sent (Emil DRAGU)
- Fixes #28093 - fix identation issue (Emil DRAGU)
- Fixes #28093 - Changes after review suggestion (Emil DRAGU)
- Fixes #28093 - Wrong host ownership in UserMailNotifications (Emil DRAGU)
- Fixes #29350 - Disable Layout/EmptyLineAfterGuardClause cop (Michael Moll)
- Fixes #28648 - handle nil jwt token (Rahul Bajaj)
- Fixes #29263 - catch permission error for hypervisor name (Ondřej Ezr)
- Refs #28740 - Fix linting issues (Ondrej Prazak)
- Fixes #28740 - Use ForemanModal as a confirmation dialog (Ondrej Prazak)
- Fixes #29144 - Use systemd socket activation (Ewoud Kohl van Wijngaarden)
- Fixes #27151 - fixing falsy 100% in charts (Amir Fefer)
- use ENV not ARG to set RAILS_ENV in the running container (Evgeni Golov)
- Fixes #3750 - Fix cloning ovirt host (Shira Maximov)
- Refs #29388 - Fix Minitest/GlobalExpectations cop (Michael Moll)
- Fixes #29388 - Add rubocop-minitest (Michael Moll)
- Fixes #29390 - Unpin pry-byebug (Ori Rabin)
- Fixes #29379 - don't try to load removed widget (Marek Hulan)
- Fixes #27067 - Patch for External IPAM plugin implementation (grizzthedj)
- Fixes #29352 - Create action_buttons in react (MariaAga)
- Fixes #29272 - add template locked error only in not seeding (Shira Maximov)
- Fixes #29369 - Fix lint issue (Leos Stejskal)
- Fixes #29369 - Add support for URL with parameters in Hosts bulk actions (Leos Stejskal)
- Fixes #29349 - Fix Layout/SpaceInsideArrayLiteralBrackets cop (Michael Moll)
- Fixes #28853 - Add NIC type to safemode methods (#7385) (Lukáš Zapletal)
- Fixes #19892 - Fix Style/Proc cop (Michael Moll)
- Fixes #19896 - Fix Style/RedundantSelf cop (Michael Moll)
- Fixes #28766 - add version macro (Marek Hulan)
- Fixes #28757 - Editor didnt change diff view for translated (MariaAga)
- Fixes #29344 - fix editor cursor position (Bernhard Suttner)
- Fixes #28868 - Add location inherited parameters (Shira Maximov)
- Fixes #29334 - Pass additional props to slot helper (Ondrej Prazak)
- don't quote CMD in Dockerfile (Evgeni Golov)
- Refs #29049 - fix image_families filter test for GCE (kgaikwad)
- Fixes #28363 - Drop lookup key matcher length limit (Shira Maximov)
- Fixes #29049 - filter images & extends projects in GCE (#7463) (kgaikwad)
- Refs #28568 - removing external_variables permissions (Shira Maximov)
- Fixes #19904 - Configure Style/SymbolArray cop (Michael Moll)
- Fixes #29338 - Add hosts to the hostgroup jail (Baptiste Agasse)
- Fixes #28568 - Drop smart variable permissions (Shira Maximov)
- Fixes #29311 - Add Rails logging for API deprecation warnings. (Chris Roberts)
- Fixes #25925 - Disable autocomplete for password input on User Edit page (Leos Stejskal)
- Fixes #28905 - DatePicker: make it possible to submit an empty date field (Kamil Szubrycht)
- Fixes #29325 - Add queries, mutations for bookmarks (Ondrej Prazak)
- Fixes #29317 - Add title to login page (Bernhard Suttner)
- Fixes #29285 - Deprecate Rackspace Compute Resource (Shira Maximov)
- Fixes #27877 - no conflicts on DHCP filename change (Lukas Zapletal)
- Fixes #28885 - added provider field to virtual machine api (yifatmakias)
- Refs #28320 - Allow sass-rails 5.x again (Ewoud Kohl van Wijngaarden)
- Refs #28945 - Fix failing integration tests (#7499) (Leos Stejskal)
- Refs #28320 - upgrade sass to sassc (Ondřej Ezr)
- Fixes #28945 - Taxonomy scope for interfaces action (Leos Stejskal)
- Fixes #28974 - Add mutations for operating systems (Ondrej Prazak)
- Fixes #29143 - Lock audit comment for locked templates (#7466) (Oleh Fedorenko)
- Fixes #28946 - Describe HTTP proxy usage (Bernhard Suttner)
- Fixes #28148 - Add react context provider (Amir Fefer)
- Fixes #27735 - added foreman_comment fact parsing (Lukas Zapletal)
- Refs #29163 - Fix newly detected Rubocop violations (Michael Moll)
- Fixes #29163 - Update Rubocop to 0.80 (Michael Moll)
- Fixes #29265 - do not cache datacenters list (Ondřej Ezr)
- Fixes #28769 - add more loader macros (Marek Hulan)
- Fixes #29065 - Do not add lone taxonomies to filter (Ondrej Prazak)
- Fixes #29276 - pin statsd-instrument (Michael Moll)
- Fixes #29275 - Documentation button for reports (Tobias Bauriedel)
- Fixes #27907 - Add update_hostgroups_from_facts setting (Trey Dockendorf)
- Fixes #28957 - reduce the amount of taxonomies queries (Shira Maximov)
- Fixes #29248 - add DNS stubs for all tests (Lukas Zapletal)
- Refs #29258 - Lazy initialize dynflow during rake tasks (Adam Ruzicka)
- Fixes #21654 - create registry for importers (Rahul Bajaj)
- Fixes #26567 - improve vm listing performance (Marek Hulan)
- Fixes #29258 - Initialize dynflow in puma workers (Adam Růžička)
- Fixes #29230 - Fix redirect for host audits (Ondrej Prazak)
- Fixes #29249 - Fix chartbox overflowed title (Amir Fefer)
- Fixes #28927 - Forget host status (#7419) (Ian Ballou)
- Fixes #23704 - allow subnet order by network (Marek Hulan)
- Fixes #28764 - StatisticsChartsList to use the api reducer (MariaAga)
- Fixes #29183 - hide image selection from compute-profile in GCE (kgaikwad)
- Fixes #29043 - Add name to 'generate_at' field (Ondrej Prazak)
- Fixes #19792 - Fix Layout/SpaceInsideBlockBraces cop (Michael Moll)
- Fixes #28629 - Always associate template kind (Ondrej Prazak)
- Fixes #29047 - Fix os icon for unknown os family (Ondrej Prazak)
- Fixes #28995 - change NonUniqueInputsError to Foreman::Exception (Shira Maximov)
- Refs #28161 - fix autocomplete & formik bug (Jeremy Lenz)
- Refs #28161 - Bookmarks light refactoring   fix ForemanForm issue (Jeremy Lenz)
- Refs #28161: use selector to get search query (Jeremy Lenz)
- Fixes #28161: Convert Bookmarks modal to ForemanModal (Jeremy Lenz)
- Fixes #29018 - disabled buttons are still working (laviro)
- Fixes #28758 - Editor modal is shown empty (MariaAga)
- Fixes #29139 - fix height of html and body (laviro)
- Fixes #29070 - HTTP Proxy taxonomy searching incorrect (Ian Ballou)
- Sort Rubocop rules (Michael Moll)
- Fixes #28268 - change v4 to be the default in ovirt cr (yifatmakias)
- Fixes #28838, #28931 - Safer seeding on initialization (Tomer Brisker)
- Fixes #28884 - DatePicker: fix calendar (Kamil Szubrycht)
- Fixes #29106 - orderable select value (Ondřej Ezr)
- Fixes #28935 - Add mutations for media (Ondrej Prazak)
- Refs #29027 - replace server_version with server_version_num (Kamil Szubrycht)
- Fixes #29044 - Hide values of encrypted settings in API (Adam Ruzicka)
- Fixes #29056 - Fix API filter creation in case of organization_id exists (Shira Maximov)
- Fixes #28845 - Update after review (Leos Stejskal)
- Fixes #28845 - When generating custom report, leave output format field empty (Leos Stejskal)
- Fixes #28347 - Updated documentation for API (Leos Stejskal)
- Fixes #28347 - Add default ldap attributes mapping (Leos Stejskal)
- Fixes #28955 - Added puma configuration (sthirugn)
- Refs #29027 - session out of range adhere pg versions (Ondřej Ezr)
- Fixes #28849 - Long role names are cut off in the roles UI (Leos Stejskal)
- Fixes #28755 - fix chart stories titles (Avi Sharvit)
- Fixes #29021 - Add titles to welcome pages (Ondrej Prazak)
- Fixes #29027 - session_id out of range error (Ondřej Ezr)
- Fixes #28900 - Add search to Taxonomies in top navigation dropdowns (Leos Stejskal)
- Fixes #29010 - graphql: fix creating object by user with create permission (Kamil Szubrycht)
- Fixes #28624 - Scrolling in the editor scrolls the preview (MariaAga)
- Fixes #28754 - Disabling MAC address input for visualization (Dominik Matoulek)
- Fixes #29008 - consider locked templates valid in seed (Marek Hulan)
- Fixes #29006 - Netmask is optional in API docs (Oleh Fedorenko)
- bump version to 2.1-develop (Tomer Brisker)
- Fixes #28987 - Fix report_templates API taxonomies routing (#7435) (Shira Maximov)
- Fixes #28967 - Handle base errors in ForemanForm (Ondrej Prazak)
- Fixes #28898 - show unique machine_types/flavors in GCE (kgaikwad)
- Fixes #28965 - calculate PXE UID from OS version (Lukas Zapletal)
- Refs #28248 - remove sqlite deprecation notification (Tomer Brisker)
- Refs #28279 - Remove smart variable deprecation notification (Tomer Brisker)
- Fixes #28338 - Remove MySql deprecation notification (Tomer Brisker)
- Fixes #28929 - allow complex types in settings api (Simon Peeters)
- Fixes #28858 - allow delete user with multiple groups (Ondřej Ezr)
- Fixes #28846 - PPC64 pxedir location (Lukáš Zapletal)
- Fixes #28891 - Show host properties tab if missing taxonomy (#7420) (Tomer Brisker)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #28867 - Do not delete impersonating user (Ondrej Prazak)
- Fixes #28932 - prevent ERROR: subquery has too many columns (Wieberneit, Daniel)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #28926 - Remove Parametrized_Classes_in_ENC setting (Tomer Brisker)
- Fixes #28861 - Update after review (Leos Stejskal)
- Fixes #28861 - Use sha256 fingerprints for SSH keys due to FIPS (Leos Stejskal)
- Fixes #28923 - Mention puppet classes for hostgroup create/update (Oleh Fedorenko)
- Fixes #28856 - Add TypeAheadSelect connected component (Jonathon Turel)
- Fixes #28912 - Remove pointer from VM tab to interfaces (Tomer Brisker)
- Fixes #28835 - API docs mention allowed trend types (Oleh Fedorenko)
- Fixes #28860 - fixing bad logging of bruteforce (Dominik Matoulek)
- Refs #26729 - refactor notifications polling (laviro)
- Fixes #28895 - Improve message for impersonation (Ondrej Prazak)
- fixes #28078 - introduce Rails Instrumentation (Kamil Szubrycht)
- fixes #28078 - add event subscribers api (Timo Goebel)
- Fixes #28575 - Disable Performance/RegexpMatch cop (Michael Moll)
- Fixes #28872 - Raise minium secure_headers version (Michael Moll)
- Fixes #28863 - upgrade tfm-builder to v4.0.7 (Avi Sharvit)
- Fixes #28824 - Make boot time search only explicit (#7388) (Tomer Brisker)
- Fixes #28857 - protect the Intl from code duplications (Avi Sharvit)
- Fixes #21987 - Add UI for Auth Sources (Rahul Bajaj)
- Fixes #28725 - prevent image field from disabling on host form (kgaikwad)
- Fixes #28844 - protect the state from  duplication (Avi Sharvit)
- Fixes #25762 - display filterable request UUID (Marek Hulan)
- Fixes #28783 - Update CR api 'region' description for AzureRm (Aditi Puntambekar)
- Fixes #28815 - keep .txt extension for text reports (Marek Hulan)
- Fixes #28817 - fixed inconsistency in trend api params (yifatmakias)
- Fixes #28823: Pin pry-byebug to less than 3.7.0 (Eric D. Helms)
- Fixes #28821 - Make component registry resiliant to duplication (Tomer Brisker)
- Fixes #28820 - protect registering the react-component (Avi Sharvit)
- Fixes #28802 - lint issue in empty state component (laviro)
- Fixes #28767: Drop extra transaction from plugin Role creation (Eric D. Helms)
- Fixes #28617 - Drop Enable_Smart_Variables_in_ENC setting (#7331) (Tomer Brisker)
- Fixes #28508 - Ovirt, Get instance unless id.empty (Shira Maximov)
- Fixes #28552 - update model to filter/scope by taxonomy (Brad Buckingham)
- Fixes #28405 - Missing permissions to Table Preferences (Dominik Matoulek)
- Fixes #28768 - always export metadata first (Marek Hulan)
- Fixes #28737 - fix template assignment in OS form (Marek Hulan)
- Fixes #28763 - split ChartBox and StatisticsChartsList (MariaAga)
- Fixes #28519: Hash and run database seeds on startup (Eric D. Helms)
- Fixes #28770 - add more formatting macros (Marek Hulan)
- Fixes #27098 - Update scoped search descriptions (Oleh Fedorenko)
- Fixes #26010 - boot_order by orderable select (Ondřej Ezr)
- Fixes #28724 - Use Component Story Format   for Storybook stories (Jeremy Lenz)
- Fixes #3678 - Make Pry default development console (Tomer Brisker)
- Fixes #28514 - Skip cycle validation for user type membership (Hao Yu)
- Fixes #28548 - added virtual machine command for compute resource (yifatmakias)
- Refs #28217 - remove turbolink tags from links (Ondřej Ezr)
- Refs #28217 - Use packaged coffee-rails gem (Tomer Brisker)
- Refs #28217 - correct page load without turbolinks (Tomer Brisker)
- Fixes #28217 - drop turbolinks (Ondřej Ezr)
- Fixes #28733 - Editor allow refresh preview after error (MariaAga)
- Fixes #28538 - Remove Smart Variables from views (Tomer Brisker)
- fixes #28735 - Audits page causes endless loop of calls (MariaAga)
- Fixes #28727 - Correct dns_timeout setting value (Tomer Brisker)
- Fixes #28573 - use @theforeman/stories (Avi Sharvit)
- Refs #28488 - fix jest watch and watchAll options (Amir Fefer)
- Refs #28382 - refactor FactChart (laviro)
- Refs #28382 - add url to middleware payload (laviro)
- Refs #28382 - create main API reducer (laviro)
- Fixes #27585 - default dns timeout value is nil (Lukas Zapletal)
- Fixes #28393 - consume eslint config from foreman-js (Amir Fefer)
- Fixes #28636 - allow group_by on AR objects (Marek Hulan)
- Fixes #28561 - Configure and fix Layout/AlignArguments cop (Michael Moll)
- Fixes #28564 - improve performance of orphaned facts cleanup (Tomer Brisker)
- Refs #28315 - FormField storybook (Ondřej Ezr)
- Fixes #28488 - consume jest config from env (Amir Fefer)
- Fixes #28324 - Fix logout URL for OpenID connect users (Rahul Bajaj)
- Fixes #28651 - changes http proxy id description (James Jeffers)
- Fixes #28645 - fix smart proxy version comparison test (Tomer Brisker)
- Fixes #28124 - validate zone name in GCE along with key path (kgaikwad)
- Update copyright year (Tomer Brisker)
- bump version to 2.0.0-develop (Tomer Brisker)
- fixes #28643 - update base image to Fedora 31 (Ohad Levy)
- Refs #23234 - Prefer friendly find to id lookup (Tomer Brisker)
- Fixes #28540 - Drop smart variables from ENC output (Tomer Brisker)
- Fixes #28543 - Remove smart vars from host edit page (Tomer Brisker)
- Fixes #28595 - move API actions to helper action (laviro)
- Refs #27547 - Address comments (Ondrej Prazak)
- Refs #27547 - Change endpoint to private (Ondrej Prazak)
- Fixes #27547 - Add endpoint for menu items (Ondrej Prazak)
- Fixes #28638 - Require mocha 1.11+ (Michael Moll)
- Refs #28028 - update chromedriver to match jenkins version (Michael Moll)
- Fixes #28619 - remove strip_heredoc (Michael Moll)
- Fixes #23234 - Simplify parent scope lookup (Tomer Brisker)
- Fixes #19884 - Disable Style/NumericPredicate cop (Michael Moll)
- Fixes #28606 - fix DecadeView test (Amir Fefer)
- Fixes #28566 - add organizations and locations to http proxy show api (Brad Buckingham)
- Fixes #28565 - Avoid association_scope method (Tomer Brisker)
- Fixes #27788 - IPv6 support for trusted hosts (Lukas Zapletal)
- Fixes #28603 - remove redundant react-test-renderer package (Amir Fefer)
- Fixes #12712 - Fix owner link from host info page (Tomer Brisker)
- Fixes #28600 - don't change encoding of empty strings (Michael Moll)
- Fixes #28604 - update DecadeView snapshots to 2020 (Avi Sharvit)
- Fixes #28584 - refactor API middleware payload (laviro)
- Fixes #28594 - Drop reports api endpoints (Tomer Brisker)
- Refs #28585 - drop host status access permission (Tomer Brisker)
- Fixes #28567 - Remove smart variables strong param filters (Ori Rabin)
- Fixes #28580 - enable assignment of external users(via oidc) to usergroup (Rahul Bajaj)
- Fixes #28593 - drop host_parameters_attributes.nested support (Tomer Brisker)
- Fixes #28592 - drop compute resource api uuid param (Tomer Brisker)
- Fixes #28591 - Drop deprecated permissions api params (Tomer Brisker)
- Fixes #28585 - Drop host status api without type (Tomer Brisker)
- Fixes #28583 - Drop `use_puppet_default` API params (Tomer Brisker)
- Fixes #28582 - Drop deprecated config_templates api (Tomer Brisker)
- Fixes #26314 - disable refresh button for external auth sources (Rahul Bajaj)
- Fixes #28520 - rake task for creation of external auth source (Rahul Bajaj)
- Fixes #28586 - Add application setting to use Rails 6.0 (Michael Moll)
- Fixes #28204 - Run Dynflow with Sidekiq using docker-compose (Adam Ruzicka)
- Fixes #28576 - Fix Style/RedundantBegin cop (Michael Moll)
- Fixes #28542 - Remove smart variables from puppet class form (Tomer Brisker)
- Fixes #28572 - Bump TargetRubyVersion to 2.5 for Rubocop (Michael Moll)
- Fixes #28002 - drop Ruby < 2.5 (Michael Moll)
- Fixes #28546 - Drop smart variables from API (Tomer Brisker)
- Fixes #28547 - Don't assign lone taxonomies to reports (Tomer Brisker)
- Fixes #28563 - Be defensive about interface type in API (Tomer Brisker)
- Fixes #7570 - Replace `secret_token` with `secret_key_base` (Tomer Brisker)
- Refs #28512 - Enable Layout/ClosingHeredocIndentation cop (Michael Moll)
- Fixes #19779 - Fix Layout/IndentHeredoc cop (Michael Moll)
- Fixes #27853: Connect ForemanModal to Redux store (Jeremy Lenz)
- Fixes #28545 - Remove smart variable pages (Tomer Brisker)
- Fixes #28544 - Remove smart variables from the menu (Tomer Brisker)
- Fixes #28511 - Fix Lint/SendWithMixinArgument cop (Michael Moll)
- Fixes #28553 - improved password filtering in debug (Lukas Zapletal)
- Fixes #4160 - foreman_url params option (Lukas Zapletal)
- Refs #28506 - fixed telemetry boot require (Lukas Zapletal)
- Fixes #28534 - Update provisioning templates to fix Ansible tests (#7272) (Adam Růžička)
- Fixes #28509 - relative time tooltip is optional in dates (MariaAga)
- Refs #28391 - snapshots update PF 2.39.10 (laviro)
- Fixes #28506 - fix upgraded prometheus (Ondřej Ezr)
- Fixes #28424 - Restore icon for puppet reports (Tomer Brisker)
- Fixes #28512 - Disable Layout/ClosingHeredocIndentation cop (Michael Moll)
- Fixes #28435 - Correct dashboard date layout (Tomer Brisker)
- Fixes #28513 - downgrade storybook (laviro)
- Fixes #28510 - mount_date_component doesnt mount correctly (MariaAga)
- Fixes #28507 - Move stored fixtures to snapshots (laviro)
- Fixes #28457 - bookmarks, statistics api reducers fix (MariaAga)
- Fixes #28027 - resource pools needless fetch (Ondřej Ezr)
- Fixes #28480 - Raise exception for non-existing image in GCE (Adam Cecile)
- Fixes #28362 - fix API middleware failure payload (laviro)
- Fixes #28315 - allow autocomplete without form scope (Ondřej Ezr)
- Fixes #25990 - no reverse DNS search for bs (#6465) (Lukáš Zapletal)
- Fixes #25281,#27002 - support passing names in ovirt (yifatmakias)
- Fixes #28136 - add available_*(zones,flavors,networks) for GCE (kgaikwad)
- Fixes #28130 - show selected machine_type on GCE host edit form (kgaikwad)
- Fixes #28468 - Misspelling on login page (laviro)
- Fixes #28458 - Don't allow images from gravatar (Tomer Brisker)
- Fixes #27898 - Replace redux-form with formik (Ondřej Pražák)
- Fixes #28422 - use jest instead jest-cli (Amir Fefer)
- Fixes #28391 - fix failing tests (laviro)
- Fixes #28443 - use Layout.propTypes correctly (Avi Sharvit)
- Fixes #28168 - updating time of login for API (Dominik Matoulek)
- Fixes #28339 - update eslint (Amir Fefer)
- Revert "Fixes #28380 - Use Github Actions for path based labels" (Ewoud Kohl van Wijngaarden)
- Fixes #28409 - Redux update changed snapshot (laviro)
- Fixes #28359 - Added Provisioning Template to auditable_types (#7221) (Dominik Matoulek)
- Fixes #28121 -  Bump fog-ovirt to 1.2.3 (Shira Maximov)
- Fixes #28406 - pin mocha to < 1.10 (Evgeni Golov)
- Fixes #28270 - consume  babel from 3rd-party (Avi Sharvit)
- Fixes #28229 -  upgrade babel to v7 (Avi Sharvit)
- Fixes #27393 - Update redux for redux-hooks (Amir Fefer)
- Fixes #26729 - add intervals middleware (Ron Lavi)
- Fixes #28380 - Use Github Actions for path based labels (Ewoud Kohl van Wijngaarden)
- Refs #28356 - revert api status code change (laviro)
- Fixes #28379 - remove unexist export (laviro)
- Fixes #26735 - web component mounter for react (#6735) (Ondřej Ezr)
- Fixes #28371 - Allow setting search query for autocomplete_f (Adam Ruzicka)
- Refs #27719 - Specify the fog-vsphere dep clearer (Ewoud Kohl van Wijngaarden)
- Fixes #28356 - Fix host's power status failure (laviro)
- Refs #28225 - auto-correct new Rubocop violations (Michael Moll)
- Fixes #28225 - Update Rubocop to 0.75 (Michael Moll)
- Fixes #28001 - add rainbow gem to development group (Michael Moll)
- Fixes #27035 - Remove MySQL support (Tomer Brisker)
- Fixes #28343 - fixed order info example for multiple attributes (yifatmakias)
- Fixes #27927 - allow taxonomy inheritance (Ondřej Ezr)
- Fixes #28308 - ignore prerelease tags in dependencies (Marek Hulan)
- Fixes #28340 - Fix Login Page styles (laviro)
- Fixes #28279 - Deprecate Smart Variables (Tomer Brisker)
- Fixes #25602 - Correct tests for user role audits (Tomer Brisker)
- Fixes #28086 - log error on invalid oidc issuer (Rahul Bajaj)
- Fixes #28332 - don't expose audit_comment in templates (Evgeni Golov)
- Fixes #28257 - Drop mysql bundler group (Tomer Brisker)
- Fixes #28334 - change documentation button for domains (Sergei Petrosian)
- Fixes #25020 - Allow updating only provisioning nic (Ondrej Prazak)
- refs #27928 - fix bad textation (Dominik Matoulek)
- Refs #26801 - tests for new react-dnd (Ondřej Ezr)
- Fixes #26801 - implements orderable multi select (Ondřej Ezr)
- Fixes #28295 - fact cleaner map error fixed (Lukas Zapletal)
- Fixes #24838 - Use integer representation for boolean on sqlite (Tomer Brisker)
- Fixes #28248 - Notify about SQLite production usage deprecation (Tomer Brisker)
- Refs #25205 - move to the FormField factory (Ondřej Ezr)
- Fixes #25205 - replace form autocomplete in filters (laviro)
- Fixes #28186 - fix usability with custom audit actions (Justin Sherrill)
- Fixes #28274 - refactor fallback route (laviro)
- Fixes #26816 - fixed bug in major, minor filtering (yifatmakias)
- Fixes #28280 - fixed ssl cert compute in ovirt cr create (yifatmakias)
- Fixes #28035 - Fix ovirt instance type behavior (Baptiste Agasse)
- Fixes #28173 - Use only 1 request to fetch audits (Ondrej Prazak)
- fixes #26644 - client certificate abstraction (Timo Goebel)
- Fixes #28205 - manifest action progress not tracked in Katello (Ian Ballou)
- Fixes #28269 - Remove translation from table column (MariaAga)
- Fixes #24852 - Creating Host with empty allocation fails (Aditi Puntambekar)
- fixes #28258 - fixes typo in facts page (Gary Williams)
- Fixes #22656 - Fixed ovirt vm creation for slow storage (yifatmakias)
- Fixes #25029 - Allow revert template to original state (#7170) (Dominik Matoulek)
- Fixes #22269 - Added consistent order to os templates (yifatmakias)
- Fixes #25168 - add managed icon interface overview (Amit Karsale)
- templates - sync from community-templates (Tomer Brisker)
- Refs #28222: Add storysource addon (Jeremy Lenz)
- Fixes #28222: Stabilize React Storybook (Jeremy Lenz)
- Fixes #27928 - user form add inherited admin indication (Dominik Matoulek)
- Fixes #28228 - fix linting errors (laviro)
- Fixes #28235 - validate password hash options in OS controller (Evgeni Golov)
- Fixes #28232 - ensure validator for IPAM lists all ipam types (Evgeni Golov)
- Fixes #26562 - Test smart proxy graphql on hosts with env (Tomer Brisker)
- Fixes #28230 - Fix tests snapshots (laviro)
- Fixes #28227 - drop support of node 8 (laviro)
- Fixes #28167 - fix parent permission for reports (Marek Hulan)
- Fixes #25936 - CR filter correctly allow Refresh Cache (yifatmakias)
- Fixes #27794: Add ForemanModal (Jeremy Lenz)
- Fixes #28191 - add max-lines eslint rule (Amir Fefer)
- Fixes #12063 - require fog-libvirt >= 0.7.0 (Michael Moll)
- Fixes #28127: Set foreman service syslog identifier to foreman (Eric D. Helms)
- Fixes #28159 - Allow host id and params in safe mode (#7143) (Oleh Fedorenko)
- Fixes #28169 - pin validates_lengths_from_database on Ruby 2.3 (Michael Moll)
- Fixes #28154 - random name/description test failure fixed (Lukas Zapletal)
- Fixes #27835 - fix available_{flavors,zones} methods for ec2 (kgaikwad)
- Fixes #25594 - issue warning during unused_ip call (Lukas Zapletal)
- Fixes #26608 - suffixed "AdministratorPassword" for windows (UXabre)
- Fixes #28057 - Remove disabled hosts from config chart (Ondrej Prazak)
- Fixes #28145 - fix rake rescan_reports_origins run (Nagoor Shaik)
- Fixes #27759 - BreadcrumbBarActions to use async/await (MariaAga)
- Fixes #27761 - EditorActions to use async/await (MariaAga)
- Fixes #27760 -  ImpersonateIconActions to use async/await (MariaAga)
- bump version to 1.25-develop (Tomer Brisker)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #28126 - improve dynflow sidekiq service (Ondřej Ezr)
- Fixes #28129 - revert param migration of type casting (kgaikwad)
- Fixes #28122 - Allow creating common params with lone taxonomy (Tomer Brisker)
- Fixes #28139 - Fix dynflow initialization with Sidekiq (Adam Ruzicka)
- Fixes #28137 - Fix generating global id for operatingsystems (Kamil Szubrycht)
- Fixes #28123 - add created_at to host scoped_search (Kamil Szubrycht)
- Fixes #28109 - move export button from pages to routes (MariaAga)
- Refs #28064 - add sidekiq configs (Ondřej Ezr)
- Fixes #28064 - initial script for sidekiq (Ondřej Ezr)
- Fixes #27740 - Allow creating parameters with lone taxonomies (Tomer Brisker)
- Fixes #28063 - Fix prop types on audits page (Ondrej Prazak)
- Refs #27246 - Expand the issue comment describing (Ewoud Kohl van Wijngaarden)
- Fixes #26898 - Add taxonomies inheritance on smart class params (Baptiste Agasse)
- Refs #27995 - keep set_reported_data in Host::Base (Lukas Zapletal)
- Fixes #28090 - move entrypoint.sh to extras (Ewoud Kohl van Wijngaarden)
- Fixes #27994 - Clean up deprecated functions (Tomer Brisker)
- Fixes #28091 - Make javascript extras executable (Ewoud Kohl van Wijngaarden)
- Fixes #26168,#25276 - Create ovirt interface/volume if not empty (Shira Maximov)
- Refs #25809 - handle OIDC JWT in apache service (#7102) (Rahul Bajaj)
- Fixes #28075 - Ping endpoints apidoc should be explicit (#7111) (Oleh Fedorenko)
- Refs #27301 - instead setup call let for usergroup audit tests (kgaikwad)
- Fixes #26338 - use port from HTTP boot feature (#6983) (Lukáš Zapletal)
- Fixes #28062 - Show link for bookmark form (Ondrej Prazak)
- Fixes #27995 - Extend reported data facet (#7081) (Ondřej Pražák)
- Refs #27906 - Clean up PuppetFactParser (#7059) (Ewoud Kohl van Wijngaarden)
- Fixes #28031 - pin signet on Ruby 2.3 (Michael Moll)
- Fixes #25809 - JWT auth for external users (Rahul Bajaj)
- Refs #28028 - update chromedriver to match jenkins version (Tomer Brisker)
- Fixes #27982 - Update description for 'tenant' param (Aditi Puntambekar)
- Fixes #27941 - Set timezone based on browser timezone (sjha4)
- Fixes #28017 - graphql: fix creating host with puppetclasses (Kamil Szubrycht)
-  Fixes #25732, #26641 - report mimetypes and format (#6875) (Marek Hulán)
- Fixes #11367 - Default values for the template inputs (Oleh Fedorenko)
- Fixes #28006 - vmware storages fetching (Ondřej Ezr)
- Fixes #28014 - graphql: add puppetclasses to Environment (Kamil Szubrycht)
- Fixes #26729 - add ajaxRequestActions middleware (magaphon)
- Fixes #27943 - oVirt instance type throw error on vm creation (Baptiste Agasse)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- refs #25926 - update audit named route to match. (Ohad Levy)
- Refs #27708 - Fixes line chart test snapshots (laviro)
- Fixes #25926 - Create Audits React route (Gilad Lekner)
- Refs #27897 - Add tests for host (Oleh Fedorenko)
- Refs #27897 - Add tests and force default type to string (Oleh Fedorenko)
- Fixes #27897 - Parameter type is not required (Oleh Fedorenko)
- Fixes #27998 - Require minitest-spec-rails 6.x (Michael Moll)
- Fixes #27999 - Require responders 3.x (Michael Moll)
- Fixes #27926 - Allow host params in report templates (#7084) (Ondřej Pražák)
- Fixes #26381 - oVirt set default disk interface (Baptiste Agasse)
- Fixes #27903 - Do not init template-form-elements (Markus Bucher)
- Fixes #27956 - update deep_cloneable to 3.x (Michael Moll)
- Fixes #27353 - use vmware network id instead of name (Ondřej Ezr)
- Fixes #27985 - Show instance ID on the about page (#7076) (Adam Růžička)
- Fixes #27891 - Allow host group titles in safe mode (Oleh Fedorenko)
- Fixes #27891 - Add description field to templates (#7051) (Oleh Fedorenko)
- Fixes #25899 - add taxonomy names to mdc (Lukas Zapletal)
- Fixes #27774 - Add action dispatcher to tfm (Amir Fefer)
- Fixes #27946 - fix redux devtools setup (Amir Fefer)
- Fixes #27904 - allow set min for ui-spinner (Markus Bucher)
- Fixes #27914 - Drop puppet_server setting (Ewoud Kohl van Wijngaarden)
- Fixes #27685 - use networking::primary for detection (Lukas Zapletal)
- fixes #27931 - 'Could not match network interface' (Zachary Bedell)
- Fixes #27559 - match old login page button attr (laviro)
- Fixes #27881 - fix jQuery disabled buttons listener (laviro)
- Fixes #27512 - Provide a way of overriding template snapshots in tests (Adam Růžička)
- Fixes #27478 - extract onchange event handlers (Ondřej Ezr)
- Fixes #27895 - remove test related to audited_changes column (kgaikwad)
- Fixes #27894 - Allow smart proxies in safe mode (Oleh Fedorenko)
- Fixes #27402 - LDAP usergroup sync (#7045) (Ondřej Ezr)
- ignore .solargraph.yml (Tomer Brisker)
- Fixes #27881 - disabled buttons (#7049) (Ondřej Ezr)
- Fixes #26312 - assign an Org/Loc for external users (Rahul Bajaj)
- Fixes #27867 - Fix the translation of Managed's help text (Ewoud Kohl van Wijngaarden)
- Fixes #27301 - fix usergroup tests related to audits (kgaikwad)
- Fixes #27298 -  fix audit_mailer test related to template change (kgaikwad)
- Fixes #27299 - fix test in audit_extensions_test file (kgaikwad)
- Refs #27300 - remove audit tests (kgaikwad)
- Fixes #27300 - removes ptable audit test (kgaikwad)
- Refs #27854 - Only assign valid templates to new taxonomy (Tomer Brisker)
- Fixes #27836 - Hide refresh cache if not supported (Markus Bucher)
- Fixes #27757 - Update loadSetting to use async/await (MariaAga)
- Fixes #27854 - Don't fail seed on invalid templates (#7041) (Tomer Brisker)
- Fixes #9169 - None loader no override nextserver (Lukas Zapletal)
- Fixes #27856 - Defensive access to assets manifest (Shimon Shtein)
- Fixes #19731 - V2 API ping call (Oleh Fedorenko)
- Fixes #26917 - Fixed url in compute resource-provider:ovirt (yifatmakias)
- Refs #24990 - fixing login page mounting (Amir Fefer)
- Fixes #27830 - fix audit's main_objects list to load audit page (#7034) (kgaikwad)
- Fixes #27831 - disabled buttons are still clickable (laviro)
- correct README badge urls (Tomer Brisker)
- Fixes #27809 - wraps JS API functions with foremanUrl (Amir Fefer)
- Fixes #26676 - improve setting initialization (Marek Hulan)
- Fixes #26754 - Change error when updating nested resource fails (Shira Maximov)
- refs #26741 - fix typo newgroup -> newgrp (Ohad Levy)
- fixes #27806 - use PG by default in docker-compose (Ohad Levy)
- Fixes #25356 - OS parameter to override PXE Loader (Lukas Zapletal)
- Fixes #27764, #27798, #27391 - host form update on change (Ondřej Ezr)
- Fixes #27442 - deprecation mysql warning (Lukas Zapletal)
- Fixes #27004 - fix broken link to vm list (Amir Fefer)
- Fixes #23654 - update even virtual interface facts (Maksim Malchuk)
- Fixes #27294 - add prefer-await-to-then lint rule (Amir Fefer)
- Fixes #26200 - call audit_hook_to_find_records for getting label (#6710) (kgaikwad)
- Fixes #26164 - Use the proxy configured puppet_url (Ewoud Kohl van Wijngaarden)
- Fixes #27745 - fix param before_save to run db:migrate (#7010) (kgaikwad)
- Fixes #27793 - add build? to safemode (Lukas Zapletal)
- Fixes #27762 - ajaxRequestAction to use async/await (MariaAga)
- Fixes #27662 - template inputs - adding field (Ondřej Ezr)
- Fixes #27724 - Add a unique-id setting to foreman. (#7003) (Shimon Shtein)
- Refs #27708 - Fix tooltips in storybook (Ondrej Prazak)
- Fixes #27708 - Add line chart (Ondrej Prazak)
- Fixes #27786 - fix scss link to pf-react (Avi Sharvit)
- Fixes #27346 - show audit records for host create (#6969) (kgaikwad)
- Fixes #27767 - Update  bookmarks test to use async/await (MariaAga)
- Fixes #27077 - Multiple http proxies with same name (Aditi Puntambekar)
- Fixes #27766 - Update forms to use async/await (MariaAga)
- Fixes #27534 - Override environment to development (Adam Ruzicka)
- Fixes #27534 - Run dynflow db migrations as part of prod2dev (Adam Ruzicka)
- Fixes #27534 - Allow migration of Dynflow data (Adam Ruzicka)
- Fixes #27534 - Add rake task for migrating Dynflow tables (Adam Ruzicka)
- Fixes #27589 - add sequence reset task (Lukas Zapletal)
- Fixes #27045 - Refactor BreadcrumbSwitcher to PF-React (Gilad Lekner)
- Fixes #27719 - bumb fog-vsphere (Ondřej Ezr)
- Fixes #27763 - remove redundant url_for (Amir Fefer)
- Fixes #24805 - Clean up remaining taxonomy enabled checks (Tomer Brisker)
- Fixes #27544 - Add param type and hidden val to host(group) api (Baptiste Agasse)
- Fixes #27360 - show selected network on host edit (kgaikwad)
- Fixes #27644: Add PermissionDenied component (Jeremy Lenz)
- fixes #27742 - preload usergroup ssh keys (Timo Goebel)
- Fixes #22742 - Add link delay option to subnet (Pat Riehecky)
- Fixes #27206 - improve mysql migration and new task (Lukas Zapletal)
- Fixes #27734 - fix exportURL function (MariaAga)
- Fixes #23072 - Fix fact importer transaction isolation (Shimon Shtein)
- fixes #16818 - support slash in fact name (Timo Goebel)
- Fixes #27430: Allow for returning current user (Jeremy Lenz)
- Fixes #27359 - Fix User and Usergroup tests (Adam Ruzicka)
- Fixes #27359 - Bump audited to 4.9.0 (Adam Ruzicka)
- Fixes #27356 - Remove global vars from eslint (Amir Fefer)
- Fixes #27536 - cr tests for image attributes (Ondřej Ezr)
- Fixes #27556 - API errors as warning or higher (Lukas Zapletal)
- Fixes #15406 - Moved puppet outside hosts helper (Shimon Shtein)
- fixes #27710 - remove assets/console gems from image. (Ohad Levy)
- Fixes #27577 - Fail test on console.error (Ondrej Prazak)
- Fixes #26760 - Improve lookup of partially taxed audits (Tomer Brisker)
- Fixes #27549 - Do not show encrypted setting in webui in clear (Adam Ruzicka)
- Fixes #27642 - Add helpers for deep keys transforms (Ondrej Prazak)
- Fixes #27705 - Simplify Taxonomy.ignore? logic (Tomer Brisker)
- Fixes #27702 - creates export button component (MariaAga)
- Fixes #26936 - resume search hosts by param value (#6946) (kgaikwad)
- Fixes #26655 - show contnet after creating a host (Amir Fefer)
- Fixes #27603 - datadog statsd support (Lukas Zapletal)
- Fixes #26758 - unify renderer_error helper (Lukas Zapletal)
- Refs #27666 - Clean up sass-rails pinning (Ewoud Kohl van Wijngaarden)
- Fixes #27531 - fix storybook after vendor update (Avi Sharvit)
- Fixes #27582 - update @theforeman/vendor to v1.4.0 (Avi Sharvit)
- Fixes #24091 - add pf empty state design to hostsgroup (Amir Fefer)
- Fixes #26173 - added config_report_metric_count metric (Lukas Zapletal)
- Refs #24798 - only allow explicit search on nics (Tomer Brisker)
- Fixes #24798 - Host Interface API search (Amit Karsale)
- Fixes #27677 - Make feature unique on its name (Ewoud Kohl van Wijngaarden)
- Revert "Fixes #27668 - Allow bootdisk_build? in safemode" (Tomer Brisker)
- Fixes #27681 - Fix test for rest-client 2.1 support (Tomer Brisker)
- Fixes #27660 - adds a doc for legacy js in storybook (Amir Fefer)
- Fixes #27668 - Allow bootdisk_build? in safemode (Rohan21Lobo)
- Fixes #26822 - correct title after host creation (Tomer Brisker)
- Fixes #26984 - maximum subtree fact filter (Lukas Zapletal)
- Refs #27666 - pin sass-rails on Ruby < 2.4 even lower (Michael Moll)
- Fixes #27666 - pin sass-rails on Ruby < 2.4 (Michael Moll)
- Fixes #27382 - doublequote of fact value (Ondřej Ezr)
- fixes #27634 - enable running this container on openshift. (Ohad Levy)
- Fixes #27243 - add plugin access for table component (MariaAga)
- Fixes #27025 - validate GCE key format (#6953) (kgaikwad)
- Fixes #27588 - Refactor audit taxonomy handling (Tomer Brisker)
- Fixes #27624 - connection error rescue for ec2 (Lukas Zapletal)
- Fixes #27500 - Use strings to register graphql types (Ondrej Prazak)
- refs #2062 - vmrc: console link is only valid once (Timo Goebel)
- Fixes #25543 - Breadcrumb switcher dosen't work for filters (MariaAga)
- Fixes #27537 - Show tooltip for vm memory size (Ondrej Prazak)
- Fixes #27380 - Handle non-unique role on creation (#6939) (Ondřej Pražák)
- fixes #23440 - removing pclasses with API can't use friendly (Iain Walmsley)
- Fixes #27185 - dirty association after save (#6881) (Swetha Seelam Lakshmi Narayanan)
- Refs #27160 - Update the DNS timeout description (Ewoud Kohl van Wijngaarden)
- Fixes #27528 - reporting template input search type (Ondřej Ezr)
- Fixes #27160 - do not use Ruby Timeout for DNS (#6861) (Lukáš Zapletal)
- Fixes #26384 - cleaned os icons and new RH logo (Lukas Zapletal)
- Fixes #27496 - Fix actual and expected in renderer test (Adam Ruzicka)
- Fixes #26919 - Resolve nil error in ovirt disk clone (Ori Rabin)
- Fixes #27472 - adds before toolbar to page layout (MariaAga)
- fixes #26727 - import host with bonded primary interface (Timo Goebel)
- Fixes #26974 - removed hardcoded timeout (Lukas Zapletal)
- Refs #20728 - refactor host_edit JS code (kgaikwad)
- Fixes #20728 - Inconsistent behavior of cancel & submit (kgaikwad)
- Fixes #27468 - change key_type to parameter_type in js (Ori Rabin)
- Fixes #27460 - Add comp_resource to hostgroup api (Matthias Dellweg)
- bump version to 1.24-develop (Tomer Brisker)
- Fixes #27440 - Remove taxonomy enabled checks from views (Tomer Brisker)
- Fixes #27453 - Make smart_proxy_id a parameter (Ondřej Gajdušek)
- Refs #27207 - fix rubocop (Ewoud Kohl van Wijngaarden)
- Fixes #27437 - Clean up taxonomy enabled checks (Tomer Brisker)
- Fixes #27207 - send bmc_provider attribute (Lukas Zapletal)
- Fixes #27429: add .vendor/ to gitignore (Jeremy Lenz)
- Fixes #27349 - use dashed style of intl key (#6916) (Ondřej Ezr)
- Fixes #20105 - index search not retained after deleting host (#4969) (kgaikwad)
- Fixes #27355 - add no-jquery eslint rule under reactApp (Amir Fefer)
- Fixes #27337 - Remove legacy statistics view (Tomer Brisker)
- Fixes #27369 - fix jest when updating a package in foremanjs (Amir Fefer)
- Fixes #27330 - center the dashboard grid (Avi Sharvit)
- Fixes #27385 - upgrade vendor the v0.1.1 (Avi Sharvit)
- Fixes #27338 - add GCE params in compute_resource APIs (kgaikwad)
- Fixes #27363 - resource_pools cache key with cluster (Ondřej Ezr)
- Fixes #27334 - Remove hardcoded max values for ovirt (Baptiste Agasse)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #27354 - resort the package-json fields (Avi Sharvit)
- Fixes #27322 -  deprecation should not log in production (MariaAga)
- Fixes #27350 - AuditsPage Documentation translation key (Ondřej Ezr)
- Fixes #27347 - Pin audited to < 4.9.0 (#6915) (Adam Růžička)
- Fixes #26393 - extract uptime to reported facet (Marek Hulan)
- Fixes #26393 - fix uptime calculation for btime (Marek Hulan)
- Fixes #27190 - Add DSL for registering plugin fields (Ondrej Prazak)
- Fixes #27333 - remove view_react permission (Tomer Brisker)
- Fixes #26442 - removes deleted additional volume in GCE (kgaikwad)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #27313 - Annotation Notes support (Rohan21Lobo)
- Fixes #27316 - show selected image value on host submit (kgaikwad)
- Fixes #10359 - API doc does mention org/loc in create/update (Oleh Fedorenko)
- Fixes #27281 - Add markdownn's styling for tables in storybook (Amir Fefer)
- Fixes #27074 - Migrate to @theforeman/vendor pkg (Avi Sharvit)
- Fixes #26828 - expect http_proxy to be empty string (#6900) (Ondřej Ezr)
- Fixes #27246 - Handle device identifiers in IPs (Ewoud Kohl van Wijngaarden)
- Fixes #27274 - Speed up apipie cache out-of-date check (Tomer Brisker)
- Fixes #27265 - Improve domains api test (Tomer Brisker)
- Fixes #26092 - Assign taxonomy in api when only one present (Tomer Brisker)
- Refs #26003 - Fix rubocop (Michael Moll)
- Fixes #26003 - introduce impersonation (#6743) (Ondřej Pražák)
- refs #27228 - remove webpack:try_compile altogether (Jonathon Turel)
- Fixes #27228 - Remove webpack compile for unit tests (Jonathon Turel)
- Fixes #27266 - remove deprecated jed and i18n objects (Amir Fefer)
- Fixes #27193 - remove hardcoded depraction version in js (Amir Fefer)
- Refs #27103 - Pin diff to a major version (Ewoud Kohl van Wijngaarden)
- Refs #27157 - Fix rubocop (Ewoud Kohl van Wijngaarden)
- Fixes #27171 - Improve realms api controller test (#6886) (Tomer Brisker)
- fixes #27103 - bump npm diff package version (Ohad Levy)
- Fixes #27263 - Fix Naming/UncommunicativeBlockParamName cop (Michael Moll)
- Fixes #27157 - persist associate_external_ip value in GCE (#6873) (kgaikwad)
- Fixes #27233 - Assign created resources to host taxonomies (#6883) (Tomer Brisker)
- Fixes #26782 - Update Rubocop to 0.71.0 (Michael Moll)
- Update copyright year in README.md (Simon Metzger)
- Fixes #27249 - flip the comma cop (Marek Hulan)
- Refs #21592 - improve test stability on chromedriver (Ondřej Ezr)
- Fixes #21592 - uses headless chrome instead of phantomjs (Sebastian Gräßl)
- Fixes #26909 - Validate fqdn matcher by hosts' primary nic name (Hao Yu)
- fixes #27154 - bump net-ldap (Ohad Levy)
- Fixes #27114 - eslint errors in DateTimePicker (MariaAga)
- Fixes #26286 - Audits page displays warning (Gilad Lekner)
- Fixes #27049 - Add onPopState HOC (Gilad Lekner)
- Fixes #27107 - make pagination expect numbers, not strings (Evgeni Golov)
- Fixes #27109 - sync freeipa snippet (Marek Hulan)
- Fixes #27188 - TimePicker is failing in Node12 (MariaAga)
- Fixes #25756 - Adds Slot&Fill (Amir Fefer)
- Fixes #26599 - resolve invalid sshkey format error (kgaikwad)
- Fixes #27055 - allow http for userdata controller (Lukas Zapletal)
- Fixes #26681 - new logger named taxonomy (Lukas Zapletal)
- Fixes #24993 - Modify token value to text (Tomer Brisker)
- Fixes #23191 - replace dynamic controller routing (Michael Moll)
- Fixes #27172 - Make layout colors overridable (#6863) (Ondřej Pražák)
- Fixes #27105 - env variable to disable redux-logger (Gilad Lekner)
- Fixes #26761 - support associate/disassociate vms action for GCE (#6747) (kgaikwad)
- Fixes #27008 - New External Login Page (laviro)
- Fixes #26787 - show console output for GCE instances (#6754) (kgaikwad)
- Fixes #26664 - adds OpenStack project domain (#6706) (Lukáš Zapletal)
- Merge pull request #6851 from shiramax/22389 (Shira Maximov)
- Updated pull request template and review (Lukas Zapletal)
- Fixes #27115 - Fix eslint errors (Avi Sharvit)
- Fixes #27104 - Editor replace toString with lodash (Gilad Lekner)
- Fixes #26783 - Create Statistics Route (Gilad Lekner)
- Fixes #26777 - added taxonomy_taxable id and type index (Lukas Zapletal)
- fixes #26627 - rake task to render templates from dir (Timo Goebel)
- Fixes #27052 - Convert ModelsTable to react hooks (Tomer Brisker)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #26939 - root_pass limit increased (Lukas Zapletal)
- Fixes #27068 - Pin spring on Ruby < 2.4 (Ewoud Kohl van Wijngaarden)
- Fixes #27016 - Reuse Page Reducer Logic (Gilad Lekner)
- fixes #26489 - graphql: create host mutation (Timo Goebel)
- fixes #26541 - graphql: add plugin api (Timo Goebel)
- fixes #26887 - graphql login: count bruteforce attempts (Timo Goebel)
- fixes #26548 - graphql: support namespaced modules (Timo Goebel)
- Fixes #27005 - Fix Editor changing locked template (Gilad Lekner)
- Fixes #26852 - add disks exclude fact patterns (Lukas Zapletal)
- Fixes #26924 - Deprecate rake taks for puppet import (Ondrej Prazak)
- Refs #26812 - add more vm's fields on vm detail page (kgaikwad)
- Fixes #26812,#26814 - display correct vm_details in notifications (kgaikwad)
- Fixes #27003 - js linter nitpicks (Ondřej Ezr)
- refs #26741 - do not include facter in container based builds (Ohad Levy)
- Fixes #25897 - Can lookup hosts based on facts (Partha Aji)
- refs #26918 - adds redis support in docker-compose (Ohad Levy)
- Fixes #27013 - Pin shoulda-matchers on Ruby 2.3 (Ewoud Kohl van Wijngaarden)
- Fixes #26942 - no plan info retrieval if not done (#6820) (Ondřej Ezr)
- fixes #26955 - load boot settings from env variables (Timo Goebel)
- Fixes #26971 - Correct Fog OpenStack constant naming (ftek-tofi)
- fixes #26918 - add a redis caching backend (Timo Goebel)
- Fixes #26949 - Use $version instead of $release for FreeBSD (Tuur Dutoit)
- Fixes #26728 - configure default language (and timezone) (Bernhard Suttner)
- Fixes #26957 - send request id instead session to proxy (Lukas Zapletal)
- Fixes #26639 - Experimental Host Wizard (laviro)
- Fixes #26805 - react-router foundation #4 (Gilad Lekner)
- refs #26741 - switch to fedora-minimal base image (Ohad Levy)
- Refs #26741 - fix typo and add node about buildah (Ivan Nečas)
- Fixes #26935 - added stdout logging option back (Lukas Zapletal)
- fixes #26933 - update axios due to CVE-2019-10742 (Ohad Levy)
- Fixes #26931 - typo in the main readme file (MariaAga)
- Fixes #26932 - react controller property fix (laviro)
- Fixes #26910 - correction of condition (Smirnov Sergey)
- Fixes #26906 - update show_me_the_cookies to 5.x (Michael Moll)
- fixes #26903 - update webpack-bundle-analyzer (Ohad Levy)
- Fixes #26875 - update factory_bot_rails to 5.x (Michael Moll)
- Fixes #26873 - fix vsphere networks (auto)-loading (Bernhard Suttner)
- Fixes #26869 - Add tooltip for IPv4 Subnet on NIC base form (William Clark)
- Fixes #24532 - Allow changing display type and keyboard in oVirt (UXabre)
- Fixes #26834 - local boot template setting can be lowercase (Lukas Zapletal)
- refs #26741 - adds usage/build instructions for foreman container (Ohad Levy)
- fixes #26860 - refactor mediumpath to os base class (Timo Goebel)
- fixes #26842 - altlinux: fix mediumpath (Timo Goebel)
- Fixes #26859 - revert the changed seed order (Marek Hulan)
- fixes #26841 - sparc: render install_path (Timo Goebel)
- Fixes #26856 - Support for fog-ovirt namespace changes (Ori Rabin)
- Fixes #26854 - disable Turbolinks for 3rd-party Routing (Gilad Lekner)
- Fixes #26849 - update VMware vSphere 6.7 Hardware versions (Nagoor Shaik)
- refs #26741 - use develop container tag vs latest (Ohad Levy)
- Fixes #24990 - Move Login Page into React. (laviro)
- Fixes #26843 - add latest nodeJS 12 to travis (laviro)
- fixes #26831 - refresh_usergroups as anonymous admin (#6772) (Timo Goebel)
- Refs #26781 - datepicker css v2 (#6761) (Ondřej Ezr)
- Fixes #24160 - Remove input arrows when input is disabled (Shira Maximov)
- refs #26741 - update the location of the container image (Ohad Levy)
- Fixes #26840 - Remove experimental label from ovirt v4 (Ori Rabin)
- fixes #26796 - coreos: url_for_boot (Timo Goebel)
- Fixes #26838 - Updated VMware vSphere 6.7 GuestOSIdentifier (Nagoor Shaik)
- fixes #26741 - adds containers support for developers (Ohad Levy)
- Fixes #26830 - upgrade react-redux to v5.1.1 (Avi Sharvit)
- Fixes #26832 - Bump unidiff to 1.x (Ewoud Kohl van Wijngaarden)
- Refs #26052 - skip menu items with no name (Tomer Brisker)
- Refs #26826 - Correctly increase js heap size (Tomer Brisker)
- Fixes #26826 - Increase js heap size for plugin asset compile (Tomer Brisker)
- Fixes #25335 - Create a React/Redux Editor (Gilad Lekner)
- Fixes #25810 - migrate react-bootstrap to patternfly-react (Ivan Nečas)
- Fixes #26804 - add_cmd requires second parameter (#6766) (Lukáš Zapletal)
- Fixes #26803 - update patternfly-react to 2.34.1 (Michael Moll)
- Fixes #26753 - react-router foundation #3 - Bookmarks (Gilad Lekner)
- Fixes #26799 - typo in redux consts (MariaAga)
- fixes #26052 - navigation missing IDs (Gilad Lekner)
- Revert "Fixes #26790 - Support ES6 in Uglifier" (Tomer Brisker)
- Refs #26781 - css independent on the placement (#6756) (Ondřej Ezr)
- Fixes #26790 - Support ES6 in Uglifier (Ondrej Prazak)
- Fixes #26781 - DateTimePicker placement (#6750) (Ondřej Ezr)
- Fixes #26738 - seed admin locale + timezone (#6736) (Bernhard Suttner)
- Fixes #26757 - respect current user timezone in search (Marek Hulan)
- Fix HTML comment in PR template (Ewoud Kohl van Wijngaarden)
- fixes #26654 - migrate spice to npm and upgrade (Ohad Levy)
- Fixes #26718 - prettify fact origin icon title (Bernhard Suttner)
- Fixes #26756 - drop invalid values for scsi_controller_type (#6744) (Ondřej Ezr)
- Fixes #26712 - Layout isn't active on nested routes (Gilad Lekner)
- Fixes #25888 - move components from Katello to Foreman (MariaAga)
- Fixes #26618 - show cancelled report generating (#6685) (Ondřej Ezr)
- Refs #25285 - remove old deprecation suppression (Michael Moll)
- Fixes #25227 - facts:cleanup batch support (Lukas Zapletal)
- Fixes #26584 - create FormField using pf components (Ondřej Ezr)
- Fixes #26723 - Bump redux-form version to 8.2.0 (Ondrej Prazak)
- Fixes #26696 - add react-router foundation #2 (Gilad Lekner)
- Fixes #24637 - how_to_create_a_plugin added (Shimon Shtein)
- Fixes #25656 - Foreman redirects to logout page (Gilad Lekner)
- Fixes #26494 - select all on hosts lists (Gilad Lekner)
- Fixes #15626 - filters vmware vms by datacenter (#6722) (Ondřej Ezr)
- fixes #26186 - add react-router foundation (Gilad Lekner)
- refs #26710 - prettify asset pipeline JS (Ohad Levy)
- Fixes #26620 - Fix import interfaces in ovirt CR (Shira Maximov)
- Fixes #26710 - Make application.js Prettier (laviro)
- Refs #26707 - Make storybook work (Ondrej Prazak)
- Fixes #26705 - switch required with tooltip help (Ondřej Ezr)
- fixes #26707 - remove unneeded linting skips (Ohad Levy)
- Fixes #26553 - autocomplete reduce the usage of dispatch (laviro)
- fixes #24881 - cloud-init nocloud support (Timo Goebel)
- Fixes #25864 - Refactor the FactChart component structure (Maria Agaphontzev)
- Fixes #26581 - Improve Layout active MenuItems performance (Gilad Lekner)
- fixes #16287 - Move gridster from bundle to npm (Ohad Levy)
- Fixes #23765 - bcrypt hash password instead sha1 (Lukas Zapletal)
- Fixes #26552 - simplify autocomplete redux actions (laviro)
- Revert "Fixes #26676 - improve setting initialization" (Tomer Brisker)
- fixes #26612 - snapshots for nested snippets (Timo Goebel)
- Fixes #26679 - Add report template API attributes (Ondrej Prazak)
- Fixes #26676 - improve setting initialization (Marek Hulan)
- Fixes #26371 - Fix breadcrumbs for puppet envs (Ondrej Prazak)
- Fixes #26674 - blank NIC name removes DNS (Lukas Zapletal)
- fixes #26669 - graphql brute force protection (Timo Goebel)
- Fixes #26648 - Remove taxonomy setting checks from routes (Tomer Brisker)
- Refs #26198 - Replace foreman_url with tfm.tools.foremanURL (Tomer Brisker)
- Fixes #26590 - Rename template snippets (Matthias Dellweg)
- Fixes #26572 - Validate MTU minimum (Pat Riehecky)
- fixes #26490 - graphql: add hostgroup queries (Timo Goebel)
- fixes #26487 - user login with graphql (Timo Goebel)
- Fixes #26652 - Refactor folder structure of ToastList (Maria Agaphontzev)
- fixes #26647 - remove uneeded files from asset compile list (Ohad Levy)
- Bump version to 1.23-develop (Tomer Brisker)
- fixes #26488 - graphql: add currentUser query (Timo Goebel)
- Fixes #26273 - more robust value handler (Ondřej Ezr)
- Fixes #26634 - Handle (none) certificates in SmartProxyAuth (Ewoud Kohl van Wijngaarden)
- Fixes #26616 - Cast dates to be ISO compatible (Jonathon Turel)
- Fixes #26628 - Add service.rb to install puma (Eric D. Helms)
- templates - sync from community-templates (Tomer Brisker)
- Load mac template for test (Tomer Brisker)
- Fixes #26617 - Properly expose puppetclass_name (Jonathon Turel)
- fixes #26554 - move class_edit to webpack. (Ohad Levy)
- Fixes #26613 - Switch foreman.service to generic /usr/bin/rails (Eric D. Helms)
- Fixes #26607 - Update shoulda-matchers to 4.x (Michael Moll)
- Fixes #26606 - Support gridster for plugins (Ondrej Prazak)
- Fixes #26609 - TopbarSweeper caching empty div (Gilad Lekner)
- Fixes #26579 - could not find media is a warning (Lukas Zapletal)
- Fixes #26580 - Translated Layout Menu items not active (Gilad Lekner)
- fixes #26528 - graphql: refactor AuthorizedModelQuery to resolver (Timo Goebel)
- Fixes #25397 - reimplement indent macro (Lukas Zapletal)
- Revert "Fixes #19731 - V2 API ping call" (Lukas Zapletal)
- Fixes #19731 - V2 API ping call (Oleh Fedorenko)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #26569 - add hypervisor name (Timo Goebel)
- Fixes #26564 - show OS on vmware VMs listing (Ondřej Ezr)
- Fixes #26543 - make generate_at a datetime field (#6653) (Ondřej Ezr)
- Refs #19768 - Fix Layout/ClosingParenthesisIndentation cop (Michael Moll)
- Fixes #26546 - Update Rubocop to 0.64.0 (Michael Moll)
- Refs #23076 - Fix Style/TrailingCommaInHashLiteral cop (Michael Moll)
- Refs #26473 - refactored code & removed unwanted code in gce.rb (kgaikwad)
- Fixes #26526 - renamed state column to status for vms in GCE (kgaikwad)
- Fixes #26496 - Added user-data support for GCE (kgaikwad)
- Fixes #22749 - fix user & sshkey creation for VM in GCE (kgaikwad)
- Refs #26473 - validation error on multiple disks in GCE (kgaikwad)
- Fixes #4179 - handled ephemeral public IP (kgaikwad)
- Refs #26473 - argumentError on instance.insert (kgaikwad)
- Fixes #26473 - GCE changes as per fog-google changes (Ondrej Prazak)
- Refs #26080 - dropped fixes from input value types (Marek Hulan)
- Fixes #26540 - fix autocomplete loading spinner (laviro)
- Fixes #19768 - Fix Layout/ClosingParenthesisIndentation cop (Michael Moll)
- Fixes #25795 - Improves external usergroups sync :racehorse: (#6388) (Ondřej Ezr)
- Fixes #25365 - Disable Rails/RefuteMethods cop (Michael Moll)
- fixes #26532 - graphql supports ui sessions (Timo Goebel)
- Fixes #19875 - Disable Style/MultipleComparison cop (Michael Moll)
- Refs #26481 - Set the foreman user statically (Ewoud Kohl van Wijngaarden)
- Refs #25974 - sort uptime facts by freshness (Marek Hulan)
- Refs #26020 - improve report template API docs (#6628) (Ondřej Ezr)
- Refs #26105 - Return back the missing change (Ondrej Prazak)
- Refs #26105 - Update default error message (Ondrej Prazak)
- Fixes #26105 - Configurable error severity (Ondrej Prazak)
- fixes #24008 - add graphql mutations (Timo Goebel)
- Refs #26299 - fixes the bug in mailer (#6651) (Ondřej Ezr)
- Fixes #26080 - Add autocomplete and date to report template (#6531) (Amir Fefer)
- Fixes #26424 - refactor autocomplete errors display. (laviro)
- fixes #26495 - graphql: properly auth resources (Timo Goebel)
- Fixes #26299 - add schedule for report generation (#6642) (Ondřej Ezr)
- Refs #26198 - fix resetSelection() calling as moved to react file (kgaikwad)
- fixes #26492 - graphql: add media queries (Timo Goebel)
- Fixes #26521 - replaced deprecated foreman_url() in host_edit.js (kgaikwad)
- fixes #26504 - host search current_user efficiently (Timo Goebel)
- Fixes #25923 - drop slow db_facts method from importers (Lukas Zapletal)
- Fixes #26097 - fix storybook build and deployment (Amir Fefer)
- Fixes #26083 - rename default in search definition (Marek Hulan)
- Fixes #26508 - Remove taxonomy setting checks from api (Tomer Brisker)
- Fixes #26509 - notifications 'status' of undefined (laviro)
- Fixes #26507 - Don't focus on autocomplete when editing textarea (Tomer Brisker)
- Fixes #25478 - reports by mail (#6567) (Ondřej Ezr)
- Refs #26198 - return result from deprecated js functions (Tomer Brisker)
- Fixes #26306 - support also importing unmanaged hosts (Marek Hulán)
- fixes #26491 - graphql: add ptable queries (Timo Goebel)
- Fixes #26481 - Add foreman.service systemd file (Eric D. Helms)
- Fixes #26462 - Add 'Not implemented' error for refresh_cache (Shira Maximov)
- Fixes #16520 - Associating VM-mac is case sensitive (Dominik Hlavac Duran)
- Refs #26122 - fix audit page rendering (Amir Fefer)
- Fixes #26475 - Password Strength snapshot changed (laviro)
- fixes #26198 - ensure host list does not require full page reload (Ohad Levy)
- Fixes #26493 - Pin Capybara on Ruby 2.3 to supported version (Tomer Brisker)
- Fixes #26325 - Remove data-id aid attributes (Tomer Brisker)
- Fixes #26298 - graphql: add SshKey queries (Kamil Szubrycht)
- Fixes #26387 - graphql: add network queries (Kamil Szubrycht)
- Fixes #26297 - graphql: add Host queries (Kamil Szubrycht)
- Fixes #26081 - Add DateTimePicker component (#6596) (MariaAga)
- Refs #26423 - Fix fog-vsphere references in tests (Ewoud Kohl van Wijngaarden)
- Fixes #26291 - graphql: add ComputeResource queries (Kamil Szubrycht)
- Fixes #26450 - add destroy rabl for compute resource (Shira Maximov)
- Fixes #26270 - graphql: add PersonalAccessToken queries (Kamil Szubrycht)
- Fixes #26423 - update fog-vsphere (#6599) (Ondřej Ezr)
- Fixes #26362 - update fog-openstack to 1.0.8 (#6574) (Lukáš Zapletal)
- Fixes #26024,#26025 - removed fog & updated fog-google ~> 1.8.2 (#6475) (kgaikwad)
- Fixes #26296 - graphql: add Puppetclass queries (#6607) (Kamil Szubrycht)
- Fixes  #26452 - default disable autocomplete key shortcuts (laviro)
- Fixes #26457 - graphql: filter subnet domains (Kamil Szubrycht)
- Fixes #26392 - Include "all users" taxonomies in my_taxonomy (Tomer Brisker)
- Fixes #26087 - Bruteforce attack cause reloading users sessions (#6519) (Dominik Hlavac)
- Fixes #26419 - allow setting custom recipients on notification (Ivan Nečas)
- Fixes #14833 - Add cloning of disk for ovirt vm (Ori Rabin)
- Fixes #26054 - VMware storage controller type chage (#6482) (Ondřej Ezr)
- Fixes #26402 - VMware scsi_controller type from hammer (#6595) (Ondřej Ezr)
- Fixes #26020 - report templates in background process (#6503) (Ondřej Ezr)
- Fixes #26441 - default value for React datetime (Ondřej Ezr)
- Fixes #26154 - implement pxedir method for operatingsystem base (Tomer Brisker)
- Fixes #26435 - upgrade storybook (laviro)
- Refs #22467 - removed unreachable code (Lukas Zapletal)
- fixes #26394 - fix layout crash w/nested taxonomies (Gilad Lekner)
- Fixes #26408 - improve PR template (Ondřej Ezr)
- Fixes #24345 - fix breadcrumbs item url (Maria Agaphontzev)
- Refs #26253 - use correct vars in migration (#6610) (orrabin)
- Fixes #26294 - graphql: add Environment queries (Kamil Szubrycht)
- Fixes #26288 - graphql: add User queries (Kamil Szubrycht)
- Fixes #24850 - Do not add usergroup to itself (#6054) (Ondřej Pražák)
- Refs #26121 - Fix rubocop (Marek Hulan)
- Refs #26423 - pin fog-vsphere to <3.0 (#6601) (Tomer Brisker)
- Fixes #26405 - Disable implicit puppetclass taxonomy search (#6591) (Tomer Brisker)
- Fixes #26121 - distinguish between Autocompletes. (#6501) (Ron Lavi)
- Fixes #26287 - Add loader of global js for plugins (Amir Fefer)
- Fixes #26215 - Autocomplete console warnings (#6536) (Ron Lavi)
- Fixes #26268,#26269 - graphql: add Fact queries (Kamil Szubrycht)
- Fixes #26383 - fix duel imports (Avi Sharvit)
- Fixes #26344 - Skip nested associations during taxonomy seed (#6587) (Tomer Brisker)
- Fixes #26356 - hostgroup combo works with katello (#6570) (Lukáš Zapletal)
- Fixes #26404 - update will_paginate to 3.1.7 (Michael Moll)
- Fixes #26267 - graphql: add Domain queries (Kamil Szubrycht)
- Fixes #26260 - Mass assign discovered hosts to seeded taxonomies (#6546) (Tomer Brisker)
- Fixes #26382 - graphql: add Organization queries (Kamil Szubrycht)
- Fixes #26333 - improve documentation of ovirt-quota (Ori Rabin)
- fixes #26192 - moves dashboard.js to webpack (Ohad Levy)
- Fixes #26253 - fix the format of serialized attributes (Shira Maximov)
- Fixes #26380 - Only execute webpack:compile task once (Tomer Brisker)
- Fixes #26378 - Adds new layout yield before_search_bar (#6579) (Avi Sharvit)
- Fixes #26379 - allow to reuse SearchBar handleSearch method (Avi Sharvit)
- Fixes #26295 - graphql: add SmartProxy queries (Kamil Szubrycht)
- Fixes #26367 - Fix building sources outside of bundler (Ewoud Kohl van Wijngaarden)
- Fixes #24050 - graphql: add connections with totalCount (Timo Goebel)
- Fixes #26307 - vmware network guessing (#6559) (Ondřej Ezr)
- Fixes #26357 - Show library/type of HTTP Proxy request (Bernhard Suttner)
- Fixes #26341 - graphql: Run GraphQL tests in Jenkins (Kamil Szubrycht)
- Fixes #25892 - Removed back buttons where is breadcrumb bar (Dominik Hlavac Duran)
- Fixes #26041 - Only validate MAC-address if subnet is set (UXabre)
- Fixes #26292 - graphql: add Architecture queries (Kamil Szubrycht)
- Fixes #26327 - Deprecate confirm option in link_to helper (Tomer Brisker)
- Fixes #26331 - return features with smart proxy create (Justin Sherrill)
- Fixes #26289 - graphql: add Usergroup queries (Kamil Szubrycht)
- Fixes #26281 - graphql: add Subnet queries (Kamil Szubrycht)
- Fixes #26265 - graphql: add Operatingsystem queries (Kamil Szubrycht)
- Fixes #26266 - graphql: add Location queries (Kamil Szubrycht)
- Fixes #26290 - graphql: query objects by global id (Kamil Szubrycht)
- Fixes #25476 - downgrade fog-openstack to 0.2.0 (Vitaly Pyslar)
- Fixes #26285 - Display IPv6 subnet in NIC overview (UXabre)
- Fixes #26217, #26208 - small refactor for table (Avi Sharvit)
- Fixes #26280 - preserving selection of related network (#6552) (Ondřej Ezr)
- Fixes #26034 - Show affected taxonomies in audits (#6547) (Ondřej Pražák)
- Fixes #17292 - take otp before save host (dima)
- Refs #26122 - fix hosts multiple selection regression (Amir Fefer)
- Fixes #26106 - Refactor Autocomplete Redux (#6500) (Ron Lavi)
- fixes #26250 - add dns_servers helper (#6541) (Timo Goebel)
- Fixes #26259 - Incorect lxcbr0 interface type detection (#6544) (Vitaly Pyslar)
- Fixes #26235 - Check for path in webpacked plugins (Ondrej Prazak)
- Fixes #26254 - Add plugin_present? to template renderer (Matthias Dellweg)
- Fixes #26209 - undefined method 'e' in compute (kgaikwad)
- Fixes #22684 - host creation is bootdisk method friendly (Lukas Zapletal)
- Fixes #25642 - Introduce proxy registration protocol version 2 (Justin Sherrill)
- Fixes #26232 - Adding id contraints on override_values routes (#6538) (orrabin)
- Fixes #26051 - added grub2 pc/bios and elf options (Lukas Zapletal)
- Fixes #26039 - disable blob logger by default (Lukas Zapletal)
- Fixes #25833 - increase hover delay for menu items. (#6405) (Walden Raines)
- fixes #23880 - graphql: relay global id (Timo Goebel)
- fixes #26197 - boot_filename for host without subnet (Timo Goebel)
- Fixes #26022 - Fix host test (Ondřej Ezr)
- Fixes #26122 - fix layout rendering (Amir Fefer)
- Fixes #26162 - Allow preload for load_hosts macro (Ondrej Prazak)
- Fixes #26183 - respond with 422 to invalid CR request (Marek Hulan)
- Fixes #26194 - Silence ruby warnings for foreman-rake (John Mitsch)
- fixes #26190 - remove unused fact view (Ohad Levy)
- Fixes #25326 - Fix Lint/SafeNavigationConsistency cop (Michael Moll)
- fixes #26189 - remove node 6 from travis matrix (Ohad Levy)
- Fixes #26104 - multiple NICs without MAC are orchestrated (Lukas Zapletal)
- Fixes #26094 - Add tooltip prop to CommonForm (Ondrej Prazak)
- Fixes #26123 - removed hardcoded value of main_objects for audit (#6504) (kgaikwad)
- Fixes #26158 - missing<id> in old/new changes of audit_record (kgaikwad)
- Fixes #26174 - Webpack skip plugins cores (Avi Sharvit)
- Fixes #26013 - Add GraphiQL console (Ondrej Prazak)
- fixes #26151 - graphql: add base classes (Timo Goebel)
- Fixes #26029 - correct links to templates on build failure (#6477) (Ivan Necas)
- Fixes #26055 - select bind on change just once (Ondřej Ezr)
- Fixes #26157 - missing<id> in audit_title for puppet_class type (kgaikwad)
- Fixes #26113 - Show timestamp in proxy log pane (Tomer Brisker)
- Refs #4127 - Toggle key type select based on override (#6506) (Ondřej Pražák)
- Fixes #26128 - pin highlight.js package (Amir Fefer)
- fixes #23678 - add graphql scaffolding (Timo Goebel)
- fixes #22388 - jwt token auth (Timo Goebel)
- Fixes #26085 - Set default taxonomy setting to seeded taxonomies (Tomer Brisker)
- Fixes #4127 - Global Parameters with types (#5241) (kgaikwad)
- Fixes #24041 - Move HW Models Table to pf-react (Boaz Shuster)
- Fixes #26098 - update storybook (Amir Fefer)
- Fixes #25817 - Allow update datacenter by name in API (Ori Rabin)
- Fixes #2113 - VMware filter datastores (Ondřej Ezr)
- Fixes #26038 - taxonomy import puppet order (Lukas Zapletal)
- Fixes #26076 - modify SearchBar's key-shortcuts. (laviro)
- Fixes #26089 - Handle empty times in react date components (Ewoud Kohl van Wijngaarden)
- Fixes #26067 - Expose last_report in templates (Marek Hulan)
- Refs #25974 - use also subscription manager facts for uptime (Marek Hulan)
- Fixes #25449 - update fog-aws to last version (Marek Hulan)
- Fixes #26062 - update roadie-rails (Michael Moll)
- fixes #22011 - add unique constraint for trends counter (Timo Goebel)
- Fixes #25952 - remove escaped_warning_chart_context (Boaz Shuster)
- Fixes #25913 - Add helpers for snake and camel case (Ondrej Prazak)
- Refs #23350 - Robotello tests attr - Role (ldjebran)
- Refs #22898 - delete action broken for provisioning_templates (kgaikwad)
- fixes #26021 - update react to 16.8 (Ohad Levy)
- Fixes #19701 - use friendly vmware network name, not its id (Ondřej Ezr)
- Fixes #25013 - vmware - disable other storage type correctly (Ondřej Ezr)
- fixes #26002 - set cors header via env variable (Timo Goebel)
- Fixes #25985 - listen on IPv6 for dev setup (Lukas Zapletal)
- Fixes #25802 - Add disk usage info on oVirt storage domain select (Baptiste Agasse)
- Fixes #25974 - make uptime available (Marek Hulan)
- Fixes #20394 - Fix Ovirt volume attrs (Shira Maximov)
- Fixes #25975 - Add ability to read compute_attributes via API (Baptiste Agasse)
- Fixes #25569 - Added windows password encryption (Shimon Shtein)
- Fixes #24396 - Wrong search on alert-disabled hosts (Jan Düpmeier)
- Fixes #25969 - Use a default action prop for DefaultEmptyState (John Mitsch)
- Fixes #25961 - report expiration record disappearing (Lukas Zapletal)
- Fixes #25976 - use path helper to determine auto-completion path (Ivan Nečas)
- Fixes #25971 - correct totals in nested resources of CR (Ondřej Ezr)
- Fixes #25950 - Don't try to assign seeded taxonomies to reports (Tomer Brisker)
- Fixes #25956 - update fog libvirt references (Justin Sherrill)
- Fixes #25800 - one item AuditLists should render expanded (Gilad Lekner)
- Fixes #25941 - fix autocomplete snapshot (Amir Fefer)
- Fixes #25894 - rename the host statuses report (Marek Hulan)
- Fixes #25896 - syslog pattern default is short (Lukas Zapletal)
- Fixes #24711 - primary virtual interface parsing support (Lukas Zapletal)
- Fixes #16591 - Correct parameter value order for complex matcher (Tomer Brisker)
- Refs #25882 - Load additional plugin chunks (Ewoud Kohl van Wijngaarden)
- Fixes #25777 - upgrade patternfly-react (Avi Sharvit)
- Fixes #24834 - HTML-escape fact name only once (Boaz Shuster)
- Fixes #25914 - fix user deletion (Marek Hulan)
- Fixes #25362 - Reset page to 1 when selecting per page (Boaz Shuster)
- Fixes #25908 - Remove setting creation shortcut (Avi Sharvit)
- Fixes #25889 - Remove the limit from compute resource password (Shira Maximov)
- fixes #25898 - partition tables do not render snippets (Kamil Szubrycht)
- Refs #25098 - Adjust tests to provide taxed compute resource (Sebastian Gräßl)
- Refs #25882 - use working iterator for webpack entries (Justin Sherrill)
- Fixes #25098 - Validate compute resource taxonomy on NIC creation (Sebastian Gräßl)
- Fixes #25609 - Move Audits page to React (Gilad Lekner)
- Fixes #25551 - Prevent auto-refresh when inactive (Avi Sharvit)
- Fixes #25893 - Capitalized User Data column (Moti Asayag)
- Fixes #25882 - compile extra bundles during plugin compile (Justin Sherrill)
- Fixes #25869 - humanize name of TemplateKind in Audit log (Ondřej Ezr)
- Fixes #25680 - validate media for non-image builds (Lukas Zapletal)
- Fixes #25871 - timestamps removed from logs (Lukas Zapletal)
- Fixes #25879 - bump rfauxfactory dependency (Evgeni Golov)
- Fixes #25806 - bumps dependency in Gemfile (Ondřej Ezr)
- Fixes #25850 - Topbar is shortly white after refresh (Gilad Lekner)
- Refs #25733 - Fix medium_provider test for ubuntu (Tomer Brisker)
- Fixes #25733 - PXE uid generated from pxedir (Lukas Zapletal)
- Fixes #25826 - fix invalid date in dashboard (Amir Fefer)
- fixes #25852 - coreos mediapath vars are interpolated (Timo Goebel)
- Fixes #13517 - smart class parameter override values API result (Himanshu)
- Fixes #25436 - Add host power state api endpoint (Peter Lehwess)
- Fixes #25854 - fix the display type field (Marek Hulan)
- Bump version to 1.21-develop (Tomer Brisker)
- Refs #23369 - Correctly correct string extraction (Tomer Brisker)
- Fixes #25840 - fix ldap logging (Marek Hulan)
- Fixes #25831 - adds storybook badge into readme (Amir Fefer)
- Fixes #25829 - Remove notification for removed settings (Tomer Brisker)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Refs #20118 - Correct string extraction (Tomer Brisker)
- Refs #23369 - Fix string extraction (Tomer Brisker)
- templates - sync from community-templates (Tomer Brisker)
- Fixes #25748 - fallback to login in user drop down (Marek Hulan)
- Disable Metrics cops (Marek Hulan)
- Fixes #25717 - use string in `add_controller_action_scope` (Ivan Nečas)
- Fixes #25798 - wrong message in select all checkbox in hosts page (Maria Agaphontzev)
- Fixes #25485 - Release name required for debian (Bernhard Suttner)
- Fixes #25629: Fix changing disc size (Peter Lehwess)
- Fixes #25767 - fixed call to xen() after rebase (Shimon Shtein)
- Fixes #25801 - improve storybook eslint docs (Marek Hulan)
- Refs #24271 - used param_authorizer as a local variable (kgaikwad)
- Refs #24271 - declared params_authorizer in partial than helper (kgaikwad)
- Refs #24271 - extracted user check outside of authorizer (kgaikwad)
- Refs #24271 - commit 2 with slower query change (kgaikwad)
- Fixes #24271 - Edit Host as non-admin is slower than admin (kgaikwad)
- Fixes #24481 - update log level on plugin assets (Ivan Nečas)
- Fixes #25760 - audit incorrect links (Gilad Lekner)
- Fixes #25577 - updated puppetclass_lookup_keys_controller queries (#6290) (Shimon Shtein)
- Fixes #25784 - allows_taxonomy_filtering? works with strings (Shimon Shtein)
- Fixes #25778 - increase max_old_space_size for webpack:compile (Ivan Nečas)
- Fixes #25693 - Update fallback config for i18n 1.1 gem (Michael Moll)
- Fixes #25624 - add explicit kernel release fact loader (Marek Hulan)
- fixes #25409 - add translateObject helper (Gilad Lekner)
- Fixes #25525 - fix host_details path for other types on audit (kgaikwad)
- Fixes #25538 - Remove fuzzy translations for 'en' locale (Tomer Brisker)
- Fixes #25745 - fix permission lookup on custom actions (Marek Hulan)
- Fixes #25654 - generator-react-domain for creating Components (Gilad Lekner)
- Refs #25217 - fix AutoComplete eslint (Avi Sharvit)
- Refs #25217 - fix hosts eslint (Avi Sharvit)
- Refs #25217 - fix search-bar eslint (Avi Sharvit)
- Refs #25217 - fix Layout eslint (Avi Sharvit)
- Refs #25217 - fix forms eslint (Avi Sharvit)
- Refs #25217 - fix charts eslint (Avi Sharvit)
- Refs #21312 - Use request hostname for webpack dynamic imports (Tomer Brisker)
- Fixes #25600 - Migrate Icon to patternfly-react (Ori Rabin)
- Fixes #25755 - log when unpermitted params are used in all envs (Tomer Brisker)
- Fixes #25553 - neutron fixed IP support (Petr Benas)
- Fixes #24551 - Change all matcher attributes to lowercase (Ori Rabin)
- Fixes #25702 - Deprecate Taxonomy-enabled related methods (Tomer Brisker)
- Refs #25503 - fix breadcrumbs alignment (Amir Fefer)
- Fixes #22766 - Puppet classes are not removed by non-admin user (Ori Rabin)
- Fixes #25752 - fix console error in js test (Amir Fefer)
- Fixes #21964 - extract calculation of new_vm to local variable (Sebastian Ziebell)
- Refs #21312 - updates in stories around dates (Tomas Strachota)
- Refs #21312 - missing slashes in chunk names for plugins (Tomas Strachota)
- Refs #21312 - exclude *_core gemfiles (Tomas Strachota)
- Refs #21312 - use existing cli parameters in webpack config (Tomas Strachota)
- Refs #21312 - docs on entry points (Tomas Strachota)
- Refs #21312 - make language regex in webpack config DRY (Tomas Strachota)
- Refs #21312 - use new components in the storybook (Tomas Strachota)
- Refs #21312 - updated snapshots (Tomas Strachota)
- Refs #21312 - fix lint issues (Tomas Strachota)
- Refs #21312 - remove loaded flag (Tomas Strachota)
- Refs #21312 - fix lint issues (Tomas Strachota)
- Refs #21312 - updated snapshots (Tomas Strachota)
- Refs #21312 - storybook on using components outside of webpack (Tomas Strachota)
- Refs #21312 - storybook for dates (Tomas Strachota)
- Refs #21312 - date props unnested (Tomas Strachota)
- Refs #21312 - merging i18n files (Tomas Strachota)
- Refs #21312 - fix registry tests after flattening (Tomas Strachota)
- Refs #21312 - fix audits tests (Tomas Strachota)
- Refs #21312 - fix data flattenning (Tomas Strachota)
- Refs #21312 - use the component on the audits page (Tomas Strachota)
- Refs #21312 - fix timezone in tests (Tomas Strachota)
- Fixes #21312 - components for formatting dates (Tomas Strachota)
- Fixes #21312 - infrastructure for using Intl (Tomas Strachota)
- Refs #25703 - returned some misdeleted host tests (#6362) (Lukáš Zapletal)
- Fixes #25483 - keep false facts (Marek Hulan)
- Fixes #25648 - Delete filters as system admin (Ondrej Prazak)
- Fixes #25669 - fix typos in inputs help (Marek Hulan)
- Fixes #25743 - improved OS version help text (Lukas Zapletal)
- Fixes #25735 - improve the warning on bulk deletion (Marek Hulan)
- Fixes #25670 - added virt-who to foreman-debug (Lukas Zapletal)
- Fixes #25467 - The menu and top bar will disappear periodically (John Mitsch)
- Fixes #25675 - show operating system relase name (Bernhard Suttner)
- Refs #25300 - update rubocop_todo.yml (Michael Moll)
- Fixes #25720 - Fix Style/CommentedKeyword cop (Michael Moll)
- Refs #25300 - update rubocop_todo.yml (Michael Moll)
- Fixes #25731 - fix the setting description (Marek Hulan)
- Fixes #25730 - only assign many to many associations (Justin Sherrill)
- Fixes #24778 - Notice unassigned primary/provision interface (Dominik Hlavac Duran)
- Fixes #24728 - Support Huawei VRP (UXabre)
- Fixes #25727 - remove taxonomy-related helpers (Tomer Brisker)
- Fixes #24801 - Always seed default taxonomies (Tomer Brisker)
- Fixes #25428 - fixed telemetry plugin API const error (Lukas Zapletal)
- Fixes #25619 - refactor logging middleware (Lukas Zapletal)
- Fixes #25712 - Remove org_loc_string helper (Tomer Brisker)
- Refs #25503 - fix host form broken styling (Amir Fefer)
- Fixes #24961 - all_params permission check in API fixed (Lukas Zapletal)
- Fixes #25703 - Fix tests for enforcing taxonomies (Tomer Brisker)
- Fixes #21545 - Unified role cloning via UI and hammer (Dominik Hlavac Duran)
- Fixes #25679 - Provide better hostname generator examples (Aditi Puntambekar)
- Fixes #25709 - request id in logs is now 8 chars (Lukas Zapletal)
- Fixes #25700 - Force enable taxonomy settings (Tomer Brisker)
- Fixes #25701 - remove old settings from settings.yaml.test (Tomer Brisker)
- Fixes #25497 - Fix backslash shortcut on firefox (Amir Fefer)
- Fixes #25490 - fix html rendering in tooltips (Amir Fefer)
- Fixes #25664 - Update pattternfly and patternfly-react versions (Ondrej Prazak)
- Fixes #25691 - Remove smartproxy:migrate rake task (Ewoud Kohl van Wijngaarden)
- Fixes #25692 - Remove patches rake task (Ewoud Kohl van Wijngaarden)
- Fixes #25666 - unpin daemons gem (Michael Moll)
- Fixes #24193 - introduced Foreman multiexception class (Rahul Bajaj)
- Fixes #20118 - return error message (Sebastian Ziebell)
- Refs #25666 - pin daemons gem (Michael Moll)
- Fixes #25673 - Change smart variable edit page's title (Amir Fefer)
- Fixes #24150 - Icon broken for Operating Systems (Boaz Shuster)
- Fixes #17527 - Add support for hostgroup facets (Shimon Shtein)
- Fixes #25672 - fix smart class parameter's title (Amir Fefer)
- Fixes #25491 - Add public key option in POST compute resource API (Shira Maximov)
- fixes #2308 - add option to select cpumode in libvirt (#6294) (Clemens Bergmann)
- Fixes #25503 - Allow truncation of page header in breadcrumbs (Adam Růžička)
- Fixes #24161 - Add description for UUID in create image (Shira Maximov)
- Update db/migrate/20181116104823_fixed_ignore_taxonomies_for_audit_filters.rb (Tomer Brisker)
- Refs #24232 - Fix migration for upgrades (Sebastian Gräßl)
- Fixes #25524 - allow matching prerelease versions (Chris Duryee)
- Fixes #25097,#25277 - Associate reports & classes with taxonomy (Sebastian Gräßl)
- Fixes #25650 - Added medium_uri macro to templates (Shimon Shtein)
- Fixes #22898 - Preview fails on /clone_template (Aditi Puntambekar)
- Fixes #25637 - Default dashboard auto-refresh to off (Tomer Brisker)
- Refs #25542 - lint fixes (Tomas Strachota)
- Refs #25542 - Move page chunks into their own section (Tomas Strachota)
- Fixes #25542 - Unify look of the storybook (Tomas Strachota)
- Fixes #25635 - Correct deprecation version for operatingsystems (Tomer Brisker)
- Fixes #25621 - fixed windows os (Shimon Shtein)
- Refs #25398 - disabled randomly failing tests (Lukas Zapletal)
- Fixes #25623 - Use https in docs URLs (Ewoud Kohl van Wijngaarden)
- Fixes #25620 - do not log reports to blob logger (Marek Hulan)
- Fixes #24900 - expiration task no longer error out (Lukas Zapletal)
- Fixes #25567 - Fix TFTP for RancherOS (Tomer Brisker)
- Fixes #25548 - SearchBar bug on hosts page (laviro)
- Fixes #25487 - Fix subtotal in API response (John Mitsch)
- Fixes #25586 - fix the permission name (Marek Hulan)
- Fixes #25492 - Remove the :login setting (Tomer Brisker)
- Fixes #25488 - Update Foreman to use fog-vsphere 2.5.0 (Chris Roberts)
- Refs #25217 - Fix all linting issues manually (Avi Sharvit)
- Refs #25217 - Automatic eslint fix (Avi Sharvit)
- Fixes #25217 - Install patternfly-react eslint (Avi Sharvit)
- Fixes #25575 - Add subnet6 param to apidoc (Oleh Fedorenko)
- Refs #24232 - Fix migration to ignore taxonomies for filters (Sebastian Gräßl)
- Refs #25217 - Refactor ToastNotifications prop-types (Avi Sharvit)
- Refs #25217 - Refactor notifications prop-types (Avi Sharvit)
- Refs #25217 - Refactor Markdown prop-types (Avi Sharvit)
- fixes #25537 - Layout unwanted action calls (Gilad Lekner)
- Refs #25217 - Refactor statistics prop-types (Avi Sharvit)
- Fixes #25523 - Fallback to english if js locale is missing (Tomer Brisker)
- Refs #25217 - Refactor pagination prop-types (Avi Sharvit)
- Refs #25217 - Refactor diff-modal prop-types (Avi Sharvit)
- Fixes #25396 - Add pagination row component (Ondrej Prazak)
- fixes #25439 - Add new DiffView to Config Reports (Gilad Lekner)
- fixes #25513 - associate host during import (Timo Goebel)
- Refs #25493 - Don't warn on setting cache miss (Tomer Brisker)
- refs #25285 - deprecate @repos variable (Stephen Benjamin)
- Fixes #25465 - limit load macros in preview mode (Marek Hulan)
- Fixes #25466 - user inputs should be previewed as empty strings (Marek Hulan)
- Fixes #25493 - simplify Setting cache handling (Tomer Brisker)
- Fixes #25431 - remove hirb-unicode-steakknife gem (Tomer Brisker)
- Fixes #20229 - Fix vlans and bonds deployment (Ondrej Prazak)
- refs #19067 - adds react-diff-view to vendor file (Ohad Levy)
- refs #24191 - fix lint error. (Ohad Levy)
- fixes #24191 - moves auth_source_selected JS function to webpack (Ohad Levy)
- Fixes #25340 - improve SSL error exception (Lukas Zapletal)
- Fixes #25437 - fix missing ids in audits page (Marek Hulan)
- fixes #25382 - update Autocomplete tests to work on latest Jest (laviro)
- fixes #25363 - update jest and snapshots (Ohad Levy)
- Refs #25217 - Refactor hosts/vmware/disk component (Avi Sharvit)
- Refs #25217 - Refactor hosts/storage prop-types (Avi Sharvit)
- fixes #25457 - expose extraConfig from user_data (Lennart Weller)
- Refs #25217 - Adds prop-types to host/power-status (Avi Sharvit)
- Refs #25217 - Add prop-types to forms (Avi Sharvit)
- Fixes #19891 - Disable Style/PreferredHashMethods cop (Michael Moll)
- fixes #25413 - error on Opens Stack Compute Resource VM's page. (Rafal Ramocki)
- Fixes #25451 - Make certificate loading robust (Ewoud Kohl van Wijngaarden)
- Refs #25217 - Add alt to breadcrumb icon (Avi Sharvit)
- Refs #25217 - ConfigReport data should be required (Avi Sharvit)
- Refs #25217 - Fix target="_blank" vulnerability (Avi Sharvit)
- Refs #25217 - Add default-props to FactChart (Avi Sharvit)
- Refs #25217 - Add prop-types to the BreadcrumbBar (Avi Sharvit)
- Refs #25217 - Fix small issue with the Layout (Avi Sharvit)
- Refs #25217 - Convert password-strength be dummy (Avi Sharvit)
- Refs #25217 - Add default-props to Alert (Avi Sharvit)
- Refs #25217 - Refactor boorkamrks, add prop-types (Avi Sharvit)
- Refs #25217 - Remove .js from js imports (Avi Sharvit)
- Refs #25217 - Add default-props DocumentationLink (Avi Sharvit)
- Refs #25217 - Add prop-types to Icon (Avi Sharvit)
- Refs #25217 - Add prop-types to Loader (Avi Sharvit)
- Refs #25217 - Add prop-types to MessageBox (Avi Sharvit)
- Refs #25217 - Add prop-types to SearchInput (Avi Sharvit)
- Refs #25217 - Add missing default-prop to BarChart (Avi Sharvit)
- Fixes #25421 - Allow mapped IPv4 in forwarded address list (arend.lapere@gmail.com)
- Refs #25217 - Add prop-types to AuditList (Avi Sharvit)
- fixes #23369 - load vmware datastores async (Timo Goebel)
- Fixes #25323 - change 'cores' to 'Cores per socket' (Shira Maximov)
- Fixes #25207 - do not instantiate during permission checks (Lukas Zapletal)
- Fixes #25367 - Create new object when cloning the report template (Martin Bačovský)
- Fixes #25383 - Enable verbose_query_logs in development (Tomer Brisker)
- Fixes #25394 - Expose default in report template API (Martin Bačovský)
- Refs #25217 - Lint fix - use camelcase (Avi Sharvit)
- Fixes #19860 - Fix Style/For cop (Michael Moll)
- Fixes #23574 - add selector to facts charts using reselect (Amir Fefer)
- Fixes #25169 - fix xss on pages with breadcrumbs (Amir Fefer)
- Refs #25285 - medium provider test fixes (Lukas Zapletal)
- Fixes #19067 - React DiffView Component (Gilad Lekner)
- Fixes #24011 - Add Patternfly bar chart support (lizagilman)
- fixes #25305 - error when puppetclass cannot be created (Timo Goebel)
- fixes #25351 - load trends without associated object (Timo Goebel)
- Fixes #25278 - add index environment-puppetclass (Lukas Zapletal)
- Fixes #25355 - Remove HomeHelper (Tomer Brisker)
- fixes #25252 - disable host check in start-dev (Bernhard Suttner)
- Fixes #25279 - Missing index on lookup_values table (Aditi Puntambekar)
- fixes #25366 - make http_proxy monkey patch work multithreaded (Stephen Benjamin)
- Fixes #24660 - Make EmptyState more flexible (Ondrej Prazak)
- Fixes #25285 - medium provider can supply multiple repos (Stephen Benjamin)
- fixes #25331 - do not audit fact import (Timo Goebel)
- Updated readme with Hound icon (Scott Albertson)
- Fixes #25218 - adds webpack's i18n to storybook docs (Amir Fefer)
- Fixes #25346 - Correctly render menu for non-admin users (Tomer Brisker)
- Fixes #24276 - add resource switcher to facts page (Amir Fefer)
- fixes #25248 - build status check without proxy edit (Timo Goebel)
- Fixes #25327 - Fix Style/UnneededCondition cop (Michael Moll)
- Fixes #25324 - Fix Performance/UnneededSort cop (Michael Moll)
- Fixes #25325 - Fix Layout/RescueEnsureAlignment cop (Michael Moll)
- Fixes #25312 - skip add_*permissions_to_default_roles in rake (Evgeni Golov)
- Fixes #25300 - Update Rubocop to 0.59.2 (Michael Moll)
- Refs #19833 - Fix Rails/FindEach cop (Michael Moll)
- Fixes #25316 - ensure notifications_recipient_path resolves (Eric D. Helms)
- Fixes #25308 - Additional support for plugins with React (Ondrej Prazak)
- Fixes #25295 - ignore broken vmware machines (Markus Bucher)
- fixes #25197 - onChange debounce too slow (laviro)
- Fixes #25271 - add curr-org's id to redux store (Amir Fefer)
- fixes #21592 - add chromedriver for testing (Gilad Lekner)
- fixes #25253 - Show compute resource datastore usage (Bernhard Suttner)
- Fixes #25265 - Allow I18n in defaultProps (Avi Sharvit)
- Fixes #25269 - Translate audit login text (Avi Sharvit)
- Fixes #25260 - Jest prop-type errors (Avi Sharvit)
- Fixes #25225 - clone oVirt disk only when source disk exists (Ivan Nečas)
- fixes #25257 - include AuthorizeHelper in HostsHelper (Timo Goebel)
- Fixes #25230 - Remove useless html from toast notifications (Tomer Brisker)
- Fixes #24871 - Serve intermediate iPXE script (Peter Lehwess)
- Fixes #25222 - include more test in rake test:api (Ivan Nečas)
- Fixes #25215 - Support for Debian on aarch64 aka arm64 (Pawel Moll)
- Fixes #25215 - Use normal string substitution for arch strings (Pawel Moll)
- Bump version to 1.21-develop (Tomer Brisker)
- Fixes #25188 - Remove unbound facts from /hosts/x/facts (Martin Bačovský)
- Fixes #25203 - show hosts count if hostsCount is not null (Boaz Shuster)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #25214 - update template snapshots, seeds test (Tomer Brisker)
- Fixes #25213 - Bump version of logging-journald to 2.x (Lukas Zapletal)
- templates - sync from community-templates (Tomer Brisker)
- i18n - update strings, add nl_NL (Tomer Brisker)
- Fixes #22052 - Added help text in Templates tab (Aditi Puntambekar)
- fixes #25198 - Fix SearchBar keyboard navigation. (laviro)
- fixes #25007 - fix medium providers for plugins (Stephen Benjamin)
- fixes #25007 - fix medium providers for plugins (Stephen Benjamin)
- Fixes #22737 - add a global option to keep VMs (Marek Hulan)
- Fixes #25124 - Add ability to indicate a host substatus (Jonathon Turel)
- Fixes #25175 - fix importing css in layout.scss (Amir Fefer)
- Fixes #25075: fix provisioning template preview (Peter Lehwess)
- Fixes #24835 - Non-default Settings Bolded (Akshay Mendhe)
- Refs #25053 - Remove unused fact_names_by_id hash (Tomer Brisker)
- Fixes #24662 - provision_method change error (Alexander Olofsson)
- Fixes #25053 - expensive db_facts query executed just once (Lukas Zapletal)
- fixes #25154 - do not join reports when searching (Timo Goebel)
- Fixes #25150 - Check for `#dynamic` with regex (Peter Lehwess)
- Refs #24245 - fix pagination broken due to new pagination changes (kgaikwad)
- Fixes #17263 - move jed (i18n) to webpack (Amir Fefer)
- Fixes #25137 - webpack-analyze script fails (Gilad Lekner)
- Fixes #24744,#24873 - facter 3.x initial support (Herwig Bogaert)
- Fixes #24870 - show a setting does not have a default value (#6089) (boaz1337)
- Refs #24259 - Raise Metrics/MethodLength for Rubocop to pass (Michael Moll)
- Refs #25123 - Fix Layout/EmptyLinesAroundBlockBody cop (Michael Moll)
- Fixes #24227 - Add permissions info to models API (Boaz Shuster)
- Fixes #24824 - Allow UI notifications when login is disabled (Gilad Lekner)
- Fixes #23445, #21566, #23448 - Refactor Layout to PF (Gilad Lekner)
- refs #16294 - fixes wrong secure websocket detection (Ohad Levy)
- Fixes #24040 - Move the search box to React (laviro)
- Fixes #24802 - Remove taxonomy, login settings from example (Tomer Brisker)
- Fixes #24800 - Notify deprecation of taxonomy, login settings (Tomer Brisker)
- Fixes #16294 - Remove noVNC from vendors (UXabre)
- fixes #25128 - variables loader works with inherited classes (Kamil Szubrycht)
- Refs #25123 - sync from community templates (Tomas Strachota)
- Fixes #25123 - template requirements and seeding with import (Tomas Strachota)
- Fixes #23336 - env variables for test retry and logs (Lukas Zapletal)
- Fixes #24652 - subnet_for returns highest CIDR prefix (Lukas Zapletal)
- Fixes #23344 - stubs instead expects in setup blocks (Lukas Zapletal)
- Refs #24259 - Fix failing test on mysql (Ondrej Prazak)
- Fixes #24245 - Audit new UX using reactjs (kgaikwad)
- Fixes #24874 - update secure_headers to 6.x (Michael Moll)
- Fixes #25102 - introduce template inputs (Marek Hulan)
- Fixes #24643 - Refactor Pagination to PF (Gilad Lekner)
- Fixes #25099 - Add macros for easier report definition (Martin Bačovský)
- Fixes #24259 - Add canned admin role (Ondrej Prazak)
- Fixes #22119 - use SHA instead of MD5 for digesting (Ivan Nečas)
- Fixes #19886 - Disable Style/ParallelAssignment cop (Michael Moll)
- Refs #24783 - Fix newly added Rubocop rule (Michael Moll)
- Fixes #24845 - Inconsistent UI for Spice console (UXabre)
- Fixes #24958 - allow sourcemaps in production (Tomas Strachota)
- Fixes #24997 - Remove eslint from hound-ci (Avi Sharvit)
- Fixes #24232 - Return taxed and untaxed audits in list (#6073) (Sebastian Gräßl)
- Fixes #24886 - fixed audit in seeds test (#6058) (Lukáš Zapletal)
- Fixes #25091 - only require tests gems in test environment (Ohad Levy)
- Fixes #25070 - keep variables optional (Marek Hulan)
- Fixes #24969 - Further sort parameter overrides by value (Pat Riehecky)
- Fixes #25054 - fixes RSS rescheduling (Marek Hulan)
- fixes #25038 - allow subnet present in safemode (Kyle O Button)
- Refs #24940 - refresh hosts now loads puppet tab (Lukas Zapletal)
- Fixes #24294 - add snapshot tests for templates (Kamil Szubrycht)
- Fixes #25005 - hosts with no report link on widget (#6082) (Lukáš Zapletal)
- Fixes #24995 - medium_provider is on host (Lukas Zapletal)
- refs #24965 - add mising 'end' in openstack fog extensions (Stephen Benjamin)
- Fixes #24965 - can't start Openstack Servers (Clemens Bergmann)
- Fixes #24938 - fix image OS label (Marek Hulan)
- Fixes #24849 - PXE global default option is local (Lukas Zapletal)
- fixes #24935 - validate existence of proxy assocations (Stephen Benjamin)
- Fixes #24743 - medium provider template check works (Lukas Zapletal)
- Fixes #24940,#24951 - hostgroup does not fill for non-managed host (Rahul Bajaj)
- Fixes #21833 - added bootsnap development dependency (Lukas Zapletal)
- Sync templates (Marek Hulan)
- Fixes #23210 - Handle PuppetCA tokens (Julian Todt)
- Fixes #15707 - AWS support for GovCloud (Marek Hulan)
- Fixes #24944 - removes LC_ALL from debug script (Lukas Zapletal)
- Fixes #24957 - correctly filter taxonomies in API (Marek Hulan)
- Fixes #24633 - Add uniqueness to puppet class name (#6019) (Ondřej Pražák)
- Fixes #24742 - Refactor unattended controller (Peter Lehwess)
- Fixes #24056 - Moved facets to Host::Base (Shimon Shtein)
- Fixes #19869 - Disable Style/LineEndConcatenation cop (Michael Moll)
- Fixes #24844 - find audited objects correctly (Marek Hulan)
- Fixes #19790 - Fix Layout/SpaceBeforeBlockBraces cop (Michael Moll)
- Fixes #24783 - Refactor hosts count (Tomer Brisker)
- Fixes #21177 - missing warning icon on ssh keys (#6037) (boaz1337)
- Fixes #24234 - Set no taxonomies on audit for untaxable resources (#6059) (Sebastian Gräßl)
- Fixes #24780 - update NodeJS versions (Michael Moll)
- Refs #15806 - add eslint also to travis tests (Michael Moll)
- Fixes #24914 - show name in smart parameter edit page (Amir Fefer)
- Fixes #24913 - show os name in edit page (Amir Fefer)
- fixes #1459 - ipxe provisioning support (Timo Goebel)
- Fixes #24478 - properly sanitize class name (Marek Hulan)
- Fixes #24836 - Update production.log filename so we get log.gz. (Chris Roberts)
- Fixes #19867 - Fix Style/IfUnlessModifierOfIfUnless cop (Michael Moll)
- fixes #24702 - fix bulk taxonomy update w/ scoped search (Stephen Benjamin)
- Fixes #24832 - Adds bootstrap-sass package (Avi Sharvit)
- Fixes #24348 - Validate compute resources is within taxonomy (Sebastian Gräßl)
- Fixes #24807 - unsafe html in toast notification (Avi Sharvit)
- Fixes #24831 - Remove Rails 5.1 workaround for slow api call (Tomer Brisker)
- Fixes #24621 - Use custom scope in ResourceSwitcher (Ondrej Prazak)
- Refs #22612 - Remove Rails 5.1, add Rails 5.2 deprecations (Michael Moll)
- Refs #22612 - add Active Storage routes (Michael Moll)
- Refs #22612 - update DB gems from AR adapters (Michael Moll)
- Fixes #22611 - Adapt DB migrations for Rails 5.2 (Michael Moll)
- Fixes #22612 - Switch Rails to 5.2 (Michael Moll)
- Fixes #24546 - add uniq constraint on subnet.name (Ivan Necas)
- Fixes #24683 - Styling improvements for PasswordStrength (#5980) (Ondřej Pražák)
- Fixes #24763 - ensure reschedule rss notification on error (Ivan Nečas)
- Fixes #24754 - update react to 16.4 (Amir Fefer)
- Fixes #21938 - add plugable upgrade rake task (Justin Sherrill)
- Fixes #24740: document --watch-poll for NFS (Andrew Kofink)
- Fixes #24381 - Remove modulepath setting (Ewoud Kohl van Wijngaarden)
- Refs #3809 - regenerate .rubocop_todo.yml (Michael Moll)
- Refs #24654 - fix Rubocop (Michael Moll)
- Refs #24697 - remove now unneeded Rubocop disabling (Michael Moll)
- Fixes #24599 - Not custom instance type should disable params (Shira Maximov)
- Fixes #24567 - Relaxed smart proxy version check (Shimon Shtein)
- Fixes #24522 - Fix selected cluster in ovirt network (#5933) (Shira Maximov)
- Fixes #24782 - Show hosts count in API (Boaz Shuster)
- Fixes #24720 - listen interface aligned in dev script (Lukas Zapletal)
- Fixes #24735 - parameters missing from GET hostgroup api (kgaikwad)
- Fixes #21105 - hostgroup provisioning without media (Lukas Zapletal)
- Fixes #24620 - suggest Dynflow logger to be info by default (Ivan Necas)
- Fixes #24665 - mount breadcrumbs only when for 200 response (Marek Hulan)
- Fixes #24102 - Allow more complex logic for template locks (Ondrej Prazak)
- Fixes #24301 - Create user in LDAP does not require password (Daniel Lobato Garcia)
- fixes #24760 - define dashboard module explicitly (Timo Goebel)
- Fixes #24745 - new variables kernel/initrd_uri (Lukas Zapletal)
- Fixes #24759 - Fix failing API FactValueController tests (Tomer Brisker)
- Fixes #24564, #24746 - bump version of fog-ovirt (Ori Rabin)
- Fixes #24712 - Fix performance regression on API (Tomer Brisker)
- Fixes #24639 - medium provider works with discovery (Lukas Zapletal)
- Fixes #24691 - interfaces are incorrectly updated (Herwig Bogaert)
- Fixes #24737 - add read_attribute_before_type_cast for settings (#6006) (Michael Moll)
- Fixes #24736 - Refactor admin user role test for Rails 5.2 (Michael Moll)
- Revert "Fixes #24478 - properly sanitize class name" (Lukas Zapletal)
- Fixes #24697 - Don't remove permissions from default role (Tomer Brisker)
- Refs #24640 - Cast omitted default with merge_overrides (Tomer Brisker)
- Fixes #24338 - Can set filename for CSV response (Partha Aji)
- fixes #24673 - compute resource vm tab loading (Ben Plessinger)
- Fixes #24672 - fix new line in template export metadata (Marek Hulan)
- Fixes #24710 - extend audits in to_prepare (Marek Hulan)
- Fixes #24686 - Remove border around console to fix cursor offset (UXabre)
- Fixes #20940 - Interfaces shows extra fields in API /api/hosts/id (Amit Karsale)
- Fixes #24647 - assign environment for hostgroup related (Lukas Zapletal)
- Fixes #24622 - UEFI HTTP boot loader options (Lukas Zapletal)
- Fixes #24225 - fixes the navigation for compute profile (Rahul Bajaj)
- Fixes #23634 - Drop puppet related settings (Ewoud Kohl van Wijngaarden)
- Fixes #24685 - fix minor issues in the storybook (Tomas Strachota)
- fixes #24496 - remove unattended helper (Timo Goebel)
- fixes #24645 - remove unused brace dependencies (Ohad Levy)
- Fixes #23979 - add option to search location & organization (Shira Maximov)
- fixes #24503 - remove snippets macro (Timo Goebel)
- fixes #24571 - fog-vsphere 2.3 vsphere nic selection (Timo Goebel)
- Fixes #24640 - Cast all lookup keys and values (#5956) (Tomer Brisker)
- Fixes #24657 - Pin react-bootstrap to 0.32.1 (Ondrej Prazak)
- Fixes #24654 - use dynamic attrs for Factory Bot 5.x compat (Michael Moll)
- Fixes #24624 - Host Assign Org/Loc radio mismatch input label (#5953) (Djebran Lezzoum)
- Fixes #21885, #23670 - chrome/ff input box inconsistency fix (Boaz Shuster)
- Fixes #24600 - crypt salt is always valid (Lukas Zapletal)
- Fixes #24619 - handle Rails env in db:create (Ivan Nečas)
- Refs #24556 - correct report scanner test (#5952) (Tomer Brisker)
- Fixes #24556 - correct puppet origin detection (Marek Hulan)
- Fixes #24572 - wrap collection id in array (Marek Hulan)
- Fixes #24371 - Improve plugin webpack detection (Tomer Brisker)
- fixes #24590 - adds missing packages to the vendor bundle (Ohad Levy)
- Fixes #24548 - make SSH timeout configurable (Ian Ballou)
- Fixes #24416 - Add UI devel docs into storybook (Tomas Strachota)
- Fixes #24475 - Add EmptyState to React components (Boaz Shuster)
- Fixes #24256 - Optimize DB indices (Tomer Brisker)
- fixes #24561 - adds webpack analyze support (Ohad Levy)
- Fixes #23505 - Explicate table for ancestry field. (#5930) (Dustin Wheeler)
- Fixes #24476: add SR-IOV virtual functions to the ignored NICs (Evgeni Golov)
- Fixes #24562 - upgrade enzyme to 3.4.0 (Amir Fefer)
- Fixes #17136 - Enable ha flag when creating ovirt VM (Shira Maximov)
- fixes #22090 - friendlyid for lookupvalue plus override api (Iain Walmsley)
- Fixes #24313 - load data to switcher in smart class parameters (lizagilman)
- Fixes #22155 - Allow name of datacenter in API (Ori Rabin)
- Fixes #24200 - Fix ChartBox storybook (Boaz Shuster)
- Fixes #24526 - handle compute resource fingerprint error (#5910) (Ivan Necas)
- Fixes #24541 - properly display cdrom check (Marek Hulan)
- Fixes #24544 - Add tests to 'load bookmarks on demand' (Boaz Shuster)
- Refs #10521 - fix Rubocop issue (#5925) (Michael Moll)
- Fixes #24545 - keep the pw field as it was (Marek Hulan)
- Fixes #24473 - Return other OS when oVirt os is not found (Ori Rabin)
- Fixes #24520 - set default number of RSS posts (Marek Hulan)
- Fixes #22938 - refactor key pair removal on CR deletion test (#5912) (Michael Moll)
- Fixes #24539 - don't initialize dynflow in db:create (Michael Moll)
- Refs #24350 - Adjust puppet_interval to include grace time (Sebastian Gräßl)
- fixes #24380 - load bookmarks on demand (Ohad Levy)
- Fixes #24298 - Some audits show 'Missing ID' instead of name (Daniel Lobato Garcia)
- Fixes #24471 - Markings removed from fields in Hostgroup (Akshay Mendhe)
- Fixes #24132, #24315 - fix breadcrumbs index links (lizagilman)
- Refs #23373 - Remove the api fix and fix tests (Shira Maximov)
- Fixes #24478 - properly sanitize class name (Marek Hulan)
- Fixes #24078 - correctly verify permission on clone button (Marek Hulan)
- Refs #10521 - use assert_includes (Adam Ruzicka)
- Refs #10521 - Test ordering of statuses (Adam Ruzicka)
- Refs #10521 - Consider HostStatuses might be added by plugins (Adam Ruzicka)
- Fixes #24392 - Title "Global Parameters" removed from Host Group (#5897) (Akshay Mendhe)
- Generate source with the actual version specified in VERSION (Eric D. Helms)
- Fixes #24486 - Define through association before using it (#5890) (Ondřej Pražák)
- fixes #24484 - snippets find template by source (#5891) (Timo Goebel)
- fixes #24469 - host_enc uses reduce (#5884) (Timo Goebel)
- Fixes #10521 - fix report templates API after refactoring (Marek Hulan)
- fixes #10521 - reporting templates (Marek Hulán)
- fixes #24388 - validate media and reset if os changes (#5876) (Stephen Benjamin)
- Fixes #24355 - Never override a smart class parameter on import (Ori Rabin)
- Fixes #23168 - undefined method `split' for nil:NilClass (Ido Kanner)
- Fixes #23168 - undefined method `split' for nil:NilClass (Ido Kanner)
- Fixes #23610,#23417 - audit changes per column (#5570) (Lukáš Zapletal)
- Fixes #24394 - Update about page with link to forums (Alexander Fisher)
- Fixes #22529 - Refactor Template rendering to use a proper rendering service (#5683) (kamils-iRonin)
- Refs #19389 - fixes develop tests (Marek Hulan)
- Fixes #24386 - Update debug to include proxy certs generate. (Chris Roberts)
- Fixes #19389 - Add medium_uri provider (Shimon Shtein)
- Fixes #19389 - Added medium hash to TFTP files (Shimon Shtein)
- Update PR template (Tomer Brisker)
- Fixes #24387 - defined telemetry buckets in seconds (Ivan Nečas)
- Fixes #24350 - Change general out of sync interval to 30 minutes (Sebastian Gräßl)
- bump nodejs dependencies based on npm audit (Ohad Levy)
- Fixes #24303 - New hostgroup after submit path (Avi Sharvit)
- Fixes #24199 - validate taxonomy of host environment on create (#5793) (Ivan Necas)
- Fixes #24343 - Update deprecations for 1.20 (Tomer Brisker)
- Fixes #20992 - keep selected roles (#5832) (Marek Hulán)
- Refs #23066 - Robottelo tests - users and user roles (#5805) (Djebran Lezzoum)
- Refs #22922 - Robottelo tests - compute profiles (#5794) (Djebran Lezzoum)
- Refs #23132 - Robottelo tests - bookmarks (#5818) (Djebran Lezzoum)
- Refs #22979 - Robottelo tests - operating_systems (#5804) (Djebran Lezzoum)
- Refs #23095 - Robottelo tests - subnets and parameters (#5809) (Djebran Lezzoum)
- Refs #23339 - Add Robottelo tests - hosts (#5826) (Djebran Lezzoum)
- Fixes #24322 - set owner_type implicitly to User (Ivan Nečas)
- Fixes #24320 - stop dropping vmware fields (Marek Hulan)
- Fixes #23373 - Fix host dissociation when updating host (Shira Maximov)
- Fixes #23117 - ovirt_ostype host param selects type (Lukas Zapletal)
- Fixes #23975 - Add Network Interface Type in ovirt VM (Shira Maximov)
- Fixes #24291 - Allow searching audits by subnet (Tomer Brisker)
- Refs #24281 - Refactor class methods of create and create! (Ido Kanner)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #24302 - Correct string extractions (Tomer Brisker)
- fixes #24300 - add capybara minitest assertions (Timo Goebel)
- Fixes #24293 - Fix ability to run single tests (Peter Lehwess)
- Fixes #24279 - removed setSSHCert - handle_ca no longer around (Ian)
- Fixes #24284 - distinguish bruteforce in API (Marek Hulán)
- fixes #23291 - fixes double appending of /unattended to proxy url (Arend Lapere)
- Fixes #24211 - Allow a newer version of patternfly-sass (Ewoud Kohl van Wijngaarden)
- Fixes #24269 - clean all reports (Marek Hulan)
- Bump version to 1.20-develop (Tomer Brisker)
- Fixes #19983 - allow setting role description (Marek Hulan)
- i18n - extracting new, pulling from tx (Tomer Brisker)
- Fixes #23575 - avoid change of heights on fact modal (lizagilman)
- Fixes #22416 - Taxonomy buttons visible for right taxonomies (#5824) (Dominik Hlavac)
- Fixes #24257 - load all reports and audits in tasks (Marek Hulán)
- Fixes #23831 - Fix JS for oVirt Image based provisioning (Ori Rabin)
- Fixes #21778 - ignore tax scope when displaying filters (Marek Hulan)
- Fixes #24002 - Add index for unique role names (Dominik Hlavac Duran)
- Fixes #21172 - address comments (Ivan Nečas)
- Fixes #21172 - load template variables to partition tables (Ivan Nečas)
- Fixes #24217 - accept shell script for cloud-init in oVirt (Ivan Nečas)
- Fixes #23836 - Bump fog-ovirt version for update_vm addition (Ori Rabin)
- Fixes #24220 - increase recommended pool size for the db (Ivan Nečas)
- Fixes #24185 - logging env override config fixed (#5792) (Lukáš Zapletal)
- Fixes #24194 - support dots in name for http proxies (Marek Hulan)
- Fixes #23623 - expiration rake task in batches (Lukáš Zapletal)
- Refs #24125 - mock libvirt sooner (Ivan Nečas)
- Fixes #23479 - Enhance OpenStack VM Creation (Ben Plessinger)
- Fixes #23977 - add onClick callback to breadcrumbs (Amir Fefer)
- Fixes #23918 - Find correct scope when updating taxonomy (Ondřej Pražák)
- Fixes #23961 - Update Foreman Fog-Vsphere select_nic method. (Chris Roberts)
- Fixes #24125 - Show error when libvirt not reachable (Ondřej Pražák)
- Fixes #24017 - Add scrollbar in org/log dropdown (#5722) (Amir Fefer)
- Fixes #23579 - Use a bundler group for assets (Ewoud Kohl van Wijngaarden)
- Fixes #23965 - Only save ids for association audits (#5753) (Tomer Brisker)
- Fixes #24192 - Clean up auth_source_selected action leftovers (Tomer Brisker)
- Fixes #23290 - Unmount components before dom-update (Avi Sharvit)
- Fixes #23382 - Hashes in arrays are shown properly on ENC (Daniel Lobato Garcia)
- fixes #24186 - improve vsphere error handling (Timo Goebel)
- Fixes #23705 - Do not associate ptable snippets (Ondřej Pražák)
- Fixes #24167 - Remove legacy_puppet_hostname setting (Ewoud Kohl van Wijngaarden)
- Fixes #23896 - Update taxonomies when refreshing metadata (Ondřej Pražák)
- Fixes #24122 - Remove limit from LookupValue value (Ori Rabin)
- Fixes #24158 - fix cloning of roles (Marek Hulán)
- Fixes #23933 - consider associated object in set_taxonomies (kgaikwad)
- Fixes #23782 - restore login disabling (Marek Hulan)
- Fixes #23162 - Fix path for tabs on smart-proxy page (Ondrej Prazak)
- Fixes #21883 - improved user context switch logging (Lukas Zapletal)
- Fixes #24072 - freeip with compute resource via hostgroup (Ivan Nečas)
- Refs #24072 - fix compute profile with CR set via HG (Ivan Nečas)
- Refs #24072 - fix selecting hostgroup with compute resource (Ivan Nečas)
- Fixes #24022 - unattended error input is UTF-8 friendly (#5761) (Lukáš Zapletal)
- Fixes #23834 - better assert in host test (Lukas Zapletal)
- Fixes #24109 - common kernelcmd param for all OSes (Lukas Zapletal)
- Fixes #23062 - Add custom message on form submit (Ondrej Prazak)
- Fixes #23196 - Add default values for cores and socket in VM (Shira Maximov)
- Fixes #23808 - monotonic timer to measure durations (Lukas Zapletal)
- Fixes #23920 - add missing header in welcome pages (Amir Fefer)
- Fixes #19766 - Disable Layout/AlignParameters cop (Michael Moll)
- Fixes #19765 - Disable Layout/AlignHash cop (Michael Moll)
- Fixes #19887 - Disable Style/ParenthesesAroundCondition cop (Michael Moll)
- Refs #24057 - fixed broken email test (Lukas Zapletal)
- Fixes #24057 - Email subject prefix accepts long strings (#5742) (Aditi Puntambekar)
- Fixes #23994 - Do not update templates out of scope (Ondrej Prazak)
- Fixes #24098 - Remove mention bot config (David Davis)
- Fixes #23991 - rephrase RSS setting description (Amir Fefer)
- Fixes #18765 - finish script use FQDN when IP is missing (Lukáš Zapletal)
- Fixes #24071 - Adding locked state (#5741) (Bernhard Suttner)
- Fixes #23536 - No errors when unattended=false (Shira Maximov)
- fixes #24046 - return id as str for name as last resort (Stephen Benjamin)
- Fixes #23924 - Use consistent IDs for modules in webpack (Tomer Brisker)
- Fixes #24053 - Remove oVirt specific error (Ori Rabin)
- fixes #23862 - scoped search audit comment (Tom McKay)
- Fixes #24025 - Pass full_name attribute for settings in API (Aditi Puntambekar)
- Fixes #23951 - fix searching by config group (Marek Hulan)
- Fixes #23962 - Fix Style/ExpandPathArguments cop (Michael Moll)
- Refs #20891 - fix for new rubocop rules (Michael Moll)
- Fixes #23626 - Move autosign to build queue (Julian Todt)
- fixes #22467 - dashboard: list hosts in build mode (Timo Goebel)
- Fixes #23599 - fix subtotal value in API call with thin=true (Amir Fefer)
- Fixes #23865 - update compression-webpack-plugin (Michael Moll)
- Refs #23924 - replace HashModuleId with NamedModules (Tomer Brisker)
- Refs #23825 - Improve the rake task for tarballs (Ewoud Kohl van Wijngaarden)
- Revert "Fixes #24003 - remove babel-polyfill from vendor.js" (Michael Moll)
-  Fixes #19858 - Configure Style/EmptyMethod cop (#5703) (Michael Moll)
- Fixes #19873 - Fix Style/MultilineIfModifier cop (#5705) (Michael Moll)
- Fixes #24003 - remove babel-polyfill from vendor.js (Tomer Brisker)
- Fixes #23976 - Add Quota to oVirt API (#5715) (orrabin)
- Fixes #21007 - new unattended action 'failed' (Lukas Zapletal)
- Fixes #23391, #23251 - adjsut breadcrumbs swticher to pf design (Amir Fefer)
- Fixes #22117 - Add support for number of sockets for ovirt (Shira Maximov)
- Fixes #23825 - Add exporting to Rakefile.dist (Ewoud Kohl van Wijngaarden)
- Fixes #23790 - Upgrade and pin patternfly-react (Avi Sharvit)
- Fixes #23709 - Fix ajaxRequestAction failure dispatch (Boaz Shuster)
- Fixes #23930 - PXELinux loader is now preferred (Lukas Zapletal)
- Fixes #23952 - Include all asset paths when precompiling plugins (#5699) (Eric D Helms)
- Fixes #23953 - Port robottelo tests for settings (odovzhenko)
- Fixes #23768 - keep_subnet flag to prevent subnet override (#5635) (Lukáš Zapletal)
- Fixes #20891 - Remove hostname from /hosts/x/facts results (Shira Maximov)
- Fixes #19789 - fix Layout/SpaceAroundOperators cop (Michael Moll)
- Refs #23132 - stabilize bookmark test (Marek Hulan)
- Fixes #19775 - Fix Layout/ExtraSpacing cop (Michael Moll)
- Refs #22058 - refresh rubocop config and apply autofixes (Michael Moll)
- Fixes #23932 - Fixes failing application job tests for some plugins (Adam Ruzicka)
- Fixes #23690 - update react to 16.3 (Amir Fefer)
- fixes #23909 - vsphere: prefer network search by key (Zachary Bedell)
- Fixes #23913 - Stop auditing host status updates (Tomer Brisker)
- Fixes #23857 - Fix Performance/InefficientHashSearch cop (Michael Moll)
- fixes #23232 - fix error when domain not in taxonomy (Stephen Benjamin)
- Fixes #23875 - removed old session tests (Lukas Zapletal)
- * Fixes #23611 - Provide helper method to run "service" active jobs (Adam Růžička)
- Fixes #23848 - template import should use taxonomies title (Sean O'Keeffe)
- Fixes #23843 - Exclude requests to local host from proxying (Sebastian Gräßl)
- Fixes #23852 - Properly escape html in template preview errors (Tomer Brisker)
- Fixes #23859 -  Fix vm_exists? method (Tristan Robert)
- Fixes #23859 - Queue orchestration compute (Tristan Robert)
- Fixes #23598 - move report metrics chart to c3 (lizagilman)
- Fixes #23818 - Update fog-openstack to save OpenStack OSP 12 (Daniel Lobato Garcia)
- Fixes #23377 - audit external group membership changes (#5555) (kgaikwad)
- Fixes #13749 - Handle Base64 and binary LDAP avatars (Daniel Lobato Garcia)
- Refs #21580 - require rbvmomi (Tomas Strachota)
- Fixes #23842 - Load factory_bot only when needed (Ewoud Kohl van Wijngaarden)
- Fixes #23826 - model class logger is now app (Lukas Zapletal)
- Fixes #23830 - gitignore: add vendor/ruby (Thomas Gelf)
- Fixes #23800 - i18n for exceptions fixed (Lukas Zapletal)
- Fixes #23806 - explicitly use Rails 5.2 compatible gems (Michael Moll)
- Fixes #23828 - Upgrade mocha dependency (Shimon Shtein)
- Fixes #23764: Ensure proper plugin asset generation for SCSS (Eric D. Helms)
- Fixes #23813 - Allow searching audits by type=auth_source (Tomer Brisker)
- Fixes #23677 - Add additional config options to foreman-debug (Quirin Pamp)
- Refs #23776 - correct deprecation for notice (Michael Moll)
- Fixes #19968: Add a rake task to seed your database (Ewoud Kohl van Wijngaarden)
- Fixes #23775 - exposed random name generator (Lukas Zapletal)
- fixes #23178 - seeded location should be in seeded org (Stephen Benjamin)
- fixes #23378 - vsphere: filter volume key parameter (Timo Goebel)
- Fixes #21580 - normalize compute attributes (#4980) (Tomas Strachota)
- Fixes #23776 - Remove deprecations for 1.18 (Ondrej Prazak)
- Fixes #23756 - improved wait_for_ajax (Lukas Zapletal)
- Fixes #23142,#23503 - telemetry improvements (Lukas Zapletal)
- Fixes #23769 - consistency in docs for foreman/katello (Rahul Bajaj)
- Refs #22984 - fix the type for all templates (Marek Hulan)
- Fixes #22778 - disableable bruteforce protection (Marek Hulan)
- Bump version to 1.19.0-develop (Ondrej Prazak)
- Fixes #23643 - Stop bundle install in Travis (Ewoud Kohl van Wijngaarden)
- Fixes #19990 - VMWare allow save vm w/o size_gb attr (Steve Miller)
- Fixes #23376 - subnet.vlanid size is 4 bytes (Lukas Zapletal)
- Fixes #23379 - proxy stubs on API level (Lukas Zapletal)
- Refs #23499 - pids for ported tests (Peter Ondrejka)
- Refs #22601 - update AS deprecations (Michael Moll)
- Refs #22601 - update DB gems from AR adapters (Michael Moll)
- Fixes #22601 - Update Rails to 5.1.6 (Michael Moll)
- Fixes #23736 - Add RancherOS templates into seeds (Ondrej Prazak)
- Sync templates from community-templates (Ondrej Prazak)
- fixes #23686 - filter audits by settings type (Timo Goebel)
- Fixes #21997 - make http_proxy extension excon >0.59 compatible (#5526) (Michael Moll)
- change some URLs to https (Michael Moll)
- fixes #23357 - Refactor Notification Drawer from patternfly-react (Gilad Lekner)
- refs #22847 - remove unused charts code. (Ohad Levy)
- fixes #23681 - move auth_source_ldap js to webpack (#5607) (Ohad Levy)
- Fixes #23550 - add to_hash method to Menu::Manager (Amir Fefer)
- Fixes #23679 - Nil error in migrate_template_to_parameters_macros (#5606) (Lukáš Zapletal)
- Fixes #23635 - Centralize use of facter (Ewoud Kohl van Wijngaarden)
- Fixes #22698 - clear the search filter (Boaz Shuster)
- Rename method that does not cache (Bastian Blank)
- Fixes #23608 - Only calculate lookup values once (Bastian Blank)
- Fixes #19855 - Disable Style/ConditionalAssignment cop (Michael Moll)
- Fixes #23645 - Make loading settings.yaml optional (Ewoud Kohl van Wijngaarden)
- Fixes #23487 - support namespaced controllers (Marek Hulan)
- fixes #23573 - add pagelets for cr show page (Timo Goebel)
- Fixes #23577 - Configurable security token path (Ewoud Kohl van Wijngaarden)
- Fixes #23468 - Add a test helper to test reducers with fixtures (Boaz Shuster)
- Fixes #23646 - Remove storeconfig leftovers (Ewoud Kohl van Wijngaarden)
- Refs #23511 - make webpack generated bundle reusable by plugins (Evgeni Golov)
- Fixes #23628 - fix BreadcrumbBar actions test failure (Amir Fefer)
- fixes #23621 - passwords can be md5 hashed (Timo Goebel)
- Fixes #23629 - Fix redirect parameters on hosts page (Dmitri Dolguikh)
- Refs #23295 - Robottelo tests reporting (#5586) (Djebran Lezzoum)
- Fixes #22983, #22010 - ignore persistence authz for relations (Marek Hulan)
- Fixes #23364 - add search input in breadcrumbs switcher (Amir Fefer)
- Fixes #23609 - Port robottelo tests for classparameters (odovzhenko)
- Fixes #23605 - Port robottelo tests - smart_proxy (ldjebran)
- Fixes #22683 - Domain level PasswordStrength entry (Avi Sharvit)
- Fixes #23601 - switch org/loc button ordering in vertical nav (Amir Fefer)
- Fixes #23576 - Fix the 'webpacked_plugins_js_for' helper (#5552) (Ondřej Pražák)
- Fixes #23521 - BreadcrumbBar nested name_field (Avi Sharvit)
- Fixes #23559 - fix breadcrumbs switcher in trends page (Amir Fefer)
- Fixes #23597 - Port robottelo tests - combination template (ldjebran)
- Fixes #23586 - Port robottelo tests for template (ldjebran)
- Fixes #23602 - Remove statisticsHelper file (dead code) (Amir Fefer)
- Fixes #23587 - Verify webpack precompile is needed (Ewoud Kohl van Wijngaarden)
- Fixes #23558 - fix npm warning about ellipsis-with-tooltip (Amir Fefer)
- Fixes #22000 - Replace Button component with Patternfly (Luuk)
- Fixes #21992 - Uses patternfly spinner component (lupan.daniel)
- Fixes #15549 - Correct documentation for exports rake task (Lonneke Vuur)
- Fixes #23169 - Orders settings alphabetically (lupan.daniel)
- Fixes #23549 - add axios support for wait_for_ajax (Amir Fefer)
- Fixes #23426 - support default flag in templates import (Marek Hulan)
- Fixes #23565 - Port robottelo test for smart variables (ldjebran)
- Fixes #23511 - Generate webpack plugins in context of vendor/bundle (Eric D. Helms)
- Fixes #22847 - Use pf-react donut chart in facts page (lizagilman)
- Fixes #23483: edit Foreman license info for GitHub UI (Andrea Kao)
- Fixes #23527 - enable breadcrumbs switcher in trends (Amir Fefer)
- Refs #23485 - Fix interface test (odovzhenko)
- Fixes #23248 - disable switcher in compute attributes (Amir Fefer)
- Fixes #23518 - Use puma for Capybara tests (Michael Moll)
- Fixes #23514 - Simplify javascript import path (Ewoud Kohl van Wijngaarden)
- Refs #23462 - Allow newer patternfly (Ewoud Kohl van Wijngaarden)
- port robottelo tests for filters (Peter Ondrejka)
- Fixes #23474 - update capybara to 3.x (Michael Moll)
- Refs #23474 - capybara 3.x compatible poltergeist version (Michael Moll)
- Fixes #23485 - Port robottelo tests for interfaces (odovzhenko)
- Fixes #23486 - remove js warnings when a modal opens (Amir Fefer)
- Fixes #23462 - bump patternfly-react to ^2.1.0 (Tomas Strachota)
- Fixes #18429 - Add foreman API support for trends (Shira Maximov)
- Fixes #22592 - Add component for radio buttons (Ondrej Prazak)
- Fixes #23469 - update show_me_the_cookies to 4.x (Michael Moll)
- Refs #21204 - correct duplicate key in settings fixture (Michael Moll)
- fixes #23387 - FOREMAN_RSS_LATEST_POSTS option now works (Ohad Levy)
- Fixes #23443 - relax pinning of rails-i18n (Michael Moll)
- fixes #23467 - refer to any facts, not just puppet's (Ohad Levy)
- Fixes #23444 - update secure_headers to 5.x (Michael Moll)
- Fixes #23414 - Allow plugins to compile in production (Eric D. Helms)
- Fixes #23361 - Handle webpack manifests from plugins (Ewoud Kohl van Wijngaarden)
- Fixes #23423 - Loosen seamless-immutable and lodash dependencies (Ewoud Kohl van Wijngaarden)
- Fixes #23419 - Port robottelo tests for hostgroup (ldjebran)
- Fixes #23415 - nullify taxonomy associations for audits (#5502) (kgaikwad)
- Fixes #19781 - Fix Layout/LeadingCommentSpace cop (Michael Moll)
- Refs #23147 - Fix style offences (Ondrej Prazak)
- Fixes #23398 - Don't extend classes from within initializers (Peter Lehwess)
- Fixes #23358 - Fix audit mails for template content (Ondrej Prazak)
- Fixes #23386 - Exit fullscreen when pressing ESC (Boaz Shuster)
- Fixes #23365 - Silence the ENOENT error for .env (Ewoud Kohl van Wijngaarden)
- Fixes #20590 - full ovirt cloud-init support (Ivan Nečas)
- Fixes #23276 - Bump up the version of fog-vsphere (Peter Lehwess)
- Fixes #23295 - Robottelo tests reporting (#5464) (Djebran Lezzoum)
- Refs #23177 - datetime precision fixed for unattended test (Lukas Zapletal)
- fixes #21657 - remove facets when host is removed (Timo Goebel)
- Fixes #23195 - Audit associations on creation and destruction (#5455) (Tomer Brisker)
- Refs #23177 - id is not used for unattended order (Lukas Zapletal)
- Fixes #23350 - Port: Robotello: Minitest: Role Tier1 Tests (jyejare)
- fixes #23335 - normalize scsi attributes in rails 5 (#5475) (Timo Goebel)
- Fixes #23331 - grouped permissions for host disabled (#5468) (Lukáš Zapletal)
- Fixes #23269 - Align ovirt automatic network selection on vmware (Baptiste Agasse)
- Fixes #23235 - Disable Style/IfUnlessModifier cop (Michael Moll)
- Fixes #23347 - only show password for internal auth source (Marek Hulan)
- Fixes #23339 - Port robottelo tests for hosts (odovzhenko)
- Fixes #23254 - Utilize webmock to prevent network connection (Lukas Zapletal)
- Fixes #23346 - memory cache store is used for tests (Lukas Zapletal)
- Fixes #23252 - Speed up unattended controller tests (Tomer Brisker)
- Fixes #23147 - Allow plugins to compile production webpack assets (Eric D. Helms)
- Fixes #23273 - use safemode which allows .freeze (Michael Moll)
- Fixes #23255 - Speed up seeds test (Tomer Brisker)
- Refs #23215 - 2.3 compat. for webpack in plugins script (Daniel Lobato Garcia)
- Fixes #23177 - unattended warning on multiple MACs (Lukas Zapletal)
- Fixes #23249 - Support api returning page as string (Avi Sharvit)
- Fixes #23240 - BreadcrumbBar prop-type warnings (Avi Sharvit)
- Fixes #23223 - Don't allow Dynflow to initialize in db:drop rake (Adam Ruzicka)
- Fixes #23263 - support namespaced models in audits (Marek Hulan)
- Fixes #23215 - Keep original names in webpack bundle (Daniel Lobato Garcia)
- Fixes #23125: add asset_debug config setting (Andrew Kofink)
- Fixes #15411 - Move smart_proxy_ids_for to Host (Ondrej Prazak)
- Fixes #23256 - Check if the delayed plans have expected interface (#5448) (Adam Růžička)
- Fixes #23145 - fix strong params for compute attributes on fail (#5412) (Ivan Necas)
- Fixes #23225 - fix vm tab js error in host page (Amir Fefer)
- Fixes #23222 - flatten breadcrumbs switcher fetched data (Amir Fefer)
- Fixes #23220 - Humanized name for RSS notifications (Daniel Lobato Garcia)
- Revert "Fixes #22117 - Add support for number of sockets for ovirt" (Tomer Brisker)
- Revert "Fixes #23196 - Add default values for cores and socket in VM" (Tomer Brisker)
- Fixes #23196 - Add default values for cores and socket in VM (Shira Maximov)
- Fixes #22117 - Add support for number of sockets for ovirt (Shira Maximov)
- Fixes #23132 - Fix seeds tests (odovzhenko)
- Fixes #23132 - Fix seeds tests (odovzhenko)
- Fixes #23132 - Port robottelo tests for bookmarks (odovzhenko)
- Fixes #23199, #23179 - Bump fog-ovirt to fix ovirt cores/quota (Ori Rabin)
- Fixes #22855 - Add full breadcrumbs functionality (Amir Fefer)
- Fixes #19770 - Disable Layout/DotPosition cop (Michael Moll)
- Fixes #19787 - Fix Layout/SpaceAfterComma cop (Michael Moll)
- Fixes #22809 - Turn VM attributes to hash (#5403) (Ondřej Pražák)
- Fixes #23059 - journald plugin is not required (#5377) (Lukáš Zapletal)
- Fixes #23040 - Anonymize old audits (#5393) (Julian Todt)
- Fixes #23157 - Enable Performance/FixedSize cop (Michael Moll)
- fixes #21520 - vsphere: valid vm cloning request (Timo Goebel)
- Fixes #19848 - Set Style/Alias cop to prefer_alias_method (Michael Moll)
- Fixes #22954 - only deserialize safe objects (Marek Hulan)
- Fixes #23135 - foreman-selinux-install.log is collected [skip ci] (Lukas Zapletal)
- Fixes #23097 - Show npm postinstall errors (Ondrej Prazak)
- Fixes #21055 - use _id attributes for host taxonomy validator (Ivan Nečas)
- Fixes #23115 - session is used instead session_safe (Lukas Zapletal)
- Fixes #23106 - Fix MySQL tests (odovzhenko)
- Fixes #23106 - Port robottelo tests for usergroups (odovzhenko)
- Fixes #23113 - Allow disabling of out of sync status (Sebastian Gräßl)
- Fixes #23081 - Fix Style/SafeNavigation cop (Michael Moll)
- Fixes #19894 - Fix Style/RedundantParentheses cop (Michael Moll)
- Fixes #19796 - Fix Layout/SpaceInsidePercentLiteralDelimiters cop (Michael Moll)
- Fixes #19840 - Fix Rails/ReadWriteAttribute cop (Michael Moll)
- Fixes #19839 - Fix Rails/Present cop (Michael Moll)
- Fixes #22331 - Fix Rails/Presence cop (Michael Moll)
- Fixes #19832 - Fix Rails/FindBy cop (Michael Moll)
- Fixes #23123 - Fix Rails/ActiveRecordAliases cop (Michael Moll)
- Fixes #21829: Add association_exists_validator (#5405) (Andrew Kofink)
- Fixes #23129 - Disable webpack source maps in production (Ewoud Kohl van Wijngaarden)
- Fixes #23067 - expose option to use oVirt APIv4 (Ivan Nečas)
- Fixes #22982 - Change Environments to Puppet Environments (patilsuraj767)
- Fixes #22893 - Specify taxonomies on template import (#5323) (Ondřej Pražák)
- fixes #21694 - Add consistency validation for MTU and VLAN (Baptiste Agasse)
- fixes #21694 - Add MTU to subnet and interface API (Baptiste Agasse)
- fixes #21694 - Add MTU to subnet (Baptiste Agasse)
- Refs #23011 - set TargetRubyVersion: to 2.3 (Michael Moll)
- Fixes #23080 - Fix Style/EvalWithLocation cop (Michael Moll)
- Fixes #23079 - Fix Naming/HeredocDelimiterCase cop (Michael Moll)
-  Fixes #19909 - Fix Style/TrivialAccessors cop (Michael Moll)
- Fixes #23077 - Fix Style/TrailingCommaInArrayLiteral cop (Michael Moll)
- Fixes #23076 - Fix Style/TrailingCommaInHashLiteral cop (Michael Moll)
- Fixes #23075 - Fix Rails/HttpStatus cop (Michael Moll)
- Refs #22049 - improve metadata usability (Marek Hulan)
- Fixes #23039 - Remove deleted LDAP users (Julian Todt)
- Fixes #23098 - Allow searching on all audited models by type (#5395) (Tomer Brisker)
- Fixes #6752 - log audit events (#5391) (Marek Hulán)
- Sync community templates (Stephen Benjamin)
- Fixes #23100 - Simplify gem requirements syntax (#5394) (Ewoud Kohl van Wijngaarden)
- Refs #15634 - Fix OS test (#5397) (Daniel Lobato García)
- Refs #22096 - Assign taxonomy to taxonomy audits (#5387) (Tomer Brisker)
- Fixes #15634 - RancherOS support (Enzo Hamelin)
- Fixes #23095 - Fix mysql tests (odovzhenko)
- Fixes #23095 - Port robottelo tests for subnets and parameters (odovzhenko)
- Fixes #23093 - prevent DB deadlocks in IntegrationTestHelper (Michael Moll)
- Fixes #22546 - CVE-2018-1097: Bump fog-ovirt for power action fix (Ori Rabin)
- Fixes #22856 - Extract the strings from a bare foreman (Bryan Kearney)
- Fixes #23064 - log log in and log out activities (Marek Hulan)
- Fixes #19895 - Fix Style/RedundantReturn cop (Michael Moll)
- Fixes #22849 - update rubocop to 0.54 (Michael Moll)
- Fixes #23066 - Port robottelo tests for users and user roles (odovzhenko)
- Fixes #23045 - Port Robottelo PTables tests (ldjebran)
- Fixes #23004 - Port robottelo tier1 media tests (odovzhenko)
- Refs #22285 - Prepare UI for strong params enforcement (Tomer Brisker)
- Refs #22285 - Prepare tests for strong params enforcement (Tomer Brisker)
- Refs #22285 - Correct parameter filtering for strong params (Tomer Brisker)
- Refs #22285 - Allow unwrapped params on API (Tomer Brisker)
- Refs #22285 - add common parameters to strong_params whitelist (Tomer Brisker)
- Refs #22285 - Remove keep_param (Tomer Brisker)
- Refs #22236 - Fix Layout/TrailingWhitespace cop (Michael Moll)
- Fixes #19910 - Fix Style/UnlessElse cop (Michael Moll)
- Fixes #19905 - Fix Style/SymbolLiteral cop (Michael Moll)
- Fixes #19901 - Fix Style/SpecialGlobalVars cop (Michael Moll)
- Fixes #19874 - Fix Style/MultilineMemoization cop (Michael Moll)
- Fixes #19857 - Fix Style/EachWithObject cop (Michael Moll)
- Fixes #19793 - Fix Layout/SpaceInsideReferenceBrackets cop (Michael Moll)
- Fixes #22888 - remove code around dynflow db_pool_size (Ivan Nečas)
- Fixes #22764 - gc stat metric works on rails reload (Lukas Zapletal)
- Fixes #22236 - Adds breadcrumbs to foreman UI (Amir Fefer)
- Fixes #22049 - Add metadata to Audit view (#5359) (Tomer Brisker)
- Refs #22493 - documented logging macros [skip ci] (Lukas Zapletal)
- Fixes #23046 - gateway parameter for subnet corrected (Jan Jansky)
- Fixes #22922 - Port robottelo tier1 compute profiles tests (#5333) (odovzhenko)
- Fixes #22685 - improve statistics page  loading time (Amir Fefer)
- Refs #22968 - update debug with dynflow logs (Chris Roberts)
- Fixes #23028 - Properly escape params passed to where (CVE-2018-1096) (#5363) (Martin Povolny)
- fixes #23026 - make changes to compute resource passwords audited (John Vagrant)
- Fixes #23002 - seed Installation Media with taxonomies (Sean O'Keeffe)
- Fixes #22990 - Use shoulda-matchers (odovzhenko)
- Fixes #22990 - Port robottelo tier1 compute resources (odovzhenko)
- Fixes #23012 - allow OS release in safemode (Tomer Brisker)
- Refs #22918 - fix Layout/EmptyLines cop (Michael Moll)
- Refs #15286 - fix Layout/IndentationWidth cop (Michael Moll)
- Fixes #23007 - renew certs used in oVirt model test (Michael Moll)
- Fixes #22624 - User selectable columns model + api (Partha Aji)
- Fixes #22918 - Audit all taxonomies assignments (Marek Hulan)
- Fixes #22986 - search templates by vendor and default (Sean O'Keeffe)
- Fixes #22979 - Port Robottelo OperatingSystems tests (ldjebran)
- Fixes #22984 - Migrate templates auditable_type (Sean O'Keeffe)
- Fixes #22158 - Add rake task to delete old audits (#5343) (Tomer Brisker)
- Fixes #22910 - Port robottelo tier1 environment tests (#5329) (odovzhenko)
- Refs #22310 - Fix minor rubocop issue (Sebastian Gräßl)
- Fixes #22869 - support template locking on import (Marek Hulan)
- Fixes #22796 - fact importing telemetry (Lukas Zapletal)
- Fixes #22930 - Port robottelo Architectures tests (#5335) (Djebran Lezzoum)
- Fixes #2828 - Report an error when trying to save ovirt resource (Ido Kanner)
- Fixes #22927 - method in audit_associations to get class (kgaikwad)
- Fixes #22800 - Port robottelo tier1 location tests (odovzhenko)
- Fixes #15984 - Avoid escaping overridden parameters (#5126) (orrabin)
- Fixes #22892 - allow extending audited associations (Marek Hulan)
- Fixes #15286 - New API for auth sources (#4865) (Dominik Hlavac)
- Fixes #22788 - host compute attributes reload after error (Ori Rabin)
- refs #22857 - remove separate kickstart for RHEL (Stephen Benjamin)
- Fixes #22817 - update scoped search to 4.1.3 (Tomas Strachota)
- Fixes #22880 - Move to Minitest::Retry for integration tests (Daniel Lobato Garcia)
- Fixes #22916 - add alias for last_report search (Marek Hulan)
- Fixes #22096 - Make Audits taxable (#5269) (Tomer Brisker)
- Fixes #22793 - Port robottelo tests for organization (#5295) (Djebran Lezzoum)
- Fixes #18854 - Search by usergroup on hosts (#5317) (Dominik Hlavac)
- Fixes #22908 - add placeholder to datatable search inputs (Amir Fefer)
- Fixes #22901 - fix js execution after hitting back/forward (Amir Fefer)
- Fixes #21120 - orchestration tasks are added only once (#5079) (Lukáš Zapletal)
- fixes #22902 - change suggested memory to 2GB (Stephen Benjamin)
- Refs #22674 - improve taxonomies label help (Marek Hulan)
- Fixes #22891 - add log for failed login attempt (Marek Hulan)
- Fixes #22493 - structured logging support (Lukas Zapletal)
- Refs #22310 - provide a script to set origin for existing reports (Marek Hulan)
- Fixes #22798 - VMware: Fix exception listing VMs (Adam Grare)
- Fixes #22875 - Fix digest limits (Marek Hulan)
- Fixes #22713 - fix donut chart re-rendering (Amir Fefer)
- Fixes #22756 - Allow provisioning based on MAC address (Michael Hofer)
- Fixes #6504 - refactoring host tests regarding taxonomies (lizagilman)
- Fixes #22779 - Calculate out of sync host via origin interval (#5221) (Sebastian Gräßl)
- Fixes #22358 - add templates importing (Marek Hulan)
- Fixes #22828 - Pin patternfly and regenerate snaps (Daniel Lobato Garcia)
- Refs #19332: Fix typo "smart proy" (Andrew Kofink)
- Fixes #22571 - allocation field should update using any language (lizagilman)
- Refs #22575 - Replace only_path by ignore_query (Daniel Lobato Garcia)
- Fixes #22753 - add apipie validator for multiple allowed types (Tomas Strachota)
- Fixes #22721 - Rename setting to trusted_hosts (Daniel Lobato Garcia)
- fixes #22575 - clean up test report (Tim Wade)
- Fixes #22806 - rails now boot without telementry deps (Lukas Zapletal)
- Fixes #22199 - Audit has_many associations (#5187) (Swapnil Abnave)
- Fixes #22676 - domain checking should ignore scoping (Justin Sherrill)
- Refs #22711 - add uglifyjs-webpack-plugin to package.json (Michael Moll)
- Fixes #22747 - vet puppetclass_id on addition (Iain Walmsley)
- Fixes #22711 - fix uglifyjs-webpack plugin (Avi Sharvit)
- Fixes #22724 - Update and pin patternfly-react (Avi Sharvit)
- Refs #17316 - Ensure the proxy exists before assigning tftp (Daniel Lobato Garcia)
- Fixes #21999,#22005 - Migrate toasts to pf-react (Avi Sharvit)
- Fixes #17316 - templates feature is subnet association (Lukas Zapletal)
- Refs #18675 - Optionally load prometheus exporter (Ewoud Kohl van Wijngaarden)
- Fixes #22282 - Test oVirt connection before save (Ori Rabin)
- Fixes #22615 - template rendering is kept inline (Lukas Zapletal)
- Fixes #22654 - ignore filters created by plugin DSL (Marek Hulan)
- Fixes #22682 - Update patternfly-react (Avi Sharvit)
- Fixes #22108 - add pf-react donut chart (Amir Fefer)
- Fixes #22674 - tell users where they can change taxonomies (Sean O\'Keeffe)
- Fixes #18675 - telemetry foreman API (Lukas Zapletal)
- Fixes #22403 - every API endpoint can set current context (Marek Hulan)
- Fixes #21204 - introduced global_setting helper function (#4891) (Lukáš Zapletal)
- Fixes #22642 - limit searching by host to explicit query (Marek Hulan)
- Revert "Fixes #22540 - auto-focus search bar" (#5266) (Sean O'Keeffe)
- Fixes #20448 - display selected hosts counter (lizagilman)
- Fixes #10273 - Clone disk from template when preallocate marked (Ori Rabin)
- Fixes #22069 - Add proxy version mismatch warning (Shimon Shtein)
- Fixes #22104 - adapt to Rails 5.1 change tracking (Michael Moll)
- Fixes #22616 - Allow searching hosts by status as integer (Tomer Brisker)
- Fixes #22596: provide way to opt-out of jquery multiselect. (Walden Raines)
- Fixes #22613 - Drop Rails <5.1 ParseError (Michael Moll)
- Fixes #9868 - adding test for organization controller (lizagilman)
- Refs #22354 - Don't instance_eval at every instance creation (Ivan Nečas)
- Fixes #17083 - log skipped orchestration steps (Lukas Zapletal)
- Fixes #19244 - added clean interfaces rake task (Shimon Shtein)
- Fixes #22540 - auto-focus search bar (Sean O\'Keeffe)
- Fixes #22354 - Make SilencedLogger thread safe (Lukas Zapletal)
- Fixes #22310 - Implement report scanner to identify origin (#5186) (Sebastian Gräßl)
- Fixes #22556 - Correct host search for parent hostgroup (Tomer Brisker)
- Update PULL_REQUEST_TEMPLATE.md (Daniel Lobato García)
- Fixes #22557 - use correct type for 'provision_method' param (Tomas Strachota)
- Fixes #22379 - Remove pagination from csv export (#5204) (Tomer Brisker)
- Fixes #22505 - CoreOS does not work (Daniel Lobato Garcia)
- Fixes #22050 - Create built-in audit viewer role (Tomer Brisker)
- Added pull request template (Lukas Zapletal)
- Fixes #19801 - Enable Lint/AssignmentInCondition cop (Tomer Brisker)
- fixes #22518 - add hover css to table helper (Ohad Levy)
- fixes #22515 - use hostgroup_title for search in chart links (#5238) (Ohad Levy)
- fixes #22411 - unattended: render template macros from plugins (Timo Goebel)
- fixes #22454 - vmware: validate user data for customspec (Timo Goebel)
- Fixes #22480 - Add code coverage to Travis CI (Avi Sharvit)
- Fixes #22489 - move the notification base class (Marek Hulan)
- refs #22107 - subnet host count: permissions and n+1 (Timo Goebel)
- fixes #22444 - do not serve templates with expired token (Timo Goebel)
- Fixes #7451 - Review whitespace in extracted strings (Oleh Fedorenko)
- Fixes #22466 - Update patternfly-react (Avi Sharvit)
- Fixes #21425 - host selection alert refers to param per_page (Amir Fefer)
- Fixes #19332 - Add welcome page when missing (amirfefer)
- Fixes #22455 - Provide a fallback humanized_name (Daniel Lobato Garcia)
- Refs #20800 - Move session timed out warning inline (Sebastian Gräßl)
- Refs #21871 - Test resource_scope using existing tables (Daniel Lobato Garcia)
- Fixes #22424 - Update Apipie doc for hostgroup (Ondrej Prazak)
- Fixes #17964 - Add list of search fields in api docs (#4735) (Tomas Strachota)
- Fixes #21871 - Fix searching by locations (Ondrej Prazak)
- Fixes #19763 - Disable Bundler/OrderedGems cop (Michael Moll)
- Fixes #19889 - Fix Style/PerlBackrefs cop (Michael Moll)
- Fixes #22329 - Fix Style/RandomWithOffset cop (Michael Moll)
- Fixes #22328 - Fix Lint/InterpolationCheck cop (Michael Moll)
- Fixes #22327 - Fix Lint/MissingCopEnableDirective cop (Michael Moll)
- Fixes #22382 - Remove ldap_filter 255 chars limit (Daniel Lobato Garcia)
- Fixes #22355 - Make stripping a setting value optional (Ondrej Prazak)
- Fixes #21170 - move password_strength.js to wepback (Amir Fefer)
- Fixes #22430 - Plugin permissions are cleared on tests (Daniel Lobato Garcia)
- Refs #20049 - Retry some integration tests (Daniel Lobato Garcia)
- Fixes #21824 - use /var/tmp for debugs and cleaning (Lukas Zapletal)
- Fixes #22339 - normalize empty values for User.timezone (Ivan Nečas)
- Fixes #20807 - Remove deprecations for 1.18 (Ondrej Prazak)
- fixes #5125 - list available vmware images (Timo Goebel)
- Fixes #22425 - generate selinux interfaces once in debug (Lukas Zapletal)
- Fixes #22426 - removed plugin list from debug (Lukas Zapletal)
- Fixes #22359 - Don't rely on default taxonomy in API for any user (#5202) (Eric D Helms)
- Fixes #21743 - include foreman-maintain in foreman-debug (Ivan Nečas)
- fixes #22420 - uses contentLoad event to trigger CR AJAX loading (Ohad Levy)
- Fixes #21962 - switch jquery ajax to axios (Amir Fefer)
- Fixes #22351 - update react-ellipsis-with-tooltip (Amir Fefer)
- Fixes #21317 - graceful handling of VM association error (Ivan Nečas)
- Fixes #21465 - load owners from any context (Marek Hulan)
- Fixes #20347 - remove os in db when removing it from the ui (lizagilman)
- Fixes #22349 - Travis CI should run with npm v5 (Avi Sharvit)
- Fixes #22348 - pin redux-form to v2.7.0 (Avi Sharvit)
- Fixes #22334 - Update safemode, remove ruby2ruby pin (Ewoud Kohl van Wijngaarden)
- Fixes #17521 - Use short name for hosts (Partha Aji)
- Fixes #21328 - Correct link to HTTP proxy documentation (Sebastian Gräßl)
- Fixes #20873 - simplify text in disassociate hosts screen (lizagilman)
- Fixes #22294 - Run dynflowd from rails root location (Eric D. Helms)
- Refs #20325 - Fix pinning on ruby2ruby (Ewoud Kohl van Wijngaarden)
- Fixes #22256 - refactores statement modifier (Marek Hulan)
- Fixes #22190 - Pass empty hash when options is nil (#5164) (Ido Kanner)
- fixes #22271 - rake console works with rails 5.1 (#5175) (Timo Goebel)
- Fixes #22165 - Allow disabling HSTS header (Tomer Brisker)
- Fixes #22273 - update rubocop to 0.52.1 (Michael Moll)
- Refs #19777 - Fix Layout/IndentAssignment cop (Michael Moll)
- Fixes #22205 - restore blueprint actions for notifications (Marek Hulan)
- Fixes #22272 - don't run CreateRssNotifications in test (#5177) (Ivan Necas)
- Fixes #19776 - Configure Layout/FirstParameterIndentation cop (Michael Moll)
- Fixes #19868 - Disable Style/InverseMethods cop (Michael Moll)
- Fixes #19907 - Configure Style/TernaryParentheses cop (Michael Moll)
- Fixes #19881 - Fix Style/Not cop (Michael Moll)
- Fixes #19871 - Fix Style/MethodDefParentheses cop (Michael Moll)
- Fixes #19877 - Fix Style/NegatedIf cop (Michael Moll)
- Fixes #19879 - Fix Style/NestedParenthesizedCalls cop (Michael Moll)
- Fixes #19838 - Fix Rails/PluralizationGrammar cop (Michael Moll)
- Fixes #19895 - Fix Style/RedundantReturn cop (Michael Moll)
- Fixes #19902 - Fix Style/StringLiteralsInInterpolation cop (Michael Moll)
- Fixes #19849 - Configure Style/AndOr cop (Michael Moll)
- Fixes #22114 - Webpack common-chunk vendor.js (Avi Sharvit)
- Fixes #1916 - Subnet vlan id should be integer (Tomer Brisker)
- fixes #22258 - vmware: speed up vm listing (Timo Goebel)
- Fixes #22033 - Update JS deprecations for 1.18 (Tomer Brisker)
- Fixes #11389 - Remove API v1 (Tomer Brisker)
- Refs #22164 - use cheaper FactoryBot methods (Michael Moll)
- Fixes #13497 - Enable password field after test connection in CR (#5163) (Tomer Brisker)
- Refs #13092 - sync up community templates (Marek Hulan)
- Fixes #22208, #21920 - Refactor password auditing (#5162) (Tomer Brisker)
- Fixes #13092 - Deploy correct bonding for reprovisioned host (#4583) (Ondřej Pražák)
- Fixes #22203 - facts traversing supports dot in names (Marek Hulan)
- Fixes #22106 - Clean up the common components (Avi Sharvit)
- Refs #22208 - pin audited to 4.5 (Tomer Brisker)
- Bump version to 1.18-develop (Ondrej Prazak)
- Fixes #22072 - adds scrolling in bookmarks dropdown (Amir Fefer)
- Fixes #22166 - Move dev deps to devDependencies (Ewoud Kohl van Wijngaarden)
- Fixes #20931 - unify parameters and templates renderer (#4835) (Ivan Necas)
- Fixes #21926 - Ensure uniqueness on image names and uuids (#5081) (Tomer Brisker)
- Fixes #22163 - Update patternfly-react (Dan Seethaler)
- refs #20929 - do not stub settings (Timo Goebel)
- Fixes #21748 - Removed gravatar images (Dmitri Dolguikh)
- Fixes #5790 - Add compute resource to hostgroup (#4593) (Ondřej Pražák)
- Fixes #22071 - Upgrade patternfly-sass to v3.32.1 (Avi Sharvit)
- Fixes #22140 - update ellipsis-with-tooltip package (Amir Fefer)
- Fixes #22131 - Refactor new_vm? to calculate compute_object once (Ori Rabin)
- Fixes #22111 - add taxonomy indexes to hosts (Tomer Brisker)
- Fixes #22065 - Fix missing permissions table in tests (Ondrej Prazak)
- fixes #22080 - rabl is loaded before patching (Timo Goebel)
- Fixes #22043 - Allow adding invalid orgs to locs (#5104) (Tomer Brisker)
- Sync templates from community-templates (Ondrej Prazak)
- Fixes #22075 - move activeTooltip logic to react (Amir Fefer)
- Fixes #22102 - correct YAML syntax of fixtures (#5132) (Michael Moll)
- Fixes #22107 - Add hosts count to subnet page (Tomer Brisker)
- Refs #22110 - pin minitest gem (Michael Moll)
- Fixes #22105 - Upgrade to react@16.2.0 (Avi Sharvit)
- Fixes #22101 - Reduce lodash affect on the bundle (Avi Sharvit)
- Fixes #12829 - add identifier for smart variables/parameters (Shira Maximov)
- refs #21630 - do not collect code coverage for stories. (Ohad Levy)
- Fixes #22092 - refactor lodash usage (Avi Sharvit)
- Fixes #22089 - remove unused scope (Michael Moll)
- Fixes #21922 - Change memory to Megabytes in compute profile (Shira Maximov)
- Fixes #20929 - Added fact name filtering on import (Shimon Shtein)
- Fixes #20536 - sprockets3 syntax in plugin_assets.rake (Daniel Lobato Garcia)
- Fixes #22091 - Minor Active Record usage tweak (#5124) (Tom Copeland)
- fixes #22085 - facet test models have db table (Timo Goebel)
- Fixes #21868 - Refactored "troubleshooting" to docs link (Shimon Shtein)
- fixes #22062 - support vmware vmrc console (Timo Goebel)
- Fixes #22079 - Fix Lint/UriRegexp cop (Michael Moll)
- Fixes #19853 - Fix Style/ColonMethodCall cop (Michael Moll)
- Fixes #19900 - Fix Style/SingleLineMethods cop (Michael Moll)
- Fixes #22078 - Fix Rails/EnvironmentComparison cop (Michael Moll)
- Fixes #22077 - Fix Style/TrailingMethodEndStatement cop (Michael Moll)
- Fixes #19878 - Fix Style/NestedModifier cop (Michael Moll)
- Refs #19771 - Enable Style/Encoding cop (Michael Moll)
- Fixes #19819 - Enable Performance/Caller cop (Michael Moll)
- Refs #3763 - fix indentation in rabl_test.rb (Tomer Brisker)
- Fixes #19833 - Fix Rails/FindEach cop (Tomer Brisker)
- Fixes #22074 - fixed #parameterize call in smart proxy show (Shimon Shtein)
- Fixes #22054 - Audit resources which lack auditing (Swapnil Abnave)
- fixes #3763 - extend rabl templates (Timo Goebel)
- Fixes #19782 - Fix Layout/MultilineArrayBraceLayout cop (Tomer Brisker)
- Fixes #19771 - Fix Layout/EmptyLineAfterMagicComment cop (Tomer Brisker)
- Fixes #19797 - fix Layout/SpaceInsideStringInterpolation cop (Tomer Brisker)
- Fixes #19795 - Fix Layout/SpaceInsideParens cop (Tomer Brisker)
- Fixes #19788 - fix Layout/SpaceAroundBlockParameters cop (Tomer Brisker)
- Fixes #19769 - Fix Layout/CommentIndentation cop (Tomer Brisker)
- Fixes #19777 - fix Layout/IndentArray cop (Tomer Brisker)
- Fixes #19778 - Fix Layout/IndentAssignment cop (Tomer Brisker)
- Fixes #19780 - fix Layout/IndentationWidth cop (Tomer Brisker)
- Fixes #22068 - Add version column to auditable_index (Planktonette)
- fixes #22055 - update bookmark loading status. (Ohad Levy)
- Refs #21576 - record remaining Rails 5.1 deprecations (Michael Moll)
- Fixes #21576 - Always use Rails 5.1, drop Rails 5.0 (Michael Moll)
- fixes #20839 - new react implementation for bookmarks dropdown (Ohad Levy)
- Fixes #22038 - Fix color for link in action button (Sebastian Gräßl)
- Refs #11153 - rescue from ldap errors (Marek Hulán)
- Fixes #22029 - fix redux-action forms test (Amir Fefer)
- Fixes #21851 - Remove deprecations for 1.17 (Ondrej Prazak)
- Fixes #21120 - DHCP update no longer queued twice (Lukáš Zapletal)
- Fixes #22016 - update rubocop to 0.52 (Michael Moll)
- Fixes #19820, #19822, #19824 - Fix some performance cops (Tomer Brisker)
- Fixes #21875 - added support for sha512 grub passwords (Dmitri Dolguikh)
- Fixes #21444 - change subitems header style in vertical nav (#5038) (Amir Fefer)
- Fixes #20667 - Reduce implicit searching on host index (#4768) (Tomer Brisker)
- Revert "Fixes #21312 - components for formatting dates" (#5094) (Ohad Levy)
- Fixes #21760 - Fix tests on Rails 5.1 (Ondrej Prazak)
- Refs #21997 - pin excon gem (Michael Moll)
- fixes #21947 - host scopes include table name (Timo Goebel)
- Fixes #21991 - add Rails 5.1 ParseError exception (Michael Moll)
- Fixes #21343 - support multiple orgs supported for non-admin users (Marek Hulán)
- Fixes #21990: update patternfly-react to 0.18.2. (Walden Raines)
- Fixes #19772, #19773, #19774 - Fix some empty line cops (Tomer Brisker)
- fixes #21825 - external nodes html content type (Timo Goebel)
- Fixes #21815 - Do not search for permissions when db is empty (#5036) (Ondřej Pražák)
- Fixes #21977 - Stop enforcing detect/select/etc methods (Tomer Brisker)
- Fixes #21846 - React turbolinks fix (Avi Sharvit)
- fixes #21956 - apply compute profile only when needed (Timo Goebel)
- Fixes #11153 - handle ldap errors gracefully (Marek Hulán)
- fixes #21823 - adds foreman user agent to RSS loading (#5039) (Ohad Levy)
- Fixes #21946 - Correctly match fact names in classification (Robert Flechtner)
- Fixes #21944 - HttpProxy - whitelist taxonomix params (Swapnil Abnave)
- Refs #21624 - Correctly load CR tables (Tomer Brisker)
- Fixes #21867 - Restore context when leaving tax wizard (#5055) (Ondřej Pražák)
- Fixes #21312 - components for formatting dates (Tomas Strachota)
- Fixes #21878 - Audit Puppet Environment (#5060) (Swapnil Abnave)
- Fixes #21103 - Replace 'false' AR callback results with throw (Dominic Cleal)
- Fixes #21102 - Replace 'xhr' in tests with keyword argument (Dominic Cleal)
- Fixes #21902 - Replace use_transactional_fixtures setting (Dominic Cleal)
- Fixes #21101 - Pass 'parameterize' separator as kwarg (Dominic Cleal)
- Fixes #21100 - set DB migration compatibility to 4.2 (Dominic Cleal)
- Fixes #21099 - Replace redirect_to :back with redirect_back (Dominic Cleal)
- Fixes #21098 - Use positional args in functional test requests (Dominic Cleal)
- Fixes #21097 - Update to Rails 5 configuration options (Dominic Cleal)
- Fixes #21084 - Always Use Rails 5.0, Drop Rails 4.2 (Michael Moll)
- Fixes #4238 - Prevent login brute forcing (Tomer Brisker)
- Fixes #21776 - Improved fact importing to deal with names (Shimon Shtein)
- Fixes #21826 - rss notifications are duplicated (#5042) (ripcurld0)
- Fixes #21564 - use Rails 5.x compatible oauth version (Michael Moll)
- Refs #21238 - Translate setting tooltip (Tomer Brisker)
- Fixes #20961 - use Rails 5.x compatible turbolinks version (Michael Moll)
- Fixes #21882 - extract yes/no values in settings (Amir Fefer)
- fixes #21832 - permission test: do not assume required login (Timo Goebel)
- Fixes #21849 - Check if the user is new before disabling login (Shira Maximov)
- Sync templates from community-templates (Ondrej Prazak)
- fixes #20882 - show template kind names from plugins (Timo Goebel)
- Fixes #20528 - Remove direct connection to rbovirt client (Ori Rabin)
- Fixes #21869 - Improve help text for filter creation (Ondrej Prazak)
- Fixes #21857 - don't use ES6 syntax in Rails JS asset (Michael Moll)
- Fixes #21847 - fix vertical nav string translation (Amir Fefer)
- Fixes #21238 - Settings - show defaults on hover (Swapnil Abnave)
- Fixes #21838: Update patternfly-react version to 0.13.0 (Walden Raines)
- refs #21137 - Cleanup register reducers (Dan Seethaler)
- Fixes #21643 - fix and move nfs_visibilty.js to webpack (Amir Fefer)
- Fixes #21137 - Register reducers from plugins (Dan Seethaler)
- Fixes #21637 - fallback to default locale with I18n (Ivan Necas)
- Fixes #14583 - reworded orphan taxonomy validation error (Lukáš Zapletal)
- Fixes #21565 - Orchestration on fact import (Fabian von Feilitzsch)
- Fixes #21805 - don't list default role (Marek Hulán)
- Fixes #18292 - Make notifications from an RSS feed (#4240) (Daniel Lobato García)
- Fixes #21353 - users can edit login if they have permissions (Shira Maximov)
- fixes #21762 - Add disk options to oVirt provider (Baptiste)
- Fixes #21781 - added getenforce to generic OS debug (Lukáš Zapletal)
- Fixes #21782 - always load global audience (Marek Hulán)
- Fixes #21766 - Enforce uniquness of TaxableTaxonomy in DB (Tomer Brisker)
- Fixes #21012 - taxonomies API to show hosts associated with it (Nagoor Shaik)
- Fixes #21774 - Drop fbjs requirement (Ewoud Kohl van Wijngaarden)
- Fixes #21599 - explicit transaction for import dropped (Lukas Zapletal)
- Fixes #21584 - set taxonomies for chart requests (Marek Hulan)
- Fixes #21757 - Move dynflow executor to script/dynflowd (Ewoud Kohl van Wijngaarden)
- i18n - extracting new, pulling from tx (Ondřej Pražák)
- fixes #5441 - Add instance_type support to oVirt provider (Baptiste)
- Fixes #21736 - Bump mail gem to 2.7.0 (Tomer Brisker)
- Fixes #21718 - Test (Adam Ruzicka)
- Fixes #21718 - Show errors properly when creating new oVirt CR (Adam Ruzicka)
- Fixes #21725 - Move test config to setup file (Dan Seethaler)
- Fixes #21669 - Use $major on CentOS media, $version deprecated (Daniel Lobato Garcia)
- Fixes #21675 - OpenStack create host tab fails to load (Daniel Lobato Garcia)
- fixes #21676 - select vmware network for subnet (Timo Goebel)
- Fixes #21699 - fix vertical navigation animation glitch (Amir Fefer)
- fixes #21658 - add pagelet extension points to hostgroup form (Timo Goebel)
- fixes #21374 - audit host interfaces (#4929) (Timo Goebel)
- Fixes #21682 - Add Domain to Compute Resource API (OpenStack) (Daniel Lobato Garcia)
- Fixes #21624 - eslint update to airbnb-base (Dan Seethaler)
- Fixes #12054 - Openstack v3 support (Anthony Chevalet)
- Fixes #21503 - Import puppet classes when organzations changed (Ondřej Pražák)
- Fixes #21619 - Add beter debug info for npm postinstall (Ondřej Pražák)
- Fixes #21502 - Disable editing users in group with EUG (#4962) (Daniel Lobato García)
- Fixes #21629 - display error for taxonomy selectors (Marek Hulan)
- Fixes #19151 - progress_report_id fix for host edit (Lukáš Zapletal)
- Fixes #21626 - "Domain Users" are not a valid AD group (Daniel Lobato Garcia)
- Fixes #21136 - Change all labels to Title Case (Shira Maximov)
- Fixes #21611 - Improve *_name lookup speed (Tomer Brisker)
- Fixes #21600 - react-bootstrap Panel (Avi Sharvit)
- Fixes #21630 - Add colocation for storybook stories (Dan Seethaler)
- Fixes #21448 - execute npm run lint from context of plugins (Tomas Strachota)
- Fixes #21133 - Change the color of pficon-info to black (#4942) (Shira Maximov)
- Fixes #21606 - Allow searching facts by host_id (#4993) (Tomer Brisker)
- Fixes #21135 - Add tooltip for overridden flag icon (Shira Maximov)
- Fixes #21602 - Add scoped_search on host.id for reports (Ondrej Prazak)
- Fixes #21130: Use patternfly-react npm package (Dan Seethaler)
- fixes #21579 - pagelets for host show (Timo Goebel)
- Fixes #21603 - Add code owners (Ewoud Kohl van Wijngaarden)
- Fixes #21591 - Add id attribute to topbar element (Amir Fefer)
- Fixes #21551 - add user menu to hamburger menu in mobile (Amir Fefer)
- Fixes #20446 - reset page param after search (lizagilman)
- Fixes #20204 - returns all hosts for unassigned hostgroup (kgaikwad)
- Fixes #15402 - Moved puppet to separate api controller (Shimon Shtein)
- Fixes #21563: add babel-plugin-transform-class-properties. (Walden Raines)
- Fixes #21578 - Cmp.PropTypes to Cmp.propTypes (Avi Sharvit)
- Fixes #21583 - Upgrade enzyme (Avi Sharvit)
- Fixes #21519 - Prevent stored XSS on fact charts (Tomer Brisker)
- Fixes #21556 - Template with no interface shows volumes (orrabin)
- Fixes #21567: Update es2015 to env in storybook (Dan Seethaler)
- Fixes #21553 - require will_paginate's action_view helper (#4972) (Michael Moll)
- Fixes #21543 - Tooltip will appear only if the key is too long (Shira Maximov)
- Fixes #21541 - Allow mass set seen on notifications (Tomer Brisker)
- Refs #19050 - Use Rails 5.0 on Ruby 2.3 again (#4933) (Michael Moll)
- Fixes #21424 - use factory_bot_rails (Marek Hulan)
- Fixes #16363 - fix taxable user deletion (Marek Hulan)
- Fixes #20896 - Remove help button from ptable (Shira Maximov)
- Fixes #21420 - Add the name of the file in Edit file (Shira Maximov)
- Fixes #16835 - Allow implicit search with org_id (Tomer Brisker)
- Fixes #21447 - The login page should be based on patternfly (Avi Sharvit)
- Fixes #21500 - dismiss notifications (Avi Sharvit)
- Fixes #21442 - Load puppetclass params on new host form (Tomer Brisker)
- Fixes #21112 - Only initialize host preview once (Tomer Brisker)
- Fixes #21454 - fix editor fullscreen mode (Amir Fefer)
- Fixes #21499 - org/loc switchers are now visible (Amir Fefer)
- Fixes #21456 - fix input-field fullscreen mode (Amir Fefer)
- Fixes #21496 - Properly fetches permission records (Partha Aji)
- refs #21394 - user login with access token api (Timo Goebel)
- Fixes #20997 - added OpenStack/OpenShift ignored NIC patterns (Lukáš Zapletal)
- Fixes #21131 - put help text in inline help (Shira Maximov)
- Fixes #21223: add experimental UI menu to foreman. (Walden Raines)
- fixes #21330 - http proxies: test connection clears toasts (Timo Goebel)
- Fixes #21392 - remove active class from secondary menu (Amir Fefer)
- Fixes #21129 - Switching the submit and cancel buttons (Shira Maximov)
- Fixes #21451 - Notification box close button Close button should have a blue highlight on hover (Avi Sharvit)
- Fixes #21462: Update babel preset to `env (Dan Seethaler)
- Refs #21424 - Pin factory_girl_rails to unblock CI (Tomer Brisker)
- Fixes #21453 - remove duplicate file (Amir Fefer)
- Fixes #21450 - Update rubocop to 0.51.0 (Tomer Brisker)
- Fixes #21026 - Clear cached notifications properly (Sebastian Gräßl)
- fixes #18004 - increase fact value size (Timo Goebel)
- Fixes #11825 - use before_create for template associations (Ivan Nečas)
- Fixes #17992, #18103 - Improve external usergroup errors (Daniel Lobato Garcia)
- fixes #21394 - user login with access token api (Timo Goebel)
- Fixes #21200 - gracefully handle long welcome text (Tomas Strachota)
- Fixes #21202 - Add close button to notifications drawer (Avi Sharvit)
- Fixes #21160: Upgrade to React@16 (Dan Seethaler)
- Fixes #21396 - remove using 'user.jpg' file' (Amir Fefer)
- Fixes #21342 - fix core roles seeding (Marek Hulan)
- Fixes #21119 - set taxonomies in API (Marek Hulán)
- Fixes #21180 - Enable adding 3rd party libraries from plugins (Ondrej Prazak)
- fixes #20838 - add redux-form supports (Ohad Levy)
- Fixes #21295 - load the routes before we load the controllers (Ivan Nečas)
- fixes #21332 - http proxies: edit in two-pane (Timo Goebel)
- fixes #21333 - http proxies: remove rails js (Timo Goebel)
- fixes #21331 - http proxies: name is required (Timo Goebel)
- Fixes #18492 - add pf vertical navigation (Amir Fefer)
- Fixes #20541 - Include nested facts in CSV export (Sebastian Gräßl)
- Fixes #21329 - Fix webpack build (Eric D. Helms)
- Fixes #12216 - support http proxies for compute resources (Justin Sherrill)
- Fixes #21299 - Make user_id required (Martin Bačovský)
- Fixes #21253 - fix latest events widget (Andrew Kofink)
- Fixes #18422 - Expose dynflow worker pool size in config (Adam Růžička)
- refs #20201: update dependency to rest-client (mdellweg)
- Fixes #21213 - don't fail on nil time stamps (Marek Hulán)
- Fixes #21250 - Prevent double render in not_found (Andrew Kofink)
- templates - sync from community-templates (Daniel Lobato Garcia)
- Fixes #21266 - enabled all PXE loaders for SUSE (Lukáš Zapletal)
- Fixes #21269 - fixed dns_lookup with address resolution (Lukáš Zapletal)
- Fixes #21228 - Use the inline messaging warning (Rahul Bajaj)
- Fixes #21232 - verify IP sans when authenticating a SP (Sean O'Keeffe)
- Fixes #21246 - unify extlogout and login footer text (Marek Hulán)
- Fixes #21176 - don't modify strong param filter rules (Ivan Nečas)
- Fixes #21206 - Fix templates taxonomies migration (Ivan Nečas)
- Fixes #19706 - don't treat DHCP leases as conflicts (Lukáš Zapletal)
- Refs #21005 - Allow select_action_button to set button as primary (Sebastian Gräßl)
- Fixes #21179 - Upgrade to enzyme@3.0.0 (Dan Seethaler)
- Fixes #18736 - Forced unlimited check for filter with no t (#4724) (Dominik Hlavac)
- Fixes #21175 - Unable to add AD LDAP Auth Source (Tomas Strachota)
- Fixes #20469 - Register react components from plugins (Ondrej Prazak)
- Fixes #21174 - remove javascript tag from ssh_key form (Amir Fefer)
- fixes #21117 - update to react 15.6.2 (now with MIT license) (Ohad Levy)
- Fixes #20900 - Combine Template editor and template field (Sebastian Gräßl)
- Refs #19050 - Use Rails 4.2 on Ruby 2.3 (Michael Moll)
- Refs #21037 - address review comments (Ivan Nečas)
- Fixes #21037 - use Host::Base as auditable_type (Ivan Nečas)
- Fixes #20559 - print rails log for test failures (Lukas Zapletal)
- Fixes #15409 - Separated puppet facts from core (Shimon Shtein)
- Fixes #21104 - Recognize br-ex etc as bridge interfaces (Christian)
- Refs #21088 - Remove deprecated notify js function (Tomer Brisker)
- Fixes #21088 - Update default release for JS deprecation (Tomer Brisker)
- Fixes #21086 - revert roadie-rails pinning for Ruby <2.2 (Michael Moll)
- fixes #20652 - moved compute_resource js code to webpack (Ohad Levy)
- Fixes #21015 - sync host and hostgroup rabl to show all_classes (Shimon Shtein)
- Fixes #21036 - Don't use class as class_name in associations (Michael Moll)
- Fixes #20957 - Replace alias_method_chain with Module prepend (Dominic Cleal)
- Fixes #20905 - Add message in audit in case no changes (Shira Maximov)
- Fixes #20705 - display paginations on audits page correctly (lizagilman)
- Fixes #20665 - make smart proxy delete button grey (Marek Hulán)
- Fixes #20969 - Allow setting the rails version via settings.yaml.dist (Ewoud Kohl van Wijngaarden)
- Refs #20950 - remove uniq in AR Finders whitelisting (Michael Moll)
- fixes #20878 - vmware clone: rewrite boot order (Timo Goebel)
- Fixes #20890 - changes SSH key validation messages (Shira Maximov)
- Fixes #20952 - Replace AC::Parameters Hash methods (Dominic Cleal)
- Fixes #21024 - Reorder AR associations in order of use (Dominic Cleal)
- Fixes #20783 - Move Inline messaging regarding user saving first (Sebastian Gräßl)
- Fixes #21010 - add higher granularity and reorder seeds (Marek Hulan)
- Fixes #21011 - skip permission check and audits for default role (Marek Hulan)
- Fixes #20201 - Global HTTP proxy for outgoing requests (Sebastian Gräßl)
- Fixes #19519 - Prevent autocomplete on LDAP account (Tomer Brisker)
- Refs #20960 - raise minimum activerecord-session_store version (Michael Moll)
- Fixes #20966 - Added fast return to host power api (Shimon Shtein)
- Fixes #20958 - Don't pass argument to force association reload (Dominic Cleal)
- Fixes #20949 - Replace deprecated AM::Errors usage (Dominic Cleal)
- Fixes #20487 - Add rebuild_config to hostgroups API (Trey Dockendorf)
- Fixes #20955 - Remove conditions to {destroy, delete}_all calls (Dominic Cleal)
- Fixes #10726 - NIC types are immutable (Tomas Strachota)
- Fixes #20963 - CVE-2017-7535 prevent XSS on org/loc host assign (Tomer Brisker)
- Fixes #20986 - wrongly documented :user_id in ssh_keys#create (Tomas Strachota)
- Fixes #20950 - Use 'distinct' in AR finders (Dominic Cleal)
- Fixes #20902: ensure 'katello' is webpack bundle name. (Walden Raines)
- Fixes #20956 - Don't pass class constants to AR conditions (Dominic Cleal)
- Fixes #20954 - don't access MIME types via constants (Dominic Cleal)
- Fixes #20951 - Replace render :text with :plain (Dominic Cleal)
- Fixes #19912 - Allow all styles of word arrays (Tomer Brisker)
- Fixes #20959 - Remove :status option on 'head' (Dominic Cleal)
- Fixes #20953 - Remove assert_nothing_raised args (Dominic Cleal)
- fixes #20485 - cache notification indicator in local storage (Ohad Levy)
- Fixes #20470 - Audit role filter changes (Tomer Brisker)
- fixes #20653 - ui notifications for hosts with usergroup owner (Timo Goebel)
- Fixes #19047 - unify date formats (Marek Hulan)
- Fixes #20920 - Prevent boot issue with Rake.application (Tomer Brisker)
- Refs #16740 - migration templates to use param macros (Marek Hulán)
- Fixes #20913 - add missing role_ids to user API (Marek Hulan)
- Refs #19050 - Update Rails 5.0 to 5.0.6 (Michael Moll)
- Fixes #20908 - postpone initialization of Dynflow runtime (Ivan Necas)
- Refs #20708 - reset default templates type (Marek Hulan)
- Fixes #20098 - Resolve template_used for image provisioning (Daniel Lobato Garcia)
- Fixes #20897 - change description for 'default' to help tooltip (Shira Maximov)
- Fixes #20750 - Comment field in host page (Ron)
- Fixes #20454 - change page by typing page number (lizagilman)
- Fixes #20800 - Comply with Patternfly login page recommendations (Sebastian Gräßl)
- Fixes #20660 - improve proxy features list (Marek Hulán)
- Fixes #20678 - Improve provisioning templates history (Sebastian Gräßl)
- Refs #19707 - test searching domains with locs (Michael Moll)
- Fixes #20872 - scoped_search should be >= 4.1.2 (Daniel Lobato Garcia)
- Fixes #20672 - add button for autosign entry (Marek Hulan)
- Fixes #20708 - fix templates auditing (Marek Hulán)
- Fixes #19742 - cache hosts for fact values (Marek Hulán)
- Fixes #19730 - Add vendor to provisioning templates (Daniel Lobato Garcia)
- Fixes #20840 - show error on invalid name for any parameter (kgaikwad)
- Fixes #20589 - update login_at when extlogin is used (Marek Hulán)
- Fixes #20516 - GET hosts API displays owner_name attribute (Nagoor Shaik)
- Fixes #20867 - pin down scoped search (Marek Hulán)
- fixes #20822 - vm: show link to associated host (Timo Goebel)
- Fixes #20858 - pxe_loader in GET api/v2/hostgroups/:id (kgaikwad)
- Fixes #13599 - Wrapped exception truncate moved to client (Shimon Shtein)
- Refs #19554 - Rewrite to use an Object and not Map (Sebastian Gräßl)
- Fixes #20500 - Allow GET /api/hostgroups to include parameters (treydock)
- Fixes #20654 - color of Failed Restarts in resources chart (Ivan Necas)
- fixes #20820 - set ajax vars for cr host import (Timo Goebel)
- Fixes #20835 - added time into foreman-debug (Lukáš Zapletal)
- fixes #20833 - allow storybook to use application css (Ohad Levy)
- Fixes #20737 - add default description to roles (Marek Hulán)
- Fixes #19554 - Warning for unsupported PXE loader combinations (Tomas Strachota)
- Fixes #20710 - fix view diff width (Marek Hulan)
- Fixes #20763 - Reword "Create SSH key" to "Add SSH key" (Sebastian Gräßl)
- Fixes #20240 - fix fullscreen mode in ace editor (Amir Fefer)
- Fixes #20801 - Put granularity info into alert box (Sebastian Gräßl)
- Fixes #20736 - improve bookmark permissions (Marek Hulan)
- Bump version to 1.17-develop (Daniel Lobato Garcia)
- i18n - extracting new, pulling from tx (Daniel Lobato Garcia)
- Fixes #1644,#19692 - update fog-libvirt to 0.4.1 (Michael Moll)
- Fixes #20739 - use unique user label in select (Marek Hulan)
- Fixes #19039 - Lock plugin roles (Ondrej Prazak)
- Fixes #20657 - make proxy labels bold (Marek Hulán)
- fixes #20699 - Rake task to selectively backup tables (Partha Aji)
- Fixes #20701 - Subnet6 fields info in GET api/v2/hostgroups/:id (kgaikwad)
- Fixes #20711 - GET host interface API will show fqdn attribute (Nagoor Shaik)
- Fixes #7778 - allow + in user login (Marek Hulan)
- Fixes #20726 - allow # in user login (Marek Hulan)
- Fixes #20706 - fix template audit messages (Marek Hulan)
- Fixes #20622 - puppet import does not refresh all statuses (Lukas Zapletal)
- Fixes #19113 - use fog-ovirt method for rebooting (Ivan Necas)
- Fixes #20668 - capitalize cards on smart proxy page (Marek Hulán)
- Fixes #20675 - autosign delete buttons are no longer red (Marek Hulán)
- Fixes #20676 - relabel new button for autosign entry (Marek Hulán)
- Fixes #20680 - Use default button style for "Add Combination" (Sebastian Gräßl)
- Fixes #20573 - Include searchbox extension (Sebastian Gräßl)
- Fixes #20669 - Append 'clone' to cloned provisioning templates (Sebastian Gräßl)
- Fixes #7499 - Allow searching config group by puppetclass (Tomer Brisker)
- Fixes #20673 - Move locked warning on template editing (Sebastian Gräßl)
- Fixes #20662 - no failed features (Marek Hulan)
- Refs #20255 - simplify hostgroup csv test (Tomer Brisker)
- Fixes #20416 - fix UI under email preferences (amirfefer)
- Fixes #20612 - Fix error rendering when building pxe default (Amir Fefer)
- Fixes #20628 - cloned host/hostgroup should copy rootpass (Amir Fefer)
- fixes #20645 - stub templates proxy url call (Timo Goebel)
- Fixes #20255 - add csv export for hostgroups (amirfefer)
- fixes #20636 - update babel-core and loader to newer versions (Ohad Levy)
- fixes #20646 - clear host_id during interface cloning (Timo Goebel)
- Fixes #20529 - Improve the filtering function (Ondrej Prazak)
- Fixes #20475 - Random DB IPAM with MAC preservation (Lukas Zapletal)
- Fixes #20614 - fix host selector for bulk action regression (Amir Fefer)
- fixes #20316 - allow to delete a user that has notifications (Ohad Levy)
- Fixes #20610 - Prevent chrome password autofill (Tomer Brisker)
- Fixes #20608 - Adding index for ssh_keys (Maximilian Mack)
- Fixes #19326 - create compute-resource - URL optional (Swapnil Abnave)
- Refs #20514 - Add test for $ in user login (Daniel Lobato Garcia)
- Fixes #20521 - better subnet prefix label (Lukáš Zapletal)
- Fixes #20553 - br tag now renders to new line (Nagoor Shaik)
- Fixes #20514 - Accept dollar sign($) in login names (Avram Lubkin)
- Fixes #20543 - implement asset_path for plugin_assets (Daniel Lobato Garcia)
- Fixes #20537: Monospace fonts in fullscreen editor (Rune Hammersland)
- Fixes #19529: Use main_app for redirect in case of plugins (Eric D Helms)
- Fixes #20515 - always find user by login (Marek Hulán)
- Fixes #20483 - seed all permission for core roles (Marek Hulán)
- Fixes #14160 - bump fog-vsphere to 1.11.3 (Klaas Demter)
- Fixes #20511 - Webpack config should look for nested deps (Daniel Lobato Garcia)
- Fixes #20452 - Keep password value after validation in ovirt CR (orrabin)
- fixes #20453 - build is enabled for cloned host (#4704) (Timo Goebel)
- Refs #19305 - fixing spacing issues on facts page (lizagilman)
- fixes #20495 - sort os by title (Timo Goebel)
- Refs #16884 - add minitest stubbing to test helper (Marek Hulan)
- Fixes #19372 - replace children fact values icon (lizagilman)
- Fixes #17811 - Improve error message LDAP fail (dhlavac)
- Fixes #19305 - fixing spacing issue on facts page (lizagilman)
- Fixes #20403 - Only show authorized compute profiles in forms (Tomer Brisker)
- fixes #10982 - configure RestClient log to 'proxy' logger (Dominic Cleal)
- Fixes #20248, #20327 - Respect context in CSV export (Tomer Brisker)
- Fixes #20418 - Add taxonomies to newly imported puppet env (Ondřej Pražák)
- Refs #17204 - Settings tabs concat Rails 5 compatible (Daniel Lobato Garcia)
- Refs #16592 - consistent capitalization (Sean O\'Keeffe)
- Fixes #17204 - Sort setting UI category tabs consistently (Swapnil Abnave)
- Fixes #20047 - Filter roles by permission (kgaikwad)
- fixes #16592 - keep consistent for headline capitalization (June Zhang)
- Fixes #20396 - better handling of detection of plugin assets (Ivan Necas)
- Fixes #20287 - fix plugin assets precompilation (Michael Moll)
- Fixes #20312: Use bundler_ext in production for webpack plugin (Eric D Helms)
- Fixes #20384 - seed resources before admin exists (Marek Hulan)
- Fixes #20401 - Allow pxe_loader in the Jail (Daniel Lobato Garcia)
- Fixes #20378 - Puppet 5 environment detection (Elisiano Petrini)
- Fixes #20386 - Allow to identify smart proxy by ip only (Guido Günther)
- Fixes #19031 - move to patternfly pagination style (lizagilman)
- Fixes #20385 - fix the role plugin DSL (Marek Hulan)
- refs #19623 - fix if key method is not present for network (Klaas Demter)
- Fixes #20373 - Add ESXi 6.5 to VMWare (Daniel Lobato Garcia)
- fixes #20369 - change host creation form tab order (Ohad Levy)
- Fixes #20345 - add back button on host info page (Tomer Brisker)
- fixes #20334 - ensure api promise is called correctly. (Ohad Levy)
- Fixes #16884 - enforce granular filters even during save (Marek Hulán)
- Fixes #18618 - Use Dynflow as an ActiveJob backend (Daniel Lobato Garcia)
- fixes #4509 - VMWare: multiple scsi controllers (Ohad Levy)
- Refs #17525 - verify domain dns id also on update (Marek Hulán)
- Fixes #16160 - added start-foreman-dev helper (Lukáš Zapletal)
- Fixes #20321 - run puppet tasks under admin (Marek Hulán)
- Fixes #20306 - allow the same key for two users (Marek Hulan)
- Fixes #20295 - Sanitize webpack_directories json (Ondrej Prazak)
- fixes #20342 - test connection button works for new cr (Timo Goebel)
- Fixes #16112 - support for netgroups in LDAP auth source (Tomas Strachota)
- Fixes #19808 - Remove useless assignments (Tomer Brisker)
- refs #19478 - update webpack plugins for v3 compatability (Ohad Levy)
- fixes #20328 - ensure target div is always empty (Ohad Levy)
- Fixes #20325 - Pin ruby2ruby to 2.3.2 (Tomer Brisker)
- Fixes #19677 - Add settings for local boot templates (Ondřej Pražák)
- Fixes #19947 - Fix creating bookmarks for global params (Ondřej Pražák)
- Fixes #20284 - Host saves compute profile storage (Ori Rabin)
- Fixes #17360 - Prevent % string interpolation in scoped_search (kgaikwad)
- Refs #20119 - Be more descriptive when validating hostname (François Cami)
- Fixes #20209 - Remove ovirt image from compute profile (orrabin)
- Fixes #17918,#19354 - Smart class parameters appear in audits (Ori Rabin)
- fixes #20275 - add css linter support (Ohad Levy)
- Fixes #20146 - domain-less server email errors fixed (Lukáš Zapletal)
- Fixes #20274 - Filter fixtures have many resource_types (Daniel Lobato Garcia)
- Fixes #20272 - correctly rescue QueryNotSupported in production (Tomer Brisker)
- Fixes #20271 - update safemode gem (Tomer Brisker)
- Fixes #20258 - better unique permission types error (Lukas Zapletal)
- refs #20193 - update to storybook that support webpack3 (Ohad Levy)
- Fixes #20083 - Search by environment for smart class parameter (Ori Rabin)
- fixes #20228 - fix jest testing (matanw)
- Fixes #20119 - Be more descriptive when validating hostname (Boaz Shuster)
- fixes #18500 - replace quiet_assets with sprockets-rails flag (Michael Moll)
- refs #20097 - use relative path in webpack config (Ohad Levy)
- Fixes #19826 - Fix Rails/ActiveSupportAliases cop (Tomer Brisker)
- Fixes #19828 - Fix Rails/Blank cop (Tomer Brisker)
- Fixes #20212 - create and update host actions now showing params (Shimon Shtein)
- Fixes #19266 - fix_db_cache crashes Rails initialization (Daniel Lobato Garcia)
- Fixes #20211 - Run js tests if webpack config changes (Tomer Brisker)
- Refs #19050 - set defaults Rails version to 4.2 (Michael Moll)
- fixes #19050 - add Ruby on Rails 5.0 support (Dominic Cleal)
- fixes #20193 - upgrade storybook to 3.1 (Ohad Levy)
- Fixes #20202 - Update rails to 4.2.9 (Michael Moll)
- fixes #20097 - webpack support for foreman plugins (Ohad Levy)
- Fixes #20174 - handle no storage pool gracefully (Marek Hulán)
- Fixes #20143 - changed kind for Preseed default PXEGrub2 (#4630) (Lukáš Zapletal)
- Fixes #20134 - Compute Profile for Ovirt loads template data (orrabin)
- Fixes #19823 - Fix Performance/StartWith cop (Tomer Brisker)
- Fixes #19825 - Fix Performance/TimesMap cop (Tomer Brisker)
- Fixes #19821 - Enable Performance/CompareWithBlock cop (Tomer Brisker)
- Fixes #20165 - improve org/loc error messages (Marek Hulán)
- Fixes #18892 - Do not show 'undefined method' in error message (Ondrej Prazak)
- Fixes #18855 - Disable taxonomy validations for roles (Ondrej Prazak)
- Fixes #20137 - hide ssh keys for new users (Marek Hulán)
- fixes #20142 - adds storybook deployer (Ohad Levy)
- Fixes #20141 - remove close icon from filter warning (Marek Hulan)
- Fixes #20104 - fix_db_cache needs to run as admin (Daniel Lobato Garcia)
- Fixes #19623 - add comparison to portkey for vmware networks (wiad)
- Sync community templates (Marek Hulán)
- Fixes #20072 - Allow thin host list via API (Tomer Brisker)
- Fixes #19844 - fix Security/Eval cop (Tomer Brisker)
- refs #19478 - fixes webpack HOT server. (Ohad Levy)
- refs #19478 - update wrong webpack-dev-server dependency (Ohad Levy)
- Fixes #19478 - migrate to webpack2 (Matan Werbner)
- Refs #20049 - Retry various integration tests (Daniel Lobato Garcia)
- Fixes #19383 - document enabled host attribute (Marek Hulán)
- fixes #19604 - vmware vSphere 6.5 GuestOsIdentifier (Timo Goebel)
- Fixes #17087 - default and overrides values converted to string (Ori Rabin)
- fixes #19969 - consider subnet6 when determining vlanid (Jo Vandeginste)
- Refs #19512 - update nodejs versions (Michael Moll)
- Fixes #20086 - report message should have capital M (Marek Hulán)
- Fixes #20066 - added safe renderer to global params (Shimon Shtein)
- Fixes #20049 - Retry various integration tests before failing (Daniel Lobato Garcia)
- fixes #19995 - search now uses turbolinks (Ohad Levy)
- Fixes #20033 - load seed data just once (Marek Hulán)
- Fixes #20035 - Adds API link to About page (Marek Hulán)
- fixes #19977 - Fetch a value for a given subnet parameter name (Jo Vandeginste)
- Fixes #20034 - add Organization admin role (Marek Hulán)
- Fixes #20017 - mail notifications work for global admins (Marek Hulan)
- Fixes #20013 - Notification singleton polling (matanw)
- fixes #19913 - fixes rubocop Style/ZeroLengthPredicate (Ohad Levy)
- Fixes #16807 - remove premission edit_users for test_mail (amirfefer)
- Fixes #15711 - Redesigned host info to providers. (Shimon Shtein)
- Fixes #20038 - exclude classes from hostgroup free search (Justin Sherrill)
- Fixes #19615 - Hosts cart to c3 (matanw)
- Fixes #19798 - Fix Layout/TrailingBlankLines cop (Tomer Brisker)
- fixes #20001 - Allow access to interface fqdn from snippets (Jo Vandeginste)
- Fixes #19315 - redirect to login  when session expired (amirfefer)
- fixes #20000 - load dashboard refresh using turbolinks (Ohad Levy)
- Fixes #19991 - Add network6 to nic model (Jo Vandeginste)
- Refs #19588 - Allow passing header to csv responder (Tomer Brisker)
- Fixes #19921 - Upgrade fast-gettext to 1.4 or newer (Tomer Brisker)
- Fixes #19952 - Allow view_audit_logs to work (Daniel Lobato Garcia)
- Fixes #19728 - set admin user in rake console (Lukáš Zapletal)
- Fixes #19764 - Fix Layout/AccessModifierIndentation cop (Tomer Brisker)
- Fixes #19588 - Allow setting custom headers in CSV export (Tomer Brisker)
- Fixes #19934 - Don't limit smart class parameter order length (Tomer Brisker)
- Fixes #19930: Skip adding permissions to default_roles during migrate (Eric D Helms)
- refs #19589 - ensure that foreman starts in production (Ohad Levy)
- Fixes #19922 - Unpin gettext_i18n_rails (Tomer Brisker)
- Fixes #19923 - Unpin nokogiri gem (Tomer Brisker)
- Fixes #19582 - Alert when puppetclass is not saved due to error (Ori Rabin)
- Fixes #19418 - Correctly route cancel button on host form (Tomer Brisker)
- Fixes #19631 - ComputeResource with KeyPair can be removed (Daniel Lobato Garcia)
- Fixes #19762 - upgrade to rubocop 0.49.1 (Tomer Brisker)
- Fixes #19585 - Allow csv export of nested attributes (Tomer Brisker)
- Fixes #19646 - improve inline help (Marek Hulán)
- Fixes #19589 - Added plugin migration generator (Shimon Shtein)
- Fixes #15861 - increase size of audited_changes column (Amir Fefer)
- Fixes #19700 - update rubocop rules (Ohad Levy)
- Fixes #19161 - expand value plus icon change to minus icon after click (lizagilman)
- Fixes #19612 - CVE-2017-7505 don't expose admin to taxed users (Marek Hulán)
- Fixes #19717 - Pin npm to < 5.0.0 in TravisCI (Daniel Lobato Garcia)
- fixes #19340 - replace all new_host calls with new_vm (Timo Goebel)
- Fixes #19632 - changed shim and grub1 PXE names (Lukáš Zapletal)
- Fixes #19672 - fix bulk actions for plugins (Marek Hulán)
- Fixes #19459 - improve vm boot failure feedback (Martin Ducar)
- Fixes #16159 - Rename mail alerts to not be Puppet specific (Daniel Lobato)
- fixes #18200 - don't re-encrypt settings when value is unchanged (Dominic Cleal)
- Fixes #19579 - Upgrade fog-libvirt to 0.4 (Tomer Brisker)
- Fixes #19034 - add tasks for clearing expired notifications (amirfefer)
- fixes #19528 - rewrite FiltersHelperOverrides to support autoload (Dominic Cleal)
- Fixes #19544 - fix test warnings (matanw)
- fixes #19613 - permit ancestry 3.x (Dominic Cleal)
- Fixes #19630 - ignore hidden admins (Marek Hulan)
- Fixes #19583 - reworded blank label for subnet (Lukas Zapletal)
- Fixes #19541 - properly mark user <-> mail_notification relation (Shimon Shtein)
- Fixes #19475 - Rename test variables to more specific term (Sebastian Gräßl)
- refs #19534 - check EncryptValue class variables are defined (Dominic Cleal)
- Fixes #17377 - update fog(-core) to current versions (Michael Moll)
- fixes #14699 - Enable host edit to accept new params (Partha Aji)
- Fixes #17749 - Remove confusing .gz.txt extension from logs (Anurag Patel)
- Fixes #19534 - removed excessive encryptor logging (Lukas Zapletal)
- Fixes #19534 - improved orchestration task logging (Lukas Zapletal)
- Fixes #19296 - Combination remove link shows correct tooltip (Ori Rabin)
- Fixes #18438 - control notifications polling (matanw)
- Fixes #17883 - enforce newer fog-vsphere (Marek Hulan)
- fixes #19524 - pin roadie-rails to 1.1.x on Ruby 2.0-2.1 (Dominic Cleal)
- fixes #19437 - remove duplicate Rails.cache.clear calls (Dominic Cleal)
- Fixes #19506 - reset cache after CR update (Marek Hulan)
- Fixes #19173 - build notification succeeds with expired token. (Dmitri Dolguikh)
- Fixes #19497 - More passenger info in foreman-debug (Sean O'Keeffe)
- refs #19317 - move FiltersHelperOverrides to app/registries/ (Dominic Cleal)
- Refs #19512 - use nodejs 6.10 for EL7 tests (Michael Moll)
- Fixes #19504 - Quote puppet class filter in host form (Tomer Brisker)
- Fixes #19384 - Add tooltip to the Remove Matcher button (June Zhang)
- Fixes #19490 - Remove Apache License (Tomer Brisker)
- Fixes #19502 - fix react warnings (matanw)
- fixes #19479, #10587, #19500 - two pane notifications are visible (Ohad Levy)
- Fixes #19491 - properly i18n notification seed (Justin Sherrill)
- fixes #19483 - use #admin? method to check inherited admin flags (Dominic Cleal)
- Fixes #18995, #18996 - visible_environments works w/o taxonomies (Daniel Lobato Garcia)
- fixes #19476 - list features in smart proxy refresh API response (Dominic Cleal)
- Fixes #17771 - Test if rsync successfully uploaded tarball (Anurag Patel)
- templates - sync from community-templates (Daniel Lobato Garcia)
- i18n - extracting new, pulling from tx (Daniel Lobato Garcia)
- fixes #14178 - Introduce patternfly toast notifications (matanw)
- Fixes #18957,#18193,#18678,#18853 - notifications redux (matanwerbner)
- fixes #14178 - introduce react patternfly toasts (Gail Steiger)
- fixes #14178 - introduce patternfly toast notifications (Ohad Levy)
- Fixes #19436 - Better controller selection on host dropdown (#4498) (Tomer Brisker)
- fixes #19464 - rewrite Dashboard::Manager to support autoloading (Dominic Cleal)
- fixes #19463 - disable auditing of factory_girl fixtures (Dominic Cleal)
- Fixes #19388 - Show full text of highlighted multiselect lines (Tomer Brisker)
- Fixes #19400 - defer loading of tables list cache (Ivan Nečas)
- Fixes #19417 - Safely check params for nested keys (Tomer Brisker)
- refs #19419 - test aws fog_extensions name methods (Timo Goebel)
- Fixes #19427 - sort by report time is possible (lizagilman)
- fixes #19419 - fix invalid syntax in aws fog extention (Ben Plessinger)
- Fixes #19399 - Allow API to show usernames with periods (Walter Huf)
- Fixes #19377 - available_flavors for OpenStack (Petr Benas)
- Fixes #19365 - display loading spinner instead of text (lizagilman)
- Fixes #19374 - added check to fix double facet registration (Shimon Shtein)
- Fixes #19125 - Add description to hostgroup (Tomer Brisker)
- fixes #19317, #10927 - move registries to autoload_once path (Dominic Cleal)
- Fixes #19357 - update the edit icon in hostgroup os edit page (June Zhang)
- fixes #19344 - sort both expected and actual results in UG test (Dominic Cleal)
- fixes #19324 - permit apipie-rails 0.5.x (Dominic Cleal)
- Fixes #19176 - fix translated strings in select all hosts (amirfefer)
- fixes #19345 - set host group parent names for consistent sorting (Dominic Cleal)
- fixes #19328 - autosign tasks have correct wording (Timo Goebel)
- fixes #19131 - upgrade minitest to latest 5.x (Dominic Cleal)
- Fixes #17770 - Preserve timestamps for collected files. (Anurag Patel)
- Fixes #19309 - Only select first hosts page on select all (#4467) (Tomer Brisker)
- Fixes #18381 - PXE loader show inherited value in host/hostgroup (Swapnil Abnave)
- Fixes #19295 - use new DHCP API (Marek Hulán)
- fixes #19192 - adds mark all as read notification action (Ohad Levy)
- Fixes #18687 - restore hash format for parameter attributes (Marek Hulan)
- refs #19298 - update fact test to find links in ol/li elements (Dominic Cleal)
- fixes #19303 - adds jest watch mode (Ohad Levy)
- Fixes #19298 - Use chevron instead of colons for breadcrumbs (lizagilman)
- refs #19217 - extract template combination "Remove" string (Dominic Cleal)
- Fixes #19217 - update the close icon to remove icon (June Zhang)
- Fixes #17588 - Remove 1.16 deprecations (Daniel Lobato García)
- refs #19288 - extract View Chart string (Dominic Cleal)
- Fixes #19288 - word button instead of icon button (lizagilman)
- Fixes #16839 - sort by origin is possible (#4445) (lizagilman)
- Fixes #19264 - order images by name (Marek Hulan)
- Fixes #19265 - Change empty settings value color (amirfefer)
- Refs #13772 - ensure ApplicationRecord is loaded soon enough (Ivan Nečas)
- Fixes #19252 - Correct permission mapping for vm association (Tomer Brisker)
- Fixes #19241 - fix warning: already initialized constant ARGV (Ivan Necas)
- Fixes #19255 - Edit icon update in the setting page (June Zhang)
- Fixes #17897 - update status api documentation (Marek Hulán)
- Fixes #13772 - orchestration now uses app logger (Lukas Zapletal)
- Fixes #19236 - handle situation when host is destroyed oVirt (Ivan Necas)
- Fixes #16082 - Associate FactValues with Host::Base (Tomer Brisker)
- Fixes #19213 - use provision interface in foreman_url (Ivan Nečas)
- fixes #17895 - do not import link-local ipv6 addr fact (Timo Goebel)
- fixes #18445 - always define eager_load_paths, use require_dep (Dominic Cleal)
- Fixes #19169 - remove image password from audit (Marek Hulan)
- Fixes #19064 - seed the external auth source (Marek Hulan)
- Fixes #18561 - faster fact deletion on MySQL (Lukas Zapletal)
- Fixes #19148 - Add description field to subnets (Tomer Brisker)
- Fixes #19160 - Correct bookmarks documentation link (Tomer Brisker)
- fixes #18982 - replace AC::Params#each using one-arg block (Dominic Cleal)
- Fixes #16043 - add select all hosts option (amirfefer)
- fixes #19127 - update spring to 2.x (Dominic Cleal)
- Fixes #19123 - fix labels on multiple action pages (amirfefer)
- Fixes #19122 - clear selected hosts in new search (amirfefer)
- fixes #19085 - remove test for Token#expires (Dominic Cleal)
- fixes #19087 - create host built notification from Host#built (Dominic Cleal)
- fixes #19068 - list newly synced templates in DB seeds (Dominic Cleal)
- Fixes #17902 - Smart variable puppet class is not auto selected (Ori Rabin)
- i18n - extracting new, pulling from tx (Daniel Lobato Garcia)
- Revert "Revert "fixes #18691 - add as_deprecation_tracker to test environment"" (Daniel Lobato Garcia)
- Bump version to 1.16-develop (Daniel Lobato Garcia)
- templates - sync from community-templates (Daniel Lobato Garcia)
- Revert "fixes #18691 - add as_deprecation_tracker to test environment" (Daniel Lobato Garcia)
- Fixes #18954 - Add CSV export to facts table (Tomer Brisker)
- Fixes #18957,#18193,#18678,#18853 - notifications redux (matanwerbner)
- Fixes #18762 - Add csv export to reports table (Tomer Brisker)
- fixes #19035 - rewrite TopbarSweeper without rails-observers (Dominic Cleal)
- Fixes #18640 - realign templates structure (Marek Hulán)
- Fixes #15374 - move progress_report_id to Host::Base (Lukas Zapletal)
- fixes #18940 - adds caching to notification api calls. (Ohad Levy)
- Fixes #18639 - lock all templates we seed (Marek Hulán)
- Refs #18001 - Avoid role extending from rake tasks permission (Marek Hulan)
- Fixes #19017 - prefer request id over session id in logging (Ivan Necas)
- Fixes #19036 - Add the hiera.yaml file from to foreman-debug (Bryan Kearney)
- Fixes #19030 - Uncomment plugin tests (Ondrej Prazak)
- Fixes #12272 - Support multiple certificates in ovirt resource (Ori Rabin)
- fixes #18719 - replace usage of deprecated Fixnum constant (Dominic Cleal)
- Fixes #18001 - Add plugin permissions to core's roles (Ondrej Prazak)
- Fixes #18977 - Do not raise on creating a role in plugin when in Rake (adamruzicka)
- Fixes #18893 - Improve latest events widget performance (Tomer Brisker)
- fixes #12419 - template preview host has typeahead (Timo Goebel)
- Fixes #18467, #18737 - search input is not layed on top of notification drawer (lizagilman)
- refs #18264 - remove text order assumption in response body test (Dominic Cleal)
- Fixes #18986: upgrade patternfly-sass to 3.23.0. (Walden Raines)
- Fixes #18065 - make API v1 deprecation warning more apparent (Tomas Strachota)
- fixes #18980 - ssh keys new page has breadcrumbs (Timo Goebel)
- fixes #18064 - import host from compute resource (Timo Goebel)
- refs #18950 - wait for CR test connection to complete (Dominic Cleal)
- Fixes #18264 - change select multiple host actions to POST (Amir Fefer)
- fixes #18976 - separate tests with different request formats (Dominic Cleal)
- Fixes #18948 - correctly relogin user with SSO sessions (Marek Hulán)
- Fixes #18949 - info message about current user (Ivan Necas)
- fixes #16288 - moves ace editor to webpack. (Ohad Levy)
- refs #18760 - exclude test routes from permission checks (Dominic Cleal)
- fixes #18958 - correct format of multiple REMOTE_ADDR addresses (Dominic Cleal)
- Fixes #18906 - empty tooltip on notification (matan)
- Fixes #18952 - fix destroy of host without owner (Ivan Nečas)
- fixes #18950 - enable password field in CR form test (Dominic Cleal)
- fixes #18929 - add rails-observers dep for TopbarSweeper (Dominic Cleal)
- Fixes #18901 - fix bottom notification dropdown (matanwerbner)
- fixes #18476 - users have ssh keys (Timo Goebel)
- Fixes #18898 - "Host" prefix isnt required on Host show page (Sean O\'Keeffe)
- Fixes #18728 - notifications scroll (matan)
- refs #18760 - only build CSV URL from permitted params (Dominic Cleal)
- refs #17463 - require test helper for smart proxy mixin (Dominic Cleal)
- Fixes #18234 - display correct icon when no unread notifications (lizagilman)
- Fixes #18888 - refactor powerStatus (matan)
- Fixes #18760 - Allow export to CSV (Tomer Brisker)
- Fixes #18843 - Changed from eager_load to includes in #index (Shimon Shtein)
- Fixes #17463 - Detect user's orgs when importing from puppet (Ondřej Pražák)
- Fixes #18868 - add Parallels PSBM version handling (Michael Moll)
- Fixes #18718 - Empty boolean matcher should not turn into false (Ori Rabin)
- Fixes #6817 - AWS VPC groups - show after saving (Swapnil Abnave)
- Fixes #18764 - Hammer-cli current user password update (Dominik Hlavac)
- Fixes #18722 - fix host parameters in host form (Marek Hulán)
- Fixes #18800 - strong params no longer breaks inherited attrs (Lukas Zapletal)
- Fixes #18813 - Sort matchers by priority (Tomer Brisker)
- Refs #18804 - move spinner help icons (Marek Hulán)
- fixes #18681 - moves polymorphic subject into notification object (Ohad Levy)
- Fixes #12163 - add a rake task to clean up orphaned facts (Marek Hulan)
- fixes #18796 - do not flot charts by default (Ohad Levy)
- Fixes #18767 - keep cloning info (Marek Hulán)
- Fixes #18690 - add missing auditable types into scoped search (Tomas Strachota)
- Fixes #18587, #18588 - Fix 'multipart form data' IE bug (Evgeni Golov)
- Fixes #14013 - add a setting for default owner of new hosts (Amir Fefer)
- Fixes #18830 - PXE Loaders for Windows (Alexander "Ace" Olofsson)
- fixes #18815 - VMware vSphere Disk Mode support (BernhardAtix)
- Fixes #18783,#18804 - replace inline helps with label helps (Marek Hulan)
- Fixes #18591 - powerStatus in redux (matan)
- Fixes #18317 - Clone user role via API (Ondrej Prazak)
- Fixes #18788 - log protected attributes in prod (Lukas Zapletal)
- Fixes #14492 - Unify delete and minimize for dashboard widgets (Tomer Brisker)
- Fixes #18345 - Improve templates error handling (Marek Hulan)
- Fixes #18657 - Allow ERB in settings files (Eric D Helms)
- Fixes #18768 - remove generic inline helps (Marek Hulan)
- Fixes #18763 - Change delete button to standard style (June Zhang)
- Fixes #18740 - remove erb extension from host_checkbox.js (amirfefer)
- Fixes #18514 - switch prefix/mask fields (Chris Roberts)
- fixes #18735 - truncate encryption key to match preferred length (#4350) (Dominic Cleal)
- Fixes #18726 - Set null to true on migrations for Rails 5 (Sean O'Keeffe)
- fixes #18662 - stop default scope being overridden by association (Dominic Cleal)
- fixes #18676 - don't ignore notification expiry (Ohad Levy)
- Fixes #18688 - pin sass-loader to version supporting webpack 1 (Tomer Brisker)
- fixes #18716 - make storybook work with scss (matanwerbner)
- refs #16982 - check _ids getters as admin user in taxonomy tests (Dominic Cleal)
- fixes #18695 - create test/functional/ for test:functionals task (Dominic Cleal)
- fixes #18691 - add as_deprecation_tracker to test environment (Dominic Cleal)
- refs #17545 - notifications should be deleted with blueprint (Ohad Levy)
- fixes #18477 - update Rails to 4.2.8 (Dominic Cleal)
- fixes #18665 - call #to_h before comparing AC::Parameters to hash (Dominic Cleal)
- Fixes #18638 - add sass support to webpack (matan)
- Add pxe_loader to host REST (Jo Vandeginste)
- refs #16982 - remove User.current deassignment (no such user) (Dominic Cleal)
- fixes #18664 - ignore missing callbacks in SmartProxyAuth concern (Dominic Cleal)
- refs #16982 - pass ID, not models into model.find (Dominic Cleal)
- refs #17228 - modify, don't re-define existing constant (Dominic Cleal)
- Refs #17272 - fix sql condition (Ivan Nečas)
- Fixes #18582 - add missing id params to taxonomy apidoc (Tomas Strachota)
- Fixes #17272 - Fixed Searches on parameters with != (Dominik Hlavac)
- Fixes #18426 - Add actions to notification entries (Daniel Lobato Garcia)
- Fixes #17228 - Select templates as global defaults (#4283) (Ondřej Pražák)
- fixes #17866 - Remove PXE Properties from Gentoo Operatingsystem (Daniel Augustin)
- Refs #18576 - update OpenSUSE mirror url (Michael Moll)
- Fixes #18581 - conditionalize SUSE mediapath (Michael Moll)
- Fixes #16982 - Scope properly when no taxonomies are set (Daniel Lobato Garcia)
- Refs #18554 - Revert cache removal (Marek Hulan)
- Fixes #18554 - skip collection_cache_lookup on authorized_for (Chris Duryee)
- fixes #18551 - skip table_exists? error when the DB doesn't exist (Dominic Cleal)
- fixes #17533 - provision dhcp for bond child macs (Timo Goebel)
- fixes #18565 - move constantize inside access permission tests (Dominic Cleal)
- Fixes #16204 - Singularize ExternalUsergroups for permissions (Ondřej Pražák)
- fixes #18574 - add ip6 address to the REST api results (Jo Vandeginste)
- Fixes #12294 - Update existing params using API (Ondřej Pražák)
- Fixes #18560 - Remove searchbar from 403, change 403 style (Shlomi Zadok)
- fixes #18566 - permit apipie-rails 0.4.x (Dominic Cleal)
- fixes #18568 - replace deprecated AC::Parameters#update (Dominic Cleal)
- refs #7495 - correct syntax in API error handler (Dominic Cleal)
- Fixes #18559 - Order mail notifications by name (Shlomi Zadok)
- Fixes #7495 - Create/delete autosign entries via API (Ondřej Pražák)
- fixes #18540 - update domain on primary in hosts_count tests (Dominic Cleal)
- refs #18464 - rename *.spec.js to *.test.js (Tomer Brisker)
- refs #18530 - move redux-mock-store to dev/test deps (Dominic Cleal)
- fixes #18534 - configure rubocop for Ruby 2.0 compatibility (Dominic Cleal)
- Fixes #18530 - fix package.json dependencies (verbmat@gmail.com)
- fixes #18466 - change getHostsData function name to be singular (Ohad Levy)
- Fixes #18491 - Fix failing users js test (Tomer Brisker)
- fixes #18511 - plugin authors shown nicely (Timo Goebel)
- fixes #18464 - Add Redux to statistics page (matan)
- Fixes #18227 - clean up variables after rendering (Marek Hulan)
- Refs #18469 - align subnet button label with the rest (Marek Hulán)
- Refs #18473 - align CR button label with the rest (Marek Hulán)
- Fixes #18490 - run eslint on all files in webpack (Tomer Brisker)
- fixes #18489 - test AuthSourceLdap missing and blank passwords (Dominic Cleal)
- refs #18468 - move compute_resources JS to compute profile index (Dominic Cleal)
- Fixes #18468 - Include JS in libvirt compute profile form (Sebastian Gräßl)
- fixes #18373 - vmware: do not pass automatic firmware to vm (Timo Goebel)
- Fixes #18469 - Add Patternfly empty page for subnets (Ondřej Pražák)
- Fixes #18473 - Add Patternfly empty page for compute resources (Ondřej Pražák)
- Fixes #18474 - Add Patternfly empty page for OSs (Ondřej Pražák)
- fixes #18481 - host index page loads faster (Timo Goebel)
- Fixes #18364 - disable hide of dropdown + tooltip (matan)
- Fixes #18462 - Change LDAP filter field to text area (Shlomi Zadok)
- Fixes #18461 - reword 'External groups' (Shlomi Zadok)
- fixes #18248 - dashboard auto refresh mounts duplicate components (Gail Steiger)
- Fixes #3541,#13769 - return true on success of ssh orchestration (Ivan Nečas)
- Fixes #18425 - Update README screenshots and links (Daniel Lobato Garcia)
- Fixes #18440 - removes dead code and obsolete permission (Marek Hulán)
- Fixes #16846 - Org create failure with specific msg (Amit Karsale)
- Fixes #14716 - Added option to transform thin template to thick (Shimon Shtein)
- Fixes #18412 - Alert styling for adrift host time (Daniel Lobato Garcia)
- Fixes #18348 - foreman-debug compress faster (Lukáš Zapletal)
- fixes #18366 - vmware: delete vm only if created with errors (Timo Goebel)
- Fixes #18367 - Add patternfly welcome to user groups index (Shlomi Zadok)
- Fixes #18410 - log permission denials (Ivan Necas)
- Fixes #18433 - Remove the Data not available message (Bryan Kearney)
- Fixes #12652 - VMware Volume name is readonly (Chris Roberts)
- Fixes #17005 - more strict debug password filter (Lukas Zapletal)
- Fixes #18343 - add method for deprecation of JS functions (Tomer Brisker)
- Fixes #18194, #18326 - minor UI bugs Notifications (Gail Steiger)
- Fixes #18321 - added migration for builtin roles (Lukas Zapletal)
- fixes #18216 - volume size editable for existing VMs one (Adam, Till - D0249540)
- fixes #13618 - cache expensive vmware api calls (Timo Goebel)
- fixes #18233, #18235 - isolate pagelets state between tests (Dominic Cleal)
- Fixes #18040 - URL escape PuppetCA CN on proxy view (Daniel Lobato Garcia)
- Fixes #18126 - Fix security groups select for EC2 form (Ondřej Pražák)
- Fixes #18260 - Display proper organizations count on table (Daniel Lobato Garcia)
- refs #17526 - reset taxonomy.current after each test (Dominic Cleal)
- refs #18232 - make phantomjs optional, not available on all archs (Dominic Cleal)
- fixes #18191,#18192 - monitor notification request (Gail Steiger)
- Fixes #18280 - Adds compute resource provider name (Shlomi Zadok)
- Fixes #12599 - Add config groups related apipie doc (Ondřej Pražák)
- fixes #18252 - added docker* to ignore (thomasmckay)
- fixes #18102 - a host cannot be backed by the same vm (Timo Goebel)
- fixes #18250 - show compute resource xhr errors (Timo Goebel)
- Fixes #17526 - Taxonomy.ignore? does not work with "any context" (Daniel Lobato Garcia)
- Refs #15779 - make background processing unavailable for now (#4217) (Ivan Necas)
- fixes #18239 - wait for AJAX spinners removal on about page test (Dominic Cleal)
- fixes #18238 - use fixed model name in test expectation (Dominic Cleal)
- fixes #18232 - install phantomjs via npm (Dominic Cleal)
- Fixes #17681 - Switch to newly created taxonomy (Ondřej Pražák)
- Fixes #18205 - Add save_to_file macro (Marek Hulan)
- Fixes #18213 - Added webpack folder to string extraction (Shimon Shtein)
- Fixes #17872 - Update button label from New to Create (June Zhang)
- fixes #18214 - accept `params` as AC::Parameters or Hash (Dominic Cleal)
- fixes #18208 - replace audited-activerecord with audited (#4218) (Dominic Cleal)
- Refs #17653 - fix typo in show_hidden_parameters and add tests (orrabin)
- Fixes #16752 - Extract template code from Host::Managed (Daniel Lobato Garcia)
- Fixes #12649 - Index search not retained on cancel click (kgaikwad)
- fixes #18176 - replace clear_association_cache with reload (Dominic Cleal)
- fixes #18199 - empty parameter value is an empty string, not nil (Dominic Cleal)
- Refs #17653 - add show_hidden to apidoc (Ori Rabin)
- Refs #18143 - extend snippet_if_exists too (Marek Hulán)
- fixes #18159 - change incorrect clearing of test request session (Dominic Cleal)
- fixes #18155 - add string to empty form-encoded arrays in test (Dominic Cleal)
- fixes #18157 - use AS::Duration division to get days from expiry (Dominic Cleal)
- fixes #18010 - UI Notifications front-end implementation (Gail Steiger)
- fixes #17545 - adds UI notification support (Ohad Levy)
- Fixes #18143 - enable variables for snippets (#4205) (Marek Hulán)
- fixes #18130 - add autoincrement for bigint id columns (Timo Goebel)
- fixes #18136 - add indices for reports type column (Timo Goebel)
- Fixes #18127 - Correcting length of group base field (lizagilman)
- Fixes #18045 - Puppet classes show up choosing only env. (Daniel Lobato Garcia)
- Fixes #17844 - unify test mail js code (Tomer Brisker)
- Fixes #17898 - update rackspace to 0.1.4 (Amir Fefer)
- Fixes #18099 - Update the close button style (June Zhang)
- Fixes #6502 - List ignored classes and environments on import (Sebastian Gräßl)
- Fixes #10539 - Add default names for ifaces for oVirt CR VMs (Baptiste)
- Fixes #12547 - Added validators to interger fields (kgaikwad)
- Fixes #18085 - Update 'Build PXE Default' to secondary style (June Zhang)
- Fixes #17653 - Allow all parameters api to unhide values (Ori Rabin)
- fixes #17899 - Delete instead of destroy orphaned records (Ori Rabin)
- Fixes #15405 - Moved puppet UI to helpers (Shimon Shtein)
- fixes #13810 - increase value range for id columns (Timo Goebel)
- Fixes #18061 - Use the term 'Actions' consistently in smart proxy (Bryan Kearney)
- Refs #17972 - remove trends.js from assets initializer (Tomer Brisker)
- Fixes #14714 - Make inherited Puppet Classes more apparent (Sebastian Gräßl)
- refs #18031 - change Admin field string in PO, remove new string (Dominic Cleal)
- Fixes #17971 - move user taxonomyAdded js to webpack (Tomer Brisker)
- Fixes #4519, #9531 - Correctly handle invalid host name changes (Tomer Brisker)
- Fixes #18039 - Update documentation buttons style (June Zhang)
- Fixes #18025 - make user groups sortable (Marek Hulán)
- Fixes #18031 - unify admin flag label (Marek Hulán)
- Fixes #3551 - Show unavailable Puppet Classes in Host Group edit (Sebastian Gräßl)
- fixes #18024 - add 'image' search field to hosts (Dominic Cleal)
- Fixes #6952 - Set hostgroup after provisioning from pxe (amirfefer)
- Fixes #17972 - Simplify new trend form js and helpers (Tomer Brisker)
- Fixes #17330 - skip admin email if it's unknown (Marek Hulan)
- Fixes #18017 - Allow single/double quotes for HoundCI (Daniel Lobato Garcia)
- Fixes #17998 - Only print LDAP bind status if available (Daniel Lobato Garcia)
- Fixes #17438 - Disable selecting IPv6 on import (Shlomi Zadok)
- Fixes #17977 - remove ES6-promise polyfill (Tomer Brisker)
- Fixes #16782 - reset dhcp record cache after mac change (Marek Hulan)
- Fixes #17979 - Pin nokogiri to last version supporting ruby 2.0 (Tomer Brisker)
- Fixes #17864 - Show smart proxy errors on unattended fail (Daniel Lobato Garcia)
- Fixes #17904 - Show tooltips for long proxy log messages (Daniel Lobato Garcia)
- Fixes #17680 - templates_used host helper (Daniel Lobato Garcia)
- Fixes #15403 - moved puppet to a concern in hosts UI controller (Shimon Shtein)
- fixes #17657 - permit fog-aws 1.x (Dominic Cleal)
- Fixes #17913 - Remove deprecation message when loading ACE editor (Tomer Brisker)
- Fixes #17910 - Quote strings for JQuery href attribute selector (Sebastian Gräßl)
- Fixes #17855 - reflect changes to template on image selection (Shimon Shtein)
- Fixes #17457 - multiple_checkboxes doesn't work with orgs/locs (Daniel Lobato Garcia)
- Fixes #16740 - Access host params through macro (Ondrej Prazak)
- Fixes #17894 - load needed dependent api param group (Justin Sherrill)
- Fixes #17837 - Fix hosts:scan_out_of_sync task (Daniel Lobato Garcia)
- Fixes #17850 - Prevent 414 on architecture/usergroup (Daniel Lobato Garcia)
- fixes #4166 - vmware: update cpus, memory for vms (Timo Goebel)
- Fixes #17886 - move config groups under parameters (Marek Hulán)
- fixes #8290 - remove foreman_url redundancy (Timo Goebel)
- Fixes #17874 - Extract contains_erb? from lookup key (Tomer Brisker)
- Fixes #16682 - Compress webpack compiled assets (Tomer Brisker)
- Fixes #13775 - merge if data set is present (Amit Karsale)
- Fixes #17870 - Empty boolean matcher should not turn into false (orrabin)
- fixes #17853 - resolve ips in interface scope (Timo Goebel)
- Fixes #17810 - Deleting smart class parameters with puppetclass (orrabin)
- Fixes #17858 - OpenStack scheduler doesn't show spinner (Daniel Lobato Garcia)
- Fixes #10957 - Correctly handle to_gb when no unit given (Tomer Brisker)
- fixes #17600 - Storybook does not draw chart (Gail Steiger)
- Fixes #17852 - Pin concurrent-ruby-edge to 0.2.3 (Daniel Lobato Garcia)
- Refs #17602 - correct typo in mention-bot config (Tomer Brisker)
- Fixes #17846 - auth_source_ldaps API now displays taxonomies (Nagoor Shaik)
- Fixes #17842 - Adds 'type = compute_resource' to Audit search (Shlomi Zadok)
- Fixes #17015 - Adds Key pairs controller (Shlomi Zadok)
- fixes #17838 - translate New Hosts title string (Dominic Cleal)
- Fixes #17808 - fix 'multipart form data' IE bug (Amir Fefer)
- Fixes #17683 - Wrong resource type in HG AJAX permission check (Sean O\'Keeffe)
- Fixes #16850 - Added record of password change to audit log (dhlavac)
- Fixes #17813 - Add type=LookupValue to Audit search (Shlomi Zadok)
- fixes #16792 - don't modify AR record attributes in-place (Dominic Cleal)
- Fixes #17516 - Update jquery to 2.2.4 to fix XSS (Daniel Lobato García)
- Fixes #17641 - Use force when destroying VMs (Guido Günther)
- Fixes #17678 - APIdoc - URL desc add missing CR types (Swapnil Abnave)
- Fixes #16440 - Creating smart variable from index page (orrabin)
- fixes #17630 - show tooltips after deselecting selected item (kgaikwad)
- Fixes #17587 - remove autoprefixer gem (Tomer Brisker)
- Fixes #17679 - Fixing the style issues in Login Page (June Zhang)
- Fixes #17525 - Add a friendly error message to invalid dns_id (Shlomi Zadok)
- Fixes #17796 - bump to rubocop 0.46 (Shlomi Zadok)
- Fixes #17602 - mention-bot won't ping inactive past contributers (Tomer Brisker)
- fixes #17574, #17364 - update scoped_search to 4.x (Dominic Cleal)
- Fixes #5483,#11106 - pass the virtualswitch value to fog (Ivan Necas)
- Fixes #17632 - Reports widget will not fail on ambiguous filter (Tomer Brisker)
- Fixes #17666 - prevent migration failures on counter cache (Tomer Brisker)
- Fixes #17627 - remove tooltips after clicking back (Tomer Brisker)
- Fixes #17636 - token no longer needed for proxied preview (Lukáš Zapletal)
- Fixes #17654 - Add a mention bot config (David Davis)
- refs #17257 - remove interpolation from extracted string (Dominic Cleal)
- refs #17485 - use IP within host's primary subnet (Dominic Cleal)
- Fixes #17570 - Only execute `onContentLoad` once per page (Tomer Brisker)
- Fixes #17257 - Allow specific configs to be recreated (Trey Dockendorf)
- Fixes #17623 - include model in metadata (Marek Hulan)
- fixes #17485 - provision tftp for bond children (Timo Goebel)
- Fixes #17599 - Smart vars allow you to select 'none' class (Daniel Lobato García)
- Fixes #17611 - Localize smart variables strings (Daniel Lobato Garcia)
- fixes #15610 - choose firmware for vsphere vms (Timo Goebel)
- Fixes #6006 - Add options to disable updates from facts (Trey Dockendorf)
- fixes #16459 - remove 1.15 deprecations (Dominic Cleal)
- fixes #17395 - use admin user for load_template_vars (Dominic Cleal)
- Fixes #17042 - add logging of task statuses after orchestration (Lukáš Zapletal)
- Fixes #17592 - dont truncate on audit details page (Sean O'Keeffe)
- Fixes #17597 - Prevent error on saving empty dashboard (Tomer Brisker)
- fixes #17287 - add storybook support (Ohad Levy)
- Fixes #17503 - Only trigger PXELoader suggestion when needed (Tomer Brisker)
- Fixes #17580 - React Chart Component has unsafe function (Gail Steiger)
- Bump version to 1.15-develop (Dominic Cleal)
- fixes #3158 - Remove rescues from try calls in helper file (kgaikwad)
- Fixes #17548 - Orphaned smart class parameters are hidden (Ori Rabin)
- templates - sync from community-templates (Dominic Cleal)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- Fixes #12156 - Adds email configuration into Foreman settings (Amir Fefer)
- Refs #15779 - move the foreman-tasks to own bundle group (Ivan Necas)
- Fixes #17571 - Refactor tfm.tools to use ES6 syntax (Tomer Brisker)
- Fixes #17569 - prevent error on chart component unmount (Gail Steiger)
- Fixes #16907 - Sort proxy features on smart proxy display (Daniel Kimsey)
- Fixes #17561 - Allow Dynamic keyword in autoyast files (Klaas Demter)
- fixes #17095 - ensure subnet belongs to ip from facts (Timo Goebel)
- Fixes #17495 - align default task and report expiration (Marek Hulan)
- Fixes #15287 - Correct link from puppet proxy dashboard chart (Tomer Brisker)
- Fixes #16987 - Added ability to apply facet attributes (Shimon Shtein)
- fixes #17157 - inconsistent mapping of host owner (kgaikwad)
- Fixes #17535 - Associate host with multiple NICs to VMWare VM (treydock)
- Fixes #17487 - support sessions for api calls (Tomas Strachota)
- Fixes #17501 - Display tooltips on dashboard widgets (#4067) (Tomer Brisker)
- Fixes #17035 - removes webpack provider plugin (Gail Steiger)
- Refs #17491 - Revert "polyfill Map for ARMv8 node" (Michael Moll)
- Refs #1556 - Remove puppet docroot setting from db and tests (Tomer Brisker)
- fixes #17407 - add a new hosts dashboard widget (Timo Goebel)
- Fixes #1556, #11615 - Remove puppet rdoc support (Tomer Brisker)
- Fixes #17488 - Add confirmation to import db task (Daniel Lobato Garcia)
- Fixes #17439 - Moved facet base to a concern (Shimon Shtein)
- Fixes #16422 - Foreman API throws ruby exception with ovirt network API (Jan-Otto Kröpke)
- Fixes #17491 - polyfill Map for ARMv8 node (#4059) (Tomer Brisker)
- Fixes #17494 - Remove stray end statement (Abhay Kadam)
- fixes #11127 - show error when rebuild reboot fails (Timo Goebel)
- fixes #17484 - remove reported_at sequence from report factory (Dominic Cleal)
- Fixes #17483 - async task creation returns 202 (Marek Hulán)
- Fixes #17296 - Add setting access_unattended_without_build (treydock)
- fixes #17474 - DROP db prior to restore on postgres (Ohad Levy)
- Fixes #16935 - Allow : & . device ID if there isnt one set (Sean O'Keeffe)
- fixes #17476 - bmc power actions have correct status (Timo Goebel)
- Fixes #15779 - make background processing available (Marek Hulan)
- Fixes #17343 - set deep munge config off (kgaikwad)
- Fixes #17468 - build PXE returns error with no TFTP proxies (Amir Fefer)
- Fixes #17441 - override all parameters permission changed to edit (Ori Rabin)
- Fixes #17461 - use singular form for missing os (Conor O'Callaghan)
- Fixes #17458 - include user group admins (Marek Hulan)
- Fixes #16739 - unify parameters permissions (Marek Hulan)
- Fixes #17403 - enable exporting of templates (Marek Hulan)
- refs #14688 - correct i18n extraction for all new power methods (Dominic Cleal)
- Fixes #15232 - Showing inherited roles from User groups to user (dhlavac)
- refs #14688 - updated corret meta tag name and missing whitespace. (Ohad Levy)
- Fixes #14688 - Power status visible on hosts index page (Ondrej Prazak)
- Fixes #14951 - Allow matcher for host turning into managed host (Ori Rabin)
- fixes #17409 - show only real bmc power actions (Timo Goebel)
- Fixes #17436 - extract setting value placeholder in settings (amirfefer)
- Fixes #17279 - Changing os search in host to search on os_title (Ori Rabin)
- Fixes #17394 - remove npm shrinkwrap file (Tomer Brisker)
- Fixes #17303 - correct position of validation msg for parameters (kgaikwad)
- Fixes #17309 - Made facets resilient to class reloading (Shimon Shtein)
- fixes #17354 - test and improve idempotency of OS fact parser (Dominic Cleal)
- Fixes #17361 - ensure plugins migration paths are set (Ivan Nečas)
- refs #16899 - update help button on environments index (Dominic Cleal)
- fixes #17335 - parse Solaris update as minor version (Dominic Cleal)
- Fixes #16619 - Set EC2 VPC instance private IP from primary NIC (alejandrocfg)
- fixes #17340 - assign IPv6 address to Rackspace CR hosts (Dominic Cleal)
- Fixes #17334 - change password strength messages to imply warning (Marek Hulán)
- Fixes #17332 - Test email error renders properly in users (Amir Fefer)
- Fixes #17238 - Validates lookup value match exists in key path (Ori Rabin)
- fixes #16798 - move scoped_search definitions to STI subclasses (Dominic Cleal)
- Fixes #17200 - Add option datacenter to compute resource (Ranjan Kumar)
- Fixes #17297 - added PXE loader flags for Debian family (Lukáš Zapletal)
- fixes #17314 - use *_subnets permissions for Subnet subclasses (Dominic Cleal)
- Fixes #17277 - quote host properties (Mac Reid)
- fixes #17300 - accept Nic::Bond#attached_devices string inputs (Dominic Cleal)
- Fixes #17248 - Run js tests with node versions we use (Tomer Brisker)
- Fixes #16971 - CVE-2016-7077 remove unauthorized checkboxes (Marek Hulán)
- Fixes #15498 - removes scopes from includes in taxonomix (Marek Hulán)
- Fixes #17195 - CVE-2016-8634 escape html in alert text (Tomer Brisker)
- Fixes #17256 - ignore order in Authorizer (Marek Hulán)
- Fixes #17006 - added SSH BMC provider (Lukas Zapletal)
- Fixes #17264 - remove duplicit admin check (Marek Hulan)
- refs #17044 - update foreman-debug man page for -s option change (Dominic Cleal)
- Fixes #16546 - update facts on existing hosts (Justin Sherrill)
- Fixes #17255 - authorizer supports admin users (Marek Hulan)
- fixes #17236 - ensure source maps are available in dev env. (Ohad Levy)
- fixes #7152 - translate setting category names (Dominic Cleal)
- fixes #17170 - use strong params in InterfacesController (Dominic Cleal)
- Fixes #17206 - Use __() for js translations (Ondrej Prazak)
- fixes #17071 - set ip after acquiring compute details (Timo Goebel)
- Fixes #17044 - foreman-debug counts size instead lines (Pavel Moravec)
- fixes #17197 - don't update DNS on ip6 change to empty string (Dominic Cleal)
- Fixes #16646 - Add ability to plugins to modify index scope (Shimon Shtein)
- Fixes #17151 - sort PXE labels by hostgroup title (amirfefer)
- fixes #17187 - v6 ip not required when cr provides v4 (Timo Goebel)
- fixes #16951 - ipv6 compute orchestration (Timo Goebel)
- Fixes #17038 - Improve js testing coverage reporting (Gail Steiger)
- fixes #15519 - speed up host edit page rendering on vmware (Timo Goebel)
- Fixes #16218 - override settings per environment (Lukáš Zapletal)
- Fixes #17103 - search ignored taxonomies (Marek Hulán)
- fixes #17012 - openstack render scheduler_filter correctly (Timo Goebel)
- fixes #16091 - Fixed association Foreman host with Compute VM (Kęstutis Mizara)
- Fixes #16990 - make access_perm test reusable (Justin Sherrill)
- fixes #16996 - reduce eager_load of tables (Martin Schurz)
- Fixes #17153 - Consistent name for variable_type in the api (Ori Rabin)
- Fixes #17152 - Puppet proxy dashboard displays correctly (Tomer Brisker)
- Fixes #16704 - Allow filtering on dashboard (Tomer Brisker)
- fixes #11656 - disable cr interface fields on host edit (Timo Goebel)
- Fixes #17120 - Allow custom name for setting category (Ondrej Prazak)
- Fixes #16548 - Changing user own passwd require current passwd (dhlavac)
- Fixes #17084 - Add webpack on welcome and unauthorized pages (Sebastian Gräßl)
- fixes #16866 - don't call orchestration skip if unattended is off (Dominic Cleal)
- Fixes #12543 - enable utf-8 encoding in email address (amirfefer)
- Fixes #17107 - list override in filter API (Marek Hulan)
- Fixes #17104 - ignore resource via API (Marek Hulan)
- fixes #17086 - export nic ipv6 address for ENC (Timo Goebel)
- fixes #17007 - normalize dns records before comparison (Timo Goebel)
- fixes #17070 - unpin rabl to permit 0.13.1 (Dominic Cleal)
- fixes #17041 - skips orchestration when importing facts (Timo Goebel)
- fixes #16952 - pass type to proxy when destroying dns records (Timo Goebel)
- fixes #17011 - refactor BUNDLER_CMD in foreman-rake (Michael Moll)
- Fixes #16737 - Show correct folder level (Ondrej Prazak)
- refs #13968 - use existing feature to ensure reliable comparison (Dominic Cleal)
- Fixes #16962 - Typo on domains welcome page (Swapnil Abnave)
- fixes #16900 - ensure interface mac address is unicast (Timo Goebel)
- fixes #16821 - store plugin permissions in AccessControl in tests (Dominic Cleal)
- Fixes #16887 - Display errors from compute resource in VM tab (Daniel Lobato Garcia)
- Fixes #16899 - rename helper with conflicting path name (Marek Hulán)
- Fixes #6492 - ipmi_boot permission renamed to ipmi_boot_hosts (Daniel Lobato Garcia)
- Fixes #13968 - Add error when no known proxy features found (Shlomi Zadok)
- fixes #16819 - rebuild tftp with template kinds (Timo Goebel)
- fixes #16892 - secureheaders expects img_src parameter (Timo Goebel)
- refs #16725 - initialize smart_proxies for models (#3932) (Timo Goebel)
- Fixes #16834 - ignore docker interfaces (Ivan Nečas)
- refs #13424 - add wait_for_ajax to statistics page load test (Dominic Cleal)
- Fixes #16828 - cloned-roles - role.builtin must be 0 (Swapnil Abnave)
- Fixes #13424 - c3 patternfly react implementation (Gail Steiger)
- fixes #16805 - reload host parameters on host group change (Dominic Cleal)
- Fixes #16813 - improve error messages for associations (Marek Hulan)
- Fixes #5673 - Allow deletion of role with users (Shlomi Zadok)
- Fixes #13870 - encrypt specific settings values in db (amirfefer)
- fixes #16725 - add plugin extension point for smart proxies (Timo Goebel)
- Fixes #12864 - verify host owner taxonomies (Marek Hulan)
- Fixes #16806 - include renderer url dependencies (Marek Hulan)
- Fixes #16797 - Log pending migrations (Daniel Lobato Garcia)
- Fixes #16803 - tolerate templates without documentation (Marek Hulan)
- fixes #16749 - improve NIC update performance during fact imports (Dominic Cleal)
- refs #16689 - expand array of eager load tables (Dominic Cleal)
- Fixes #16785 - improve resource names for lookup keys (Marek Hulán)
- fixes #16786 - don't call to_sentence on associations (Dominic Cleal)
- refs #9016 - remove unnecessary condition, fix comment location (Dominic Cleal)
- fixes #16717 - input_group_btn option no longer added to field (Dominic Cleal)
- fixes #16718 - remove relation.to_a.delete_if in multiple actions (Dominic Cleal)
- refs #16702 - fix deprecation passing 'controller' etc. (Dominic Cleal)
- Fixes #16765 - DB IPAM works with excluded IPs (Marek Hulan)
- Fixes #14277 - Added description field to users (dhlavac)
- Fixes #15926 - [API] Add method to get ENC values of a host (Ondřej Pražák)
- fixes #16514 - redirect to login page if user is deleted (kgaikwad)
- Fixes #16649 - PXE helper pxe_kernel_options rendering (Lukáš Zapletal)
- Fixes #10930 - Make widget names and titles consistent (Bryan Kearney)
- Fixes #16114 - Expose host parameters to GET /api/hosts (Trey Dockendorf)
- Fixes #16723 - Lazy load data for dashboard widgets (Tomer Brisker)
- Fixes #12111 - Set width for host list action column (Tomer Brisker)
- fixes #16700 - change CatchJsonParseErrors test to cleanup driver (Dominic Cleal)
- Fixes #16681 - strong params in config groups API (Ranjan Kumar)
- Refs #16689 - Missing DRY index action controllers (Daniel Lobato Garcia)
- Fixes #16689 - DRY index action with search (Shlomi Zadok)
- Fixes #16702 - pass params to dashboard widgets (Tomer Brisker)
- fixes #16635 - welcome page works with scoped models (Timo Goebel)
- Fixes #6372 - User inherits taxonomies from LDAP on creation (Daniel Lobato Garcia)
- Fixes #16614 - Humanize Audit class name (Shlomi Zadok)
- Fixes #4608 - Added description field to role (dhlavac)
- Fixes #16624 - Make AuthSourceLDAP taxable (Daniel Lobato Garcia)
- Fixes #14375 - Add search to bookmarks controller (Shlomi Zadok)
- Fixes #16643 - Display origin for facts (Daniel Lobato Garcia)
- refs #16557 - move templates helper test to correct dir (Dominic Cleal)
- fixes #16557 - move tests into modern Rails layout (Dominic Cleal)
- Fixes #16633 - AuthSourceLDAP uses *_authenticators filters (Daniel Lobato Garcia)
- fixes #16547 - handle nil value from get_interface_scope (Dominic Cleal)
- Refs #16074 - Load .env when not running a Procfile (Ondrej Prazak)
- Fixes #9016 - improved fact loading performance (Lukas Zapletal)
- Fixes #16286 - Move multiselect from gem to npm (Tomer Brisker)
- Fixes #15703 - Singularize media in api doc for orgs (Ondrej Prazak)
- Fixes #16652 - UEFI Grub2 support for non-intel archs (Lukas Zapletal)
- Fixes #16625 - Deprecate show_taxonomy_tabs? helper (Daniel Lobato Garcia)
- Fixes #12535 - expose config_groups in ENC (Shlomi Zadok)
- Fixes #16167 - added list of safemode methods (Lukas Zapletal)
- Fixes #5901 - fine grain for vmware CPU selectors (Marek Hulan)
- Fixes #16577 - enhance unit detection (Marek Hulan)
- Fixes #15543 - External method to search fact's hostgroup (Shlomi Zadok)
- fixes #16578 - make keep_param idempotent, remove duplicate call (Dominic Cleal)
- Fixes #16530 - Redirect login page back if active session (Swapnil Abnave)
- Fixes #16532 - fixed hostgroup architecture params (Lukas Zapletal)
- Fixes #14837 - Reword Puppet import buttons (Shlomi Zadok)
- refs #15846 - correct spelling of parameter (Dominic Cleal)
- templates - sync from community-templates (Stephen Benjamin)
- Fixes #16599 - Shrinkwrap npm modules (Tomer Brisker)
- Fixes #16372 - Convert the header logo to svg instead of png (Bryan Kearney)
- fixes #16580 - redact BMC password in ENC/templates with setting (Dominic Cleal)
- fixes #16576 - only load FactName IDs, not models during import (Dominic Cleal)
- Fixes #16566 - Allow css inline images (Tomer Brisker)
- Fixes #16565 - Correct host search by parameters (Tomer Brisker)
- Fixes #13704 - Defensive association name setter When setting an association by name (e.g., hostgroup_name, organization_name) and the name does not exist, we raise a not found error (Shlomi Zadok)
- fixes #16567 - use constants to register Rack middleware (Dominic Cleal)
- Fixes #13936 - Drop support for legacy browsers (Tomer Brisker)
- Fixes #10395 - fine grain for CPU selectors (Marek Hulan)
- Fixes #14101 - Exception triggered when editing/adding a role (dhlavac)
- Fixes #16562 - Enable JS testing on CI (Daniel Lobato Garcia)
- fixes #16527 - replace where_values calls on relations (Dominic Cleal)
- Fixes #16564 - Disable FrozenStringLiteralComment cop (Tomer Brisker)
- fixes #16545 - correctly search for classes from YAML import (Dominic Cleal)
- Fixes #13748 - Add testing tools for code under webpack (Daniel Lobato)
- Refs #3809 - Turn on MultilineTernaryOperator rubocop (David Davis)
- Fixes #14545, #13104 - Correctly parse y.z minor OS versions (Tomer Brisker)
- fixes #16529 - require rake/testtask explicitly (Dominic Cleal)
- Fixes #16074 - Adds BIND variable to startup process (Shlomi Zadok)
- Fixes #16125 - add owner type validation (Shimon Shtein)
- refs #15846 - hide API deprecation warnings in tests (Dominic Cleal)
- Fixes #16525 - host/hostgroup - include _name fields for proxy (Brad Buckingham)
- Fixes #16219 - Interfaces API works with scoped view_hosts (Daniel Lobato)
- fixes #16512 - remove Setting#respond_to_missing? (Dominic Cleal)
- Fixes #16378 - Move default_value casting to lookup_key children (Ori Rabin)
- Fixes #16397 - set nested template_combo. objects to optional (Shimon Shtein)
- Fixes #16491 - Upgrade rubocop to version 0.42 (Tomer Brisker)
- Fixes #9117 - Upgrade secure_headers to version 3.4 (Tomer Brisker)
- Fixes #16483 - Remove deprecated 'search_by_name' from Puppetclass (Shlomi Zadok)
- Fixes #16414 - reword alphanumeric validation error message (Shlomi Zadok)
- Fixes #16092 - Test connection buttons don't disapper on error (Tomas Strachota)
- Fixes #16293 - Move vendored diff.js to webpack (#3784) (Tomer Brisker)
- Fixes #16072 - Fixes compute profile two pane (Tomas Strachota)
- Fixes #16463 - Fix with_taxonomy_scope when taxable_ids = [] (Daniel Lobato)
- Fixes #16424 - extracted create_new_host_when_facts_are_uploaded (Lukas Zapletal)
- Fixes #16461 - expose override in filter API (Marek Hulan)
- Refs #7233 - Fixing erroneous rubocop config (David Davis)
- Fixes #15846 - Renamed use_puppet_default to omit in LookupValue (Shimon Shtein)
- fixes #15248 - remove 1.14 deprecations (Dominic Cleal)
- Fixes #15992 - Truncate compute resources name in about page (Shlomi Zadok)
- Fixes #16439 - Don't fail recreate if DNS is ok (Guido Günther)
- Fixes #16407 - reword import environments title (Shlomi Zadok)
- Fixes #16380 - Eager load hosts attributes Since Rails 4, in order to load delegated attributes, we need to use 'eager_load' instead of 'includes' (Shlomi Zadok)
- Fixes #16449 - reordered taxonomy detection during import (Lukas Zapletal)
- Fixes #16415 - Accept unwrapped hash with 'layout' attribute (Shlomi Zadok)
- Bump version to 1.14-develop (Dominic Cleal)
- Fixes #2314 - fine grain for RAM selectors (Marek Hulan)
- Fixes #16290 - Move ipaddr.js from bundle to npm (Tomer Brisker)
- fixes #15590 - ipv6 tftp orchestration (Timo Goebel)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #16358 - Load dashboard on puppet proxy view (Tomer Brisker)
- Fixes #16389 - enable taxable object creation in specific context (Marek Hulan)
- Fixes #13047, #16291 - Upgrade datatables and move it to npm (Tomer Brisker)
- Fixes #16416 - Enable reterive password_hash from templates (Sean O'Keeffe)
- Fixes #16405 - Allow roles search by builtin flag (Marek Hulan)
- Fixes #16318 - PXE templates now work in safemode (#3783) (Lukáš Zapletal)
- Fixes #16164 - False positives on testing CR connection (Tomas Strachota)
- Fixes #16144 - vmWare datacenter error in connection test (Tomas Strachota)
- Fixes #16357 - Losslessly optimized assets (Jon de la Vega)
- Refs #15814 - Reset override params only for PuppetclassLookupKey (Ori Rabin)
- Fixes #16379 - Improve layout of hostname randomize button (Tomer Brisker)
- Fixes #16371 - Add support for login page dynamic text (Bryan Kearney)
- Fixes #16384 - Localize the names for email prefs (Bryan Kearney)
- fixes #16376 - use correct params filter for nested Puppet LKs (Dominic Cleal)
- Fixes #16163 - Hide spinner for vmware cluster (Ondrej Prazak)
- Refs #16222 - remove no-global-assign rule from eslint (Tomer Brisker)
- Fixes #14771 - Show corresponding os list for arch (Ondrej Prazak)
- Fixes #16211 - show host autocomplete in audit search (amirfefer)
- Fixes #14468 - fix db:migrate when unattended false on empty db (Ori Rabin)
- refs #16260 - wait for AJAX on main dashboard page test (Dominic Cleal)
- Fixes #7806 - allow taxonomy association on role level (Marek Hulan)
- Fixes #16057 - added dns_lookup template helper (Lukas Zapletal)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- Fixes #16264 - Template combinations cannot be created (Daniel Lobato)
- refs #1170 - capitalize statistics heading (#3780) (Dominic Cleal)
- fixes #1170 - adds additional charts to statistics page (Ohad Levy)
- refs #12634 - remove blank i18n string, match capitalisation (Dominic Cleal)
- Refs #16222 - Increase scope of eslint ignore (Tomer Brisker)
- refs #12544 - replace ordered interpolation with named variables (Dominic Cleal)
- Fixes #12634 - New HW Model flag pxe_loader (Lukas Zapletal)
- Fixes #12544 - added errors from host to cancelBuild Now the flash will contain detailed error messages. (Shimon Shtein)
- Fixes #16260 - Wait for dashboard to fully load in test (Tomer Brisker)
- Fixes #15814 - Reset override params when override is off (David Davis)
- Fixes #16044 - Load dashboard widgets via ajax (Tomer Brisker)
- templates - sync from community-templates (Dominic Cleal)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- fixes #16243 - make Host::Managed.new's options arg optional (Dominic Cleal)
- Fixes #16238 - Speed up dashboard loading time. (Ohad Levy)
- Fixes #16239 - Enable rubocop checks on HoundCI (#3767) (Daniel Lobato García)
- Fixes #16197 - Host#smart_proxies returns only the host proxies (Daniel Lobato)
- fixes #16220 - replace skip_callback class changes with stubs (Dominic Cleal)
- fixes #16221 - replace private AS timezone listing method (Dominic Cleal)
- Fixes #15806 - add babel-eslint dependency to package.json (Gail Steiger)
- Fixes #16222 - Make HoundCI round ESLint on new JS (Daniel Lobato)
- fixes #15806 - Add linting to webpack (Gail Steiger)
- fixes #16199 - always run build related callbacks (Timo Goebel)
- Fixes #16061 - auto ip assignment for non-primary interfaces (Klaas Demter)
- Fixes #16120 - Allow including css in webpack assets (Tomer Brisker)
- fixes #16172 - remove base_class override in template subclasses (Dominic Cleal)
- fixes #16193 - change templates.type default to known STI class (Dominic Cleal)
- fixes #16198 - remove therubyracer Bundler group (Dominic Cleal)
- Fixes #16212 - Fix test filenames (David Davis)
- fixes #16196 - fix typo in image scoped search (Martin Ducar)
- fixes #16194 - correct table name in remove_foreign_key call (Dominic Cleal)
- fixes #16166 - exclude node_modules/ directory from rubocop (Dominic Cleal)
- Fixes #16104 - Use parameterizable for HW models (Tomer Brisker)
- Fixes #16073 - match up nic identifiers for unmanaged hosts (Justin Sherrill)
- Fixes #16139 - Add link to code contribution in CONTRIBUTING.md (Klaas Demter)
- Fixes #16025 - Fix ERB & params to import subnets from proxy (Daniel Lobato)
- fixes #16142 - replace Unicode copyright with HTML encoded symbol (Dominic Cleal)
- Refs #12364 - webpack server can serve assets on https (Marek Hulan)
- Fixes #16075 - add authenticity token in setting params (amirfefer)
- fixes #16085 - update Rails to 4.2.7.1 (Dominic Cleal)
- Refs #12364 - Only load the dev server js if it's enabled (Tomer Brisker)
- Fixes #15364 - disable Style/ClassCheck cop (Marek Hulan)
- fixes #16089 - replace flot-rails with npm jquery-flot (Dominic Cleal)
- fixes #16083 - pin gettext_i18n_rails for Ruby 2.0.0 (Dominic Cleal)
- Refs #12364 - Allow running webpack dev server on any hostname (Tomer Brisker)
- Fixes #16020 - Prevent reflective XSS on form validation (Tomer Brisker)
- fixes #15787 - update shoulda-matchers to 3.x (Dominic Cleal)
- fixes #16046 - run webpack:compile as pre-req to test rake tasks (Dominic Cleal)
- Fixes #16024 - escape labels of form fields (Marek Hulan)
- Fixes #12364 - Use NPM+Webpack to handle external assets (Tomer Brisker)
- Fixes #12488 - Add admin flag to usergroup param description (Martin Bačovský)
- fixes #16039 - update fog-openstack paths to load extensions (Dominic Cleal)
- Fixes #16022 - Prevent stored XSS in host interface form (Tomer Brisker)
- refs #13768 - add random_name call to create_hosts permission (Dominic Cleal)
- Fixes #13813 - Removed "\ " so ruby 1.8 could read the ENC (Shimon Shtein)
- Fixes #15921 - add host command to foreman-debug (Chris Roberts)
- Fixes #15924 - Implement server groups and scheduler hints (elad)
- Fixes #13768 - random and MAC-based name generator (Lukas Zapletal)
- Fixes #15996 - Multiple nav bars (aagrawal)
- fixes #15977 - change enc output in a compatible way (Timo Goebel)
- fixes #15989 - add clone host button to host view (Timo Goebel)
- fixes #15919 - statistics page is loaded via AJAX (Ohad Levy)
- fixes #15975 - replace instance variable ref in subnet partial (Dominic Cleal)
- fixes #15951 - pass interface compute_attributes (Timo Goebel)
- Fixes #15953 - pin fast_gettext gem (Ori Rabin)
- Fixes #15833 - remove duplicities in smart params listings (Martin Bačovský)
- Fixes #14301 - Grant access to help pages for view permissions (dhlavac)
- Fixes #7955 - /apidoc should point to v2 documentation by default (Ranjan Kumar)
- Refs #15925 - unpin audited gem (Tomer Brisker)
- Fixes #15925 - pin audited gem to allow tests to pass (Tomer Brisker)
- fixes #15894 - retry intermittently failing integration tests (Dominic Cleal)
- fixes #3917 - replace protected_attrs with strong parameters (Dominic Cleal)
- fixes #15863 - add short session or request ID to logs (Dominic Cleal)
- fixes #15847 - change mailer helpers from paths to URLs (Dominic Cleal)
- Fixes #14518, #14516 - status change ignores validations (Marek Hulan)
- Fixes #15771 - add :token to the values returned by the API (Vincent Lequertier)
- fixes #15829 - remove ace-rails-ap file modes from app.js (Dominic Cleal)
- Refs #3809 - Using defaults for AndOr cop (David Davis)
- Fixes #15773 - disambiguate table name (Brandon Weeks)
- Fixes #15037 - Improves editable elements in settings (amirfefer)
- Fixes #15684 - foreman-rake without options raise an error (Ranjan Kumar)
- fixes #15762 - move flash testing out of integration test (Dominic Cleal)
- fixes #15761 - wait for domain and unused_ip AJAX calls (Dominic Cleal)
- fixes #15709 - fix SuSE mediapath in PXELinux templates (Michael Moll)
- fixes #15753 - unpin pg gem, match Rails requirement (Dominic Cleal)
- Fixes #15675 - Improve report expiry performance (Tomer Brisker)
- fixes #15751 - replace spork with spring in development (Dominic Cleal)
- fixes #15682 - don't save invalid attributes at login from LDAP (Dominic Cleal)
- Fixes #15718 - Correctly display hash parameters (Tomer Brisker)
- Refs #12193 - Remove remaining cached counters (Tomer Brisker)
- Fixes #12193 - Stop using counter_cache for host[group] counts (Tomer Brisker)
- Fixes #15653 - CVE-2016-5390 fix permissions for host API (Daniel Lobato)
- fixes #15720 - rename *_filter to *_action (Dominic Cleal)
- Fixes #15681 - Upgrade Fog Openstack to at least version 0.1.7 (Imri Zvik)
- Fixes #13529 - Remove duplicate permissions A migration which adds unique constraint and removes duplicate permissions (Shlomi Zadok)
- fixes #15704 - use sendmail for email.yaml (Stephen Benjamin)
- fixes #15699 - set a default FQDN/domain in test environment (Dominic Cleal)
- Fixes #15527 - api/v2/hosts is slow loading permissions (Daniel Lobato)
- Fixes #15712 - Pinning rabl to less than 0.13 (David Davis)
- Fixes #11749 - puppet env jquery selector more restrictive (Justin Sherrill)
- Fixes #14720 - Handling invalid email from auth source (Ashish Humbe)
- fixes #14666 - support IPv6 in UI (Timo Goebel)
- Fixes #15134 - wait for ajax in interface test (Ivan Nečas)
- Fixes #15655 - Improve ptable migration (Shlomi Zadok)
- Fixes #15490 - adding view_host filter and better msg (Lukas Zapletal)
- Fixes #15629 - parameters form shows new parameters after error (Ori Rabin)
- fixes #15659 - replace deprecated Object#timeout call (Dominic Cleal)
- Fixes #15657 - Correct import button styling (Tomer Brisker)
- Fixes #15464 - support partials in pagelet keys (Ondrej Prazak)
- Fixes #15644 - Move enable/skip_orchestration to Host::Managed (Daniel Lobato)
- Refs #3809 - Turning on the AndOr cop (David Davis)
- fixes #15635 - tests for dns orchestration (Timo Goebel)
- Fixes #15599 - Unattended controller can access host params (#3629) (orrabin)
- fixes #15625 - vmware: add cdrom only when selected (Timo Goebel)
- fixes #15622 - add about link for non-admin user (aagrawal)
- Refs #3809 - Turning on some Lint cops (David Davis)
- Fixes #15601 - to_ip_address cannot retrieve PTR4 record (Daniel Lobato)
- Fixes #14817 - load JS only in relevant pages (Tomer Brisker)
- fixes #4528 - import structured Puppet facts (Dominic Cleal)
- fixes #13845 - remove 1.13 deprecations (Dominic Cleal)
- Refs #13164 - Consistent parameters authorization in api (Ori Rabin)
- fixes #15575 - add factories and functional trend tests (Dominic Cleal)
- Fixes #15576 - Pin GCE-client to < 0.9 (Daniel Lobato)
- fixes #15573 - support rest-client 2.x (Dominic Cleal)
- Fixes #15570 - Fixed query syntax in ForemanTrend#find_hosts (Klaas Demter)
- Fixes #14410 - respond 503 when pending migration (Ivan Nečas)
- Fixes #15370 - Validate settings values (Ondrej Prazak)
- refs #15336 - use i18n variable names and plural form (Dominic Cleal)
- Fixes #15471 - Find CA expiry even if some dates are missing (Tomer Brisker)
- fixes #15525 - always update facts (Stephen Benjamin)
- Fixes #15336 - Enables proper deletion of Orgs (Partha Aji)
- Fixes #15140 - Correctly handle failed setting change (amirfefer)
- Fixes #15308 - Override validation doesn't run without changes (Ori Rabin)
- Fixes #15306 - Catches exceptions in the orchestration (Shimon Shtein)
- Fixes #15534 - Stop stripping whitespace in parameter values (Tomer Brisker)
- fixes #15508 - allow duplicate networks (Timo Goebel)
- Fixes #4477 - Host[group] form only show authorized resources (Tomer Brisker)
- fixes #14665 - support IPv6 via API (Timo Goebel)
- fixes #14663 - support IPv6 DNS orchestration (Timo Goebel)
- Fixes #15234 - search usergroup by role (Ori Rabin)
- Fixes #15439 - improved error reporting for media (Lukas Zapletal)
- Fixes #13164 - Add view_params permission (Ori Rabin)
- fixes #15466 - require e-mail for current user (Timo Goebel)
- fixes #9110 - add freeip route to API (Timo Goebel)
- Fixes #15268 - limit user taxonomies using my scopes (Marek Hulan)
- Fixes #5785 - override class parameter by subnet name (Ori Rabin)
- Fixes #14953 - update LICENSE file (Tomer Brisker)
- fixes #15431 - apply btn CSS to action selects with one item (Dominic Cleal)
- fixes #15355 - close interface modal at cr change (Timo Goebel)
- Fixes #8289 - handle user data in ovirt (karimb)
- Fixes #15333 - Moved puppet environment field to helper (Shimon Shtein)
- fixes #15416 - update untouched templates during seed (Stephen Benjamin)
- fixes #15391 - quote host group search links (Mac Reid)
- fixes #15363 - construct correct templates query for new hosts (Dominic Cleal)
- Fixes #15362 - improve global status audit logs (Marek Hulan)
- Fixes #15345 - allow changing oVirt CA certificate (Marek Hulan)
- fixes #14913 - configure Hirb/Wirb via irbrc (Dominic Cleal)
- Fixes #14783 - Limit OS description to 255 (Daniel Lobato)
- Fixes #15372 - Merge the correct hash when adding new volumes (Guido Günther)
- Fixes #15344 - recover from fingerprint error on validation (Marek Hulan)
- Fixes #14955 - Show nice message for invalid mac, ip (Ondrej Prazak)
- Fixes #14481 - make bootable radio button checkable (Marek Hulan)
- Fixes #15278 - taxonomies support granular filters (Marek Hulan)
- Fixes #15276 - view permissions start with view (Zach Huntington-Meath)
- fixes #15250 - ignore current controller from link_to/hash_for (Dominic Cleal)
- Fixes #15092 - CSV exporter rake task (Lukas Zapletal)
- fixes #14664 - support IPv6 in Nic, Hosts and Hostgroups models (Timo Goebel)
- Fixes #15225 - correct permission mapping for api puppet import (Tomer Brisker)
- Fixes #15246 - correctly override array params (Ori Rabin)
- Fixes #8797 - Separate style from the HTML in emails (amirfefer)
- Fixes #15238 - ignore empty NIC identifiers (Marek Hulan)
- fixes #15247 - reference PuppetError class correctly (Dominic Cleal)
- Bump version to 1.13-develop (Dominic Cleal)
- Fixes #15066 - operating systems and ovirt < 3.6 (Ivan Nečas)
- Fixes #15213 - handle host update when proxy is unreachable (Marek Hulan)
- Fixes #15166 - correct layout of dashboard when zoomed (Tomer Brisker)
- Fixes #6539 - missing templates error is now descriptive (Lukas Zapletal)
- fixes #15223 - query parameters are now correct. (Ohad Levy)
- Fixes #15137 - Find correct jnotify container (Ondrej Prazak)
- Fixes #15155 - skip single validation when importing puppetclass (Ori Rabin)
- Fixes #15182 - limit user taxonomies in API (CVE-2016-4451) (Marek Hulan)
- Fixes #14546 - ability to restrict *_external_variables Fixes #14535 - corrects permissions for smart class parameters (Ori Rabin)
- Fixes #14879 - Fixed query syntax in FactTrend#find_hosts (Shimon Shtein)
- fixes #14905 - enable DHCP orchestration with any boot mode (Dominic Cleal)
- Fixes #15163 - use new oVirt CA cert endpoint (Lukas Zapletal)
- fixes #15176 - match fog's pin of fog-google (Dominic Cleal)
- Fixes #15050 - Scoped search hostname w/o field no longer ISEs (John Mitsch)
- Fixes #15174 - make sure to return 404 when taxonomy not found (Ivan Nečas)
- fixes #13698 - update rest-client and rbovirt gems (Michael Moll)
- fixes #14509 - refactor enc_output to be a generic exporter (Stephen Benjamin)
- fixes #8884 - drop Gemfile support for Ruby 1.9.3 (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- i18n - add pl (Polish) (Dominic Cleal)
- fixes #10956 - add annotation support for vmware (Timo Goebel)
- Fixes #14541 - foreman-rake must preserve environment variables (Stijn Tintel)
- Fixes #15154 - Added more safety measures to libvirt (Shimon Shtein)
- fixes #15054 - stub calls to CR in ComputeAttribute factory (Dominic Cleal)
- fixes #3910 - add cdrom drive support for vmware (Timo Goebel)
- Fixes #15151 - properly convert Fog VMs to_s (Ivan Nečas)
- Refs #13741 - Hidden values use masked input for default value (Tomer Brisker)
- fixes #14865 - use waiting selector to search for checked boxes (Dominic Cleal)
- Fixes #15077 - Error HTML tags are shown (Daniel Lobato)
- Fixes #15090 - Add scrolling to taxonomy selection (Tomer Brisker)
- Fixes #14962 - support wildcard certs for proxy authentication (Marek Hulan)
- Fixes #15046 - Add bmc_nic related attributes to jail (Baptiste Agasse)
- fixes #12425 - do not trigger orchestration during fact import (Timo Goebel)
- Fixes #14969 - correctly reload custom statuses (Marek Hulan)
- fixes #14642 - support AAAA and PTR-Records in dns lib (Timo Goebel)
- fixes #15060 - permit activerecord-session_store 1.x (Dominic Cleal)
- Fixes #15038 - reset User cache during migration (Brad Buckingham)
- Fixes #15011 - don't expect the facet tables in migration (Ivan Nečas)
- fixes #14892 - some plugins break javascript topbar behavior (Gail Steiger)
- Fixes #15047 - Improve audit email details (Trey Dockendorf)
- fixes #15040 - remove user fragment cache initializer (Dominic Cleal)
- Fixes #12339 - Reuse to-be-deleted matchers while creating new (Adam Ruzicka)
- Fixes #12225 - invalidate topbar cache after restart (Lukas Zapletal)
- Fixes #14313 - improve facts navigation and URL (Marek Hulan)
- Refs #3809 - Turning on some rubocop cops (David Davis)
- Fixes #14957 - Use a temporary status file to store exit status (Greg Sutcliffe)
- Fixes #15020 - display only selected oVirt network (Marek Hulan)
- Fixes #15009 - Make the method boot_files_uris public (Vincent Lequertier)
- fixes #14874 - do not run path replace during vmware clone (Timo Goebel)
- Fixes #14981 - use root_object for host RABL (Lukas Zapletal)
- Fixes #14980 - fixed unused_ip API subnet param (Lukas Zapletal)
- Fixes #14963 - supports dynamic content in setting select box (amirfefer)
- fixes #13437 - Bookmarks public attribute set to required (Roman Plevka)
- Fixes #14977 - Report show toolbar has buttons instead of links (Ondrej Prazak)
- Fixes #12945 - use helper for table css classes (Ondrej Prazak)
- Fixes #14869 - Adds import button to environments welcome page (Shlomi Zadok)
- Fixes #14965 - turn off auditing during DB migrations (Martin Bačovský)
- Fixes #14960 - Improve settings helper for collections (Tomer Brisker)
- Fixes #14877 - Adds glossary to dashboard API (Shlomi Zadok)
- Fixes #6958 - supports in nested hostgroup in default PXE menu (amirfefer)
- fixes #14133 - update to rubocop 0.39.0 (Dominic Cleal)
- Fixes #13741 - Prevent hidden parameters from erasing newline (Tomer Brisker)
- Fixes #14924 - Improve performance of taxonomy edit page (Tomer Brisker)
- fixes #14661 - support IPv6 subnets (Timo Goebel)
- Fixes #3200 - Add select boxes to settings (amirfefer)
- Fixes #14701: Mention image password in API docs and tests (Guido Günther)
- Fixes #14927 - correct override value requirment (Ori Rabin)
- fixes #14912 - setup console gems under bundler_ext (Dominic Cleal)
- Fixes #14934 - Remove rails 3.2 workaround from parameter model (Tomer Brisker)
- Fixes #14746 - Template kinds translated  in provisioning template form dropdown (Ondrej Prazak)
- Fixes #14898 - Fix for config task Removing undefined variable took care of it. (Ondrej Prazak)
- Fixes #14795 - User w/o edit_params permission can save host (Tomer Brisker)
- Fixes #14079 - display_link_if_authorized not hidden when disabled (Ondrej Prazak)
- Fixes #6977 - default PXE menu's labels are sorted (amirfefer)
- fixes #14887 - remove unused test-unit dep (Dominic Cleal)
- Fixes #14843 - Improve rake config error handling (Daniel Lobato)
- fixes #14876 - permit wirb 2.x on Ruby 2.x (Dominic Cleal)
- fixes #14866 - prod2dev Rails 4 compatibility (Dominic Cleal)
- fixes #14855 - hide template type dropdown when snippet checked (Dominic Cleal)
- Fixes #11079 - Handle oVirt with missing template version name (Tomer Brisker)
- fixes #14820 - override Rails log level with Foreman::Logging config (Dominic Cleal)
- Fixes #14726 - disabled delete button in interfaces doesn't delete (Ori Rabin)
- fixes #14864 - show link to subnet in host nic info (Timo Goebel)
- Fixes #14679 - Fix tabbing of puppet CA in proxy (Tomer Brisker)
- Fixes #13819 - avoid facts mismatches on import (Marek Hulan)
- Fixes #14730 - Only search host proxies explicitly (Tomer Brisker)
- Fixes #14790 - reloads puppetclass parameters when choosing os and domain (Ori Rabin)
- Fixes #14778 - Ensure parsing complex types keep target type (Luis Fernandez Alvarez)
- Fixes #14735 - avoid double sweeping of User topbar cache (Marek Hulan)
- fixes #14810 - change duplicate test class name (Dominic Cleal)
- refs #14072 - fix test to check correct login return path (Dominic Cleal)
- fixes #14765 - exclude job templates from template sync (Stephen Benjamin)
- fixes #14742 - retrieve template kind labels from plugin regs (Dominic Cleal)
- fixes #14781 - stub network calls for host_build_status_test (Timo Goebel)
- Fixes #14768 - Ellipsis for smart proxy name in table on index page (Ondrej Prazak)
- Fixes #14769 - avoid template comments because of deface (Marek Hulan)
- Fixes #14748 - latest_events should use filters (Shlomi Zadok)
- Fixes #14744 - Adds auto_complete_search route to compute_profiles (Shlomi Zadok)
- fixes #14741 - translate template kind string, not object (Dominic Cleal)
- refs #14395 - change user-friendly template kind names (Dominic Cleal)
- Fixes #14072 - Use to_hash when requesting session original_uri (Shlomi Zadok)
- fixes #13244 - update Rails to 4.2.6 (Dominic Cleal)
- refs #14691 - user editing self should not change User.current (Dominic Cleal)
- Fixes #14395 - Label for provision template capitalized in os details page (Ondrej Prazak)
- fixes #14638 - Refactor Subnet into STI to allow different subnet types (Timo Goebel)
- Fixes #14376 - Cut long bookmark names (Shlomi Zadok)
- Fixes #14691 - User #to_label should show persisted name (Shlomi Zadok)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #14456 - Cleanup navbar handling code and style (Tomer Brisker)
- Fixes #14686 - Allow scoped search on ID for organizations (Andrew Kofink)
- Fixes #14635 - bump safemode version to fix the unwanted inspect issue (Ivan Nečas)
- Fixes #9584 - User email address length can be longer than 60 (Daniel Lobato)
- Fixes #14645: fix production images for plugins. (Walden Raines)
- Fixes #14636 - correctly search puppet class on host form (Tomer Brisker)
- Fixes #6167 - 'Deployed on' dropdown in hosts/new form disabled until ajax on hostgroup_changed is resolved (Ondrej Prazak)
- fixes #14639 - add stubbing for template proxy with no templateServer test (Timo Goebel)
- Fixes #10605 - handle logout accessed by GET (Marek Hulan)
- Fixes #11434 - vdsmdummy interfaces are ignored (Marek Hulan)
- fixes #14640 - add missing whitespace to template text (Ohad Levy)
- Fixes #14588 - introduce plugin API for extending template helpers (Marek Hulan)
- Fixes #14563 - Improve dashboard layout (Tomer Brisker)
- Fixes #14586 - Associate default templates to Orgs and Locs during seed (Marek Hulan)
- Fixes #12318 - support preview for deb-based distros (Marek Hulan)
- Fixes #14190 - consistent api output and search options (Ori Rabin)
- Fixes #14521 - better error on missing PXELinux template (Lukas Zapletal)
- Fixes #14566 - remove show_console_action function (Tomer Brisker)
- Fixes #14559 - Added support for overriding base url for documentation (Shimon Shtein)
- Fixes #10278 - don't replace . with - for oVirt VM anymore (Ivan Nečas)
- Fixes #6959 - set operating system for RHEV/ovirt VMs (Ivan Nečas)
- Fixes #14369 - Removed default scope from host counter in taxonomies (Shimon Shtein)
- Fixes #14572 - fix updating storage in compute profiles based on template (Ivan Nečas)
- Fixes #13986 - don't use image unless in image provisioning method (Ivan Nečas)
- Fixes #14575 - fix domain ENC info (Marek Hulan)
- Fixes #14564 - correct button styling (Tomer Brisker)
- Fixes #14261 - User API should return correct admin status (Ranjan Kumar)
- Fixes #10978 - fix possibility to assign networks in compute profile for ovirt (Ivan Nečas)
- fixes #14567 - permit fast_gettext 1.x (Dominic Cleal)
- Fixes #14508 - foreman-rake console can take arguments (Dominique Quatravaux)
- fixes #14555 - use new_link on hostgroups welcome page (Stephen Benjamin)
- fixes #14502 - fix documentation of the hosts controller for puppetclass_ids (Evgeni Golov)
- Fixes #14173 - Puppet Summary Report host listing should be alphabetically sorted. (Ranjan Kumar)
- Fixes #14479 - removed unwanted check for token param (Lukas Zapletal)
- Fixes #14476 - Correctly handle casting of invalid real param values (Tomer Brisker)
- Fixes #10053 - search in logs must be explicit (Marek Hulan)
- fixes #14511 - bookmark editing ensures the query field is populated (Ohad Levy)
- Fixes #1329 - encrypt BMC password in DB (amirfefer)
- Fixes #14432 - Removing scoped search on value for smart class parameter (Ori Rabin)
- Refs #12979 - fix proxy button styling (Tomer Brisker)
- Fixes #14503 - don't join reports with the logs and resources explicitly in API (Ivan Nečas)
- fixes #14482 - close two-pane when saving compute profile attributes (Dominic Cleal)
- Fixes #14505 - Correct authorization of broken smart proxy actions (Tomer Brisker)
- Fixes #14504 - Moves Report scoped search into inherited method (Shlomi Zadok)
- Fixes #10592 - Add tests to validate the allowed_helpers passed into the renderer in ProvisioningTemplate.build_pxe_default contains the generic list (imriz)
- Fixes #14451 - Allow plugins to add menus to top menu without breaking the second menu (Tomer Brisker)
- Refs #12979 - adding btn-default class to leftover buttons (Ori Rabin)
- fixes #14202 - enable select2 in interfaces modal (Dominic Cleal)
- fixes #14415 - check CR availability with Fog, not SETTINGS (Dominic Cleal)
- Fixes #14458 - use a base class for STI taxable objects (Marek Hulan)
- Fixes #14330 - Provide option in hammer to change display type for libvirt compute resource (Adam Ruzicka)
- Fixes #14401 - Refreshing Host's global status not persisting to the database (John Mitsch)
- Fixes #14341 - List all images for compute resource (Tomer Brisker)
- Fixes #5816 - allow editing and displaying self via API (Marek Hulan)
- fixes #14434 - refactor tokens into concern from observer (Dominic Cleal)
- Fixes #14417 - Update Doc link (Sean O'Keeffe)
- fixes #14368 - update fog to 1.38.0 (Dominic Cleal)
- Fixes #14393 - Using patternfly icons instead of glyphicons (Ondrej Prazak)
- fixes #12746 - list compute resources from plugin definitions (Dominic Cleal)
- Fixes #14038 - pass corespersocket in VMWare image-based provisioning (Ivan Nečas)
- fixes #9782 - implement mediapath for suse/yast (Michael Moll)
- Fixes #14326 - Show long compute resource descriptions correctly (Adam Ruzicka)
- fixes #12962 - Add Xenserver to list of supported OS families. (Kyle Flavin)
- fixes #14350 - replace selector to ensure Capybara wait is used (Dominic Cleal)
- Fixes #13727 - Error raised when setting default_value when override is set to false (Ori Rabin)
- Fixes #14166 - Host facet attributes handling updated (Partha Aji)
- fixes #14338 - move session store configuration earlier (Dominic Cleal)
- Fixes #14252 - Redirecting to edit taxonomy page if no hosts to assign (Shimon Shtein)
- Fixes #14298 - fix popover on facts page (Marek Hulan)
- Fixes #12979 - Create helper for "new" button (Tomer Brisker)
- Fixes #14310 - Display muliple host action buttons only if action permitted (Tomer Brisker)
- Fixes #14340 - specify the default icon sizes to prevent intermittent layout changes (Ivan Nečas)
- fixes #14344 - add region to permitted Rackspace CR attributes (Dominic Cleal)
- fixes #14318 - load JS translations table for current locale only (Dominic Cleal)
- Fixes #14198 - remote_addr validation accepts regex with digit matching (Ondrej Prazak)
- Fixes #8587 - Don't allow build for unmanaged hosts (Adam Ruzicka)
- Fixes #14319 - removes unused media_path template helper (Marek Hulan)
- fixes #14050 - resolving N+1 query on hosts#index (Tom Caspy)
- Fixes #14232 - make generic helpers available for global PXE template (Marek Hulan)
- Fixes #14264 - improve primary interface selection (Marek Hulan)
- Fixes #5859 - don't rely on a mac address being present when overriding the conflicts (Ivan Nečas)
- fixes #14041 - don't call select2 on CR form templates (Dominic Cleal)
- Fixes #12560 - Correct popover behaviour for reports table (Tomer Brisker)
- fixes #14291 - replace integration test logins with SSO (Dominic Cleal)
- Fixes #14286 - added :groups_base field to auth_source_ldaps API (Shimon Shtein)
- fixes #13352 - order dashboard widgets by ID for consistency (Dominic Cleal)
- fixes #14253 - add attr_accessible to Widget (Dominic Cleal)
- Fixes #14067 - Host#edit integration tests should wait for tasks (Daniel Lobato)
- Refs #7726 - Improve select all for filtered multi-select (Tomer Brisker)
- Fixes #14183 - showing whitespace validation in smart variables (Ori Rabin)
- Fixes #14102 - Full location and organization passed as YAML to the ENC (Chris Edester)
- Fixes #13091 - Paginate VMs for supporting compute resources (Tomer Brisker)
- fixes #14239 - when creating host from API, set first interface as primary if none set (Tom Caspy)
- Refs #14204 - safer libvirt bridge detection (Marek Hulan)
- Fixes #14240 - added :server_type attribute to API rabl (Shimon Shtein)
- Fixes #14237 - Missing tag for hosts/welcome.html.erb (Ondrej Prazak)
- fixes #13066 - Improve readability of blank slate pages (Tom Caspy)
- fixes #14225 - add missing require for Resolv (Dominic Cleal)
- Fixes #13757 - spilt layout helper into two helpers (amirfefer)
- Fixes #14228 - requiring fileutils in test_helper (Ori Rabin)
- Fixes #10183 - Added a default results transformation for status action (Shimon Shtein)
- Fixes #14097 - Only run DatabaseCleaner truncation on JS tests (Daniel Lobato)
- fixes #14200 - exclude form templates from select2 initialisation (Dominic Cleal)
- Fixes #14182 - authorize role index (Marek Hulan)
- Fixes #14204 - list only bridges for bridged networking (Marek Hulan)
- Fixes #14221: Use Sass Rails template when compiling plugin assets (Eric D. Helms)
- Fixes #14191 - remove simplecov test coverage reporting (Tomer Brisker)
- fixes #13980 - don't merge NIC compute attrs on New Host form (Dominic Cleal)
- Fixes #14184 - allow filter creation for users with taxonomies (Marek Hulan)
- fixes #14179 - don't merge NIC compute attrs in ComputeProfileMerge (Dominic Cleal)
- Fixes #6924 - Additional validations for Setting (Ondrej Prazak)
- refs #9470 - set :limit on column, fix MailNotification initializer (Dominic Cleal)
- fixes #14155 - fix leaks between tests with random ordering (Dominic Cleal)
- fixes #14170 - permit 'zone' parameter for GCE CR creation (Dominic Cleal)
- Fixes #14154 - fix adrift reports show page (Marek Hulan)
- Fixes #9470 - Adds an option to send puppet error emails for all host to a user (amirfefer)
- fixes #14131 Changed bash to sh (Karli Sjoberg)
- Fixes #14106 - Remove puppetclasses no_route page (Daniel Lobato)
- Fixes #9932 - fix preallocate attribute mapping (Marek Hulan)
- Fixes #14129 - remove duplicate declaration of KEY_DELM (Ori Rabin)
- Fixes #14045 - resizing select2 to match inherit button (Ori Rabin)
- Fixes #13545 - STI permission checking always using base class (Justin Sherrill)
- Fixes #14113 - run dhcp orchestration only on DHCP subnets (Marek Hulan)
- Fixes #7726 - Filtered out items no longer added when 'Select all' clicked (Ondrej Prazak)
- fixes #14096 - handle MiB style memory units on statistics page (Robert Sanders)
- Fixes #13849 - Now the facets will not require id attribute for update (Shimon Shtein)
- refs #5707 - use plural form and one string for translation (Dominic Cleal)
- fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility (Dominic Cleal)
- Fixes #3582 - Parameters on subnets (Sean O'Keeffe)
- fixes #13974 - remove nested arrays passed to AR finders (Dominic Cleal)
- Fixes #5707 - disassociate does not appear for physical host (Ori Rabin)
- fixes #14094 - replace foreign_keys calls with foreign_key_exists? (Dominic Cleal)
- fixes #14093 - remove unused permissions column from roles (Dominic Cleal)
- Fixes #14071 - Using Sprockets directive to require host_edit_interfaces.js (Ondrej Prazak)
- Fixes #13937 - search by domain parameters searches on primary_interface (Ori Rabin)
- Fixes #14078 - Correct provision template permission names in seeds and fixtures (Tomer Brisker)
- fixes #14076 - remove unused Puppetclass hostgroups counter (Dominic Cleal)
- fixes #13941 - expect deprecation warnings in tests (Dominic Cleal)
- Fixes #13984 - inherit subnet from hostgroup even for image-based provisioning (Ivan Nečas)
- Fixes #13725 - DHCP MAC conflicts are reported (Lukas Zapletal)
- fixes #14000 - respect custom controller permissions (Dominic Cleal)
- Fixes #7494 - added search parameter to index action of usergroups (Shimon Shtein)
- Fixes #13068 - Adds options to documentation_button and remove css float (Shlomi Zadok)
- fixes #14006 - use URL helpers in mailers (Dominic Cleal)
- fixes #13978 - replace AR value_to_boolean with our caster (Dominic Cleal)
- fixes #13817 - test certificate.subject_alternative_names for presence (cyrus-mc)
- Fixes #6858 - escape HTML tags when update a parameter value in settings (amirfefer)
- Fixes #13913 - split importing of host and facts (Marek Hulan)
- Fixes #13964 - include installer scenarios in foreman-debug (Martin Bačovský)
- Fixes #13711 - fix subnet/domain validation during creation (Marek Hulan)
- fixes #14028 - use image-url for data table asset URLs (Dominic Cleal)
- fixes #13971 - pass IDs to model.find and .exists? (Dominic Cleal)
- fixes #13897 - explicitly set limit on string columns (Dominic Cleal)
- Fixes #5883 - Reflect token expiry in build status (Julien Pivotto)
- Fixes #13976 - override checkbox in smart class parameter doesn't uncheck other checkboxes (Ori Rabin)
- Fixes #13977 - Upgrade Rails to 4.1.14.2 to address 2 CVEs (Tomer Brisker)
- Fixes #6994 - Remove old apipie_examples.yml (Tomer Brisker)
- Fixes #13896 - Rename Anonymous role to Default role (Tomer Brisker)
- Fixes #13417: Provide facet registration through plugin API (Eric D. Helms)
- Fixes #13662 - Host configuration chart links work when host configuration status table not present (Ondrej Prazak)
- Fixes #12936 - Host inherits attributes when hostgroup is AR object (Ondrej Prazak)
- fixes #13803 - change activated SCL to 'tfm' (Dominic Cleal)
- Fixes #6376 - AJAX call to update hostgroup info without hostgroup failed (Shimon Shtein)
- fixes #13878 - handle anonymous railtie classes seen on Rails 4.2 (Dominic Cleal)
- fixes #13883 - replace :order association option with block (Dominic Cleal)
- Fixes #9425 - Remove the Default User role (Tomer Brisker)
- fixes #13938 - remove reports fixtures (Dominic Cleal)
- fixes #13939 - call non-deprecated status method from API rabl (Dominic Cleal)
- fixes #13828 - CVE-2016-2100 - only showing relevant bookmarks (Tom Caspy)
- Fixes #13899 - Can update smart class parameter type from API (Ori Rabin)
- Fixes #13929 - Pin test_after_commit to version supporting Ruby 1.9 (Tomer Brisker)
- fixes #13895 - replace :to with :action in routes (Dominic Cleal)
- Fixes #13894 - Add link to handbook in contribution guidelines (Tomer Brisker)
- fixes #13879 - load mocha/minitest integration explicitly (Dominic Cleal)
- refs #11029 - improve string for i18n, fix non-host case (Dominic Cleal)
- Fixes #11029 - Host name in title on facts index page (Ondrej Prazak)
- refs #13304 - translate tooltip text (Dominic Cleal)
- fixes #13866 - pin jwt for Ruby 1.9.3 compatibility (Dominic Cleal)
- Refs #12720 - Typo in PuppetCA certificates page (Daniel Lobato)
- Fixes #13821 - Show different types of input depending on the paramter type (Sean O'Keeffe)
- Fixes #13304 - Disabled hidden button for smart class parameters shows a tooltip (Ori Rabin)
- Fixes #13834 - associate puppet proxies only for puppet imports (Marek Hulan)
- fixes #13852 - add user_data to images api docs (Stephen Benjamin)
- fixes #10989 - removing 1.12 deprecations (Tom Caspy)
- fixes #12187 - checking if OpenStack is defined before calling that constant (Tom Caspy)
- fixes #13827 - unpin patternfly-sass (Dominic Cleal)
- Fixes #13232 - Reword 'ACK' buttons texts (Shlomi Zadok)
- Fixes #13519 - Alias lookupkey key to parameter (Shlomi Zadok)
- fixes #13804 - set enforce_available_locales in app config (Dominic Cleal)
- fixes #10662 - set default_locale to 'en' (Dominic Cleal)
- refs #12718 - change capitalisation, extract more strings (Dominic Cleal)
- refs #13348 - use proxies with expected features for search tests (Dominic Cleal)
- Bump version to 1.12-develop (Dominic Cleal)
- Fixes #13348 - Allow searching of all hosts managed by a smart proxy (Tomer Brisker)
- Fixes #13664 - rescue smtp errors if mail failed on host built (Shlomi Zadok)
- Fixes #6241 - Validations for associations with proxies (Ondrej Prazak)
- Fixes #6342 - merge compute profile when attributes in api host#create (Tomas Strachota)
- fixes #11059 - removing unused regexp_extensions file (Tom Caspy)
- fixes #12621 - adding cache for template kinds to prevent multiple queries (Tom Caspy)
- Revert "Fixes #13424 - Add Patternfly Donut Chart React component" (Daniel Lobato)
- Fixes #13424 - Add Patternfly Donut Chart React component (Daniel Lobato)
- Fixes #13084 - compute resource IP orchestration fixed (Lukas Zapletal)
- Fixes #12380 - Added the ability to select pagination mechanism in /filters (Shimon Shtein)
- fixes #13745 - Fix usage of primary_interface when migrating interfaces from < 1.8 to >= 1.8 (Trey Dockendorf)
- Fixes #13755 - allow reading of AR collections with safe mode enabled (Marek Hulan)
- Fixes #13726 - rename delete button on pending certs (Shlomi Zadok)
- fixes #13157 - adding padding to icons in hosts#show (Tom Caspy)
- refs #2445 -  move back FreeBSD icon (Michael Moll)
- fixes #12791 - allow access to boot_files_uri and medium in safe_mode (Michael Moll)
- Fixes #13257 - nested locations can be created via api (Ori Rabin)
- Fixes #13721 - Some settings should dispaly a drop down list (Sean O'Keeffe)
- templates - sync from community-templates (Dominic Cleal)
- fixes #13709 - fullscreen editor doesn't need padding in parent element (Tom Caspy)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- Fixes #13730 - change closing tfoot (Shlomi Zadok)
- Fixes #3951 - reverting compatibility with newer jQuery (Marek Hulan)
- fixes #13567 - fixing locale:pack (Tom Caspy)
- Fixes #12393 - Clarify parameter override count column header (Tomer Brisker)
- fixes #13729 - fix typo in images header HTML (Michael Moll)
- Fixes #13426 - Change status colors to adapt to Patternfly palette (Daniel Lobato)
- Fixes #13557 - Rubocop enforce specifying a timezone (Daniel Lobato)
- Fixes #13697 - Remove json from gemfile (Tomer Brisker)
- Fixes #13353 - Correctly handle widget dragging in dashboard (Tomer Brisker)
- Fixes #9553 - Remove workaround for older json version (Tomer Brisker)
- fixes #13409 - remove early initialisation of test DB (Dominic Cleal)
- fixes #12873 - update Rails to 4.1.14.1 (Dominic Cleal)
- Fixes #13356 - OpenStack volumes API v2 needs :name (Daniel Lobato)
- fixes #13647 - change puppet ca proxy for several hosts at once (Timo Goebel)
- Fixes #13554 - Setting releated to taxonomies shouldn't be shown if they are disabled (Sean O'Keeffe)
- Fixes #2445 - Fix some Operating systems icons. (Bryan Kearney)
- fixes #12436 - as a user I want to deploy vSphere vms on a storage pool (Timo Goebel)
- fixes #13494 - change puppet proxy for several hosts at once (Timo Goebel)
- fixes #13311 - improve English and link full sentence to docs (Dominic Cleal)
- Fixes #13639 - add host permissions to host show api (Justin Sherrill)
- templates - sync from community-templates (Stephen Benjamin)
- Fixes #12909 - Keep 'reset zoom' buttom on the left (Shlomi Zadok)
- fixes #13440 - rename Host#model_name to #hardware_model_name (Dominic Cleal)
- Fixes #13386 - Adds taxonomy parameters objects (Shlomi Zadok)
- Fixes #13378 - Ensure taxonomy name length validation is called once (Shlomi Zadok)
- Fixes #13428 - Temporarily thin flot_pie width to make it look like Patternfly (Daniel Lobato)
- Fixes #13594 - Pin parser gem to 2.3 (Shlomi Zadok)
- fixes #12669 - making sure that code which requires a new attribute doesn't break migrations (Tom Caspy)
- Fixes #13584 - Rename 'DNS Proxy' > 'Reverse DNS Proxy' (Daniel Helgenberger)
- Fixes #13245 - Remove duplicate apipie description from compute_resources (Shlomi Zadok)
- Fixes #12949 - Allow selection of external networks as main network in Openstack (Imri Zvik)
- fixes #13574 - remove DB access from Setting class scope (Dominic Cleal)
- fixes #13077 - setting width of number of days by what is needed (Tom Caspy)
- fixes #13083 - error pages alert box is no longer dismissable (Tom Caspy)
- fixes #12920 - allowing os parameters to be set via API (Tom Caspy)
- fixes #11346 - on new host, nic shouldn't try to call matcher (Tom Caspy)
- Fixes #13444 - Don't show empty properties (Sean O'Keeffe)
- Fixes #13442 - foreman-debug exits with 0 on success (Lukas Zapletal)
- Refs #12911 - Fixing colon method calls (David Davis)
- fixes #13430 - add missing actions to virt power manager (Timo Goebel)
- Fixes #12718 - smart proxy log table (Lukas Zapletal)
- fixes #8874 - rework POT/PO updates for gettext 3's edit.po (Dominic Cleal)
- Fixes #13340 - Seed Fedora Atomic installation media (Daniel Lobato)
- fixes #13533 - pin patternfly-sass to < 2.10.0 (Dominic Cleal)
- fixes #13067 - dropdown menu alignment fix (Tom Caspy)
- Fixes #13379 - Clear host.last_report when switching to build mode (Julien Pivotto)
- Fixes 13401 - ssh_provision: safe stderr as well (Guido Günther)
- fixes #13236 - apply power operations to several hosts at once (Timo Goebel)
- Fixes #13411 - Display hostgroup name to the user when deleting a hostgroup (Sean OKeeffe)
- fixes #13298 - ssh_provision: Don't use /tmp (Guido Günther)
- Fixes #13115 - Adds locations and organizations in smart_proxies#index (Shlomi Zadok)
- Fixes #13370 - Clip long fingerprints on puppetca proxy page (Tomer Brisker)
- Fixes #13404 - Removed double closing of a div in proxy show page (Ondrej Prazak)
- fixes #13355 - facet test tables get created when tests run (Tom Caspy)
- fixes #13292 - replacing the turbolinks progress bar with a spinner (Tom Caspy)
- Fixes #13354 - Correctly show certificates even if some are pending (Tomer Brisker)
- Refs #12720 - Allow puppet CA cache to work for https proxies (Tomer Brisker)
- Fixes #13341 - Seeded Fedora installation media URL is wrong (Daniel Lobato)
- Fixes #13107 - compute attributes has indifferent access again (Lukas Zapletal)
- fixes #13265 - Any Context menu permissions (Andrew Schofield)
- Fixes #13294 - Add qoutes to search parameter in generate_links_for helper method (Shlomi Zadok)
- Fixes #11631 - Adds a link to foreman inpuppet error state mail report (amirfefer)
- Fixes #12720 - Add tabs for puppet on proxy show page (Tomer Brisker)
- Fixes #13307 - Add ids to enable theme plugin overrides easier jquery selection (alongoldboim)
- Fixes #13079 - Conditionally hide the pagelets (Ondrej Prazak)
- Refs #13279 - Fix template for host in build mode alert (Daniel Lobato)
- Fixes #13343 - Compute resource network modal is misaligned (Daniel Lobato)
- Fixes #13309 - Added string extraction for host test (alongoldboim)
- fixes #13297 - ssh_provision: try keyboard-interactive as well (Guido Günther)
- Refs #13279 - checked_icon should use fa-check not png (Daniel Lobato)
- fixes #13168 - permit safemode templates read-only access to AR relations (Dominic Cleal)
- Fixes #13171: Prevent frozen array error when plugins have assets (Eric D. Helms)
- Fixes #13279 - Adapt alerts to Patternfly (Daniel Lobato)
- fixes #13033 - require new location of gettext_i18n_rails_js tasks (Stephen Benjamin)
- fixes #13247 - make sure Ace editor resizes on fullscreen (Tom Caspy)
- Fixes #13216 - Added ability to extend API by creating facet subnode This commit adds the ability for plugins to extend Host model with custom data that will be stored in a facet model. In order to show this data an extension point is added to Host's view API, so the properties list can be extended by the facet. Parts that are contained in this PR: 1. Added extension point to API V2: Now each facet will be able to add facet's properties to host's details 2. Added model extensions, now you can enumerate all active facets using Host#facets and Host#facets_with_definitions methods 3. Host#attributes will include the facets by default 4. Includes facets in Host#clone (Shimon Shtein)
- Fixes #13235 - content from application layout extracted into a partial (Tomas Strachota)
- fixes #13111 - use negated Capybara lookups to wait for JS handlers (Dominic Cleal)
- Fixes #13126 - Corrects smart variable matcher length (Ori Rabin)
- Fixes #13258 - Use patternfly icons for parameters (Ori Rabin)
- fixes #13272 - use instance variable for basic_edit_test test helper (Stephen Benjamin)
- fixes #6535 - EC2 Security Groups show empty box (Stefan - Zipkid - Goethals)
- refs #13177 - fix usage of WrappedException constructor (Dominic Cleal)
- Fixes #12843 - lookup values are hidden when creating them if lookup key is hidden (Ori Rabin)
- Fixes #13177, #13255 - Extend ProxyStatus to a base class, handle ProxyAPI errors (Shlomi Zadok)
- fixes #13256 - unpin i18n gem to get 0.7.x (Dominic Cleal)
- refs #13124 - set OS icons in the host list to match status icon size (Ohad Levy)
- Fixes #13070 - making actions column consistent (Ori Rabin)
- fixes #13124 - use patternfly icons for status (Ohad Levy)
- Fixes #13230 - Oauth headers change in rails 4 (John Mitsch)
- fixes #13004 - inherit compute profile from parent host groups (Dominic Cleal)
- Fixes #13146 - Removes table-condensed class (Ori Rabin)
- Refs #13076 - correct spacing under tabs (Tomer Brisker)
- Fixes #13095 - Center Patternfly alerts icon (Daniel Lobato)
- Fixes #12566 - host_parameters_attributes accepts nested flag (Lukas Zapletal)
- Fixes #12630 - Facets registration (Shimon Shtein)
- Fixes #12996 - Tests run without errors after removing a plugin (Ori Rabin)
- fixes #12271 - update ace editor usage, remove unused JS (Dominic Cleal)
- refs #12716 - fix usage of N_() and exception constructor (Dominic Cleal)
- Fixes #13076 - Reduced host#show tab headings font size (alongoldboim)
- fixes #13180 - correct closing tbody HTML tag (Dominic Cleal)
- fixes #13144 - enable missing precompiled asset errors in test env (Dominic Cleal)
- Fixes #12130 - reference parent name in fact helptip (Justin Sherrill)
- Fixes #13160 - pagelet tab names gets translated (Ondrej Prazak)
- fixes #13113 - Add roles name in the title of the filters page (julien IPPOLITO)
- fixes #13112 - add options to HostStatus#relevant? to optimise reports (Dominic Cleal)
- Fixes #13136 - align children fields from right (Marek Hulan)
- fixes #5510 - Set network as first boot device for VMs in VMware compute resources (Timo Goebel)
- fixes #13131 - plugin tests to skip is back (Tom Caspy)
- Fixes #13109 - seed bookmarks scoped per controller (Marek Hulan)
- Fixes #11618 - Replace validation tests by shoulda-matchers (Daniel Lobato)
- fixes #12805 - nested LV in puppetclass form are now validated (Tom Caspy)
- Fixes #12716 - Extensible pages for smart proxy with mount points (Ondrej Prazak)
- Fixes #13074 - sprockets-rails should be in Gemfile (Daniel Lobato)
- Fixes #8801 - Adds a scrollbar to the search bar auto completer (amirfefer)
- Fixes #13050 - Do not pass paths with /assets to helpers (Daniel Lobato)
- fixes #12612 - Update fog to 1.37.0 (Timo Goebel)
- Fixes #12946 - Do not fail miserably when compute instance is not found. (imriz)
- Fixes #12577 - Smart variable key should not contain space (Ori Rabin)
- fixes #12959 - escape % in fact search values, auto-add wildcards (Dominic Cleal)
- fixes #13039 - remove TemplateKind DB calls from UnattendedCtlr (Dominic Cleal)
- Fixes #12859 - trigger autosuggesting even when the IP is set (Marek Hulan)
- Fixes #13101 - Smart class parameters show puppetclass in api (Ori Rabin)
- Fixes #12957 - removing current_parameters from hostgroup (Ori Rabin)
- Fixes #10357 - Realms for organizations and locations can be retrieved through API (Ondrej Prazak)
- fixes #13110 - add initializer name to plugin registration deprecation (Dominic Cleal)
- Fixes #13075 - Add padding host#show status icon and caption (alongoldboim)
- fixes #9359 - display puppetca in yaml always when a puppetca is configured (julien IPPOLITO)
- Fixes #13098: Set assets environment the same as core assets (Eric D. Helms)
- fixes #12954 - config status is relevant if reports exist or via setting (Dominic Cleal)
- fixes #13054 - make proxy action buttons consistent (Stephen Benjamin)
- Fixes #12958 - calling update_capabilities only from host (Ori Rabin)
- Fixes #12870 - FactName compose should be an attr_accessible (Daniel Lobato)
- Fixes #12965 - provisioning/config templates are shown under OS API (Ori Rabin)
- Fixes #12245 - Remove Nic::Bootable (Daniel Lobato)
- Fixes #13065 - Improved documentation link text (alongoldboim)
- Fixes #13069 - Center documentation icon (alongoldboim)
- Fixes #13090 - fixing alignments on Puppet class edit form (Ori Rabin)
- Fixes #13097 - Vertically center select2 option text (Daniel Lobato)
- Fixes #12754 - adds permission name to 403 page (Marek Hulan)
- fixes #12830 - Support rebooting hosts when building multiple hosts (Timo Goebel)
- fixes #13059 - pin net-ldap to less than 0.13 on ruby 1.9.x (Stephen Benjamin)
- Fixes #12919 - allows mass assignment of provisioning_template from os (Ori Rabin)
- fixes #12914 - update configurations to rails 4.1 structure (Ohad Levy)
- Fixes #13040 - oVirt now autoloads SSL certificate (Lukas Zapletal)
- Fixes #12931 - Nested taxonomies show parent parameters (Ori Rabin)
- Fixes #4629 - Migrate UI to Patternfly (alongoldboim)
- Fixes #12978 - foreman-debug -m 0 to collect all files (Pavel Moravec)
- fixes #13005 - enable CSS compression in plugin precompilation (Dominic Cleal)
- refs #12977 - set max version of sprockets-rails (Dominic Cleal)
- fixes #7517 - remove overridden class parameters from envs on import (Dominic Cleal)
- Fixes #12956 - turned ajax calls to post (Ori Rabin)
- refs #12714 - i18n extraction and interpolation fixes (Dominic Cleal)
- fixes #12977 - set minimum sprockets-rails to 2.2.2 (Dominic Cleal)
- Fixes #12963 - correctly show status on proxy list after adding proxy (Tomer Brisker)
- Refs #12714 - Improve proxy services tab (Tomer Brisker)
- Fixes #12964 - Show proxy features version for proxy<1.11 (Tomer Brisker)
- Fixes #12947 - changes puppetclass_lookup_key factory to use puppetclass_lookup_key_id (Ori Rabin)
- fixes #12714 - Show proxy status in index, and create a show page for proxy (Shlomi Zadok)
- Fixes #12934 - Unhiding paramter values does not clear their value (Ori Rabin)
- Fixes #12884 - Allow importing subnets from smart proxy (Tomer Brisker)
- Fixes #12911 - Turning on 0.35.1 cops (David Davis)
- Fixes #12514 - update guest types from vSphere API 6.0 (Brandon Weeks)
- Fixes #12937 - All parameters can be hidden (Ori Rabin)
- Fixes #12834 - Avoid select2 integration test deadlock (Daniel Lobato)
- Fixes #12860 - Moves new_child_fields_template to LayoutHelper and connect new child to parent (Ori Rabin)
- Fixes #12793 - reverted field filtration to enabled fields only (Shimon Shtein)
- Fixes #12794 - Defined logic when properties should be sent to server (Shimon Shtein)
- fixes #12893 - ensure constants are set only once (Ohad Levy)
- Fixes #12219: Pin pg to 0.15.X (Eric D. Helms)
- Fixes #12083 - Set nic domain only on full match of fqdn domain (Tomer Brisker)
- Fixes #12891 - search_by_params and search_by_user for host return correct results (Ori Rabin)
- fixes #12892 - moves rails binaries to Rails.root/bin (Ohad Levy)
- Fixes #7230, #12021 - Upgrade to Rails 4.1.5 (Daniel Lobato)
- Fixes #12748 - "Add Smart Variable" button does not change color on click (Tomer Brisker)
- Fixes #12852 - override checkbox always enables default value when use_puppet_default is false (Ori Rabin)
- Fixes #12842 - Adding padding below use puppet default checkbox in puppetclass edit form (Ori Rabin)
- Refs #6007 - fixing safe_value for lookup key (Ori Rabin)
- Fixes #12828 - Hidden value checkbox enabled after override button is checked (Ori Rabin)
- Fixes #12827 - deconstantize resource only when needed (Marek Hulan)
- Fixes #12806 - adding merge_default to attr_accessible in lookup_key (Ori Rabin)
- Fixes #12799 - Add uuid to Compute Resource attr_accessible (Tomer Brisker)
- Fixes #12180 - lookup_value presence validation moved from lookup_key (amirfefer)
- fixes #11862 - validating that casted hash is valid (Tom Caspy)
- Fixes #12278 - make sure permission set is uniq for role (Marek Hulan)
- Fixes #12698 - Insufficient URL validation Smart Proxy and Medium. (Daniel Lobato)
- Fixes #12659 - Fixed "inherit" behavior (Shimon Shtein)
- Fixes #12618 - Now calls for compute attributes are explicit. (Shimon Shtein)
- Fixes #12752 - Host and hostgroup clone should copy smart class parameters overrides (Ori Rabin)
- Fixes #12691 - Small Rails 4 backwards compatible changes (Daniel Lobato)
- Fixes #6007 - Allowing to hide smart class parameters (Ori Rabin)
- Fixes #12644, #12643 - Correctly authorize in lookup key index (Tomer Brisker)
- fixes #1584 - bulk owner change (Timo Goebel)
- Fixes #12611 - CVE-2015-7518 prevent XSS on host edit form (Tomer Brisker)
- i18n - add Catalan Language (Robert Antoni Buj Gelonch)
- Fixes #12508 - Test_email subscriptable field changed to false (amirfefer)
- fixes #12730 - removing the fakeFS gem (Tom Caspy)
- Fixes #12452 - Enable non admin users to do bulk actions on hosts (alongoldboim)
- Fixes #12728 - Add attr_accessible to Report (Shlomi Zadok)
- fixes #12624 - add plugin interface to add provision methods (Timo Goebel)
- Fixes #12554 - Change OS name column heading to match contents (oshtaier)
- Fixes #12676 - Filter contains two attr_accessible declarations (Daniel Lobato)
- Fixes #12660 - adding no-stretch class to host parameters textarea after unhiding the value (Ori Rabin)
- refs #12179 - refactoring extracted strings for host parameters (Ori Rabin)
- Fixes #12677 - Nic::Interface attr_accessible :ip should be on Base (Daniel Lobato)
- Fixes #12642 - Show overriden values before type cast on host edit form (Tomer Brisker)
- fixes #7548 - cannot use UTF8 characters from ldap auth source (Timo Goebel)
- fixes #12615 - remove unused term-ansicolor dependency (Dominic Cleal)
- fixes #12632 - remove hardcoded SSH compression algorithm (Dominic Cleal)
- fixes #12666 - add locked to attr_accessible for templates (Stephen Benjamin)
- Fixes #12523 - Openstack does not work with Fog 1.36 (Daniel Lobato)
- Fixes #7568 - Use attr_accessible for Rails 4 upgrade (Daniel Lobato)
- Fixes #12506 - Show smart proxies version in about page (Shlomi Zadok)
- Fixes #12179 - extracting strings in  host_inherited_params correctly (Ori Rabin)
- Fixes #12637 - improved discovered lease test (Lukas Zapletal)
- Fixes #12609 - correctly display boolean parameters on host edit form (Tomer Brisker)
- fixes #12594 - vSphere: resource pools are updated when cluster is changed in the gui for new hosts (Timo Goebel)
- fixes #12517 - VMWare VM should be created network based only if it is selected in the gui (Timo Goebel)
- Fixes #7192 - Allow compute resources to have spaces in the name (Shlomi Zadok)
- Fixes #12617 - Created new concern: SelectiveClone (Shimon Shtein)
- fixes #12623 - convert VM IDs to strings for DB lookup (Dominic Cleal)
- Fixes #8799 - Show override button when removing overriden global param (Tomer Brisker)
- Fixes #7463 - Add basic support for bridges (Julien Pivotto)
- fixes #12575 - zerombr does not take any argument (Fabien Culpo)
- Fixes #12530 - Upgrade rubocop (David Davis)
- fixes #8295 - add vsphere memory and cpu hot add (Timo Goebel)
- Fixes #11834 - improve host status migration performance (Marek Hulan)
- Refs #11458 - adding missing </td> tag (Ori Rabin)
- fixes #12512 - always install fog-core/net-* dependencies (Dominic Cleal)
- Fixes #11458 - Override inline for class parameters (Tomer Brisker)
- Fixes #12461 - Compute profile is properly selected. (Shimon Shtein)
- Fixes #11643 - [API] Add preview template to host (Shlomi Zadok)
- Fixes #11307 - Add host count to hostgroups (Shlomi Zadok)
- Fixes #12478 - don't update :attached_to if parsed :attached_to is nil (Brandon Weeks)
- fixes #12494 - update fog to 1.36.0 (Dominic Cleal)
- Fixes #12477 - remove duplicate ALT Linux logo (Brandon Weeks)
- Fixes #12424 - Labels in chart legends are aligned to left (Tomer Brisker)
- fixes #12342 - unsaved (new or cloned) hostgroups keep their puppetclasses (Tom Caspy)
- fixes #12194 - join fact tables multiple times for each search term (Dominic Cleal)
- Fixes #12457 - Use .exists? to check subnet exists on Rails 4 (Daniel Lobato)
- Fixes #10649 - Adds Test email button to user's mail preferences (amirfefer)
- Fixes #12441 - validate uniqueness for nic identifier and host (Brandon Weeks)
- fixes #12458 - escape values in fact searches to prevent SQL injection (Dominic Cleal)
- fixes #11943 - only send built mail when host is installed (Stephen Benjamin)
- Fixes #12303 - Added a correct url to ptables 'Useful template functions and macros'. (alongoldboim)
- fixes #12431 - pin tins for Ruby 1.9.3 compatibility (Dominic Cleal)
- Fixes #12212 - Import addtitionnal informations from DHCP smart proxy (Baptiste Agasse)
- Fixes #12418 - Correct dashboard behaviour for updated gridster (Tomer Brisker)
- Fixes #12432 - Changed roles model so admin could see/attach all permissions (alongoldboim)
- fixes #11771 - ensure created HostStatuses are saved correctly (Dominic Cleal)
- Fixes #12325 - Add to_utf8 method and ensure avatar_path returns in utf-8 (Shlomi Zadok)
- Fixes #4133 - compute resource test connection provides positive feedback (amirfefer)
- fixes #11309 - allow bulk hosts tool to open in new page (Stephen Benjamin)
- Fixes #11444 - Correctly count hosts in domain (Tomer Brisker)
- refs #12147 - making sure that rails4 seeds think they are in rake (Tom Caspy)
- Fixes #11983 - Added the ability to preview a new template (alongoldboim)
- Fixes #7537 - Adds test connection button to LDAP form (amirfefer)
- Fixes #11464 - use host inherited views for hostgroup parent parameters (Ori Rabin)
- Fixes #12201 - Made parent associations finder less dependent on association name (Shimon Shtein)
- fixes #12416 - Add support for esxi 6 hw 11 profile (josh)
- fixes #12404 - rake console now works (Tom Caspy)
- fixes #12345 - fix sparc host creation (Phirince Philip)
- Fixes #11828 - Use mail_to function to create email link (Shlomi Zadok)
- Fixes #12371 - Initialize select2 on virtual machine tab for new hosts (Tomer Brisker)
- Fixes #12365 - Recognize virtual interfaces with alphanum aliases as such (Julien Pivotto)
- Fixes #12231 - Allow editing smart variables with periods in puppetclass form (Tomer Brisker)
- Fixes #12344 - Use Rails 4 update_all syntax in migrations (Daniel Lobato)
- Refs #12089 - Revert fix using unwrapped parameters in config templates API controller (Daniel Lobato)
- Fixes #12249 - Use puppet default on specific matchers does not send default value to puppet (Ori Rabin)
- Fixes #10889 - Allow selection of resource pool (Shlomi Zadok)
- Fixes #11460 - cleaner layout in  Host/Hostgroup parameters (amirfefer)
- Fixes #12204 - Show interface form helptext in popovers (Tomer Brisker)
- Fixes #12346 - foreman-debug filters compressed files (Lukas Zapletal)
- Refs #8800 - Avoid clipping on About - Plugins page (Lukas Zapletal)
- Fixes #12343 - Fixing parameters caster for boolean values (Ori Rabin)
- Fixes #12328 - host STI loads subclasses (Marek Hulan)
- Fixes #12222 - prevent resizing textarea to under one line on FF (Tomer Brisker)
- Fixes #12280 - fix label for field helper (Marek Hulan)
- Fixes #12279 - add default order to roles (Marek Hulan)
- fixes #4151 - enable reports STI (Shlomi Zadok)
- fixes #12127 - verify x509 subject alternative names when authenticating a smart proxy (Timo Goebel)
- Fixes #11953 - Add STI controllers to bookmark via permissions (Shlomi Zadok)
- Fixes #12333 - adds search capabilities to bookmarks (Christine Fouant)
- Fixes #12132 - [API] Host all parameters should include host parameters (Shlomi Zadok)
- Fixes #11986 - Specify PUT method on form_for tags (Daniel Lobato)
- Fixes #12311 - Fix issue with failed initialization of rack openid middleware. (Chris Peters)
- Fixes #12106 - Show popovers correctly on interface modal (Tomer Brisker)
- Fixes #12241 - Correct counter_cache deadlock fix (Tomer Brisker)
- fixes #11965 - hostgroup with config group - clone should not run validations more than once (Tom Caspy)
- Fixes #11924 - Substitute .scoped by .where(nil) to force return relation (Daniel Lobato)
- Fixes #12099 - Template locked? relying on rake makes tests fail (Daniel Lobato)
- Refs #12147 - Remove trends output from tests (Daniel Lobato)
- fixes #9981 - making sure lookup_keys with errors get displayed if they're broken (Tom Caspy)
- refs #12147 - compatible test updates for api fact value controller (Tom Caspy)
- fixes #11124 - Interface compute attributes not merged from API request over compute profile (Timo Goebel)
- fixes #12109 - removing owner_id presence validation (Tom Caspy)
- Fixes #12089 - fix using unwrapped parameters in config templates API controller (Tomas Strachota)
- Fixes #11921 - load dynamic features during runtime (Marek Hulan)
- Refs #12155 - Use Proc instead of lambda on mailer for Rails 4 (Daniel Lobato)
- fixes #12207 - objects with ancestors should not call ancestors if cached (Tom Caspy)
- Fixes #12252 - Refactor of long line in templates form (Tom Caspy)
- Fixes #12185 - host created via reports has downcased name (Marek Hulan)
- Refs #12089 - tests for config templates controller param wrapping (Tomas Strachota)
- fixes #11345 - API GET request available_clusters sends empty hash (Timo Goebel)
- Fixes #12098 - Dangling Fog.mock! makes compute_resource_vms test fail (Daniel Lobato)
- Refs #11813 - Use new engines listing syntax in initializers (Daniel Lobato)
- Fixes #12043 - introduces interface for background support of importers (Marek Hulan)
- fixes #12151 - return empty classes hash when missing environment (Ranjan)
- Fixes #12004, #11999 - Remove reserved words from Environment friendly_id (Shlomi Zadok)
- refs #12147 - adding permissions setter to roles (Tom Caspy)
- refs #12147 - adding safety guards to method_missing on compute attributes (Tom Caspy)
- fixes #12215 - "`ruby_22` is not a valid platform" (Michael Moll)
- refs #12147 - correcting route for unattended controller (Tom Caspy)
- refs #12147 - task#as_json should return hash (Tom Caspy)
- Fixes #12102 - Adds socket errors catching to rackspace test connection (amirfefer)
- Refs #8800 - Fix clipping on global parameter table (Tomer Brisker)
- Fixes #11972 - ignore specific interfaces via settings (Marek Hulan)
- Fixes #12104 - prevent overflow in host list for various locales (Tomer Brisker)
- Fixes #11987 - Check exit code of deployment scripts (Jiri Machalek)
- Fixes #11016: added test-unit gem for ruby 2.2.x (Dmitri Dolguikh)
- fixes #12095 - prevent escaping of lookup key default value with ERB (Dominic Cleal)
- refs #12147 - fixing dhcp test to work properly with rails 4 (Tom Caspy)
- refs #12147 - removing informational print from rake task in tests (Tom Caspy)
- Fixes #12155 - register changes in reply address without restart (Stephen Benjamin)
- refs #12147 - factory updates for medium - rails4 compatibility (Tom Caspy)
- refs #12147 - updating cycle test to comply with rails4 (Tom Caspy)
- Fixes #12162 - Sort operating systems in host list by title (Ohad Levy)
- fixes #11881 - Searching for "puppet" in Puppet Classes takes long - Set only_explicit to host and config groups definitions in puppetclasses (Kamjar Gerami)
- Fixes #11908 - removed the close button from the loading alert (alongoldboim)
- fixes #12118 - query model for alternative permission names (Stephen Benjamin)
- Fixes #11949 - In new forms password's placeholder should be empty (amirfefer)
- Fixes #11237 - documenting hostgroup association to compute profile (Ori Rabin)
- Fixes #10988 - Remove 1.11 deprecations (Daniel Lobato)
- Fixes #12120 - drops ptables table (Marek Hulan)
- Fixes #12131 - long strings in reports are hard-wrapped (Lukas Zapletal)
- Fixes #12068 - Prepend puppetclass or variable to lookup_key_id (Daniel Lobato)
- Fixes #12059 - AuthSourceLdap allow_nil should be removed (Daniel Lobato)
- Fixes #12011 - Replace .includes(table).where(table) by .eager_load (Daniel Lobato)
- Fixes #12028 - Put multiselects out of select2 control (Julien Pivotto)
- Fixes #12055 - select initialization breaks nic table refresh (Tomas Strachota)
- Fixes #12096 - Fix layout when removing class parameter override (Tomer Brisker)
- Fixes #12071 - race condition in loading of providerSpecificNICInfo (Tomas Strachota)
- Fixes #12078 - list validator in smart class parameters validates any string coercible value (Ori Rabin)
- Fixes #8800 - Clip table cells only when needed (Tomer Brisker)
- Fixes #12079 - Shows the correct error near the password field (Shimon Shtein)
- Bump version to 1.11-develop (Dominic Cleal)
- Refs #10409 - Rails 4 compatible changes with Rails 3 (Daniel Lobato)
- i18n - extracting new, pulling from tx (Dominic Cleal)
- Refs #12067 - Delegated method to_ip_address should be public (Daniel Lobato)
- fixes #12082 - moving modules outside setup blocks in orchestration test (Tom Caspy)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #12067 - Delegated methods need to be public, not protected (Daniel Lobato)
- Fixes #12074: Pin rack-cache to less than 1.3.0 (Eric D. Helms)
- Fixes #10993 - handle no interfaces in facts correctly (Marek Hulan)
- Fixes #12034 - scope nics to validate uniqueness against (Marek Hulan)
- Fixes #12013 - ignore all macvtap interfaces (Marek Hulan)
- fixes #11375, #11782 - validate a host's lookup_values (Dominic Cleal)
- fixes #11964 - mark existing parameters as overridden during clone (Dominic Cleal)
- fixes #11945 - fix undefined variable in param_true/false helpers (Dominic Cleal)
- fixes #11990 - improve virtual interfaces discovery in fact parser (Julien Pivotto)
- Fixes #12015 - Pin version of fog-google (David Davis)
- fixes #11996 - use preload to avoid multiple fact/host table joins (Dominic Cleal)
- Fixes #12005 - align host selector for template preview (Marek Hulan)
- fixes #11980 - pin net-ssh to 2.x on Ruby 1.9.3 (Dominic Cleal)
- Fixes #11767 - avoid cleaning of interface attributes (Marek Hulan)
- Fixes #7567 - Substitute find_or_create_by by first_or_create (Daniel Lobato)
- fixes #11885 - exclude lookup_value_matcher on clone (Dominic Cleal)
- Fixes #11764 - Taxonomy parameters can be accessed through API (Ondrej Prazak)
- Refs #11846 - Specify join_tables for taxonomies (Daniel Lobato)
- Fixes #11912 - Remove deprecated assert_present assert_blank (Daniel Lobato)
- Fixes #11863 - Rewrite except_hidden user scope for Rails 4 compatibility (Daniel Lobato)
- fixes #11883 - fix classes accessors when cloning host groups (Dominic Cleal)
- Fixes #11848 - Align 'Host parameters' table with 'Global parameters' table sizes (Shlomi Zadok)
- Fixes #2943,#11387 - Add unset option to password_f in layout helper, added in Host and hostgroup root_pass, LDAP acount password, BMC password and compute resources password (amirfefer)
- Fixes #9267 - overridden smart class parameters large names are truncated with tooltip (amirfefer)
- refs #11807 - change nested lookup_values destroy test params to match UI (Dominic Cleal)
- Fixes #11847 - find overridable global parameters by .fields selector (Shlomi Zadok)
- Fixes #11861 - Smart variables can be removed and deleted (Ori Rabin)
- Fixes #11893 - extract test connection string in compute resource vmware form (amirfefer)
- Fixes #11851 - include ActiveRecord::Base.inherited as super in LookupKey.inherited (Shlomi Zadok)
- Fixes #11859 - handle HTML in parameters safely when hiding values (CVE-2015-5282) (Shlomi Zadok)
- fixes #9815 - Corrects group parameter cloning on hostgroup (Christine Fouant)
- fixes #11835 - increase host_status.status field length to store metrics (Dominic Cleal)
- Fixes #11858 - DRY get ancestry parameters (Shlomi Zadok)
- Fixes #11850 - improved DNS error message (Lukas Zapletal)
- refs #11833, #11791 - fix N+1 query during config status applicability check (Dominic Cleal)
- Fixes #11692: update ace-rails-ap to 4.x. (Walden Raines)
- Fixes #11763 - Add inherited parameters to Host view api (Shlomi Zadok)
- fixes #11833 - remove puppet references from config status (Stephen Benjamin)
- Fixes #11845: handle case of hidden textarea that is not an editor. (Walden Raines)
- Fixes #11813 - Use new engines listing syntax (Daniel Lobato)
- Fixes #11812 - Remove whiny nils and add eager load (Daniel Lobato)
- Fixes #11817 - Do not allow multi-line URL validations (Daniel Lobato)
- Fixes #11814 - model_name needs to be stringified on Rails 4 (Daniel Lobato)
- Fixes #11818 - Update match routes to get (Daniel Lobato)
- Fixes #11844 - Remove duplicate scope in FactValue (Daniel Lobato)
- Fixes #11846 - Specify join_table and foreign keys for habtm associations (Daniel Lobato)
- Fixes #11468 - separate global and class parameters on host/hostgroup form (Ori Rabin)
- Fixes #11188 - EnsureNotUsedBy checks for unscoped associations before destroying (Ori Rabin)
- Fixes #11709 - better error for DNS conflict timeouts (Lukas Zapletal)
- Fixes #11034 - custom uniqueness validations for interface attributes (Marek Hulan)
- Fixes #11816 - Remove whitelist_attributes as it's deprecated (Daniel Lobato)
- fixes #11766 - differentiate between puppet facts and those from plugins (Tom McKay)
- Fixes #11791 - avoid N+1 query caused by configuration status (Marek Hulan)
- fixes #11242 - Add operatingsystem_id to os_default_templates in API (Shlomi Zadok)
- fixes #11037 - Add ByIdName to environment model (Shlomi Zadok)
- Fixes #11761 - support hostgroup form push through AJAX (Marek Hulan)
- fixes #11807 - update existing lookup value when changed from nested host form (Dominic Cleal)
- Fixes #11401 - Add scoped search to auth_source on name (Shlomi Zadok)
- Fixes #11689: hide editor container when hidden value. (Walden Raines)
- Fixes #2267 - general rebuild of TFTP, DNS, DHCP (Ondrej Prazak)
- Refs #11693 - APIv1 returns message when attempting deletion of Smart class parameter (Daniel Lobato)
- Fixes #11745 - set_diff/edit_mode only if editor exists (Phirince Philip)
- fixes #11723 - foreman_url usable from default PXE template (Phirince Philip)
- fixes #11130 - Use self.table_name instead of deprecated set_table_name (Shlomi Zadok)
- Fixes #10805 - match vlans attached to bonds correctly (Marek Hulan)
- Fixes #3650, #11600 - Compute Resource availability_zones, flavors, security_groups API v2 endpoints (Alves Lobo Michael)
- fixes #11715 - base64 encoded passwords must not be reencoded (Tom Caspy)
- Fixes #11704 - consider no reports as warning if reports are expected (Marek Hulan)
- refs #11776 - do not set default taxonomy settings by default (Stephen Benjamin)
- Fixes #11688: default text editor to ruby. (Walden Raines)
- fixes #11610 - removing a bunch of N+1 queries from the migration (Tom Caspy)
- fixes #11473 - remove re-init of domain select2 on env selection (Dominic Cleal)
- fixes #8521 - fix classes accessors, copy overrides on host clone (Dominic Cleal)
- fixes #10589 - removing N+1 queries from after_save callbacks when changing hostgroup (Tom Caspy)
- Fixes #10106 - Make tests run in parallel (Daniel Lobato)
- refs #11738 - fix incorrect capitalisation and host group wording (Dominic Cleal)
- fixes #11738 - add missing punctuation to provisioning template view (Brad Buckingham)
- Fixes #11727 - Added proper human readable description to User#mail_enabled field (Shimon Shtein)
- refs #11719 - change pg/sqlite3 deps to match ActiveRecord (Dominic Cleal)
- Fixes #11621 - n+1 query on User Groups index (Daniel Lobato)
- fixes #9108 - parent parameters are now overrideable (Tom Caspy)
- fixes #11341 - update fog to 1.34.0 (Dominic Cleal)
- fixes #11719 - mysql2 dep must match ActiveRecord's runtime dep (Dominic Cleal)
- fixes #11415 - using the correct method for classification caster (Tom Caspy)
- Fixes #11683 - Fixed Hostgroup#new parameters spinner when Lifecycle selected (Ondrej Prazak)
- Fixes #11707 - skip irrelevant states in host overview (Marek Hulan)
- fixes #3145 - host with a lot of parameters quicker (Tom Caspy)
- Fixes #11665 - Removed to_s function from OpenStruct instance (Shimon Shtein)
- Fixes #11663 - Empty lookup value not validated when use_puppet_default is checked (Ori Rabin)
- Fixes #11693 - removed 'destroy' for smart class parameter from API controllers (Ondrej Prazak)
- Fixes #11696 - remove unused code (Marek Hulan)
- Fixes #11677 - foreman-debug: netstat to print all connections (Pavel Moravec)
- Fixes #10782 - global host status (Marek Hulan)
- Fixes #11407 - Uppercase logins from LDAP break external user group sync (Daniel Lobato)
- Fixes #11426 - remove puppet class paremeters no longer possible during edit in UI (Ondrej Prazak)
- Fixes #11263 - set newly seeded partition tables default (Marek Hulan)
- fixes #9654 - mark seeded org/loc as default (Stephen Benjamin)
- Fixes #11625:  refactor the ace editor to make it reusable. (Walden Raines)
- Fixes #11428 - External user groups refresh shouldn't be case sensitive (Daniel Lobato)
- Fixes #11673 - accept integer value when setting the integer via API (Ivan Nečas)
- Fixes #1477 - Hostgroup no longer looses puppet classes when environment changed during hostgroup editing (Ondrej Prazak)
- Fixes #11650 - show global parameter value inherited from parent taxonomy (Tomer Brisker)
- refs #11449 - move therubyracer to its own bundler group (Michael Moll)
- fixes #11649 - taxonomies api - add description to base.json.rabl (Brad Buckingham)
- fixes #10832 - separating lookup keys into puppet and variable (Ori Rabin)
- Fixes #11466, #11462 - Improve layout of textareas (Tomer Brisker)
- Refs #3809 - Enable Rails delegate cop (Daniel Lobato)
- Refs #3809 - Stabby lambda syntax for oneliners (Daniel Lobato)
- Fixes #11630 - Enable management of nics in compute profiles without libvirt network (Julien Pivotto)
- fixes #11570 - returning 'dependent destroy' to lookup values (Tom Caspy)
- Fixes #11579 - Reports show/destroy restricted by host authorization (CVE-2015-5233) (Daniel Lobato)
- fixes #11619 - only check template changes when persisted (Stephen Benjamin)
- Fixes #11031 - ignore identifiers of interfaces being destroyed (Marek Hulan)
- Fixes #11284 - clear cache during websocket setting migration (Lukas Zapletal)
- Fixes #11427 - puppetclass edit text under optional input validator is now alert-info (Ondrej Prazak)
- Fixes #11467 - Textareas in form may be resized only vertically (Ondrej Prazak)
- Fixes #11596 - Changed the javascript to put the error near te ip field, not inside it. (Shimon Shtein)
- Fixes #11388 - Popovers display with correct size and dismiss on next click (Tomer Brisker)
- Fixes #10408 - adding checkbox in hosts-index page for keeping selected hosts (amirfefer)
- Fixes #11461 - Remove 'global scope' column in host/hostgroup parameters form (amirfefer)
- Fixes #11437 - do not modify frozen arrays in select_f helper (Ondrej Prazak)
- Fixes #10731 - Allow matches to merge with default values (Ori Rabin)
- Fixes #9453 - improve tooltips on puppetclass selection forms (Tomer Brisker)
- Fixes #11560 - foreman-debug counts denials correctly (Lukas Zapletal)
- Fixes #11581 - Headlines extracted in the selected hosts modal (amirfefer)
- fixes #11571 - resetting column information in migration (Tom Caspy)
- Fixes #11006, #11004 - Facts % is now in the center of the graph (Amir Feferkuchen)
- fixes #11425 - adding lookup_value_matcher to host and hostgroup to make db schema more logical (Tom Caspy)
- fixes #9058 - interfaces should not be affected when changing loc/org (Tom Caspy)
- Fixes #9704,#9705 - ability to customize vmware VM on image-based provisioning (Ivan Nečas)
- Fixes #11451 - Changed bookmark name to be unique per controller. (alongoldboim)
- fixes #10130 - availability zones should be available in open stack (Tom Caspy)
- Fixes #11282 - Search on numeric facts is broken if using "~" (imriz)
- Fixes #11450 - Improve hidden parameter handling (Tomer Brisker)
- Fixes #11413 - disable SQL logging by default (Tomer Brisker)
- Fixes #11379 - Audit search for hostgroup/OS title (Daniel Lobato)
- Fixes #11303: Allow scoped search by name for permissions. (Eric D. Helms)
- Fixes #11174 - Don't show password placeholder when empty (amirfefer)
- fixes #11385 - Enable management of nics in compute profiles without libvirt network (Julien Pivotto)
- fixes #11374 - re-initialize select2 on smart vars (Shlomi Zadok)
- fixes #11170 - pass quoted args through foreman-rake (Dominic Cleal)
- Fixes #11432 - Allow copying from ACE editor (Tomer Brisker)
- fixes #11220 - column ambiguity for non-admin host creation (Avi Tal)
- fixes #10232 - moving validations and casting out of lookup key and value (Tom Caspy)
- fixes #11274 - Unable to get resourcePoo (slivik)
- fixes #10997 - update fog to 1.33.0 (Dominic Cleal)
- Fixes #11371,#4410 - puppet parameters truncated and tooltip added (amirfefer)
- fixes #11240 - Add api docs to hostgroup params (Shlomi Zadok)
- Fixes #11372 - Formalize assets names. (alongoldboim)
- Fixes #11376 - show location tab in organization editor (Tomer Brisker)
- Fixes #11339 - ensure unique parameters before adding uniq index (Justin Sherrill)
- Fixes #11187 - explicitly pass resource_type and permission to check (Marek Hulan)
- Fixes #11255 - Fixed inheritance checks for explicit input on host clone (Shimon Shtein)
- fixes #1881 - adding auto refresh button to dashboard (Tom Caspy)
- Fixes #4419 - rearranging smart class parameters edit form (Ori Rabin)
- fixes #11312 - Allow plugins to update the Rabl view_paths (Phirince Philip)
- Fixes #10248 - cloning volume information for virtual machines (Tomas Strachota)
- Fixes #7840 - Show correct values for smart variables on host edit page (Tomer Brisker)
- refs #11216 - remove update-rails from locale update steps (Dominic Cleal)
- fixes #11250 - Remove uniqueness check from subnet network addresses (lawre)
- fixes #11172 - disable select2 with css class (and enable elsewhere) (Shlomi Zadok)
- fixes #11171 - compute profiles nics & volumes select2 are initiated separately (Shlomi Zadok)
- Fixes #11283 - check for operatingsystem_ids before using it (Marek Hulan)
- Fixes #1453 - add use_image and jumpstart helpers to Host jail (Marek Hulan)
- Fixes #4468 - Dropdown shows '1' when all reports within last 24 hours (Ondrej Prazak)
- Fixes #11219 - rename config_template attributes in os_default_templates (Martin Bačovský)
- Fixes #11258 - validation handles blank provider (Marek Hulan)
- fixes #7275 - remove welcome page and replace with docs button (Stephen Benjamin)
- Fixes #7167 - names of settings marked for translation (Ondrej Prazak)
- Fixes #10558 - adds migration to remove and prevent duplicate tokens (Ori Rabin)
- Fixes #11230 - foreman-debug calls 'plugin:list' now (Lukas Zapletal)
- Fixes #11231 - Correctly stubbify global parameters (Tomer Brisker)
- Fixes #11216 - use rails-i18n gem for translating rails strings (Tomer Brisker)
- Fixes #9591 - Added support for "inherit" state. (Shimon Shtein)
- Fixes #10826 - Adds unique constraint to the title in operatingsystem table (Ondrej Prazak)
- Fixes #11013 - Added common table css classes to the tables (alongoldboim)
- Fixes #10133 - Prevent deadlocks when fixing counter_cache (Tomer Brisker)
- fixes #11122 - initialize ENCRYPTION_PREFIX only once (Shlomi Zadok)
- fixes #11175 - [API] Add taxonomies to ptables, display ptables in taxonomies (Shlomi Zadok)
- Fixes #11206 - plugin API now expose default role permissions (Lukas Zapletal)
- Fixes #11062 - do not process data when FormData is used (Marek Hulan)
- Refs #3809 - Enable cop Style/MultilineTernaryOperator (Daniel Lobato)
- Refs #3809 - Enable cop Style/IfUnlessModifier (Daniel Lobato)
- Refs #3809 - Enable cop Style/AlignArray (Daniel Lobato)
- Fixes #10850 - handled errors when missing template when rendering widget (Ivan Nečas)
- Fixes #11150 - Allow searching of facts as types other than string (imriz)
- Fixes #11168 - Provisioning templates form is showing corrrect tabs (alongoldboim)
- fixes #11149 - foreman-debug to collect two httpd katello.conf files (Pavel Moravec)
- Fixes #11009 - include instruction using foreman-debug into 500 error page (alongoldboim)
- Fixes #10929 - Add removed widgets to dashboard (Daniel Lobato)
- Fixes #4830 - Added a new template to show when no trend data is collected. (Shimon Shtein)
- refs #10550 - extract settings API error string (Dominic Cleal)
- Fixes #10550 - Settings API will not update when value parameter is missing (Ondrej Prazak)
- Fixes #11011 - notifications are removed when window is changed (alongoldboim)
- Fixes #11010 - removed type and association tabs, placed those options in the template tab (alongoldboim)
- Fixes #6854 - Api status allowed for all users (Ondrej Prazak)
- fixes #5897 - when user doesn't have an email, email isn't required (Tom Caspy)
- Fixes #11089 - Adapt tests to Rails 4 (Daniel Lobato)
- fixes #11120 - migrate websockets setting when readonly in settings.yaml (Dominic Cleal)
- Fixes #11035 - template preview feature (Marek Hulan)
- fixes #5630 - fixes VMWare clone from template fails if VMWare is in foreign language (Timo Goebel)
- fixes #10985 - Set css class for width of filter select on Puppet CA index (Shlomi Zadok)
- fixes #11121 - initialise websockets_encrypt after dependencies (Dominic Cleal)
- fixes #11095 - lookup keys do not get saved to db on setter invokation (Tom Caspy)
- fixes #10994 - remove new_* data from compute profile attributes (Dominic Cleal)
- Fixes #11014 - increased space for subnet domain assocation(up to 70 chars). (alongoldboim)
- Fixes #11111 - action dropdowns pulled right (Tomas Strachota)
- Fixes #10915 - Deleting a host removes all host specific overrides (Ori Rabin)
- Fixes #8343 - Consolidated code paths, and removed unnecessary DB calls for parent object (Shimon Shtein)
- Fixes #9293 - Organization/location menu closes correctly (alongoldboim)
- Fixes #9603 - fixed websockets_* set of settings (Lukas Zapletal)
- Fixes #11023 - Pass identity_endpoint to Openstack Fog 1.32.0 (Daniel Lobato)
- Fixes #11078 - Substitute find_all_by by where to comply with Rails 4 (Daniel Lobato)
- Fixes #10356 - changed the POST/PUT RABL template to be the same as the GET template (alongoldboim)
- fixes #11048 - add script to sync unattended templates from community-templates (Dominic Cleal)
- Fixes #11056: Configure base SETTINGS for test environment. (Eric D. Helms)
- Fixes #10438 - Removed trends:clean task, as it is no longer needed (Shimon Shtein)
- Fixes #3971 - warning shown when PXE template is edited and has hosts in build mode (Ondrej Prazak)
- Fixes #11012 - Making Puppet menu cosistent (Ori Rabin)
- Fixes #11033 - adding missing params to auth_source ldap API docs (Martin Bačovský)
- Fixes #11025: Allow skip test runner to run through Jenkins test task. (Eric D. Helms)
- fixes #11024 - update smart proxy realm docs link (Dominic Cleal)
- Fixes #10867 - OpenStack boot_from_volume is true only when checked (Daniel Lobato)
- Refs #3809 - Style/blocks cop enabled (Daniel Lobato)
- fixes #11018 - correct syntax error in version number (Dominic Cleal)
- fixes #10216 - sort report log messages in natural order (Dominic Cleal)
- fixes #10470 - update fog to 1.32.0 (Dominic Cleal)
- Fixes #10803: Return nil if no resource_type when creating a filter. (Eric D. Helms)
- fixes #10964 - [js] search env_id by name attribute (Shlomi Zadok)
- Fixes #10928 - Default dashboard widgets for new users (Daniel Lobato)
- Fixes #10976 - Suggest new ip button does not work (Tomas Strachota)
- fixes #10965 - remove select css classes from days_filter (Shlomi Zadok)
- Fixes #10635 - Formalize deprecation warning (alongoldboim)
- Fixes #10963 - partition table can't access os ids (Martin Bačovský)
- fixes #10965 - change days_filter sentence (Shlomi Zadok)
- Fixes #10785 - force encoding for encrypted fields (Lukas Zapletal)
- Fixes #10802: Fix error that appears in migrations related to users. (Eric D. Helms)
- fixes #10959 - gravatar should be opt-in not opt-out (Stephen Benjamin)
- fixes #10868 - use classify for a Symbol instead of humanize (Shlomi Zadok)
- fixes #10952 - remove empty test files (Shlomi Zadok)
- Fixes #10729 - clear notifications on login (alongoldboim)
- Fixes #10945 - foreman-debug to collect foreman http request log (Pavel Moravec)
- fixes #10933 - in api/v1 templates should be name as config_templates (Shlomi Zadok)
- fixes #10876 - Search for compute / arch /os by name and not by id (Shlomi Zadok)
- Fixes #10607 - match bonds based on identifier only (Marek Hulan)
- Fixes #10888 - skip attached_to updates if identifier was blank (Marek Hulan)
- Bump version to 1.10-develop (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #10917 - Update API docs for template combinations (Martin Bačovský)
- Fixes #10740 - ignore auditing of all models in migrations (Marek Hulan)
- Fixes #10683 - Permission to view individual compute resource VMs is incorrect (untsakas)
- fixes #10910 - initiate select2 separately on interfaces selects (Shlomi Zadok)
- Fixes #10916 - convert config_template_ids in operatingsystems (Martin Bačovský)
- refs #10072 - derestrict fog-libvirt per semver (Dominic Cleal)
- Fixes #10911 - reinitialize select2 on templated forms (Marek Hulan)
- Fixes #10879 - reported_at column is NOT NULL (Lukas Zapletal)
- Fixes #7574 - Rails 4 :data attributes substitute deprecated HTML options (Daniel Lobato)
- Fixes #10909 - Clear value on select2 dropdown (Daniel Lobato)
- Fixes #10090 - Minimised dashboard widget names are translated (Daniel Lobato)
- Fixes #10921 - Rephrase foreman-rake manpage (David O'Brien)
- Fixes #10899 - removes deprecated smart proxies scopes code (Marek Hulan)
- Fixes #10727 - Added validation to require BMC Smart proxy in order to add BMC nic (Shimon Shtein)
- Fixes #10633 - Associate architechture to OS during fact import (alongoldboim)
- Fixes #10849 - remove hidden template fields on submit (Marek Hulan)
- refs #10701 - fix spelling mistakes (Dominic Cleal)
- Fixes #10526 - Support for Cisco POAP (Fernando Carolo)
- Fixes #10853 - add config_template_ids back to organization (Martin Bačovský)
- Refs #10720 - Use API v2 response for vm_compute_attributes (Walter Huf)
- Fixes #10072: Support for user-data during image-based provisioning with libvirt (used for creating of Atomic libvirt VM) (Dmitri Dolguikh)
- Fixes #10887 - Removed debug statement from clear_cache (Lukas Zapletal)
- fixes #10641 - Introduce select2.js for searching in select lists and apply to CR select (Shlomi Zadok)
- Fixes #10701 - foreman-debug config file support (Lukas Zapletal)
- fixes #10861 - Remove unused columns from the hosts table (Ohad Levy)
- Fixes #10854 - config_templates missing from show in taxonomies and os (Martin Bačovský)
- Fixes #10780 - factory girl examples for provisioning (Lukas Zapletal)
- Fixes #9793 - API v2 fact_values index works for non-admins (Daniel Lobato)
- fixes #10829 - non-admin user cannot update admin password (Shlomi Zadok)
- Fixes #10409 - Rails 4 compatible changes with Rails 3 (Daniel Lobato)
- Fixes #10817 - Initialize all autocomplete fields that needs it (Marek Hulan)
- Fixes #10815 - introduced FOREMAN_APIPIE_LANGS env variable (Lukas Zapletal)
- Fixes #10738 - Added javascript to focus on alert in puppetclasses tab (Shimon Shtein)
- Fixes #4551 - GCE provisioning support (Daniel Lobato)
- fixes #10787 - load fog extensions based on available CRs (Dominic Cleal)
- refs #10703 - use N_() for exception messages (Dominic Cleal)
- Fixes #10793 - rename old class name in taxonomy ignore_types (Marek Hulan)
- Fixes #10703 - websockify is now randomly selected (Lukas Zapletal)
- Fixes #10656 - Prevent audits on counter cache update (Tomer Brisker)
- fixes #10627 - apply host taxonomy scope to facts/report joins (Dominic Cleal)
- Fixes #6976 - Build default PXE menu should be POST request (Tomas Strachota)
- Fixes #10736 - Add permission specific logger (Marek Hulan)
- Fixes #10713 - improved backtrace logging (Ivan Nečas)
- Fixes #7096 - Adds STI to templates (Marek Hulan)
- fixes #10720 - Adds API to get host vm attributes (Walter Huf)
- Fixes #10260 - allow NIC management in attended mode and for unmanage hosts (Marek Hulan)
- Fixes #10642 - save the interface regardless of validation errors (Marek Hulan)
- Fixes #10715 - api build_pxe_default returns non-JSON message (Tomas Strachota)
- fixes #9301 - make puppet environment optional for hosts (Justin Sherrill)
- fixes #10711 - move LDAP logging to a separate logger (Dominic Cleal)
- fixes #10695 - don't seed initial taxonomies if there are any already (Stephen Benjamin)
- Fixes #10566 - allow identifier modifications that do not change interface type (Marek Hulan)
- Fixes #10699 - foreman debug options -au are exclusive (Lukas Zapletal)
- Fixes #3856 - Make parameter value fields expandable (Tomer Brisker)
- Fixes #9187 - Overrideable empty class parameters don't validate default value (Ori Rabin)
- Fixes #10487: Add custom logging support (Eric D. Helms)
- Fixes #9299 - Windows installation media works without bcd patching (Dmitry Kireev)
- Fixes #3711 - usergroup name can't be null (Marek Hulan)
- Fixes #10684 - re-adding missing code (Marek Hulan)
- fixes #10646 - disable NIC subnet taxonomy checks when feature's disabled (Dominic Cleal)
- Fixes #10664 - map only physical interfaces in compute orchestration (Marek Hulan)
- fixes #6332 - skip taxonomy queries when features are disabled (Dominic Cleal)
- fixes #10660 - taxonomies are able to have the same name for different classes (Tom Caspy)
- fixes #10397 - parse Windows Local_Area_Connection interface name (Dominic Cleal)
- fixes #10613 - restore VMware SCSI controller field (Dominic Cleal)
- Refs #6518 - Use #find instead of #select #first to choose a BMC proxy for the subnet (Aaron Stone)
- fixes #9031 - Add routes to view template_combinations per hostgroup / environment (Shlomi Zadok)
- Fixes #10638 - decouple full screen button from template editor (Tomer Brisker)
- fixes #10151 - Unable to get resourcePool (Francois Herbert)
- fixes #9632 - updated compute resource names to follow brand names (alongoldboim)
- Fixes #10584 - Replace sort.uniq with uniq.sort (Tomer Brisker)
- Fixes #10542: correct path for auto complete search on filters page. (Walden Raines)
- fixes #10284 - improves foreman-debug usage for consumption from other tools (Adam Price)
- fixes #10586 - make the 401 status comparison actually match. (Jan Pazdziora)
- fixes #1510 - notification when host finishes building (Stephen Benjamin)
- Fixes #9424 - orchestration progress no longer triggers twice (Ori Rabin)
- Fixes #10583 - perform uniq in database instead of in memory when possible (Tomer Brisker)
- fixes #8597 - escape slashes for ptable URL parameters (Tom Caspy)
- Fixes #10568 - Show release field when OS family is CoreOS (Daniel Lobato)
- Fixes #10513 - Substitute reports:summarize docs for reports:daily (Daniel Lobato)
- fixes #9873 - generate unique alert mails for each user group member (Dominic Cleal)
- Fixes #7337 - Only list authorized items on multiple select (Tomer Brisker)
- Fixes #7533 - auto resize pie chart labels to prevent overflow (Tomer Brisker)
- Fixes #9594 - adds admin field to the hostgroup rabl (Shimon Shtein)
- Fixes #10288 - prevent audits on update of puppetclass total hosts counter (Tomer Brisker)
- Fixes #10535 - building a token instead of creating it until host is saved (Ori Rabin)
- Fixes #10439 - add tests for trends:reduce task to deal with additions (Shimon Shtein)
- Fixes #10402: add to_bool function for converting to boolean. (Walden Raines)
- fixes #10528 - lookup value should allow false and 0 values (Tom Caspy)
- fixes #10482 - get external user group members only once during refresh (Dominic Cleal)
- Fixes #10355 - Prevent turbolinks loading puppetclass import (Tomer Brisker)
- fixes #1213 - Get email reports of audit changes (Shlomi Zadok)
- fixes #10509 - add toggle for LDAP usergroup updating (Dominic Cleal)
- fixes #10493 - disable usergroup sync on login when $login is used (Dominic Cleal)
- fixes #10510 - move secure flag to existing session configuration (Dominic Cleal)
- fixes #10518 - Broken quickstart section URL (John McCabe)
- fixes #10507 - wait for completion of update env request (Dominic Cleal)
- fixes #4769 - fix deprecation warning while syncing LDAP attrs (Dominic Cleal)
- fixes #10336 - move rbvmomi CR loading before our CR loading (Dominic Cleal)
- Fixes #9170 - wrong nic order in libvirt domain (Eric-Olivier Lamey)
- Fixes #10442 - dry up host managed logic (Marek Hulan)
- Fixes #9634 - creating a host with an interface and without os returns a validation message (Ori Rabin)
- Fixes #9613 - foreman_url can't be blank (Shlomi Zadok)
- fixes #10492 - permission name should be unique and not scoped by resource_type (Joseph Magen)
- fixes #10406 - add LDAP instrumentation and extra logging (Dominic Cleal)
- Fixes #10379 - disables cloning if unattended mode is disabled (Marek Hulan)
- Fixes #9966 - More debug messages for matching nics from fog (Tomas Strachota)
- Fixes #10212 - validate DNS name uniqueness of interfaces (Marek Hulan)
- Fixes #5568 - Improves performance of trends:clean rake task (Jon McKenzie)
- Fixes #9194 - displays full fact value (Shlomi Zadok)
- Fixes #7532 - prevent wrapping of host parameter table headers in ja_jp (Tomer Brisker)
- fixes #10471 - use Rails' force_ssl (Shlomi Zadok)
- fixes #10275 - Add secure cookie when in ssl (CVE-2015-3155) (Shlomi Zadok)
- Fixes #8525 - Rename "Mail" to "Email" in user preferences (Shimon Shtein)
- fixes #10403 - resync names of unmanaged hosts to their primary NIC (Dominic Cleal)
- Fixes #10307 - editing host with 'unattended: false' no longer results in error (Ondrej Prazak)
- fixes #10437 - remove incorrect/duplicate hash statements (Ohad Levy)
- fixes #10261 - update fog to 1.30.0 (Dominic Cleal)
- fixes #10298 - handle destroyed but present interfaces (Dominic Cleal)
- fixes #10441 - sort time and count-based columns in descending order (Stephen Benjamin)
- Fixes #8333 - correct matcher values with multi-key matchers (Ori Rabin)
- fixes #8502 - update scoped_search to 3.x (Dominic Cleal)
- Fixes #10412 - display interface tooltip after type change (Marek Hulan)
- Refs #10337 - Update Host searches to use outofsync_interval (Daniel Lobato)
- Refs #3809 - Remove nested ternary and nil checking (Daniel Lobato)
- Fixes #7458 - allow searching hosts by their ip and mac addresses (Marek Hulan)
- Fixes #10382 - Allow lowercase IPMI provider (Daniel Lobato)
- Fixes #7454 - extract period for l10n on taxonomy help pages. (Tomer Brisker)
- Fixes #9879 - improve wording of host delete dialog (Ondrej Prazak)
- Fixes #10263 - Encrypt LDAP password in db (Daniel Lobato)
- Fixes #10337 - Added setting out of sync duration (Craig Parker)
- Fixes #5649 - unattended_url validation fix (Ondrej Prazak)
- fixes #10343 - only log cache deletion failures when saving settings (Dominic Cleal)
- Fixes #7515 - Prevent label line breaks in add bookmark modal (Tomer Brisker)
- Fixes #10305 - complete handling for cloudinit-like in vsphere feature (karmab)
- fixes #10030 - use override method to display templates in folders (Shlomi Zadok)
- Fixes #10230 - Host clone uses create_hosts permission (Daniel Lobato)
- Fixes #8566 - reorganized settings categories (Ondrej Prazak)
- fixes #9812 - Adds validation on override value, ensure match returns error if blank (Shlomi Zadok)
- Fixes #10194 - help text for token_duration setting (Ondrej Prazak)
- Fixes #9506 - Add granular permissions to config groups (Marek Hulan)
- fixes #10342 - adding :host_parameters_attributes to except list in template_used() (Avi Tal)
- Fixes #9687 - respect custom controller permissions (Marek Hulan)
- Fixes #10228 - adding index to source_id in logs table (Ondrej Prazak)
- Fixes #9674 - Handle ProxyAPI exceptions on PuppetCA controller (Daniel Lobato)
- fixes #10287 - provide helper methods for proxy features (Stephen Benjamin)
- Fixes #10289: default root password hash is SHA256 now (Dmitri Dolguikh)
- Fixes #7335 - Refactor taxonomy form, display "select all" checkbox only if permitted (Tomer Brisker)
- fixes #7743 - ensure name is unique in scope of major and minor (Shlomi Zadok)
- refs #5554 - revert string change, save unnecessary retranslation (Dominic Cleal)
- fixes #9240 - in case of hash with indifferent access, serialize as hash (Tom Caspy)
- Fixes #5554 - fixed hostgroup and fqdn validations in multiple matchers (Ori Rabin)
- Refs #3809 - Remove semicolon cop (Daniel Lobato)
- fixes #9773 - correctly render template URL (Stephen Benjamin)
- fixes #10269 - host template preview now opens in a new tab (Ohad Levy)
- fixes #8817 - look up reports with all joins from host scoped_search (Dominic Cleal)
- Fixes #10186 - find host NICs on vsphere using Network Distributed PortGroup (Francois Herbert)
- refs #10168 - fix test that created a duplicate primary interface (Dominic Cleal)
- Fixes #9454 - Add axis labels and reposition legend in charts (Tomer Brisker)
- fixes #9982 - update fog to 1.29.0 (Dominic Cleal)
- fixes #10168 - delegate fqdn/shortname to primary interface (Dominic Cleal)
- Fixes #8861 - Lengthy organization or location names showed in tooltip (Ori Rabin)
- Fixes #10111 - Use a dummy primary interface for unmanaged hosts (Daniel Lobato)
- fixes #10234 - Fix NIC taxonomies validation tests (Daniel Lobato)
- Fixes #9391 - Added validation code to NIC, so it validates that host's location/org is compatible with the one set on NIC's subnet (Shimon Shtein)
- fixes #10158 - use full column name to avoid ambiguity on Rails 3.2.8 (Dominic Cleal)
- fixes #9998 - Add styling to error reporting (Shlomi Zadok)
- Fixes #10153 - pull in host_edit_interfaces.js also in hostgroups (Michael Moll)
- Refs #8106 - Add helper for add to dashboard button (Tomer Brisker)
- fixes #10167 - change default API from v1 to v2 (Joseph Magen)
- Fixes #8217, #8214 - Rearranging override section in smart class parameter page and host page (Ori Rabin)
- fixes #10020 - add next-server/filename attrs to provision NIC DHCP record (Dominic Cleal)
- Fixes #10124 - collect /var/log/syslog in foreman-debug (Michael Moll)
- Fixes #10123 - Tests API v2 external user groups (Daniel Lobato)
- fixes #9617 - rescue from empty vmware clusters (Shlomi Zadok)
- Fixes #10093 - VMware#create_vm calls clone_vm (Chad Walstrom)
- fixes #9993 - Removes root password and partition table reqs unless build mode selected (Christine Fouant)
- Fixes #9884 - refresh deleted external usergroups (Marek Hulan)
- Fixes #9878 - refresh external usergroup on API manipulation (Marek Hulan)
- fixes #10087 - Pass nic_type to vm_clone (Francois Herbert)
- Fixes #10025 - move generic taxonomies code to base class (Marek Hulan)
- Fixes #10100 - License file is outdated (Daniel Lobato)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #9947 - restrict user taxonomies if none is set (Marek Hulan)
- refs #4521 - extract string, fix capitalisation (Dominic Cleal)
- Fixes #7615 - filter ignore current context (Marek Hulan)
- Fixes #4787 - prevent unneeded AJAX requests on popover clicks (Tomer Brisker)
- fixes #10099 - pin execjs gem for Ruby 1.9 (Michael Moll)
- refs #4521 - Openstack Compute Resource: Boot from Volume on new Host (jslatten)
- Fixes #9362 - Corrected CoreOS mediapath (johscheuer)
- Fixes #9439 - 'white spaces' changed to 'spaces' in validation error message (Ondrej Prazak)
- Fixes #9969 - remove N+1 queries on host edit page (Tomer Brisker)
- Fixes #8812 - Pass model type so search_for is called on Host (Julien Pivotto)
- fixes #9973 - API doc keyword substitution with sprintf needs symbols (Dominic Cleal)
- fixes #5909 - return r/w resources from authorized scope (Dominic Cleal)
- Fixes #10002 - Add attribute ancestry to taxonomies API v2 (Keenan Brock)
- Fixes #9957 - rename and fix auth source tests (Marek Hulan)
- Fixes #8106 - Dashboard rewrite to allow better customization (Tomer Brisker)
- fixes #9778 - return r/w host when finding and associating to CRs (Dominic Cleal)
- Fixes #9921 - specify requirements on apidoc params for NICs (Tomas Strachota)
- Fixes #8593 - remove N+1 queries on puppetclass index page (Tomer Brisker)
- Fixes #9967 - make sure User.current is isolated (Marek Hulan)
- Fixes #9926 - do not always set LDAP encryption method (Marek Hulan)
- Fixes #8890 - Allow selection of plaintext "encryption" method for root password (William Hefter)
- Fixes #9618 - make identifier uniq per host (Marek Hulan)
- Fixes #8727 - DHCP validation does not fail on discovered leases (Lukas Zapletal)
- Fixes #9886 - Caps on password warning is not html safe (Daniel Lobato)
- Fixes #7378 - fixed API lookup keys filters (Martin Bačovský)
- templates - sync from community-templates (Dominic Cleal)
- fixes #8516 - removing the require 'fog' from the project, requiring only what we use (Tom Caspy)
- refs #9877 - s/variable/class parameter/ on param :override (Shlomi Zadok)
- fixes #6568 - showing ovirt template version if applicable (Tom Caspy)
- Fixes #9885 - pass verify_mode to net/ldap (Marek Hulan)
- Fixes #8601 - Cloudinit userdata in VMware (karmab)
- fixes #7407 - puppet class parameters should be cloned in #clone (Tom Caspy)
- fixes #9877 - Add descriptions to smart_class_parameters in api/v2 (Shlomi Zadok)
- Fixes #9836 - use provider type in host helpers (Tomas Strachota)
- Fixes #9869 - propagate LDAP errors (Marek Hulan)
- Fixes #9444 - prevent 404 error on current_parameters and domain_selected (Tomer Brisker)
- fixes #9775 - always load Encryptable when key's missing, log runtime warning (Dominic Cleal)
- fixes #9823 - Add description to smart variables (Shlomi Zadok)
- fixes #9469 - redirect to reports#index on destroy (Shlomi Zadok)
- Add web IRC channel link to README (Daniel Lobato García)
- Fixes #9434 - managed alias accepts only static boot mode subnet (Marek Hulan)
- fixes #9795 - check if mail is enabled before sending a notification (Stephen Benjamin)
- fixes #9856 - include locations and organizations in user output (Tom McKay)
- Fixes #8779 - add vlanid to subnet ENC (Marek Hulan)
- Fixes #9824 - missing compute resource assets (Tomas Strachota)
- Fixes #9842 - rename the register method which deprecates the old one (Marek Hulan)
- Fixes #9787 - correctly typecast default values (Marek Hulan)
- Fixes #9827 - compute resource info in API doesn't send provider type (Tomas Strachota)
- Fixes #9806 - Minor typo when building PXE default (Daniel Lobato)
- Fixes #9589 - Add documentation button to various models (Daniel Lobato)
- Fixes #6454 - Display error message when user_data is needed but not set (Daniel Lobato)
- Fixes #8898 - Caps lock warning in password fields (Daniel Lobato)
- fixes #4424 - overriden attributes get overridden in the UI (Tom Caspy)
- Fixes #9631 - adds missing bond test (Marek Hulan)
- Fixes #9673 - treat YAML and JSON lookup keys as strings (Marek Hulan)
- Fixes #9693 - Clarify bond identifier BSD info (Marek Hulan)
- Fixes #9751:  Correct examples for rake config usage. (Eric D. Helms)
- Fixes #9723 - missing owner_type in host api docs (Tomas Strachota)
- Fixes #9657 - merge NICs from compute profile in host create API (Tomas Strachota)
- Fixes #9606 - ANSI color codes should not be used in production log (Ori Rabin)
- Fixes #7505 - Changed the way trends are stored in the DB. Now they are stored as intervals (Shimon Shtein)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #9678 - Can't update admin flag for users via API (Tomas Strachota)
- fixes #8358 - validate domain on host update (Shlomi Zadok)
- Fixes #9650 - use textarea for global parameters (Marek Hulan)
- Fixes #1536 - Foreman should check DHCP entries on build. (Baptiste AGASSE)
- Fixes #9435 - adds tooltip for interface identifier (Marek Hulan)
- Fixes #9480 - multiple NICs integration with compute profiles (Tomas Strachota)
- Fixes #8316: Removing a host can create a huge transaction (Daniel Lobato)
- Fixes #9615 - Adds inheriting_mac method (Marek Hulan)
- Fixes #2135 - During puppet class import, puppet class description box should close itself (ripcurld00d)
- Fixes #9593 - replace .all.map(&:<attr>) with .pluck(:attr) (Tomer Brisker)
- fixes #8878 - ensure domain fact is downcased prior to import (Joey D)
- Fixes #9430 - provisioning on VMWare fails with invalid MAC address (Tomas Strachota)
- Bump version to 1.9-develop (Dominic Cleal)
- Fixes #5701 - removed extra id/name HTML attributes (Lukas Zapletal)
- Fixes #9548 - Changed the behavior of size selector in compute profile editor to match radio buttons (Shimon Shtein)
- fixes #6044 - production.log should have timestamps in it (Johan Swensson)
- Fixes #9547 - DHCP is default subnet boot mode (Marek Hulan)
- Fixes #9339 - Changed the OS sorting to title (Shimon Shtein)
- Fixes #9592 - unfold external user groups on error (Marek Hulan)
- Fixes #3016 - Sort accesible hostgroups by db instead of in memory (Tomer Brisker)
- Fixes #9590 - make info test less fragile (Marek Hulan)
- Refs #9500 - revert normalize_name tests (Daniel Lobato García)
- fixes #9118 - host mailer should not fail if no owner set for host (Tom Caspy)
- Fixes #9495 - Require identifier for managed bonds (Marek Hulan)
- Fixes #9497 - Require MAC for managed BMC (Marek Hulan)
- Fixes #9427 - Return meaningful errors from subnets/freeip and parse the error response to the UI (Shimon Shtein)
- Fixes #9147 - move managed checks to the start of the DHCP/DNS/TFTP orchestration checks (Greg Sutcliffe)
- fixes #9551 - checking the encryption format so osx doesn't fail (Tom Caspy)
- fixes #7764 - add quirks mode to JSON.dump (Shlomi Zadok)
- Add issue stats badge (Daniel Lobato García)
- refs #8331 - fix rubocop empty line warning (Dominic Cleal)
- fixes #8331 - provide some tools for filtering mail (Stephen Benjamin)
- fixes #9334 - reverse the order of 'hosts/provisioning setup' sub-menu (Shlomi Zadok)
- fixes #9397 - Make usage of @host.operatingsystem in UnattendedController consistent (johscheuer)
- Fixes #8736 - confirmation before host delete for freshly created hosts (Tomas Strachota)
- Fixes #9500 - matching uses the whole domain name (Marek Hulan)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #9461 - Update subnets on domain change in hostgroup (Tomer Brisker)
- Fixes #3278 - Correctly extract "New %s" strings (Tomer Brisker)
- Fixes #9325 - preserve compute resource attrs after NIC modal is closed (Tomas Strachota)
- Fixes #9452 - correct capitalization of VMware (Tomer Brisker)
- fixes #9107 - update to fog 1.28.0, fog-aws 0.1+ (Dominic Cleal)
- Fixes #5998 - add taxonomy tabs to config_template#edit (Tomer Brisker)
- Fixes #9496 - Adds popover help to IPAM field in Subnet form (Marek Hulan)
- Refs #4478 - Remove empty line in apipie.rake (Tom Caspy)
- Fixes #9458 - process only executable debug extensions (Lukas Zapletal)
- Refs #4478 - copy in pre-built plugin caches on rake apipie:cache index (Martin Bačovský)
- Fixes #9429 - identifier is required for Alias and VLAN (Marek Hulan)
- fixes #6655 - remove _ForemanSelectedhosts cookie on action submit (Shlomi Zadok)
- fixes #8581 - [vmware] use cluster full path to create vm (Shlomi Zadok)
- refs #3809 - exclude auto-generated schema.rb from rubocop checks (Dominic Cleal)
- Refs #3809 - Remove cop emptyliteral (Daniel Lobato)
- Refs #3809 - Remove classcheck cop (Daniel Lobato)
- Refs #3809 - Remove various small cops (Daniel Lobato)
- Refs #3809 - Remove cop IndentationConsistency (Daniel Lobato)
- Refs #3809 - Remove cops for empty lines (Daniel Lobato)
- fixes #9358 - match unattended template requests against provision interface (Dominic Cleal)
- fixes #8953 - update IPA userclass param on realm update (Stephen Benjamin)
- fixes #8953 - update IPA userclass param on realm update (Josh Baird)
- Fixes #9231 - Require English lib and fix ENC failure (David Davis)
- Fixes #9351 - use correct interfaces url for AJAX calls (Marek Hulan)
- Fixes #9357 - Making description db types consistent across Foreman (David Davis)
- fixes #9369 - tftp should send host, not self to get the boot files uri (Stephen Benjamin)
- fixes #9335 - adds toggle to puppet classes list & better ui (Shlomi Zadok)
- Fixes #2749 - power status helper can handle unknown states (Marek Hulan)
- fixes #9362 - Add mediapath support to CoreOS (johannes)
- refs #9138 - skip all interfaces UI tests, which fail randomly (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #8641 - Update fog to 1.27 (Daniel Lobato)
- i18n - pulling formatting fixes from tx (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #9006 - Add header to facts chart (Shlomi Zadok)
- fixes #9212 - using headless browser in order to run Capybara tests (Tom Caspy)
- fixes #9274 - hostgroup#clone clones config groups (Tom Caspy)
- fixes #9249 - associated_host fixed for all compute resources (Tom Caspy)
- refs #6371 - fix unclosed HTML tag (Dominic Cleal)
- refs #6371 - extract VNC password text (Dominic Cleal)
- Fixes #9186 - build interface if needed during facts import (Marek Hulan)
- fixes #9124 - fixes detection of hashed root passwords (Tommy McNeely)
- fixes #6371 - showing the vnc password (Tom Caspy)
- Fixes #9195 - register MAC validation errors properly (Marek Hulan)
- Fixes #9104 - allow disabling of interface updates (Marek Hulan)
- Refs #8710 - moved proxy related info from foreman-debug (Lukas Zapletal)
- fixes #8565 - only get unique, unused message/source IDs to speed up expiry (Dominic Cleal)
- fixes #5812 - url parameter in compute_resource#create is not required for EC2, removing the required flag (Tom Caspy)
- fixes #6774 - in case of parsing of non json or broken json, return 400 (Tom Caspy)
- Fixes #6884 - Installation media without $minor generate broken $version (Daniel Lobato)
- Fixes #9113 - api docs for users miss locale and timestamp params (Tomas Strachota)
- fixes #3008 - allowing large ptables (Tom Caspy)
- Fixes #9160 - use provision interface for image based provisioning (Marek Hulan)
- fixes #9030 - Adds support to clone config template via api (Shlomi Zadok)
- Fixes #9225 - private is defined twice in hosts controller (Daniel Lobato)
- Fixes #9198 - migration sets type explicitly (Marek Hulan)
- Fixes #9193 - broken rake-config command (William Hutson)
- Refs #3809 - Enable cop StringConversionInInterpolation (Daniel Lobato)
- Refs #9138 - temporarily disable affected intermittent tests (Tomas Strachota)
- Fixes #8052 - allows erb in array and hash params (Marek Hulan)
- fixes #8469 - css cleanup, whitespaces and remove dead code (Tomer Brisker)
- Fixes #7456 - Extract primary interface from host (Marek Hulan)
- Fixes #9097 - Fix typo in value_to_sql method (David Davis)
- fixes #8498 - Allows root password to be set in finish scripts (Tommy McNeely)
- Refs #9049 - fix log message formatting (Jiri Stransky)
- Fixes #9099 - Upgrade rubocop to 0.28.0 (David Davis)
- fixes #6362 - correct menu dividers if user isn't auth for some actions (Stephen Benjamin)
- Fixes #2948 - added sp_* host attributes to safe mode (Lukas Zapletal)
- Fixes #9059 - adds puppetssldir setting (stocky)
- Fixes #8970 - fixed second click on two-pane link (Ori Rabin)
- Fixes #8963 - Rename trunc helper to trunc_with_tooltip (Ori Rabin)
- Fixes #9044 - fixes invalid mac in tests (Marek Hulan)
- Fixes #9049 - Log exceptions when triggering a Puppet run (Jiri Stransky)
- fixes #9084 - catch net-ldap 0.11's specific invalid filter exception (Dominic Cleal)
- Fixes #8821 - Handle unnamed OpenStack images in images form (Daniel Lobato)
- fixes #9025 - reflect on association for _name(s) methods (Stephen Benjamin)
- fixes #6098 - ec2 compute resources now check image validity. (Tom Caspy)
- fixes #8993 - handle FreeBSD patch releases better (Michael Moll)
- fixes #8402 - Reports from the last xx Days not displaying day filter option (David LeVene)
- templates - sync from community-templates (Dominic Cleal)
- fixes #6369 - allow to override puppet ca/master to nil (Tom Caspy)
- Fixes #8922 - authorized_smart_proxy_features should not fail if not implemented (Daniel Lobato)
- fixes #8949 - fix noop migration for smart proxy auth settings (Stephen Benjamin)
- Refs #3809 - Enable cop BarePercentLiterals (Daniel Lobato)
- Fixes #8830 - Allow two-pane to work on show (Ori Rabin)
- Fixes #8934: Allow plugin menu items to disable turbolinks for their links. (Eric D. Helms)
- fixes #8925 - support plugin asset manifests beneath app root (Dominic Cleal)
- Fixes #8930 - Incorrect html caused a typo on the trends page (Bryan Kearney)
- Refs #8857 - Styling fixes for coreOS boot_files_uri (Daniel Lobato)
- fixes #8857 - refactor Debian boot_files_uri into parent class to match CoreOS (Johannes Scheuermann)
- Fixes #8838 - Replace HTTP error codes with human-readable symbols (Tomer Brisker)
- refs #6832 - prevent extraction of string interpolation (Dominic Cleal)
- Fixes #8764 - adds description to taxonomies (Ori Rabin)
- fixes #8855 - remove unused oj gem (Dominic Cleal)
- fixes #8484 - make SmartProxyAuth concern more useful to plugins (Stephen Benjamin)
- refs #8879 - revert "Pin fast_gettext to get tests to run" (Dominic Cleal)
- fixes #8885 - pin google-api-client to retain Ruby 1.9 support (Dominic Cleal)
- fixes #8802 - add Turbolinks support (Joseph Magen)
- Fixes #8879 - Pin fast_gettext to get tests to run (Daniel Lobato)
- refs #8747 - undo pinning google_api_client gem to 0.7.1 (Stephen Benjamin)
- Fixes #8837 - Return correctly formatted response on ajax_error (Tomer Brisker)
- Fixes #8851 - support seed files of plugin with dash in name (Marek Hulan)
- Fixes #6832 - Don't show location/organization on host edit page if host has none (Tomer Brisker)
- fixes #8822 - append target=_blank to all links with rel-external (Shlomi Zadok)
- Fixes #8786 - Show override button after removing overridden parameter (ripcurld00d)
- Fixes #8661 - Refactor compute resource vm partials (Tom Caspy)
- fixes #7652 - Implements CoreOS OS support (Johannes Scheuermann)
- Fixes #8804 - Align the dashboard to bootstrap columns (Shimon Shtein)
- fixes #8791 - pin i18n gem (Michael Moll)
- refs #8428 - fix typo in audit's belongs_to user (Shlomi Zadok)
- Fixes #8796 - Fix to_gb size calculation and constentize (Tomer Brisker)
- fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection (Shlomi Zadok)
- fixes #8049 - Add timezone to user (Shlomi Zadok)
- fixes #8442 - add eager loading of users on audit show page for history tab (Joseph Magen)
- Fixes #8785 - HTML syntax fixes - add thead/tbody, fix formatting (Shimon Shtein)
- Fixes #8417 - Correctly focus on errors in puppet form (Tomer Brisker)
- fixes #8638 - ensure that a redirect to hosts index after host destroy (Shlomi Zadok)
- Fixes #7523 - Removed autocomplete search from id fields (Tomer Brisker)
- Fixes #8790 - Fix N+1 query on user list page (Tomer Brisker)
- fixes #8233 - better HTML formatting for summary email (Shlomi Zadok)
- Fixes #8721 - Replaced jQuery.attr('id') with .id (Tomer Brisker)
- fixes #8722 - quote dpkg wildcard argument to avoid matching files (Dominic Cleal)
- fixes #8503 - remove ruby_parser pin to allow safemode update (Dominic Cleal)
- Fixes #8704 - Replace jQuery.size() with jQuery.length (Tomer Brisker)
- Fixes #7165 - Correct cursor behaviour on delete links for firefox (Tomer Brisker)
- Fixes #8747 - Temporary pin for google_api_client gem (Ori Rabin)
- fixes #8676 - tar foreman-debug results including the parent directory (Stephen Benjamin)
- fixes #8739 - use global setting when hostgroup root_pass is blank (Dominic Cleal)
- fixes #8735 - enable config drive on Rackspace servers (Dominic Cleal)
- fixes #8685 - include netmask in ENC output (Dominic Cleal)
- Refs #8364 - removed javascript N+1 alerts (Lukas Zapletal)
- Fixes #2592 - No indication when waiting for host dashboard button action to complete (ripcurld00d)
- fixes #8627 - add host comment field to API documentation (Dominic Cleal)
- Fixes #8620 - Remove useless back to host index link in multiple hosts action (Daniel Lobato)
- refs #8477 - fix string interpolation and spelling (Dominic Cleal)
- fixes #8477 - usability improvements to template locking/defaults (Stephen Benjamin)
- fixes #8591 - explicitly set where to subnets.id (Shlomi Zadok)
- fixes #8590 - handle missing 'config' when listing vSphere VMs (Dominic Cleal)
- fixes #8592 - allow plug-ins to modify multiple hosts actions (Šimon Lukašík)
- Fixes #8416 - Fix Puppet classes form n+1 queries (Daniel Lobato)
- Fixes #8551 - use most specific matcher for inherited hostgroups (Ori Rabin)
- refs #7032 - fix documented backup filename (Dominic Cleal)
- Fixes #7032 - Rake backup accepts destination file (Daniel Lobato)
- Fixes #8401: n+1 query on group parameters host edit (Daniel Lobato)
- Fixes #8400: Remove eager loading of puppetclass in lookup_keys index (Daniel Lobato)
- fixes #8228 - add a config_templates concern to serve config_templates controllers (Shlomi Zadok)
- fixes #5841 - use inner query when retrieving reports for subset of authorised hosts (Dominic Cleal)
- Fixes #5999 - vpc + pub ip -> attach pub ip (Henrik Feldt)
- fixes #8539 - refactoring a test to work for both GNU libc and Darwin libc (Tom Caspy)
- Fixes #8546 - Namespace interfaces and subnets to avoid a facts clash (Greg Sutcliffe)
- fixes #8513 - removing n+1 query from images#index (Tom Caspy)
- fixes #8526 - file uploads are now possible via two_pane. (Ohad Levy)
- fixes #8221 - search for subnet with taxonomy scope (Shlomi Zadok)
- fixes #8348 - expose user variable to templates in group mail (Stephen Benjamin)
- Fixes #8284 - missing params in OS api docs (Tomas Strachota)
- Fixes #8536 - can update and delete media with dot in name (Ori Rabin)
- fixes #8471 - adds a number field input support (Ohad Levy)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #8433 - Fix type transformation for all ENC-able NICs (Marek Hulan)
- Fixes #8421 - Host group search by OS attributes (Daniel Lobato)
- Fixes #8267 - accept template_url in call to foreman from proxy (Greg Sutcliffe)
- Fixes #8499 - Link LICENSE from README (Daniel Lobato)
- fixes #8356 - refactor reset method for libvirt (Shlomi Zadok)
- Fixes #8428 - Connecting audits to existing users (Ori Rabin)
- fixes #8459 - remove sp_subnet_id from api/hosts (Shlomi Zadok)
- fixes #8467 - trends range selector is now visible (Ohad Levy)
- fixes #7487 - remove unused background-image containing UTF-8 character (Dominic Cleal)
- fixes #8527 - pin rest-client to version compatible with current rbovirt (Dominic Cleal)
- Fixes #5723 - Show host groups inherited via config groups in puppetclass index (Tomer Brisker)
- fixes #8463 - remove i18n bundler group as it isn't optional (Dominic Cleal)
- Fixes #8414 - extracts validators from models (Tomer Brisker)
- fixes #8367 - Eager load classes under /lib (Shlomi Zadok)
- fixes #8510 - ignore gettext load failures in production without it (Dominic Cleal)
- fixes #8357 - Set fog gem to version 1.25.0 (Shlomi Zadok)
- Fixes #7525 - don't fail on structured facts (Lukas Zapletal)
- Fixes #7233 - Drop Ruby 1.8.7 and revert Ruby 1.8.7 specifics (Shlomi Zadok)
- Fixes #6872 - Add title to new compute resource page (Tomer Brisker)
- fixes #8445 - upgrade rails to 3.2.21 (Joseph Magen)
- Fixes #7440 - correctly autocomplete current_user (Tomer Brisker)
- Fixes #6765 - correct wrong validation on media name (Tomer Brisker)
- fixes #8457 - auto complete search clear btn is now positioned correctly (Ohad Levy)
- Fixes #8456 - normalize addresses only if mac is being set (Marek Hulan)
- Fixes #7908 - normalize mac before host get saved (Marek Hulan)
- Fixes #8405 - Filter :interfaces_attributes when calculating templates_used (Greg Sutcliffe)
- Refs #3809 - Remove useless assignments (Daniel Lobato)
- Fixes #8425 - n+1 query on audits index (Daniel Lobato)
- Fixes #4613 - Remove duplicate scoped search from taxonomies (Daniel Lobato)
- Fixes #8424 - Controller concerns are loaded twice (Daniel Lobato)
- Fixes #5573 - os search definitions for host available in unattended=false mode (Ori Rabin)
- Fixes #8418 - Add 'facts' feature to features (Ori Rabin)
- Fixes #5169 - Error in smart class param or value cause tab header to turn red in Puppet Class edit form (Ori Rabin)
- fixes #8363 - Sort VMware attributes alphabetically (Shlomi Zadok)
- Fixes #3288 - i18n extract heading on new host view (Tomer Brisker)
- fixes #5634 - save sso_method on session expiry (Stephen Benjamin)
- fixes #8377 - fixes uniq validation for nics without a host (Scott Seago)
- fixes #5018 - pin rbvmomi gem to the rbvmomi version in fog gem (Shlomi Zadok)
- fixes #8366 - add parameter type to unique index (Dominic Cleal)
- fixes #8364 - Adds SQL N+1 Query detection using bullet. (Ohad Levy)
- Bug #7547 - Cannot log out of WebUI from mobile device (Jiayi Ye)
- Fixes #8325 : Enhance the plugin object to use the gem path to understand where the plugin is installed (Bryan Kearney)
- Fixes #1448 - correctly display puppetclass statistics (Tomer Brisker)
- fixes #5773 - redirect to referrer URL that includes page and search (Joseph Magen)
- Fixes #7590 - OS Family web UI is handled uniquely in three different places (ripcurld00d)
- Fixes #4478 - API documentation localized (Martin Bačovský)
- Fixes #8321 - correctly pull Compute Resource image method from compute attributes (Greg Sutcliffe)
- Fixes #844 #5725 - correct hosts count in puppetclass (Tomer Brisker)
- Fixes #7488 - correctly display hostgroups with / in their names (Tomer Brisker)
- Fixes #6974 - Hitting Cancel button on New Org > Manually Assign goes to 404 (ripcurld00d)
- fixes #8281 - remove id-name parameterization from puppetca (Shlomi Zadok)
- Bug #7619 - [zh_CN] Localized string broken for Loading page (Jiayi Ye)
- Fixes #8337 - reworded oVirt template help text (Lukas Zapletal)
- Fixes #7369 - External user groups update on login (Daniel Lobato)
- Fixes #7462 - new UI for network interfaces (Tomas Strachota)
- fixes #8302 - only return active images for openstack compute resources (Stephen Benjamin)
- fixes #8277 - upgrade rails to 3.2.20 (Joseph Magen)
- Fixes #8285 - Update README.md (Daniel Lobato García)
- fixes #6408 - dismiss org/loc context menu when mouse leaves it (Tom McKay)
- Refs #3809 - fix shadowing outer local variables (Daniel Lobato)
- Fixes #7971 - DHCP hostname commutative conflict fix (Lukas Zapletal)
- Fixes #8258 - CR provider errors with correct log level (Lukas Zapletal)
- Refs #969 - Foreman-side changes for serving templates from the proxy (Greg Sutcliffe)
- refs #746 - hosts stylesheet is part of app.css, not standalone (Dominic Cleal)
- Fixes #7954 - When creating a host cant is spelled wrong under partition table side note (Jiayi Ye)
- Fixes #8091: connect-src accepts WSS (Daniel Lobato)
- fixes #7586, #7734, #7172 - user preferences for receiving mail notifications (Stephen Benjamin)
- refs #3260 - add label for default value tickbox to match overrides (Dominic Cleal)
- fixes #4463 - use unattended URL for hostgroup provisioning (Stephen Benjamin)
- refs #3260 - extract string, fix inconsistent capitalisation (Dominic Cleal)
- fixes #7982 - Parameterize Operatingsystem.title to avoid non-alphanumeric characters in title (and friendly_id) (Shlomi Zadok)
- Fixes #3260- Allows puppet to manage value of smart class parameter that can be overrided (Ori Rabin)
- fixes #8133 - update audit diff view to match changes in cafa947 (Dominic Cleal)
- fixes #7975 - Subnet names should be unique (Shlomi Zadok)
- ref #8056 - Unit tests for to_param (Shlomi Zadok)
- Fixes #8009 - Make sure the final version of helpers is in the controller (Ivan Nečas)
- refs #746 - fix string interpolation ordering (Dominic Cleal)
- fixes #8056 - replaces . (dot) in params with - (hyphen) (Shlomi Zadok)
- Bump version to 1.8-develop (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #746 - Generate all the Host template when click on Build to avoid errors during installation (Shlomi Zadok)
- Fixes #8043 - Statistic links to OS (Daniel Lobato)
- Fixes #8048: n+1 query selecting multiple hosts (Daniel Lobato)
- Fixes #2089 - Add network configuration to ENC (Marek Hulan)
- Fixes #7994 - increased default token_duration setting (Lukas Zapletal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #7657 - remove default OAuth credentials (Shlomi Zadok)
- Fixes #7519 - i18n extract ajax error message (Tomer Brisker)
- Fixes #8005 - Convert allowed NIC types to strings (Tomas Strachota)
- Fixes #7561 - 'No. of CPU' search URL is incorrect (ripcurld00d)
- refs #7587 - pwstrength stylesheet is part of app.css, not standalone (Dominic Cleal)
- fixes #8019 - convert po to JSON before refreshing pot/po files (Dominic Cleal)
- Fixes #6710 - unicode characters in url parameters (Tomas Strachota)
- Fixes #7562- reducing number of reports created by test to stop sigkill during test (Ori Rabin)
- Fixes #3309 - Support deep merging of hash and array structures in smart class parameters (Ori Rabin)
- Fixes #7733 - Remove hosts.yml fixtures and use FactoryGirl instead (Greg Sutcliffe)
- Refs #7719 - explicitly create .ssh dir in home (Lukas Zapletal)
- Refs #6549: Ensure tests to skip exist to avoid too deep stack. (Eric D. Helms)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #7331 - delete unassigned os default templates (Shlomi Zadok)
- Fixes #7830 - interfaces api output is class specific (Tomas Strachota)
- fixes #7985 - add support for ws:// in secure headers (Shlomi Zadok)
- fixes #7898 - ensure that format can respond to json / yaml (Shlomi Zadok)
- fixes #4439 - ensure user logins are handled case insensitively (Stephen Benjamin)
- Fixes #7933 - OS api responses miss field title (Tomas Strachota)
- fixes #7372 - API v2 - accept PUT/POST requests with wrapped root node to add/remove has_many associations of child nodes (Joseph Magen)
- Fixes #7934 - Set correct order of require_dependency (Marek Hulan)
- fixes #7584 - add Authorizable module to class AuthSource (Joseph Magen)
- fixes #3492 - API v2 nested routes for each controller (Joseph Magen)
- fixes #7332 - Host Create API documentation missing required parameters (Joseph Magen)
- Fixes #2283 , #3135 - add config option for proxy_request_timeout (Thomas Kuther)
- Fixes #7879 - Update fog to 1.24.0 (Daniel Lobato)
- Refs #7587 -  Refactor password confirmation (Ohad Levy)
- fixes #7907 - Allow images from gravatar on secure headers (Shlomi Zadok)
- refs #7861 - remove trailing whitespace (Ohad Levy)
- Fixes #6214 - Alphabetical menu sorting in the UI (Robert Birnie)
- fixes #7805 - Add several security related HTTP headers - security hardening. (Jan Rusnacko)
- Fixes #7861 - Update rubocop version (David Davis)
- refs #7876 - my_organizations/locations tests (Dominic Cleal)
- refs #7587 - precompile pwstrength JS, move gem from runtime deps (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #7587 - Adds client-side password validation (Vanya Jauhal)
- Fixes #7886 - Compute Resources should be ordered by name (Robert Birnie)
- Fixes #7884 - Display Fog errors on vm operation (Daniel Lobato)
- fixes #7876 - filter Organization.my_organizations by org, not locaion (Tom McKay)
- refs #7401 - fix markdown syntax in API doc (Dominic Cleal)
- Fixes #5139 - leftovers subscribe_to_all_hostgroups (Daniel Lobato)
- Fixes #4369 - Added link to filters page on RBAC form (Daniel Lobato)
- Fixes #7401 - Add support for bonds (Marek Hulan)
- Refs #7639 - i18n fixes (Daniel Lobato García)
- Refs #3809 - Use parentheses in method definitions (Daniel Lobato)
- Fixes #5468 - prevent Chrome from autofilling passwords (Shlomi Zadok)
- Refs #3809 - Fix a few rubocop TODOs (David Davis)
- Refs #3809 - Remove rubocop TODOs (Daniel Lobato)
- fixes #7772 - avoids multiple ajax requests (Ohad Levy)
- fixes #5922 - compute resource #random_password to use SecureRandom() (Joseph Magen)
- Refs #4611 - rake-ify foreman-config and db_pending_migration/seed in settings (Ivan Nečas)
- Fixes #7624: validation for location and organization long names instead of an error (Ori Rabin)
- fixes #2321 - remove new puppet creation option (Ohad Levy)
- fixes #5130 - Added warning when apipie cache is missing or outdated (Lukas Zapletal)
- Fixes #7819 - Windows facts returned from kernelrelease (Dmitry Kireev)
- refs #7608 - i18n fixes, tests, use POST for action + only display link if authed (Dominic Cleal)
- Fixes #7098 - better selinux reporting in foreman-debug (Lukas Zapletal)
- fixes #7818 - explicitly render role permissions to fix oj 2.10.3 error (Dominic Cleal)
- fixes #7163 - on host's edit page, show the source for the value of puppet class parameters. (Tiffany)
- fixes #5833 - suggested command do not work when created new trend counter (Joseph Magen)
- fixes #7608 - Override all puppetclass parameters in one click (karmab)
- Fixes #7738 - logout_url is nil by default for all SSO backends (Marek Hulan)
- Fixes #7588 - pagination info not a button and aligned (ripcurld00d)
- Fixes #7522 - made CA textarea editable for oVirt/RHEV (Lukas Zapletal)
- fixes #7569 - add lambda to scopes that are missing callable object (lambda or Proc) (Joseph Magen)
- fixes #809 - remove out of date ssh using foreman script (Ohad Levy)
- fixes #7756 - render not_found.json.rabl for API errors rather than expose too much internal information (Joseph Magen)
- Fixes #7620: When cloning a host show old host name (Ori Rabin)
- fixes #7613 - make search bar route lookup usable from isolated engine (Dennis Kliban)
- fixes #7477 - new fog prop for IP address in vSphere (Michael Moll)
- Fixes #7757 - Fix link_to to call super with block (Imre Farkas)
- fixes #4672 - added template_name template variable (Lukas Zapletal)
- fixes #7737 - no specific logout URL needed, will go directly back to login. (Jan Pazdziora)
- Fixes #7750 - hidden required fields do not prevent submit (Marek Hulan)
- fixes #3902 - [Openstack] allow selection of internal networks (Ohad Levy)
- fixes #6856 - API v2 - more efficient import puppetclasses for single environment (Joseph Magen)
- Fixes #6549 - Add :tests_to_skip to plugin registration block (Greg Sutcliffe)
- refs #2127 - add password_hash to API (Dominic Cleal)
- fixes #7732 - specify join models as Rails 3.2.8 can't reset through associations (Dominic Cleal)
- Fixes #7572 - remove rundeck from core (Ori Rabin)
- fixes #7560 - add :required => true on host fields that have conditional validation if host.managed? (Joseph Magen)
- fixes #4386 - gem friendly_id to simplify find by id, name, label, etc (Joseph Magen)
- Fixes #7393 - searching users by role_id not supported (Shlomi Zadok)
- Fixes #7591 - changed Sign out to Log out to fix inconsistent terminology around Login vs Sign Out (ripcurld00d)
- refs #2127 - instantiate exception and pass i18n arg correctly (Dominic Cleal)
- Fixes #7491 - moved default org and default location to same tab as org/loc selection (Shlomi Zadok)
- fixes #2127: added support for root password hashing other than MD5 (Dmitri Dolguikh)
- Fixes #7592 - flipped the order of logged-in user menu (Shlomi Zadok)
- Fixes #7639 - Remove tooltip for storage/network sections in  Edit Compute Profile (Shlomi Zadok)
- fixes #5811 - Validates emails to RFC 5322 specification (Christine Fouant)
- Fixes #7483 - Use hidden input value to hold raw template contents (CVE-2014-3653) (Aaron Stone)
- Fixes #6999 - protect user logout against CSRF requests (CVE-2014-3590) (Daniel Lobato)
- Fixes #2524 - adding taxonomy scope parameters (Tomas Strachota)
- Fixes #5088 - adding location_ids and organizations_ids to apidocs of taxable resources (Tomas Strachota)
- Fixes #6695: Adding two OS parameters with same name should raise an error (Ori Rabin)
- fixes #7257 - all facts returned if host has no facts (Joseph Magen)
- fixes #5896 - Set Compute Resource's 'Console passwords' option in API (Joseph Magen)
- Fixes #7571 - prevent ContentLoad from firing twice on document.ready (Tomer Brisker)
- Fixes #2232 - speed up Host view via AJAX (Tomer Brisker)
- Fixes #6864 - adding api messages for extraction (Tomas Strachota)
- Fixes #7450 - do not mark non-required fields (Marek Hulan)
- Fixes #7164: Cannot create a domain that starts or ends with '.' (Ori Rabin)
- refs #7038 - use n_() for plural support, use Rails style length message (Dominic Cleal)
- Fixes #7437: validation instead of PGError when host group title is exactly 256 characters (Ori Rabin)
- Fixes #7489 - changed root password label to 'must' instead of 'should' (Shlomi Zadok)
- fixes #3544 - Editing an oVirt compute resource allows changing the type, which is unsupported (Joseph Magen)
- fixes #7409 - API v2 - add host attribute to GET response for auth source ldap (Joseph Magen)
- i18n - add it, ko, ru, zh_TW languages (Dominic Cleal)
- fixes #7434 - Setting descriptions are shown without wrapping (Ohad Levy)
- Fixes #6468 - Allow filtering/searching by active user (Tomer Brisker)
- Fixes #5541 - disallow taxonomy assignment (Marek Hulan)
- Fixes #7418 - fixed capitalization for some AR errors (Lukas Zapletal)
- Fixes #1592: making report::expire faster and without errors (Ori Rabin)
- fixes #7430 - Adds subnet mask validation (Christine Fouant)
- Fixes #6874: Integers in settings can be up to 8 digits to avoid bigint out of range error (Ori Rabin)
- Fixes 4642: Fix intermittent test failures on rundeck functional tests (Ori Rabin)
- fixes #7436 - extract nested host group error message (Dominic Cleal)
- refs #3085 - missing API i18n string extraction (Dominic Cleal)
- Fixes #3085: Request to be able to clone host groups via API (Ori Rabin)
- fixes #7299 - do not display 'Mismatches Report' button when no view-host (Joseph Magen)
- Fixes #7139: Subnet name is limited to 255 chars (Ori Rabin)
- Fixes #7038: No error when hostgroup name exceeds 245 characters (Ori Rabin)
- Fixed #7020: Validation instead or error when comments in 'audit comment' exceeds 255 characters (Ori Rabin)
- Fixes #6713: Long names needs to be truncated while listing (Ori Rabin)
- Fixes #7329 - Correctly validate HostConfigGroup (Tomer Brisker)
- fixes #7432 - ensure btn with dropdowns do not span across lines. (Ohad Levy)
- Fixes #6903 - html tags in the message when deleting multiple hosts (ripcurld00d)
- fixes #7213 - exclude plugin permissions from seeds test (Stephen Benjamin)
- fixes #7314 - Set settings explicitly instead of stubbing Settings (Stephen Benjamin)
- fixes #7221 - do not display areas of the org/loc UI unless view rbac (Tom McKay)
- Fixes #7247 - Add migration and rake task to correct corrupted cached counters (Tomer Brisker)
- Fixes #5692 - correct counts in cached_counters (Tomer Brisker)
- fixes #7336 - editing compute resource should not clear existing attributes from the form (Joseph Magen)
- refs #6161 - Add test to make sure override is marked on create (Tomer Brisker)
- Fixes #7041: fixed incorrect belongs_to mappings (Dmitri Dolguikh)
- Fixes #4596 - Change parent of host group via AJAX (Daniel Lobato)
- fixes #4375: provisioning no longer loops when using oVirt + compute profile (Dmitri Dolguikh)
- fixes #3105 - use untranslated string for PuppetCA state filter (Dominic Cleal)
- fixes #7253 - change nil admin field on users to false, matches usergroups (Dominic Cleal)
- Fixes #3840 - Removes unused Signo related code (Marek Hulan)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #7344 - ignore saving errors during fact parsing (Marek Hulan)
- Fixes #6763 - Correctly choose autocomplete search scope for taxonomies depenant on controller (Tomer Brisker)
- Fixes #6444 - add support for virtual NICs (Marek Hulan)
- Fixes #7286: Can not create a compute resource without selecting a provider (Ori Rabin)
- fixes #7054 - list all routes for each resource in /v2/api (Dustin Tsang)
- fixes #4111 - Add image user data flag to API (Shlomi Zadok)
- refs #3809 - Fix "`ruby_20` is not a valid platform" (Imre Farkas)
- Fixes #5926 - hide sensitive parameter values (Marek Hulan)
- Fixes #7261 - API v2 - mark wrapped params hash for POST/PUT as required instead of optional (Joseph Magen)
- Fixes #7079: foreman-debug archive now includes contents of /etc/foreman-proxy/settings.d directory (Dmitri Dolguikh)
- fixes #7191 - move API response logger to named filter so it can be skipped (Dominic Cleal)
- fixes #7218 - authorize hosts welcome page (Tom McKay)
- Fixes #6538 - User group vs usergroup name consistency (ripcurld00d)
- Fixes #7157 - Combo box style in reports (ripcurld00d)
- Fixes #5929 - Taxonomy filter obey permissions (Marek Hulan)
- fixes #7317 - skip rubocop rake tasks if library isn't installed (Dominic Cleal)
- Fixes #6161 - Mark override on adding smart variable override via api (Tomer Brisker)
- fixes #7035 - expand column name for Rails 3.2.8 compat in Puppet class search (Dominic Cleal)
- Fixes #3809 - Add rubocop to check Ruby code (David Davis)
- fixes #7121 - move smart proxy action buttons to helper (Stephen Benjamin)
- refs #7066 - fix syntax error in expression (Dominic Cleal)
- fixes #7066 - add back $login interpolation for LDAP service account usernames (Dominic Cleal)
- Fixes #7028 - completing api docs for taxonomies (Tomas Strachota)
- Fixes #7056 - only resize textarea in params tab. (Tomer Brisker)
- Fixes #7174 - add delay on autocomplete (Tomer Brisker)
- fixes #5240 - expose eager-zeroing for vSphere (Michael Moll)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #7105: Modify the mapping file for zanata. Server should be specific languages, but stored as the generic (Bryan Kearney)
- Fixes #6831 - expire topbar cache for admin on taxonomy updates (Tomer Brisker)
- fixes #5119 - ensure GCE can list images. (Ohad Levy)
- fixes #7009, N+1 (actually 6+1) queries in dashboard page (Ohad Levy)
- Fixes #6232 - link from chart on overview page to relevent search (Tomer Brisker)
- Fixes #6982 - make tooltips appear above charts (Tomer Brisker)
- Fixes #3976 - Add all view_ permissions to viewer user role (Daniel Lobato)
- Fixes #4350 - Allow any format for role name (Tomer Brisker)
- fixes #6205 Changed regex to parse CNs from SSL DNs on separator chars (red-tux)
- fixes #7082 - combo box style in host multi-select popup windows (ripcurld00d)
- Fixes #6998 - Accept native true for overwrite parameter to host API. (Aaron Stone)
- Fixes #6929 - Rephrase description string for api import_puppetclasses (Tomer Brisker)
- fixes #6860 - add missing attributes to hostgroup jail (Stephen Benjamin)
- Fixes #6756 - exposes vmware resource pools and folders through the API (Greg Petras)
- Fixes #6476 - oVirt VM association with multiple interfaces (Trey Dockendorf)
- Fixes #6608 - expose disk usage info through available_storage_domains API (Greg Petras)
- fixes #7061 - show file upload when template is not locked (Stephen Benjamin)
- Fixes #7003 - Revert LDAP to simple_tls (Daniel Lobato)
- refs #5190 - updating dependency on apipie-rails (Adam Price)
- fixes #6696 - API v2 - specify 'host' as the key in which parameters will be wrapped rather than Host::Base (Joseph Magen)
- Bump version to 1.7-develop (Dominic Cleal)
- Fixes #7013 - pin apipie-rails to < 0.2.3 (Daniel Lobato)
- Fixes #3285 - extract 'Host' on reports page for trans. (Tomer Brisker)
- Fixes #6400 - Show * next to required form fields (Joseph Magen)
- fixes #6964 - replace default scope that hides users with explicit scope (Dominic Cleal)
- Fixes #6830 - Add host search on compute_resource_id used in 1.5 auth migrations (Dominic Cleal)
- Fixes #6560 - Extract puppet parsing logic (Marek Hulan)
- Revert "Fixes #1592: making report::expire faster and without errors" (Daniel Lobato)
- Fixes #1592: making report::expire faster and without errors (Ori Rabin)
- Fixes #3300 - extract translations on new smart variable page (Tomer Brisker)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #6969: Add wildcards to the end of the log files to collect the rotated files (Bryan Kearney)
- Fixes #6962 - Use as_admin instead of find_by_login for usergroup tests (Greg Sutcliffe)
- Fixes #6953 - Fixing N_() calls in the User model (David Davis)
- Fixes #6891: Taxonomies couldn't be seeded after initial run of seeds. (Eric D. Helms)
- Fixes #5734 - API for external groups management (Daniel Lobato)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- fixes #6873 - ensure hidden 'owner' is populated on user role (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #3303 - extract confirmation text on architecture deletion for translation (Tomer Brisker)
- Fixes #5442 - extract suggest IP string for translation (Tomer Brisker)
- Fixes #6794: Adds search parameter for template kinds (Ori Rabin)
- Fixes #6844 - display v2 resources rather than v1 resources in /api/v2 (Dustin Tsang)
- fixes #6861 - provide a way to detect host group provisioning (Stephen Benjamin)
- fixes #6857 improve two-pane load times (Ohad Levy)
- fixes #6888 - remove duplicate presence validator causing two errors (Dominic Cleal)
- fixes #6881 - check if in rake when validating template changes (Stephen Benjamin)
- fixes #6855 - bump safemode gem version (Stephen Benjamin)
- fixes #6825 - refactor api/v2/filters_controller.rb to use find_optional_nested_object and add Authorizable to class Role (Joseph Magen)
- fixes #6852 - `rake log` added to log ActiveRecord changes to stdout (Martin Ducar)
- Fixes #6446 - Forbidding non-json POST/PUT requests in v2 (David Davis)
- Fixes #6566 - renaming a node now resets the certname on provision (Aaron Stone)
- Fixes #6620: Allow plugins to define a file to be included in test_helper. (Eric D. Helms)
- Fixes #813 - External usergroups can be linked to an LDAP auth source (Daniel Lobato)
- Fixes #6786 - Handle error when no taxonomy params get sent (David Davis)
- Fixes #6816 - pass oVirt quota as nil instead of "" to prevent server error (Ivan Nečas)
- Fixes #215: Parameters can be saved without a value (Ori Rabin)
- fixes #6636, #6657, #6694 - add field length validations, extend audit field length (Ori Rabin)
- Fixes #2940: Unable to remove smart parameter with long name (Ori Rabin)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Refs #4478 - API doc strings marked for translation (Martin Bačovský)
- Fixes #6693 - set parameters tab to error state and focus when validation fails (Ori Rabin)
- fixes #6529 allow to define IP suggestion per subnet (Ohad Levy)
- fixes #6432 - add validation for attributes missing :presence => true and remove duplicate validation messages 'can't be blank' (Joseph Magen)
- Fixes #6768 - Hammer set-parameter does not work (Martin Bačovský)
- Fixes #5029: Create organization and location during seed if specified. (Eric D. Helms)
- fixes #6430 - validate presence of location and organization for managed host if Settings are turned on (Joseph Magen)
- Fixes #6236 - add taxonomy parameters to host API v2 create/update documentation (Joseph Magen)
- fixes #6618 - provide an indentation helper for provisioning templates (Stephen Benjamin)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- i18n - add pt_BR language (Dominic Cleal)
- fixes #6717 - remove interpolation from message for i18n extraction (Dominic Cleal)
- Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI. (Eric D. Helms)
- refs #4641 - update to functional test (Maria Nita)
- fixes #4641 - Ensure default role only after save/update. Change default role permissions (Maria Nita)
- fixes #6750 - change constraint on apipie-rails gem so it can be updated to 0.2.x (Joseph Magen)
- fixes #6753 - fix API v1 examples in docs that show error messages by re-ordering functional tests (Joseph Magen)
- fixes #6749 - fix API v2 examples in docs that show error messages by re-ordering functional tests (Joseph Magen)
- Fixes #6518 - look up the BMC proxy via any subnet proxies, if present (Daniel Lobato)
- Fixes #6633: Smart variables and smart class parameters can have the same parameter name (Ori Rabin)
- fixes #5760 - selectable VMware virtual HW version (Michael Moll)
- Fixes #6747 - Add textarea automatic resizing (sidkhemka)
- Fixes #6065 - Update TopbarSweeper to clear cache for other users than User.current (Greg Sutcliffe)
- fixes #6402 - use standard success/error handlers in UI controllers (Dominic Cleal)
- Fixes #6670 - Update fog to 1.23 (Daniel Lobato)
- Fixes #6483 - oVirt network is properly populated for multiple datacenters (Neil Miao)
- fixes #5140 - User children taxonomies did not show tooltip 'Parent is already selected' (Joseph Magen)
- fixes #6375 - fix needed for Rails 3.2.8 only that ensures reference_id on parameter.rb matches the nested object id (Joseph Magen)
- i18n - updated readme instructions (Lukas Zapletal)
- Fixes #6606 - Allow deletion of non-admin users if 1 admin (David Davis)
- Fixes #6650: Friendlier message when attempting to delete oneself. (Eric D. Helms)
- Refs #6641 - Revert "Explcitly add fog-json and fog-brightbox for jenkins" (Greg Sutcliffe)
- Fixes #3377 - Add altlinux support (Kot)
- fixes #1646, #3103 - enable cloning and locking of templates (Stephen Benjamin)
- Fixes #6641 - Explcitly add fog-json and fog-brightbox for jenkins (Greg Sutcliffe)
- fixes #3601: Use secure websockets if available (Ewoud Kohl van Wijngaarden)
- fixes #6562 - APIv2 is declared stable as of the next release (Dominic Cleal)
- fixes #5178 - unify API parameters and return values. User creation should not require payload wrapped with 'user' root (Joseph Magen)
- Fixes #6582: Change position of buttons when editing a location (Ori Rabin)
- fixes #6487 - use consistent icon set (Lukas Zapletal)
- Fixes #6057: highlight active tab based on current URL. (Walden Raines)
- fixes #3664 - support deletion of installation media that's in use (Joseph Magen)
- fixes #6586 - allow user customizable password in rake permissions:reset (Stephen Benjamin)
- Fixes #6580 - XSS in operating system name/description (CVE-2014-3531) (Daniel Lobato)
- Fixes #6537: Entering a very large number for idle_timeout is unchecked, crashes UI (Ori Rabin)
- fixes #6497: New Organization: Focus should exist in Name field (Ori Rabin)
- fixes #6441 - allows filtering of parameters per controller (Dustin Tsang)
- fixes #5197 - Preallocated disk support for oVirt (Leon Strong)
- Fixes #6528 - Silence seeds.rb when in test env (Greg Sutcliffe)
- fixes #4155 - enable host/CR (dis)association via api (Jason Montleon)
- Fixes #6532 - permission related api extensions (Tomas Strachota)
- fixes #5969 - improve message when deleting virtual machines to indicate delay (Joseph Magen)
- Fixes #6357 - ensure JS is loaded so taxonomy_added is defined on user form (Daniel Lobato)
- fixes #6506 - remove x86_64 default for new architecture (Joseph Magen)
- Fixes #6533 - rest-client 1.7.0 dropped Ruby 1.8 support (Daniel Lobato)
- fixes #5235: it's impossible to create filters with invaid searches (Dmitri Dolguikh)
- Fixes #6099 - Bubble Fog::Errors up to Host (Greg Sutcliffe)
- fixes #5414: LDAP + TLS is not LDAP + TLS but LDAP + SSL and changed port automatically on check (Ori Rabin)
- fixes #6501: pin jquery-ui-rails (Michael Moll)
- fixes #6498 simplified eval statement (Ohad Levy)
- fixes #6496 - Added :match helper method to saferender (starless72)
- fixes #4564 - has_ancestry definition should be removed from hostgroup. (Ori Rabin)
- Fixes #6285 - Settings API does not parse incoming values to correct data type (Tomas Strachota)
- fixes #5753: Engines can now override autocomplete path used in FiltersHelper (Dmitri Dolguikh)
- fixes #6358 - Update LookupValue fqdn matchers when a host is renamed (Trey Dockendorf)
- fixes #5679 - change CR identifier to name to fix has_many association lookup (Dominic Cleal)
- fixes #3272 - allow 'admin' account to be removed and replaced (Dominic Cleal)
- fixes #2972 - load jsonp on bundler_ext installations (Dominic Cleal)
- fixes #6331 - use view permission to authorize individual VM show pages (Dominic Cleal)
- fixes #6177 - clear host facts/reports when build=true set over API (Dominic Cleal)
- fixes #6410 - update to deep_cloneable 2.0 (Dominic Cleal)
- fixes #6382 - revert name change of 48bit mac address regex to fix discovery (Justin Sherrill)
- fixes #6319 - precompile dashboard.js (Dominic Cleal)
- [REFACTOR] refs #6229 - extract validation to a method (Joseph Magen)
- Fixes #6337 - ensure VM tab is still visible when we deselect profile (Daniel Lobato)
- fixes #6374 - NIC hostname now blank when domain is present, but no hostname is given (David Swift)
- fixes #6355 - OS free text search shouldn't search associations (Joseph Magen)
- fixes #5939: it's no longer possible to switch tabs when compute profile is being edited. (Dmitri Dolguikh)
- fixes #5915 - Add support for Infiniband 64-bit MAC addresses (Trey Dockendorf)
- fixes #6267 - singularize of HostClass and HostgroupClass is wrong (Joseph Magen)
- fixes #6248 - API V2 return object for POST/PUT/DELETE should *not* include root node (Joseph Magen)
- fixes #6216, #4416 - avoid foreign key errors when deleting some objects in use (Joseph Magen)
- Fixes #6308: Load plugin seeds from seeds.d directory of each plugin (Eric D. Helms)
- fixes #5994: Power and Console buttons are available to non-admin users with appropriate permissions (Dmitri Dolguikh)
- refs #6067 - tests for UI inconsistency around root password limit 8 characters (Joseph Magen)
- fixes #6229 - validate installation media exists for new host if pxe_build (Joseph Magen)
- fixes #5854 - org creation by non-admin normal user now associates themselves (Joseph Magen)
- fixes #5928 - added selinux info to foreman-debug (Lukas Zapletal)
- fixes #6067 - UI inconsistency around root password limit 8 characters (Joseph Magen)
- fixes #5777 - search on filters returns error (Joseph Magen)
- fixes #6003 - don't render user default loc/org object directly (Tom McKay)
- fixes #6228 - disable provisioning method radio boxes after host is provisioned (Joseph Magen)
- Fixes #6160 - don't validate images for network based provisioning (Ivan Nečas)
- fixes #5566 - free text fact values query produces invalid SQL error (Joseph Magen)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #6149 - fixed XSS in host YAML view (CVE-2014-3492) (Lukas Zapletal)
- fixes #5881 - XSS from create/update/destroy notification boxes (CVE-2014-3491) (Joseph Magen)
- fixes #5923 - ptable validation trailing spaces incorrectly allows one space (Joseph Magen)
- fixes #5848 - can't search for host with class inherited from config group (Joseph Magen)
- fixes #5809 - don't show parent location/organization/hostgroup select box if zero or one location/organization/hostgroup (Joseph Magen)
- fixes #5832 - org switcher does not collapse when moving mouse diagnally to submenu (Joseph Magen)
- fixes #6234 - fixes sorting on compute resources and subnets (Stephen Benjamin)
- fixes #5722: VM-based host cloning picks up existing compute attributes (Dmitri Dolguikh)
- fixes #5129 - Host Group creation may fail if parameter is same name (Joseph Magen)
- fixes #5345 - customizable dashboard (Amos Benari)
- fixes #5879 - minimum of scoped_search 2.7.0 required (Dominic Cleal)
- fixes #6121 - made copyright section defaceable (Lukas Zapletal)
- Fixes #6191 - pin pry for ruby 1.8 compat (Greg Sutcliffe)
- fixes #4736 - organization edit ui has unselectable environment (Joseph Magen)
- templates - sync from community-templates (Dominic Cleal)
- fixes #5708: #nil? is now an allowed method inside of Host and Token jails (Dmitri Dolguikh)
- fixes #5652 - run parse_args when calling new_vm for compute profiles (Dominic Cleal)
- fixes #6091 - menu removal wasn't traversing menu hierarchy (Scott Seago)
- fixes #6112 - log/test.log disappears when running under spork (Joseph Magen)
- fixes #6116 - search hosts by parent host group and its decendants (Joseph Magen)
- Fixes #6117 - clean usergroup cache (Marek Hulan)
- Fixes #5941 - Handle nil comparison object in DHCP::Record.valid? (Greg Sutcliffe)
- Fixes #5810 - fixes issue with incorrect page titles (Christine Fouant)
- fixes #5826 - Using dots in kickstart template names or hostgroups causes routing errors (Joseph Magen)
- fixes #5834 - Hosts: . in the name is invalid - user is told this but the UI adds one anyway (Joseph Magen)
- fixes #6030 - update list of VMware guest types (Michael Moll)
- fixes #5963 - fix Role has_permission? function (Martin Ducar)
- fixes #5869 - permit accents in user names on Ruby 1.8 (Dominic Cleal)
- fixes #5965: removed 8443 port from the suggested ovirt url (Dmitri Dolguikh)
- fixes #5987 - remove unused packaging files (Dominic Cleal)
- fixes #5793 - add pkg:generate_source rake task to create tar.bz2 (Dominic Cleal)
- fixes #5966 - pin execjs for Ruby 1.8 compatibility (Dominic Cleal)
- Fixes #5696 - Allow taxonomy and roles display (Marek Hulan)
- Fixes #5946 - Only call fact_name_class.maximum if necessary. (Nacho Barrientos)
- fixes #5836 - Welcome page - missing rel attribute (Joseph Magen)
- fixes #5685 - add :path_ids to with_taxonomy_scope instead of subtree_ids for SmartProxy select dropdowns (Joseph Magen)
- Fixes #5645: Fixes session undefined error when user has a default taxonomy set. (Eric D. Helms)
- fixes #5631 - API v2 - host and hostgroups show.json.rabl should show all puppetclasses in child node (Joseph Magen)
- fixes #5671 - LookupValue name should be matcher, value is too long (Dominic Cleal)
- fixes #5788 - before_destroy missing from EnsureNotUsedBy.new in SmartProxy model (Joseph Magen)
- fixes #5726 - parameter values missing from host#show API call (Joseph Magen)
- Fixes #5689 - Plugin permissions are migrated too (Marek Hulan)
- fixes #5690 - determine host taxonomy fact based on setting value (Stephen Benjamin)
- Fixes #5664 - Host filters can use taxonomies (Marek Hulan)
- Fixes #5221: Adds a helper method to allow a model instance to inquire if the instance is authorized for a particular permission. (Eric D. Helms)
- fixes #5660 - use with_taxonomy_scope for OS media selection (Stephen Benjamin)
- Fixes #5637 - Don't raise lease conflicts when reading ad-hoc DHCP leases (Greg Sutcliffe)
- fixes #5553: FiltersHelper#search_path returns an empty string for unrecognized resources (Dmitri Dolguikh)
- fixes #5680 - quote searches for config groups containing spaces (Dominic Cleal)
- fixes #4250 - API v2 - add compute profiles (Joseph Magen)
- templates - sync from community-templates (Dominic Cleal)
- fixes #5471 html escape auto-completer values (CVE-2014-0208) (Amos Benari)
- fixes #5612 - use correct permissions for authz in parameters API (Dominic Cleal)
- fixes #5610 - upgrade to Rails 3.2.18 (Dominic Cleal)
- refs #5188 - prepare place holder for host details (Amos Benari)
- fixes #4590 - convert VMware SCSI controller type during creation (Dominic Cleal)
- fixes #5580 - pin scoped_search for Ruby 1.8 compatibility (Dominic Cleal)
- fixes #5537: it's possible to specify menu item url directly now (Dmitri Dolguikh)
- fixes #5242 - Update external user attributes and group membership on every logon (Jan Pazdziora)
- fixes #3892 - process REMOTE_USER_GROUP_N and REMOTE_USER_GROUP_#, add user to groups based on external user groups. (Jan Pazdziora)
- fixes #5489 - don't generate empty search () filters on permissions migration (Dominic Cleal)
- fixes #5540 - also clone builtin roles during migration (Dominic Cleal)
- fixes #5506 - added scoped search to SmartProxy for UI and API v2 (Joseph Magen)
- Fixes #4370 - Filters list show permissions (Daniel Lobato)
- Fixes #4287 - Join directly to template_combinations when resolving templates (Greg Sutcliffe)
- fixes #5520 - proper capitalization in orchestration header (Stephen Benjamin)
- fixes #2785 - host model clone method also copies relationships using deep_cloneable gem (Joseph Magen)
- fixes #5427 - skip user roles FK removal if it's missing (Dominic Cleal)
- fixes #4612 show friendly CR names, fix typo in oVirt name (Amos Benari)
- fixes #5038 - remove empty label causing template edit box indentation (Dominic Cleal)
- fixes #5490 - ambiguous column in taxonomix pluck on Rails 3.2.8 (Dominic Cleal)
- fixes #5241 - Add support for external user groups. (Jan Pazdziora)
- fixes #5132 URL doesn't update correctly after creating a new host (Amos Benari)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- fixes #5450 - add realm to params for 1.4-compatible use in templates (Stephen Benjamin)
- fixes #5132 hang when provisioning on ovirt 3.4 (Amos Benari)
- fixes #5470 vm state doesn't load on show page after redirect from new host (Amos Benari)
- fixes #5453 - ensure all VMware compute attribute keys are symbolized (Dominic Cleal)
- fixes #5248 - restrict fog-core to compatible version (fog#2873) (Dominic Cleal)
- fixes #5444 - add param_false? host method and allow in templates (Stephen Benjamin)
- fixes #5436 - provisioning templates are world accessible (Ohad Levy)
- fixes #4599 - DNS and DHCP records for BMC and managed interfaces not using FQDN (Trey Dockendorf)
- fixes #5443 - cron.log is now appended to (Lukas Zapletal)
- fixes #5106: only puppet and puppet-ca proxies are now being shown on the 'new host' page (Dmitri Dolguikh)
- fixes #5398: replaces calls to deprecated SmartProxy.*_proxies scope with SmartProxy.with_features scope (Dmitri Dolguikh)
- Fixes #5391 - Authorizer test should use testing permission (Marek Hulan)
- fixes #5401 - fixed foreman-debug tarball creation including '.' (Lukas Zapletal)
- fixes #4380 [vSphere] allow selection of guest OS (Martin Matuska)
- fixes #5205 - fixed all authorized links with given action (Lukas Zapletal)
- fixes #5258 - Can't edit a host due to IPMC/BMC interface form error (Joseph Magen)
- fixes #4422 Implement available_images for oVirt to populate new image form (Amos Benari)
- fixes #5246 - remove second host/class lookup impl so config groups are included in ENC output (Dominic Cleal)
- fixes #5247 - overridable keys displayed on host group when env is inherited (Dominic Cleal)
- fixes #4597 - map host disassociate actions to permission (Dominic Cleal)
- fixes #5224 - Don't update a user with blank LDAP attribute values (Stephen Benjamin)
- fixes #1902 - audit changes to lookup keys and values/overrides (Dominic Cleal)
- fixes #5222 - Log ldap attributes in debug-level logging (Stephen Benjamin)
- fixes #5214 - pin ancestry for Ruby 1.8 compatibility (Dominic Cleal)
- Bump version to 1.6-develop (Dominic Cleal)
- fixes #5172 - typo SETTINGS[:location_enabled] instead of :locations_enabled causes default location select box not to be visible (Joseph Magen)
- fixes #5200 - set config group counters to zero by default (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #5180 - in_taxonomy clears out Taxonomy.current (Daniel Lobato)
- fixes #5141 - User unable to access children taxonomies on switcher (Joseph Magen)
- fixes #5173 - sortable counters on list of config_groups for number of hosts, hostgroups and puppetclasses (Joseph Magen)
- fixes #4204 - add config groups feature - assign multiple config groups to a host or hostgroup (Joseph Magen)
- fixes #5137 - audited :associated_with labels are 'N/A' for models that have a hyphen (Joseph Magen)
- fixes #5083 - refactor host_edit.js - remove puppetclass specific functions to class_edit.js (Joseph Magen)
- fixes #5105 - remove Setting['remove_classes_not_in_environment'] (Joseph Magen)
- fixes #4122 and new charts design (Amos Benari)
- fixes #5157 - allowed to suggest new IP on the new host form (Sean Handley)
- fixes #3914 - set current taxonomies on login from user defaults (Daniel Lobato)
- Fixes #4710, #2270 - Wait for VM to become ready before looking for IPs (Greg Sutcliffe)
- templates - sync from community-templates (Dominic Cleal)
- fixes #4895 - Adds CSRF protection check to the API if a session user is present (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- Fixes #4960 - undefined method when editing filter without a UI controller (Tomas Strachota)
- fixed #5120 - fixed migration for discovered hosts (Lukas Zapletal)
- fixes #2438 - Add image build capability to vsphere using templates (Rufus Post)
- fixes #5113 - sort realms by host count (Stephen Benjamin)
- Refs #2942: Added plugin rake task to extract translations (Eric D. Helms)
- fixes #4806 add support to register compute resource provider from a plugin (Amos Benari)
- fixes #4670: switch search to id on OS page (Michael Moll)
- fixes #5090 - typo in bookmarks (Martin Milata)
- fixes #5077 - refactor safemode rendering to allow helpers and variables from plugins (Ivan Nečas)
- fixes #5072 - x86_86 -> amd64 for FreeBSD media (Michael Moll)
- fixes #5053 - minor bug fixes to realm integration (Stephen Benjamin)
- fixes #2929 - generate encryption key and encrypt data in postinstall (Dominic Cleal)
- fixes #4381: dns records are being update after changes to host when dhcp is also present (Dmitri Dolguikh)
- refs #4851: replaced deprecated SmartProxy feature scope with SmartProxy.with_features scope (Dmitri Dolguikh)
- fixes #5071 - foreman-tail stderr is muted (Lukas Zapletal)
- fixes #3592 lazy load vm with ajax in host show page. (Amos Benari)
- Fixes #4755 - use_cache in development (Martin Bačovský)
- refs #4305 - add support for OracleLinux (Michael Moll)
- fixes #4863 - API V2 - add puppetclasses format style=list and module_name to base.json.rabl (Joseph Magen)
- fixes #4462 - extending the /users/login handling to process REMOTE_USER through intercept (Jan Pazdziora)
- fixes #4995 - editing location with 'all users' checked fails on edit page in postgres (Joseph Magen)
- Fixes #4976 - ensure the process is really running inside a rake task (Ivan Nečas)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #1809 - foreman realm integration (Stephen Benjamin)
- fixes #1966 - improved UI errors for proxy (Lukas Zapletal)
- fixes #3946 Set host URLs from local settings file, if no Facter configuration exists. Add default values for settings example. (marianitadn)
- fixes #4712 - editing organization gives undefined method parent_taxonomy_selected_location_path (Joseph Magen)
- fixes #4673 - make default sort order descending on count columns (Stephen Benjamin)
- fixes #4691 - add search for hosts' managed status (Michael Moll)
- fixes #4659 - added foreman-tail tool (Lukas Zapletal)
- Fixes #4851: a SmartProxy.with_features scope replaces feature-specific scopes generated during class loading (Dmitri Dolguikh)
- fixes #4731 - Rails 3.2.8 causing _pkey constraint errors (Joseph Magen)
- fixes #4800 SLES special handling in facts parser (Michael Moll)
- Fixes #4927 - Extend foreman-debug to look for extensions provided by plugins. (Bryan Kearney)
- refs #2189 - update host group parameter search tests (Dominic Cleal)
- fixes #1804 - find hosts through nested hostgroups on puppet class search (Dominic Cleal)
- Fixes #4679 - Downcase fqdn to match Puppet SSL certs casing (Anya Marshall)
- Fixes #4884 : remove duplicate slashes from the gravatar url (Bryan Kearney)
- fixes #4776 - support session[:expires_at] for api requests (Brad Buckingham)
- fixes #4794 - precompile filters.js and taxonomy_edit.js files (Dominic Cleal)
- fixes #4804 - sort organizations by title (Justin Sherrill)
- fixes #2954 - string extraction fixed on welcome page (Lukas Zapletal)
- fixes #3214 - set taxonomy for hosts created via Puppet from facts or a default setting (Daniel Lobato)
- fixes #4828 - pin rake for Ruby 1.8 compatibility (Dominic Cleal)
- fixes #4733 lookup keys in puppet class form visual changes (Amos Benari)
- fixes #4555 add ca certificate to ovirt (Amos Benari)
- fixes #4457 - Session fixation, new session IDs are not generated on login (CVE-2014-0090) (Dominic Cleal)
- fixes #4456 - XSS on 500 error page and bookmark name causing render error (CVE-2014-0089) (Joseph Magen)
- Fixes #4680 - Don't append periods to unqualified unmanaged hosts (Greg Sutcliffe)
- fixes #4703 - reset_counters doesn't work for has_many :through relationships on rails 3.2.8 (Stephen Benjamin)
- fixes #4682 - smart variable for a puppet class not showing in UI (Stephen Benjamin)
- fixes #4138 orgs list when the number of orgs is huge (Amos Benari)
- fixes #4683 multi select filter and select/deselect all are not working (Amos Benari)
- fixes #4639 - array in lookup_value incorrectly displayed in form (Stephen Benjamin)
- fixes #4669 - HostMailer summary method refers to undefined variable (Stephen Benjamin)
- fixes #4664 - shorten OS description for SUSE (Michael Moll)
- fixes #4256 - makes columns sortable in the UI (Stephen Benjamin)
- Fixes #4515 - Add support for dynamic bindings (Martin Bačovský)
- Fixes #3988 - use require instead of autoload_once_paths (Ivan Nečas)
- fixes #4617 - add feature to change parent of location or organization (Joseph Magen)
- fixes #4605 - users should not be able to de-select disabled items in multi-select widget (Joseph Magen)
- fixes #4607 error when running test from ide (Amos Benari)
- fixes #4314 - ignore default scope ordering on host search by puppet class (Dominic Cleal)
- fixes #4643 - Retrieving Optional LDAP attributes fails on 1.8.7 (Stephen Benjamin)
- fixes #4626 - update Facter calls for 2.0 compatibility (Dominic Cleal)
- Fixes #4465: remove pretrans section of foreman.spec (Jason Montleon)
- Fixes #4616 - Add a Fog mixin for looking up EC2 IP addresses (Greg Sutcliffe)
- refs #4167 - Added inline info regarding root password length policy (Alissa Bonas)
- fixes #4557: namespaced and mounted plugins no longer cause crash on the filter screen (Dmitri Dolguikh)
- Fixes #4486 - organization not searchable by name (Tomas Strachota)
- fixes #4637 - remove search by label from all ancestry objects besides hostgroups (Ohad Levy)
- fixes #4123 - libvirt imaging support using backing volumes (Dominic Cleal)
- fixes #4625 - ensures alerts can have close opt disabled (Ohad Levy)
- fixes #3827 - adds ldap avatar support (Stephen Benjamin)
- fixes #3475 - make it possible to force the 401 status. (Jan Pazdziora)
- fixes #4565 - puppet class free-text search is now significantly faster (Lukas Zapletal)
- fixes #4581 Implement available_networks API for VMware (Greg Petras)
- fixes #4485 prevents undefined method when cloning a host (James Jenkins)
- fixes #3221 - add missing attributes to hostgroup show response (Stephan Dollberg)
- fixes #4583 - Added Environment name to rundeck output (Andy Bohne)
- fixes #4194, #4459 - add main_app to root_path references for isolated engines (Tom McKay)
- fixes #4442 - returning nil plays nice with try_to_login. (Jan Pazdziora)
- fixes #3996 Support to assign both cores and CPUs to VMWare guests (Martin Matuska)
- fixes #4290 add validation for user group max name length of 255 (Alissa Bonas)
- Fixes #4537 - user can set empty roles array via API (Marek Hulan)
- fixes #4524 - The logged in user should be the default one in create new hosts (Martin Ducar)
- Fixes #4553 - miscellaneous filters editing (Marek Hulan)
- fixes #4201 - update operating system by label, use description or fallname otherwise (Joseph Magen)
- fixes #3163 - add link to first use instructions (Josh Baird)
- fixes #3001 - Facts searchable by both host id and name (Daniel Lobato)
- Fixes #4353 - plugins don't create permissions until DB is migrated (Marek Hulan)
- fixes #4539 - changed os minor attribute to not required (Stephan Dollberg)
- fixes #3767 - add new host to hosts menu (Josh Baird)
- fixes #4245 - return HTTP body for oVirt SSL CA certificate (Jason Montleon)
- Fixes #4226: add a Rake task for plugins that compiles their assets into core assets pipeline (Eric D. Helms)
- Fixes #4536 - store fix_db_cache setting values correctly as YAML (Marek Hulan)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #812 - new permissions model, user group role and nest support, role filters for better granularity (Marek Hulan)
- Fixes #4441 - Overriden link_to method should be public, not protected (Eric D. Helms)
- fixes #4393 - rename ancestry label to title (Joseph Magen)
- fixes #4423 - allow puppet classes to be imported by environment (Neil Miao)
- fixes #3751 - new/edit submit buttons now have id (Lukas Zapletal)
- fixes #4015 - support oVirt using templates like images (Jimmi Dyson)
- fixes #3876 - API find_resource by name even if name starts with integer (Joseph Magen)
- fixes #4349 - API v2 - add location and organization child nodes to user, domain, subnet, etc show json templates (Joseph Magen)
- fixes #4198 - API v2 - add child nodes to show responses. Ex. architecture should show operating systems node (Joseph Magen)
- fixes #4388 - upgrade to Rails 3.2.17 (Joseph Magen)
- fixes #4222 Add capability to compute resource API to retrieve cluster,network,storage info on oVirt (James Netherton)
- Fixes #2270 - Detect all OpenStack IPs and test which allows SSH (Greg Sutcliffe)
- fixes #3912 - add inheritance for locations / organizations (Joseph Magen)
- fixes #4125 [Openstack] - host with auto assigned IPs can't be deleted (jan kaufman)
- fixes #3567 Editing an oVirt compute resource can throw errors loading quotas while loading page (Amos Benari)
- fixes #3307 - add troubleshooting to console page (Stephen Benjamin)
- fixes #4333 - added multi-select-rails gem (Joseph Magen)
- fixes #3939 - add option to 'inherit from parent' for hostgroup attributes (Joseph Magen)
- fixes #4268 - don't search for host with nil IP on hostname spoofing (Dominic Cleal)
- Fixes #4221: add :dependent => :destroy for compute profiles on compute resource (Sam Kottler)
- refs #4289 - tests for adding, deleting and updating lookup_values on host (Joseph Magen)
- fixes #3845 - user login session ending clears chosen organization (Stephen Benjamin)
- fixes #3903 - fixed menu links when relative URLs are set (Lukas Zapletal)
- fixes #3596 - validation error when user with hostgroup subscription creates a new hostgroup (Neil Miao)
- Fixes #4197: Adds 'plugins' directory to /var/log/foreman, /etc/foreman, and /usr/share/foreman to allow plugins to install their own log, config and other files. (Eric D. Helms)
- fixes #4159 Thin provisioning for VMware disks in compute profiles can't be saved (Martin Matuska)
- fixes #4307 New VMware VM creation does not respect NIC type selection (Martin Matuska)
- fixes #3496 vSphere: add support for selectable SCSI controller (Martin Matuska)
- Fixes #4341: Adds a new organization taxonomy that is labeled empty. (Eric D. Helms)
- fixes #3980 - Compute profiles not rendering Openstack attributes correctly (Joseph Magen)
- Add header menu navigation (lphiri)
- Fixes #4276 display provisioned space in vSphere datastore selection (Martin Matuska)
- fixes #3519 - taxonomies include authorization module (Daniel Lobato)
- fixes #4298 - ldap auth should accept parens in firstname or surname (Stephen Benjamin)
- fixes #4304 - corrected strange search for host_id parameter (karl-ravn)
- fixes #2726 - smart class parameter override fails validation (Stephen Benjamin)
- fixes #4234 - cannot edit host's puppet parameters (Stephen Benjamin)
- fixes #4270 - setting descriptions updated for consistency (Daniel Lobato)
- fixes #4220 dashboard and report-show pages chart-frame is not in place. (Amos Benari)
- fixes #3725, #4167 - root password validations, remove default password (Stephen Benjamin)
- refs #2314 - more choices in memory drop down (Robert Birnie)
- refs #2816: Prevent diff viewer on report page from overflowing to be outside the parent modal (Sam Kottler)
- fixes #3999 - refactor DRY implementation of "nested label" for objects with ancestry (Joseph Magen)
- templates - sync from community-templates (Dominic Cleal)
- fixes #4173 - don't update CR attrs when none available, taken from GH-1184 (Michael Moll)
- fixes #4200 - fixed sosreport integration (Lukas Zapletal)
- fixes #4120 - fix border-collapse:collapse tables in Firefox with disappearing lines (Daniel Lobato)
- Fixes #4196 "Power ON this machine" disappeared for new VMWare hosts (Martin Matuska)
- fixes #3553 - add "except" option to prevent puppet class import to select types of import (Joseph Magen)
- fixes #4178 - updating i18n extracting rake task and makefile (Lukas Zapletal)
- fixes #4005 - ensure standalone Rabl.render works outside of a controller (Dominic Cleal)
- fixes #4189 - Facts charts are not rendered (Amos Benari)
- fixes #4186 - db:seed fails when install media exists with same URL (Stephen Hoekstra)
- fixes #4188 - api/v2/status incorrectly shows api_version: 1 (Joseph Magen)
- fixes #2866 - Changing a hostgroup name doesn't update associated Smart Variable matchers (Joseph Magen)
- fixes #3960 - wrap APIv2 errors in an "error" node (Daniel Lobato)
- refs #3697, #3701 - fix test with multiple validation failures (Dominic Cleal)
- fixes #3697, #3701 - more comprehensive field validations (Stephen Benjamin)
- Fixes #4032 - Use object.id for comparisons (Greg Sutcliffe)
- fixes #4161: plugin ActiveRecord models that do no define 'name' method no longer throw NoMethodError when to_s is called (Dmitri Dolguikh)
- fixes #3931: rbvmomi gem has been pinned to ~> 1.6.0 (Dmitri Dolguikh)
- fixes #4152 - fix syntax error in _form.html.erb for hosts and hostgroups (Brad Buckingham)
- fixes #3955 - added param_true? and snippet_if_exist template methods (Lukas Zapletal)
- fixes #3909 - add disassociate and bulk action disassociate to interface (Jason Montleon)
- fixes #3828 - set language locale for API messages and error responses (Joseph Magen)
- fixes #4115 - added missing LICENSE file (Lukas Zapletal)
- fixes #3826: no more sql errors when trying to search for environments (also domains, operatingsystems, and models) (Dmitri Dolguikh)
- fixes #3925 - create apipie param_groups for API v2 to DRY documentation (Joseph Magen)
- fixes #3920 - prevent 500 ScopedSearch errors on the API, raise UI errors correctly (Daniel Lobato)
- fixes #359 - hostname spoofing for unattended installation templates (Daniel Lobato)
- fixes #3760 - API v2 define metadata @total for each controller (Joseph Magen)
- fixes #4023 - API v2 - compute resources partials should should attribute alias names and not database column names (Joseph Magen)
- fixes #3998 - API v2 error on /api/compute_resources, missing gce.json.rabl (Joseph Magen)
- fixes #4132 - helper select_f missing option for :multiple => true to increase width (Joseph Magen)
- fixes #4139 - fixed quiet flag in foreman-debug (Lukas Zapletal)
- fixes #3867 - Wrong Compute Resource type shown on overview (Joseph Magen)
- fixes #3940 - extlogout page layout fixed (Lukas Zapletal)
- fixes #3983 - added trends:clean to cron (Lukas Zapletal)
- Bump copyright, remove spurious file (Dominic Cleal)
- fixes #2231 - hostgroup deletion is restricted to hostgroups without children (Daniel Lobato)
- Fixes #4022: Make api puppetrun a PUT for REST standards (Ewoud Kohl van Wijngaarden)
- fixes #3515 - API handles not found objects with 404 (Daniel Lobato)
- Bump version to 1.5-develop (Dominic Cleal)
- fixes #3992 - Removing unused coffeescript gem (David Davis)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- templates - sync from community-templates (Dominic Cleal)
- Fixes #4031 - change TFTP record on build flag change (Marek Hulan)
- fixes #4001: remove unused comps (Sam Kottler)
- Fixes #4024: Virtual machine state indicator is not correctly positioned for rackspace CR's (Sam Kottler)
- fixes #4019 Compute Resource -> New Image renders on Compute Profiles tab (Amos Benari)
- Fixes #4020 - enable @static to work on all OS template types (Greg Sutcliffe)
- Fixes #4014 - Correctly use to_label when showing OSs (Greg Sutcliffe)
- fixes #4021 - upgrade to Rails 3.2.16 (Joseph Magen)
- fixes #3906 - Support for Junos ZTP (Frank Wall)
- fixes #3099 - Adding parameters to locations and organizations (Ohad Levy)
- fixes #3937 - correct title wording Editing to Edit (Joseph Magen)
- Fixes #3927 - Allow VMs to provision via user-data (Greg Sutcliffe)
- fixes #3984 - use __ instead of _ for i18n to avoid conflict with underscore.js (Walden Raines)
- refs #3811 alerts messages cleanup and minor refactoring (Ohad Levy)
- fixes #3973 - foreman-debug can now upload tarballs (Lukas Zapletal)
- fixes #3911 - jquery.multi-select.js should disable selected ids that are passed to :disabled => (Joseph Magen)
- Fixes wrong os family caused by 'becomes' refs #3962 (Marek Hulan)
- fixes #3975 - add audit to classes Domain, Subnet, SmartProxy, Role, Usergroup, AuthSource, Image, Bookmark that were not audited (Joseph Magen)
- fixes #2613 - foreman-debug tarball directories stripped (Lukas Zapletal)
- fixes #3958 - added more logs reported with foreman-debug (Lukas Zapletal)
- fixes #3709 - explicitly say puppet environments vs just 'environments' (Ohad Levy)
- fixes #3989 - add BR and explicit dependency on Ruby binary, for ruby193-ruby-wrapper (Dominic Cleal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- i18n - add sv_SE language (Dominic Cleal)
- Fixes #3962 - Refactor class overwriting (Marek Hulan)
- fixes #3967 - reworded message for OpenStack form (Lukas Zapletal)
- Fixes #3974 - Drop leftover Api::V2 wildcard route (Greg Sutcliffe)
- fixes #3178 - add feature for compute profiles for hostgroups and hosts (Joseph Magen)
- fixes #3821 Plugin menus are lost after page refresh in development (Amos Benari)
- Fixes #3945: pin fog to 1.19.x to fix VMware provisioning bug (Sam Kottler)
- fixes #3528 - Populate first name, last name, and email, if available. (Jan Pazdziora)
- fixes #3658 - support smart proxy's chef proxy feature (Romain Vrignaud)
- fixes #3261 - use the action the host is about to perform for power action notifications (Sam Kottler)
- fixes #3937 - correct title wording for Compute Resources and Smart Proxies (Joseph Magen)
- fixes #3942 - restoring multiple="true" in org edit form (Walden Raines)
- fixes #1489 - add AIX family and facts importer support (Ruediger Mueck)
- refs #3935 - fixes hash style to support ruby 1.87 (Ohad Levy)
- fixes #3935 new login page RCUE style (Amos Benari)
- fixes #3896 Retrieve OVirt CA certificate via same URL scheme as API URL by disabling SSL verification (Jimmi Dyson)
- refs #3811 - additional bootstrap 3 updates/fixes (Amos Benari)
- fixes #3932 incorrect volume delete label (Robert Birnie)
- refs #3928 - use updated test fixture (Ohad Levy)
- fixes #3853 - allow rabl template override to be specified (Tom McKay)
- fixes #2794 - set api_version and app_info in v1 and v2 base_controllers (Joseph Magen)
- fixes #3928 - API v2 - update os_default_templates for operating system (Joseph Magen)
- fixes #3858 No menus shown for non-admin users (Amos Benari)
- refs #3930 - ensure a user can actually update itself. (Ohad Levy)
- fixes #3930 - refactoring of edit_self implementation. (Ohad Levy)
- refs #3811 - additional bootstrap 3 updates/fixes * provisioning template "resolve" button ui fixes * form inline help and button lacation fix * host ip address help link fixed * fixes libvirt allocation buttons * host global parameters columns fixed * fix multi-select width (Amos Benari)
- refs #3811 - foreman.spec: change twitter-bootstrap-rails to bootstrap-sass (Dominic Cleal)
- fixes #3811 - merge with new layout (Amos Benari)
- Fixes #3811 updating to bootstrap 3 (Walden Raines)
- fixes #3752 - move data population from migrations into seed script (Dominic Cleal)
- fixes #3889 - don't reload nested lookup keys during render, so validation errors aren't lost (Dominic Cleal)
- Fixes 3872: Provides a better customizable application layout that conforms to HTML5 best practices. (Eric D. Helms)
- fixed #3905 - wrong route in apidoc for reports delete (API v2) (Martin Bačovský)
- fixes #2374 - added allocation option to libvirt VM (Lukas Zapletal)
- fixes #3280 - authenticate returns true for API requests when login:false (Daniel Lobato)
- fixes #1431 - use boardproductname as model fallback if productname or model fact don't exist (Michael Moll)
- refs #3571 - add filter for notice level in report (Michael Moll)
- fixes #3339 - nested fact support, allow fact importers to be registered by plugins (Marek Hulan)
- fixes #3693 - API v2 - accept GET json format of object in PUT/POST requests to add/remove has_many associations (Joseph Magen)
- fixes #3885 - sort IDs in test to prevent random failures (Dominic Cleal)
- fixes #3882 - Revert "fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround" (Dominic Cleal)
- Fixes #3881: pin locale to 2.0.9 or lower (Sam Kottler)
- Fixes #3721 - Map OS family to a display variant (Greg Sutcliffe)
- Fixes #3720 - Add description field to operatingsystem (Greg Sutcliffe)
- refs #3067 - domain stripped from installation media hostname for Solaris (dima)
- fixes #3539 - removed legacy mysql adapter (Lukas Zapletal)
- Fixes #3753 - always use main_app to determine paths for running an isolated namespace plugin (Eric D. Helms)
- fixes #3790 - Added support for isolated engine to foreman menu (Amos Benari)
- Fixes #3838: Adds ability to define a divider when declaring a menu item from a plugin. (Eric D. Helms)
- fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround (Dominic Cleal)
- fixes #3491 - API v2 rabl templates base, main, show for each controller (Joseph Magen)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #2600 - fixed gettext extraction on vms forms (Lukas Zapletal)
- fixes #3832 - foreman supplies user for GCE images, fog expects username (odgrim)
- fixes #3820 - adds exception output to menu item authorization check (Eric D. Helms)
- fixes #3822 - updated Rackspace datacenter list (Lukas Zapletal)
- fixes #3524 - api cannot reference smart proxies by name when they contain a "." (Joseph Magen)
- fixes #2983 - Add autosign#index to API v1 and v2 and remove from UI controller (Joseph Magen)
- fixes #3794 - don't validate IP address that's later provided by a CR (Dominic Cleal)
- fixes #3769 - added foreman-rake and debug man pages (Lukas Zapletal)
- fixes #2572 - FreeBSD unattended installation support via mfsbsd (Nils Domrose)
- fixes #3776 - change NAME_MAP to be a method (Stephen Benjamin)
- fixes #3020 - API v2 - option to specify version in URL as well as in header (Joseph Magen)
- Fixes #3777 - typo in Settings cleanup message (Greg Sutcliffe)
- fixes #3772: a block is now optional when defining sub menus from foreman plugins (Dmitri Dolguikh)
- fixes #3646 - API v2 change default root name for api json single object response to no root node but make it configurable (Joseph Magen)
- fixes #3137 - API v2 - show error if optional nested object does not exist for nested route (Joseph Magen)
- fixes #3768 - API v2 child nodes should not have an object root for each object (Joseph Magen)
- fixes #2931 - API v2 hosts JSON response, add *_name for each *_id (Joseph Magen)
- fixes #3762: menu urls defined using hashes should prefix controller name with a '/' (use absolute controller names) (Dmitri Dolguikh)
- fixes #3018 - API v2 metadata for pagination, search, order in index collection json response (Joseph Magen)
- fixes #3011 - default root node name for api collections json response to :results but make it configurable (Joseph Mitchell Magen)
- fixes #3737 - added PXEGrub specific PXE localboot template (Povilas Daukintis)
- refs #3510 - ensure rescue statement works (Ohad Levy)
- refs #3712 - write VERSION file to /usr/share/foreman/VERSION (Lukas Zapletal)
- fixes #3724 - correcting Red Hat names in some UI texts (Lukas Zapletal)
- fixes #3722 - changed partition tables default names (Lukas Zapletal)
- fixes #3736 - users API uses login name as an identifying attribute (Dominic Cleal)
- fixes #3684 - add IDs to top level dropdown menus (Dominic Cleal)
- fixes #3717 - pin fog to 1.18.x (Dominic Cleal)
- routes - small script to strip out the whitespace from 'rake routes' (Adam Price)
- fixes #3673 - auditing added to ptable w/ test (Tom McKay)
- fixes #3683 - display free and available space in vSphere datastore selection (Martin Matuska)
- fixes #3510 - plugin interface for registering a plugin, updated menu system (Amos Benari)
- fixes #2763 - correcting doco links (Lukas Zapletal)
- fixes #3712 - change develop versioning scheme to indicate next version (Dominic Cleal)
- fixes #2680 - ensure RbVmomi::VIM::ComputeResource is loaded before our ComputeResource (Dominic Cleal)
- fixes #3659 - use URL host for hostname, not URL itself (Dominic Cleal)
- fixes #3698 - add image_id alias to server resource as form uses it (odgrim)
- fixes #3661 - mis-redirection from /hosts/fqdn/edit to /hosts (Stephen Benjamin)
- fixes #3493 - check if auto user reg is allowed for auth source (Stephen Benjamin)
- fixes #3672: Add in the zanata.xml file for pushing strings to zanata. (Bryan Kearney)
- fixes #3669 - migration: minimize amount of User model exposed to migration (Brad Buckingham)
- Fixes #3468 - Move token expiry to scope to avoid FK issues (Greg Sutcliffe)
- Fix #3682: pin rabl to be less than or equal to 0.9.0 (Sam Kottler)
- fixes #3645 - fix total value in summary mail subject (Beat Gätzi)
- fixes #3603 - replaced a relation with a collection in 'where' conditions (Dmitri Dolguikh)
- fixes #3268, #2783 - Update prod2dev to handle fkeys in psql (Greg Sutcliffe)
- fixes #3107 - enable sorting of hostgroups by label, sort by default (Stephen Benjamin)
- fixes #3516 - resource names (inc. domains) are now being parametrized when used to construct urls (Dmitri Dolguikh)
- fixes #3622 - smart proxy features are now being loaded dynamically (Dmitri Dolguikh)
- fixes #3637 - refactor exception rake task (Lukas Zapletal)
- fixes #3017 - split APIv2 controllers from v1 parents (Joseph Magen)
- fixes #3626 - add unf to the bundler configuration for proper encoding for fog (Sam Kottler)
- fixes #3312 - support /users/extlogin as a login page based on REMOTE_USER (Jan Pazdziora)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- fixes #3050 - add foreman-gce subpackage (Dominic Cleal)
- refs #3569 - fix URL validation test error on merge (Dominic Cleal)
- Fixes #3569, #3210 - Use port from foreman_url for templates (Greg Sutcliffe)
- fixes #3587, #2855 - print an error on invalid json vs 500 error (Ohad Levy)
- Adding more files (log, reports) to gitignore (David Davis)
- fixes #3597 - removing rr gem, make tests consistent by using just mocha (David Davis)
- fixes #3581 - link to reports search for failed hosts should use "host = foo.example" (Andreas Ntaflos)
- fixes #3578 - minor SQL and whitespaces updates to the smart proxy class (Ohad Levy)
- fixes #3566 - exposes orchestration tasks via the API(v2) at /api/orchestration/id/tasks (Ohad Levy)
- fixes #3577 - do not treat `params[:dryrun]` with value `false` as true (Petr Chalupa)
- fixes #3338 - grey out VM form when editing is not supported (Amos Benari)
- fixes #3568 - adding Facter gem to bundler config (Dolf Schimmel (Freeaqingme))
- Fixes #3196 - Switch tokens to default to on (Greg Sutcliffe)
- Fixes #3182 - Make IP optional in some circumstances (Greg Sutcliffe)
- Tweaks to gitignore (David Davis)
- fixes #2951 - Host API documentation lacks compute_resource_id (Martin Bačovský)
- fixes #3550 - correct HTTP method for puppet class import API (Dominic Cleal)
- fixes #3205 - Extract and refactor report importing logic (Ohad Levy)
- fixes #1830 - auto assign puppet proxy if its not defined upon facts/reports event (Ohad Levy)
- fixes #3538 - workaround for broken #pluck on lower Rails versions (Petr Chalupa)
- Fixes #3495 - foreman-cli meta-package should install hammer (Martin Bačovský)
- fixes #3498 - update to Rails 3.2.15 (Joseph Magen)
- fixes #3486 - Make sure loading text is removed when chart data appears. (Ohad Levy)
- Fixes #3481 - Don't have to set a hostname for each interface, but it must be unique if it is set. (Aaron Stone)
- fixes #3256 - include members in usergroup show (Jan Orel)
- refs #2792 - Adding comments to pxe templates (Lukas Zapletal)
- fixes #3267 - API v1 compatibility for /api/hosts (Joseph Magen)
- Fixes #3350 - Adds title on login page (Marek Hulan)
- fixes #3279 roles edit page is long and missing a filter (Amos Benari)
- fixes #3140 continue - apipie params fix (Joseph Magen)
- refs #2967 fact deleted counters did not propagate correctly. (Ohad Levy)
- [REFACTOR] fixes #2967 - refactored Fact Importer (Ohad Levy)
- fixes #3364 Add option to disable automatc host creation when a report is received (Martin Matuska)
- fixes #3266 - ensures there are no duplicate notifications (Ohad Levy)
- fixes #3138 - move CR library loading into initializers, only show available providers (Lukas Zapletal)
- fixes #3140 - API to allow importing of puppet classes (Joseph Magen)
- fixes #3274 moved config template to the new two-pane and add full screen editing (Amos Benari)
- Changed the on content load direct method call to event (Ohad Levy)
- fixes #3369 - pin rubyzip to < 1.0.0 for Ruby 1.8 (Dominic Cleal)
- fixes #2895 - apply updates to environments on puppet class import (Dominic Cleal)
- Fixes #3293 add FactoryGirl to tests (Greg Sutcliffe)
- fixes #3239 - pxelinux spoofing on postgres now works (Lukas Zapletal)
- fixes #2818 - validation of OS families in ptables (Tomas Strachota)
- rake console (Dominic Cleal)
- Fixes #3122: 'column reference id is ambiguous' no longer appears on dashboard and report screens (Dmitri Dolguikh)
- fixes #3277 - host search link now quotes taxonomy name (hhenkel)
- fixes #2093 - list VMs in every VMware folder (Martin Matuska)
- The form-vertical class is not defined nor styled anywhere. (Jan Pazdziora)
- fixes #3270 - load subnets for the domain associated with each NIC (Dominic Cleal)
- fixes #3269 - fact import rake task fails with arity error (Dmitri Dolguikh)
- fixes #3250: cron tasks in rpm install of foreman use foreman-rake (Dmitri Dolguikh)
- fixes #3212 - disable constraint checks for mysql databases during db:prod2dev (hhenkel)
- fixes #3243 non-required/Slow SQL queries on host show page (Ohad Levy)
- fixes #3249 - change regex syntax from start/end of line to start/end of string (Joseph Magen)
- fixes #3248 - missing N_() on validation messages (Joseph Magen)
- fixes #2741 - rails 3 syntax (Joseph Magen)
- fixes #2741 - remove dash from -%> to %> (Joseph Magen)
- refs #3254 - Using the two-pane layout in some pages. (Amos Benari)
- fixes #3254 - Added support for unobtrusive two pane control (Amos Benari)
- fixes #3241 - default password is now MD5 (Lukas Zapletal)
- fixes #3136 - host cloning should auto-suggest a new IP address (Martin Matuska)
- fixes #3170 - dash separated mac address notation (Tomas Strachota)
- fixes #3222 - nil the certname when handling certs if UUID certs have now been disabled (Aaron Stone)
- Fixes #2875: only show URL and description for a CR if they exist (Sam Kottler)
- fixes #3111 - v2 API calls to /api/[class]/[object]/parameters/[parameter] return wrong object (Joseph Magen)
- fixes #3218 - Remove Double calls to CR provider when creating a new host. (Ohad Levy)
- fixes #3206 - prevent any user including admin from creating lookup_value with fdqn= or hostgroup= if host/hostgroup does not exist (Joseph Magen)
- fixes #3134 - disable vSphere fields on host edit, fix clone behavior (Martin Matuska)
- fixes #3190 - Fix STI auditable_type - Audit should say updated Location/Organization rather than updated Taxonomy and ComputeResource should not use STI class (Joseph Magen)
- fixes #3207 avoid extra validation calls when importing a report (Ohad Levy)
- fixes #3048 - Non Admin user fails to override parameters when creating new host (Joseph Mitchell Magen)
- fixes #3160 - sanitize host/host group names in lookup_value associations (CVE-2013-4386) (Dominic Cleal)
- fixes #3202 - PG constraints deferred and change destroy_all to delete_all (Joseph Mitchell Magen)
- fixes #2756 - update setting descriptions at startup (Dominic Cleal)
- fixes #3133 - fix security group filtering when no groups need filtering (Dominic Cleal)
- fixes #3180 - displaying array values in settings ui correctly (Tomas Strachota)
- Fixes #3177: a 'G' suffix is automatically appended to libvirt volume capacity value if none was specified (Dmitri Dolguikh)
- fixes #2986 - remove #show method from controllers and routes.rb when not used (Joseph Mitchell Magen)
- fixes #3106 - consistent sorting of common parameters by name (Luke Alford)
- fixes #2981 - adding plugins repo to foreman-release (Lukas Zapletal)
- Bump release, part of 18722e769927f406d813fec1aed1b2d7c7f3b6a1 (Dominic Cleal)
- fixes #2975 added setting for using the shortname instead of FQDN for new virtual machines (Hannes Schaller)
- Fixes #3168 Add FreeBSD logo in host list (Romain Vrignaud)
- fixes #3147 - added httpd logs into foreman-debug (Lukas Zapletal)
- fixes #3165 - /api/fact_values route missing from v2 API (Joseph Mitchell Magen)
- fixes #3142 - update ancestry due to dependency issue in f19 (Lukas Zapletal)
- fixes #3167 - downgrade gettext_i18n_rails for gettext / 1.8 compat (Lukas Zapletal)
- Fixes #2244: avoid constantly changing os.release_name (Florian Ernst)
- refs #3141 - added tests around Foreman::Controller::SmartProxyAuth (Dmitri Dolguikh)
- fixes #3129: NoMethodError is no longer being raised when determining the value of a property (Dmitri Dolguikh)
- Fixes #3144 Remove user_id and inherited_from (Daniel Lobato)
- Fixes #3128 - add json format back to images_controller (Greg Sutcliffe)
- fixes #3139 - duplicate Organization tabs for Organization#edit (Joseph Mitchell Magen)
- fixes #1244 - add smart proxy feature refresh link + API call (Dominic Cleal)
- fixes #3141: SmartPrpxyAuth no longer calls #render_403 method defined in ApplicationController (Dmitri Dolguikh)
- fixes #3091 - strip leading and trailing whitespace before_save on names of all objects (Joseph Mitchell Magen)
- fixes #2810 - more restful API v2 JSON responses in puppetclasses (Joseph Mitchell Magen)
- fixes #3120 - bumped version of apipie-rails (Tomas Strachota)
- fixes #3101 - list available images for CRs, add iam_role field to images API (Tomas Strachota)
- Fixes #3130 - Use the standard CentOS mirror (Greg Sutcliffe)
- fixes #3077 - locale was set to last language by default (Lukas Zapletal)
- fixes #3123 vSphere VM info misses MAC address and displays memory in bytes (Martin Matuska)
- Fixes #2984 - API v1/v2 StatisticsController and remove JSON from UI controller (Joseph Mitchell Magen)
- fixes #3116 - add NIC selection for vSphere: E1000 and VMXNET 3 (Martin Matuska)
- fixes #3089 - Updating settings causes settings page to load again within the page (Joseph Mitchell Magen)
- fixes #3110 Association of vSphere VMs fails (Martin Matuska)
- fixes #3072 Vmware: error listing VMs (Martin Matuska)
- fixes #3095 - for new trend, disable input of trend_name if not FactTrend (Joseph Mitchell Magen)
- fixes #3094 - reports search includes hostgroup and hostgroup_fullname (Daniel Lobato)
- fixes #2764 - settings defined in settings.yaml file are now read-only (Dominic Cleal)
- fixes #3093 - invalid data for a subnet address or mask returns "is invalid and is invalid" (Joseph Mitchell Magen)
- Fixes #2586 - Revert "Refs #2002 - Fog quick hack" (Marek Hulan)
- fixes #3097 - foreign key error on deleting trend (Joseph Mitchell Magen)
- fixes #3090 - new puppetclass creation fails when adding smart variable (Joseph Mitchell Magen)
- fixes #3071 - OS edit failed on foreign keys since config_template_id was '0' on blank (Joseph Mitchell Magen)
- fixes #3088 - Add checkbox to select thin or thick provision for vSphere volumes (Martin Matuska)
- fixes #3087 - fix space before parenthesis warning (snobear)
- Bump version to 1.3-develop (Lukas Zapletal)
- i18n - extracting new, updating rails, pulling from tx (Dominic Cleal)
- removing PO merge from commit when doing locale:find (Lukas Zapletal)
- fixes #3064 - links to nested hostgroups use hostgroup_fullname (Daniel Lobato)
- Fixes #3043 - Support Signo on API level using BasicAuth (Marek Hulan)
- refs #2400 - add foreigner/immigrant dependencies to spec file (Dominic Cleal)
- fixes #2272 continuation - NameError: undefined local variable or method postgresql_version for ConnectionAdapters::SQLite3Adapter (Joseph Mitchell Magen)
- fixes #2400 continuation - match all host STI classes when finding orphaned records (Joseph Mitchell Magen)
- Fixes #2272 - added Capybara integration tests, but without javascripts tests (Joseph Mitchell Magen)
- fixes #2400 migration to remove orphaned records and add foreign keys constraints to database tables (Joseph Mitchell Magen)
- fixes #3052 - reports#show json rabl template to match as_json output that was removed (Joseph Mitchell Magen)
- fixes #2985 - remove #as_json method from AR models since rabl views used for API (Joseph Mitchell Magen)
- fixes #2969 - remove all legacy api code in UI controllers, add deprecation response (Joseph Mitchell Magen)
- fixing transifex domain in .tx/config and scripts (Lukas Zapletal)
- i18n - fixing malformed strings (Lukas Zapletal)
- fixes #2179 - validate the owner type, preventing the API returning errors for a wrong owner_type (Daniel Lobato)
- fixes #2942 - plugin i18n support (Lukas Zapletal)
- fixes #3059 - new mail rake task sends foreman reports to each user (Daniel Lobato)
- fixes #2989 - missing fields in host API output (API v1 and v2) (Joseph Mitchell Magen)
- fixes #2260 Allow ERB in ENC global / class parameters (Greg Sutcliffe)
- fixes #3051 - Adds rake task to import puppet environments (Daniel Lobato)
- Fixes #1848 - Link non-zero report summaries to the equivalent report search (Greg Sutcliffe)
- fixes #2944 - nic type selection for libvirt (Jeremy Kitchen)
- fixes #2996 - VM show screen syntax error on ruby 1.8 (Dominic Cleal)
- fixes #1719 - Add support for GCE(Google Compute Engine) (Romain Vrignaud)
- fixes #1853 - Users now have a new filter to subscribe to new hostgroups (Daniel Lobato)
- fixes #3046 - add NIC CRUD, power and boot operations API (Daniel Lobato)
- fixes #2288 - Add oVirt/RHEV Quota Support (Jason Montleon)
- fixes #1871, #1879 - add VPC support to EC2 compute resource (Mark O'Shea)
- Fixes #3045 - Skip empty log arrays (Greg Sutcliffe)
- fixes #1923 - matches vms on a compute resource to hosts (Jason Montleon)
- Fixes #3030 - require facter where necessary (Greg Sutcliffe)
- Fixes #2414 - Move puppet report processing code to the report processor (Greg Sutcliffe)
- syncing with upstream community-templates (Lukas Zapletal)
- fixes #2863 - restrict APIs to resources that a user is permitted to manage (CVE-2013-4182) (Marek Hulan)
- fixes #2860 - don't convert arbitrary input into symbols (CVE-2013-4180) (Marek Hulan)
- fixes #3010 - use the correct helper function name (Ewoud Kohl van Wijngaarden)
- Fixes #2758 - Reset key_type when importing parameter defaults (Andy Bohne)
- fixes #1745 - make puppetmaster hostname/domain stripping behaviour configurable (Jeremy Kitchen)
- fixes #3005 - restrict gettext to Ruby 1.8 compatible version (Dominic Cleal)
- Refs #2414 - Remove Puppet from facts API and Settings (Greg Sutcliffe)
- fixes #2932 - add find_by_fullname for Operatingsystem (Joseph Mitchell Magen)
- fixes #2945 correction - has_and_belongs_to_many defined twice (Joseph Mitchell Magen)
- fixes #2988 - merge authentication code, enables REMOTE_USER auth on new API controllers (Daniel Lobato)
- fixes #2891 Openstack power control operations support (Daniel Lobato)
- fixed #2970 - modified inflections.rb to handle 'Puppetclass'.singularize and classify (Joseph Mitchell Magen)
- fixes #2877: deletion of the organization or location in the context no longer breaks the session (Dmitri Dolguikh)
- fixes #2945 - extend AR to add getter/setters *_name(s) for has_many/belongs_to associations (Joseph Mitchell Magen)
- fixes #2431 - handle fact uploads where host is missing $fqdn (Ash Caire)
- fixes #2933 - add missing fields to installation media API (Tomas Strachota)
- Fixes #2540: bump fog version to 1.15.0 (Sam Kottler)
- fixes #2910 - renamed *.erb extensions to *.html.erb (Joseph Mitchell Magen)
- fixes #863 - added ldap_filter to LDAP auth sources to filter lookups using RFC 2254 filters (Nils Domrose)
- refresh locales (Dominic Cleal)
- i18n - add zh_CN language (Dominic Cleal)
- Fixes #2169 Openstack uses tenants (Daniel Lobato)
- Fixes #2721 - Allow use of spice for libvirt via checkbox per-CR Fixes #1711 - Add a per-CR checkbox for console passwords (Greg Sutcliffe)
- Fixes #2833: remove direct endpoints from Rackspace compute resource (Sam Kottler)
- Fixes #2832: remove deprecated fog API and rackspace endpoint (Sam Kottler)
- fixes #2869 - refactor method find_nested_obj into API::BaseController (Joseph Mitchell Magen)
- fixes #2424 - encrypts compute resource password (Joseph Mitchell Magen)
- fixes #2424 - add Encryptable module and encryption_key generation (Joseph Mitchell Magen)
- fixes #2898 - missing API v2 nested routes for config_templates/:id/locations & organizations (Joseph Mitchell Magen)
- Fixes #2909: improve language on the welcome page around facts (Bernard McKeever)
- fixes #2871 - params search works with nested hostgroups (Daniel Lobato)
- fixes #2829 - remove environment field from hosts table (Joseph Mitchell Magen)
- Fixes #2501 - Allow my_hosts scope to include all subclasses of Host::Base (Greg Sutcliffe)
- Fixes #2867: use the future relative tense for the orchestration process during provisioning (Sam Kottler)
- fixes #2766 Setting categories not consistently loaded and shown in dev (Amos Benari)
- fixes #2872 - default password not listed in debug script (Lukas Zapletal)
- fixes #2830 - upgrade rails version to 3.2.14 (Joseph Mitchell Magen)
- fixes #2838 - taxonomies controller - fix in params and finder (Tomas Strachota)
- added a HTML id to the operating system ui tab (Amos Benari)
- fixes #2851 - refresh puppet classes on environment change (Dominic Cleal)
- fixes #2788 - changes to fixtures and tests in preparation for testing adding/removing puppetclasses (Joseph Mitchell Magen)
- fixes #2788 - adding / removing puppet classes updates the change even if the form is not submitted (Joseph Mitchell Magen)
- fixes #2837 add an interface to add repositories to kickstart, cleanup similar methods (Amos Benari)
- Fixes #2576 - Add optional update of Host.ip from built request (Greg Sutcliffe)
- Fixes #2839 - retry SSH authentication issues with cloud-init (Ian Mordey)
- Fixes #2821 - Autoload paths, PowerManager children must be in namespace in order to autoload (Marek Hulan)
- fixes #2693 - don't cause handle_ca error when no Puppet CA associated with host (Dominic Cleal)
- fixes #2809 - send host subject as xpi opt to prevent ssl connect errors (Jason Montleon)
- fixes #2813 - move Foreman::Provision::SSH files back to /lib so it does not fail on startup for non-fog installations (Joseph Mitchell Magen)
- fixes #2801 - remove LOWER() in default_scope of models that could cause PG error (Joseph Mitchell Magen)
- Fixes #2826: only run set_code() on submit if the config template editor is already in diff mode (Sam Kottler)
- fixes #2825 - Gravatar URL for email addresses with uppercases (Gavin McCance)
- fixes #2757 - show model validation errors in production.log (Tomas Strachota)
- Fixes #2817 - wrong param types in lookup keys API documentation (Tomas Strachota)
- fixes #2812 - method lookup_values_attributes= not defined in Host::Managed (NameError) (Joseph Mitchell Magen)
- fixes #2814 - fixing foreman-debug warning message (Lukas Zapletal)
- fixes #2684 - add foreman-rake script to /usr/sbin (Dominic Cleal)
- fixes #2373 - only reference unattended subnet path when in unattended mode (Dominic Cleal)
- fixes #2808 - pin nokogiri to 1.5.x for Ruby 1.8 (Dominic Cleal)
- fixes #2741 - remove unnecessary require statements (Joseph Mitchell Magen)
- fixes #2741 - Minitest refactoring (Joseph Mitchell Magen)
- fixes #2740 - copy code from lib/foreman.rb to initializers/foreman.rb (Joseph Mitchell Magen)
- fixes #2739 - add ActiveSupport::Concern syntax to mixins (Joseph Mitchell Magen)
- fixes #2411 - move lib/audit_extensions lib/fog_extensions lib/foreman to models/concerns (Joseph Mitchell Magen)
- fixes #2411 - move files to /app/services (Joseph Mitchell Magen)
- fixes #2411 - move to controller/concerns (Joseph Mitchell Magen)
- fixes #2411 - move STI models in /models and /lib/foreman/models to sub-folders (Joseph Mitchell Magen)
- fixes #2411 - move files in /models to /concerns, /services, /mailers, /observers (Joseph Mitchell Magen)
- fixes #2411 - add autoload_paths in application.rb in preparation for file location changes (Joseph Mitchell Magen)
- fixes #2795 - adding thread dump via -TTIN signal (Lukas Zapletal)
- fixes #2797 - Submit the final code, not the diff in the config template editor (Sam Kottler)
- fixes #2779 - permission problem with non-admin adding puppetclasses to hosts and hostgroups (Joseph Mitchell Magen)
- fixes #1770 - Refactored rdeckfacts definition to use facts_hash (Andy Bohne)
- fixes #2803 - apipie docs, rabl definition matches conventions (Tomas Strachota)
- fixes #2142 add Smart Parameters and Smart Class Parameters to API v2 (Joseph Mitchell Magen)
- remove incorrect documentation in API v1 lookup_keys_controller (Joseph Mitchell Magen)
- fixes #2791 - ptable api was missing :layout and :os_family (Joseph Mitchell Magen)
- refresh locales (Dominic Cleal)
- minor correction after d47dfa9c35 (Michael Moll)
- fixes #2802 controller methods fail for name-spaced controllers (Amos Benari)
- Make the language in the LDAP auth edit more generic (Sam Kottler)
- fixes #2782 - LDAP password overwritten as blank (Joseph Mitchell Magen)
- Fixes #2780 - Enhance puppet classes assignment (Marek Hulan)
- fixes #2772 cloning locations and organizations is broken (Amos Benari)
- fixes #2784 - missing </tr> causing verbose test output (Joseph Mitchell Magen)
- fixes #2747 - scoped search lambda takes one argument (Dominic Cleal)
- Remove some unnecessary variables from the hostgroups functional test (Sam Kottler)
- fixes #1963 - prevent host creation when facts are uploaded via new setting (Nacho Barrientos)
- fixes #2751 - Remote addr can support several load balancers (Daniel Lobato)
- fixes #2743 - adding foreman_api to non-scl comps (Lukas Zapletal)
- refresh locales (Dominic Cleal)
- i18n - adding gl language (Dominic Cleal)
- fixes #2733 - typo Host group instead of Host Group (Joseph Mitchell Magen)
- fixes #2734 - wrong taxonomy scope on hostgroup and host form (Joseph Mitchell Magen)
- fixes #2732 - 404 error Location Not Found on Mismatches Report if a location is selected (Joseph Mitchell Magen)
- fixes #2665 - search on click in dashboard pie chart (Amos Benari)
- fixes #2731 - add color legend to the dashboard (Amos Benari)
- fixes #2707 - host save fails for non-admin if host has a BMC interface (Joseph Mitchell Magen)
- fixes #2713 - do not update nics table on every host update as a workaround to bug #2489 (Joseph Mitchell Magen)
- fixes #2727 - fix oVirt test connection method definition (Dominic Cleal)
- fixes #2728 - POST /api/hostgroups does not accept ancestry (Joseph Mitchell Magen)
- part of a fix to #2716 error in discovery plugin menu and user without provisioning permissions the other part is a fix to the discovery plugin. (Amos Benari)
- Fixes #2712 - Handle Net::SSH::Disconnect gracefully (Greg Sutcliffe)
- fixes #2645 - non-admin users can now create smart variables (Joseph Mitchell Magen)
- fixes #2724 - use __method__ instead of static method names in SSO (Sam Kottler)
- Fixes #2722 - Support for crossdomain auth (Marek Hulan)
- fixes #2710 - removed a superfluous os name check that was tripping up safemode. (Dmitri Dolguikh)
- fixes #2317 - VM's with the name foreman_######## (Joseph Mitchell Magen)
- fixes #2701 - require correct minitest file (Dominic Cleal)
- fixes #2404 - prevents 404 when updating invalid name used as id (Joseph Mitchell Magen)
- fixes #2690 - undefined method gsub! for nil:NilClass on fact import (Joseph Mitchell Magen)
- fixes #2695: Updated fedora and ubuntu mirror urls (Dmitri Dolguikh)
- fixes #2697 again - HostMailer typo and .deliver (Joseph Mitchell Magen)
- fixes #2697 - HostMailer summary is broken (cherry picked from commit 8e851ef524a3348c1587e53e3c2da616fdbe1fdc) (Joseph Mitchell Magen)
- Fixes #2655 - Display Host buttons on unmanaged hosts if a puppet proxy exists (Greg Sutcliffe)
- fixes #2686 - use setting model's string parser to update values (cherry picked from commit 5d9073bba52b502b08b8b67b7f546eb4d481e5c1) (Dominic Cleal)
- fixes #2489 - fixes BMC password caused by rails bug accepts_nested_attributes_for and serialized child field (Joseph Mitchell Magen)
- fixes #2484 - host, hostgroup, and BMC passwords were overwritten as blank (Joseph Mitchell Magen)
- fixes #2685 incorrect and inefficient regexp checking medium name format (Ivan Necas)
- fixes #2679 pie get error when the label is too long (Amos Benari)
- fixes #2669 username first name and last name doesn't accept i18n characters (Amos Benari)
- fixes #2639 After creating user with empty e-mail it becomes impossible to add it. (Amos Benari)
- fixes #2610 - fixed the boot device order for oVirt VMs created in Foreman (Dmitri Dolguikh)
- fixes #2656 error connecting to vsphere after upgrade to ruby 1.9.3 (Amos Benari)
- Fixes #2674 - Add tmpdfiles.d configuration for systemd to rpm spec (Greg Sutcliffe)
- fixes #2612 - move Task into Orchestration namespace due to RbVmomi conflict (Dominic Cleal)
- fixes #2646 Asset icon URLs are incorrect when under a different base URL (Amos Benari)
- helper script to show dependencies nicely (Lukas Zapletal)
- fixes #2670 - fix apostrophe quoting issue (cherry picked from commit 4298bd841c3fb2b3f639f06d4cbbb3901f56ec06) (Dominic Cleal)
- refs #2650 - fix minitest version (Dominic Cleal)
- fixes #2649 - asset dependency versions, missing test dependencies (Dominic Cleal)
- fixes #2650 - adding minitest dependency for console (Lukas Zapletal)
- Fixes #2667 - Don't save during process_hostgroup (Greg Sutcliffe)
- fixes #2649 - adding missing devel deps (Lukas Zapletal)
- fixes #2583 - error message is now properly i18n-ed (Dmitri Dolguikh)
- fixes #2663 javascript errors on the host form (Amos Benari)
- Fixes #2640 - use relative user logout path (Marek Hulan)
- Fixes #2619 - don't display full output from proxy (Marek Hulan)
- Fixes #2657 - Use twitter-bootstrap-rails version 2.2.6 (Greg Sutcliffe)
- fixes #2564, #2658 - apipie requirement bumped (Lukas Zapletal)
- fixes #2334 - location matcher doesn't match on smart parameters (Joseph Mitchell Magen)
- fixes #2660 - settings, improve tests and fixes (Tomas Strachota)
- fixes #2343 - override default settings with custom values (Tomas Strachota)
- Fixes #2644 - Refactor Host find_by_name to use several ways to find a host, and refactor my_hosts scope to Host::Base, allowing us to remove unnecessary permissions check from find_by_name (Greg Sutcliffe)
- Fixes #2643 - Check for operatingsystem before orchestrating TFTP (Greg Sutcliffe)
- Fixes #2642 - Display build button if host type has changed (Greg Sutcliffe)
- Fixes #2641 - Add type_changed check to JS to allow form to refresh when provisioning a discovered host (Greg Sutcliffe)
- fixes #2636 host submit missing progress-bar when installed at sub-domain (Amos Benari)
- fixes #2596 - bumping up gettext-i18n-rails gem version to 0.10.0 (Dmitri Dolguikh)
- fixes #2633 - enable generate_token rake task to run from elsewhere (Dominic Cleal)
- Use facts[:operatingsystemrelease] to determined gentoo release (Antony Perigault)
- fixes #2622 - error messages with HTML properly escaped (Lukas Zapletal)
- fixes #1938 Foreman shouldn't use the FQDN fact to identify the node when facts are uploaded (Amos Benari)
- Fixes #2632 - extract strings from validation errors (Marek Hulan)
- fixes #2631 - fix remote code execution via controller name (CVE-2013-2121) (Joseph Mitchell Magen)
- fixes #2630 - restrict assignment of roles to those a user has (CVE-2013-2113) (Marek Hulan)
- fixes #2627 - depend on libvirt, not virt, add missing comps entries (Dominic Cleal)
- Fixes #2038 - updated config and partition table templates using ones from the community repository (Dmitri Dolguikh)
- reload multy-select js (Amos Benari)
- fixes #2625 - hostgroup nest and clone methods (Joseph Mitchell Magen)
- fixes #2616 - Hostgroup fields not populating when parent fields are selected (Joseph Mitchell Magen)
- fixes #2296 Hostgroup subnet field was not enabled after selecting domain (Amos Benari)
- i18n - adding fr, en_GB languages (Dominic Cleal)
- fixes #2608 - add passenger, selinux to comps (Dominic Cleal)
- Fixes #2615 - failed to save host group (Marek Hulan)
- fixes #2621 search box and search button alignment on firefox. (Amos Benari)
- re-fixes #2549 - default location bug was introduced in commit 66afbc33 that is fixed (Joseph Mitchell Magen)
- fixes #2386 - permission failure on create_lookup_value (Joseph Mitchell Magen)
- fixes #2623 - trends link was broken (Joseph Mitchell Magen)
- fixes #2617 Can't edit a host once it's created (Amos Benari)
- fixes #2599 - Bulk-selectable environments & puppet classes import (Mikael Fridh)
- fixes #2558 - foreman-debug script in /usr/sbin (Lukas Zapletal)
- fixes #2607 - add autocomplete=false attribute to root_host_pass input x (Libor Zoubek)
- fixes #2285 - subnet validation - length of addresses, strip whitespace and fix common typos (Joseph Mitchell Magen)
- fixes #2570 'New Window' button on HTML5 spice client page does not work (Amos Benari)
- fixes #2594 missing progress indicator on compute resource selection (Amos Benari)
- fixes #2606 fix display of compute resource errors (Amos Benari)
- fixed #2534 fixes #2495 paginator has i18n issues (Amos Benari)
- fixes #2565 - new / edit host ajax call create nested forms (Ohad Levy)
- fixes #2604 searching for hosts with digits can lead to unexpected results (Amos Benari)
- fixes #2602 - scoped_search error when using postgresql (Joseph Mitchell Magen)
- fixes #2603 - handle missing compute_resources param loading VM tab (Dominic Cleal)
- fixes #2541 - multiple host checkbox selections clears when moving to next page (Ohad Levy)
- fixes #2545 - EC2 instance does not show EC2 related options in Edit page. (Ohad Levy)
- fixes #2590 - bookmarks modal form is now working (Joseph Mitchell Magen)
- fixes #1951 - support for libvirt named networks (Ohad Levy)
- fixes #2588 - fixed regression introduced earlier: localization works for non-AR classes too now (Dmitri Dolguikh)
- fixes #2588 - table name used for localization is being determined correctly now for sti classes. (Dmitri Dolguikh)
- fixes #2587 - migration to increase varchar length of media.name and other string fields (Joseph Mitchell Magen)
- fixes #2549, fixes #2544 - new host organization and location should default to current context if it exists (Joseph Mitchell Magen)
- fixes #2562 libvirt domain listen address, add libvirt_default_console_address setting (Ryan Davies)
- fixes #2538 - hostgroup provisioning falls back to root_pass setting (Joseph Mitchell Magen)
- fixes #2493 Unable to load audit, underlying cause No such file to load -- audit (Joseph Mitchell Magen)
- fixes #2539 - added API puppetrun access permission and test (Joseph Mitchell Magen)
- fixes #2539 - puppetrun API added. (Arnoud de Jonge)
- Avoid inheriting from Puppet::Resource (Daniel Lobato)
- fixes #2579 - explicitly list field name, workaround rails #5990 (Dominic Cleal)
- Refs #2002 - Fog quick hack (Marek Hulan)
- Fixes #2584: Remove rubygem-virt from comps (Sam Kottler)
- fixes #2582 indicators for all. (Amos Benari)
- Fixes #2581 - missing buildrequire gettext (Tomas Strachota)
- fixes #2335 - update puppetclass redirects to referrer page (Joseph Mitchell Magen)
- Fixes #2519 - Protect locale changes from validation failure so that password validation can be run (Greg Sutcliffe)
- fixes #2542 - sort image listing with datatables (Joseph Mitchell Magen)
- fixes #2536 - loading locale .mo files in production mode (Tomas Strachota)
- fixes #2563 - fallback user image has wrong path (Ohad Levy)
- fixes #2567 - handle backtraces correctly in compute orchestration errors (Dominic Cleal)
- Fixes #2571 - Deleted admin is recreated (Marek Hulan)
- fixes #2555, #2560 - add foreman-release and MySQL gems to comps (Dominic Cleal)
- fixes #2106, #2123, #2561 - sign RPMs, rename -ec2 to -compute, fix foreman.repo URLs (Dominic Cleal)
- fixes #2573 - refresh Fedora 18 comps, don't force SCL (Dominic Cleal)
- fixes #2553 let setting admin attribute on user creation (Ivan Necas)
- fixes #2325 No A record created in domain when provisioning image based vm (Ohad Levy)
- fixes #2551 new host image not always visible under openstack (Ohad Levy)
- fixes #2525 - apipie documentation of actions defined in a concern (Ivan Necas)
- Fixes #2502 - session expiration updates (Marek Hulan)
- fixes #2546 - audit details error - undefined method 'map' for string (Joseph Mitchell Magen)
- fixes #2537 - audit details on deleted host fail (Joseph Mitchell Magen)
- Fixes #2372 - Strip non-digit characters from non-numeric OS versions (Greg Sutcliffe)
- fixes #2550 Puppetclass search_by_host doesn't return all classes for an unknown host (Daniel Lobato)
- fixes #2548 - add non-SCL dependencies to comps for publishing (Dominic Cleal)
- fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact names (Dmitri Dolguikh)
- fixes #2130 - normalize_hostname appends domainname to fqdn (Mikael Fridh)
- fixes #2440 remove unused files, code, unnecessary require statements (Joseph Mitchell Magen)
- fixes #2499 Add os_minor and os_major autocomplete (Daniel Lobato)
- Fixes #2497 - Join to the fact_values table when a user fact-filter is applied (Greg Sutcliffe)
- fixes #2197 - form fields for new host are scoped by location and organization on load (Joseph Mitchell Magen)
- Fixes #2513 - orgs created in katello do not appear in org filtering (Tomas Strachota)
- Revert "fixes #2484 - host and hostgroup root passwords are not saving" (Ohad Levy)
- fixes #2484 - host and hostgroup root passwords are not saving (Joseph Mitchell Magen)
- fixes #2522 dashboard events table should not have a border and is too long (Amos Benari)
- fixes #2316 Adding a disk to an existing RHEV 3.1 VM via Foreman results in an error (Amos Benari)
- Fixes #2458 - Directory structure precreated (Marek Hulan)
- fixes #2485 - updated_at = NULL (Joseph Mitchell Magen)
- fixes #2516 - dbmigrate changes for SCL (Lukas Zapletal)
- fixes #2526 Favicon only shows up if foreman is deployed in the root context (Amos Benari)
- refresh locales (Dominic Cleal)
- Bump version to 1.2-develop (Dominic Cleal)
- fixes #2511 Footer should be replaced with an about page (Amos Benari)
- fixes #2491, fixes #2487 - i18n issues (Dominic Cleal)
- RPM packaging fixes (Dominic Cleal)
- fixes #2498 FactNames are not precreated (Daniel Lobato)
- Updated the spec for packaging Foreman on top of a Ruby 1.9.3 software collection (Sam Kottler)
- fixes #2492 Fallback to assets pipeline if a precompiled asset is missed in production (Ivan Necas)
- fixes #2490 - filter empty EC2 security groups (Stef Telford)
- fixes #2481 - invalid state in BMC power dropdown (Ohad Levy)
- fixes #2488 - hosts/<fqdn>/lookupkeys/<key-id> api is broken (Amos Benari)
- fixes #2453 - fix aggressive truncation of hostgroups < 26 chars (Dominic Cleal)
- fixes #2396 Popups show escaped HTML (Amos Benari)
- fixes #2478 - smart-variable in ENC stopped working (Amos Benari)
- fixes #2480 - undefined method `html_raw' (Ohad Levy)
- fixes #2246 deleting an environment also deletes associated templates (Tomas Strachota)
- Fixes #2476 - precompile and include textmate theme (Marek Hulan)
- fixes #2486 - ensure facts import is idempotent when values are unchanged (Dominic Cleal)
- Add Gentoo operating system (Antony Perigault)
- Fixes #2460 - session expiration fix for SSO (Marek Hulan)
- fixes #2281 - don't allow admin flag to be removed from admin account (Dominic Cleal)
- fixes #2444 - locale selector in user account (Lukas Zapletal)
- refs #2132 - fixes ajax on puppetclass update, and some typos. (Amos Benari)
- fixes #2220 - Suport hostgroup puppet classes parameters inheritance. (Amos Benari)
- fixes #2132 Smart Variables in hostgroup. 1. Show smart variables in hostgroup view. 2. Added the GUI to override smart variables values in host group. (Amos Benari)
- refresh locales (Dominic Cleal)
- Changed validation text s/must be downcase/must be lowercase. (Og B. Maciel)
- fixed #2474 - Foreman Exceptions are not initalized correctly (Ohad Levy)
- fixes #426 expose BMC information in foreman UI (Daniel Lobato)
- remove test translations (Dominic Cleal)
- refs #2400 clean up tests so there are no orphaned foreign keys (Joseph Mitchell Magen)
- fixes #2422 Rails 3.2: before_destroy / dependent => :destroy ordering (Joseph Mitchell Magen)
- fixes #2421 added missing has_many :hostgroups and missing :dependent => destroy (Joseph Mitchell Magen)
- gettext_i18n_rails_js shouldn't be required in prod setups to run rake tasks (Dominic Cleal)
- fixes #2420 - extract strings for i18n from JavaScript, various i18n fixes (Dominic Cleal)
- Fixes #2461 - Allow user to not have a puppet proxy (Greg Sutcliffe)
- Fixes #2459 - Create ProxyFeature methods from symbol name, lookup on real text (Greg Sutcliffe)
- fixes #2401 - cannot create new admin user (Lukas Zapletal)
- fixes #2426 - translate model and column names to English (Dominic Cleal)
- fixes #2475 - search hosts based on comments (Ohad Levy)
- fixes translator comment (Dominic Cleal)
- Fixes #2406 - add recent report summary to dashboard latest events box (Greg Sutcliffe)
- fixes #2472 - prevent duplicate users from hostgroup ancestors (Daniel Lobato)
- Added core runtime packages to the RHEL6 comp (Sam Kottler)
- fixes #2463 - update permissions to follow controller move (Dominic Cleal)
- Typo fix (Ewoud Kohl van Wijngaarden)
- fixing transifex parse error (Lukas Zapletal)
- fixes #2434 - foreman-debug script (Lukas Zapletal)
- Fixes #2265 - Broken hosts_and_facts detection (Andy Taylor)
- fixes #2432 - use absolute controller path for navbar links (Dominic Cleal)
- Fixes #2454 - Fix loading settings in production (Ivan Necas)
- removing ruby-debug from development group (Lukas Zapletal)
- fixes #2463 - move test files to follow controller move (Dominic Cleal)
- Added additional DB packages (Sam Kottler)
- fixes #2463 fixed nested puppetca and autosign controllers (Ohad Levy)
- fixes #2393 - Couple of models broken with audited 3.0.0 (Ohad Levy)
- fixes #2455 hostgroup not saving (Joseph Mitchell Magen)
- fixes #2452 - allow nil form, used for checkboxes in taxonomies wizard (Dominic Cleal)
- add SLES and SLED to Suse family (Michael Moll)
- Fix tests misusing assert and assignment vs. comparison (Dominic Cleal)
- intruducing color variable and mixin in the scss files (Amos Benari)
- Fix finder_needs_type check in sti mixin (Greg Sutcliffe)
- fixes #2450 - cookie name based on pathname to be able to reuse the js in other pages (Amos Benari)
- fixes #2361 do not reset password on test connection. (Amos Benari)
- fixes #2361 empty password does not invalidate compute resource (Joseph Mitchell Magen)
- fixes UI errors in trend pages (Ohad Levy)
- fixes #2378 - added Minitest and other code cleanups (Joseph Mitchell Magen)
- Added even more dependencies to the RHEL6 comp (Sam Kottler)
- Fixes #2439 - Add true to respond_to? calls for initialize_puppetca (Greg Sutcliffe)
- fixes #2441 (Amos Benari)
- new top-bar navigation design and a new login page (Amos Benari)
- Added a lot more dependencies to the RHEL6 comp (Sam Kottler)
- fixes #2429 - change OpenID storage to be permanent (Marek Hulan)
- fixes #2433 - fix orchestration respond_to? test to work on ruby 2.0 (Greg Sutcliffe)
- fixes #2428 - a workaround for an issue with SETTINGS[:libvirt] not being properly initialized in rpm environments (Dmitri Dolguikh)
- Added rails and dependencies to comp (Sam Kottler)
- fixes #2430 - undefined method gettext_translation_for_attribute_name (Marc Grimme)
- fixes #2407 - Add STI to settings model (Greg Sutcliffe)
- Always use multi-select widget for taxonomies in host group (Ivan Necas)
- fixes #2248 adds api controllers and actions to access_permissions.rb (Joseph Mitchell Magen)
- fixes #2425 Allow find_multiple to work on all Host types (Amos Benari)
- fixes #2427 - use RUBY_VERSION for pre-Bundler 1.3 compatibility (Dominic Cleal)
- fixes #2368 - finishing transifex.com integration (Lukas Zapletal)
- fixes #2416 - use relative URL prefix for environment import buttons (Sébastien Bernard)
- Fixes #2408: don't try to reset the password in rake permissions:reset if Facter.domain is nil (Sam Kottler)
- fixes #2410 - Set auditable type to 'Host' (Greg Sutcliffe)
- fixes #2367 - Ruby 2.0 support (Dominic Cleal)
- fixes #2359 - update EPEL release number (Dominic Cleal)
- Feature #2368 - form helpers, exceptions and fixes (Lukas Zapletal)
- Feature #2368 - host list popups and various fixes (Dominic Cleal)
- Feature #2368 - merging new strings (Lukas Zapletal)
- Feature #2368 - i18n extracting strings (Dominic Cleal)
- Feature #2368 - use N_ for model validators (Dominic Cleal)
- Feature #2368 - i18n extracting and locale rake task (Lukas Zapletal)
- Feature #2368 - adding Rails i18n yml files (Lukas Zapletal)
- Feature #2368 - i18n extracting strings (Lukas Zapletal)
- Feature #2368 - adding Spanish translation (Daniel Lobato Garcia)
- Feature #2368 - i18n extracting strings (Lukas Zapletal)
- Feature #2368 - i18n extracting strings (Bryan Kearney)
- Feature #2368 - i18n integrating Transifex (Lukas Zapletal)
- Feature #2368 - adding German translation file (Thomas Bendler)
- Feature #2368 - renaming i18n domain to 'foreman.pot' (Lukas Zapletal)
- fixes #2419 - disable DNS orchestration during host mailer tests (Dominic Cleal)
- Adds an id primary key field to the user_hostgroup relationship (Daniel Lobato)
- fixes #2263 continuation - turn off auditing for migration of adding Hostgroup label (Joseph Mitchell Magen)
- fixes #2417 - SSO abstractioning (Marek Hulan)
- fixes #2360 loading parameters on host edit form when hostgroup or environment is changed (Joseph Mitchell Magen)
- fixes #2247 Provides an option to disable the use of gravatara (Bryan Kearney)
- fixes #2263 search Hostgroup by label (Joseph Mitchell Magen)
- refs #2254 - STI Host relationships (Joseph Mitchell Magen)
- fixes #2405 - disable DNS orchestration during TFTP tests, causing timeouts (Dominic Cleal)
- Use https when accessing Rubygems.org (Sam Kottler)
- Added f18 releases to tito and fixed some typos (Sam Kottler)
- Added RHEL6 and F18 comps (Sam Kottler)
- Bumped the Rails version to match what's in the nightly tag (Sam Kottler)
- fixes #2398 - fix ruby 1.9 issue when loading free ip, causing {} in URL (Ivan Necas)
- Enforce hostgroup/role uniqueness on User relation (Daniel Lobato)
- [refactor] breakdown of proxy api classes (Ohad Levy)
- fixes #2390 - Add :host_id to BMC options hash (Greg Sutcliffe)
- fixes #2327 - add simplecov code coverage reports (Dominic Cleal)
- flot charts (Amos Benari)
- fixes failing test/fixture introduced in 7ff39bfa (Ohad Levy)
- Added link to host on some audit entries (Daniel Lobato)
- fixes #2389 - Add basic support for plugin config to live in separate files (Greg Sutcliffe)
- fixes #2385 - use Capybara 2.0.x for Ruby 1.8 compatibility (Dominic Cleal)
- fixes #2153 - add trusted_puppetmaster_hosts setting to permit puppetmaster access (Dominic Cleal)
- fixes #2377 - refresh column info after editing Medium (Dominic Cleal)
- fixes #2376 Update migrations to match new rails3.2 paths (Greg Sutcliffe)
- Small typo in foreman-config output (David Schmitt)
- addes missing taxonomy asset (Ohad Levy)
- fixes #2371 - removed iconv - causing deprecation notice - block in require: iconv will be deprecated in the future, use String#encode instead (Joseph Mitchell Magen)
- more minor fixes around asset pipeline changes (Ohad Levy)
- fixes missing assets files (Ohad Levy)
- Removed unnecessary script related to SElinux (Sam Kottler)
- Remove .DS_Store file (Ewoud Kohl van Wijngaarden)
- fixes wrong spice JS referenec (Amos Benari)
- fixes #2351 Downcase fqdn when importing facts, for hostname validation consistency (Greg Sutcliffe)
- fixes #2365 added quiet assets gem (Joseph Mitchell Magen)
- moved spice console to spice-html5-rails gem (Amos Benari)
- fixes #2358 - remove duplicate epel/HTTP proxy snippets (Dominic Cleal)
- fixes #2362 ImagesHelper - not showing field if no images (Joseph Mitchell Magen)
- fixes #2366 removes duplicate gems in bundler/test.rb (Joseph Mitchell Magen)
- upgrade foreman to rails 3.2.13 (Amos Benari)
- Added files for building via Tito (Sam Kottler)
- fixes #2250 API v2 add/remove puppetclasses from hosts and hostgroups (Joseph Mitchell Magen)
- fixes #2318 - API v2 documentation for parameters to include real paths rather than /references/:id (Joseph Mitchell Magen)
- fixes #2319 make HostClass and HostgroupClass unique puppetclass_id by scope (Joseph Mitchell Magen)
- fixes #2322 ActiveModel::MassAssignmentSecurity::Error: Can't mass-assign protected attributes: (Joseph Mitchell Magen)
- fixes #2323 syntax error in host_mailer (Joseph Mitchell Magen)
- fixes #2324 Refactoring of Host STI (Greg Sutcliffe)
- Load the apipie documentation when calling '/api' (Ivan Necas)
- Use proper syntax for step 2 title, comment by Joseph Magen (Bryan Kearney)
- Add localization calls to the subnets and the trenda pages. (Bryan Kearney)
- fixes #2291 undefined method 'to_a' for 75:String when creating host WITH taxonomy (Joseph Mitchell Magen)
- fixes #2299 - Parameters Controller (API v2) can reset parameters (delete them all) (Daniel Lobato)
- Downgrade the libvirt bindings warning to print (Ewoud Kohl van Wijngaarden)
- Added gettext calls to the usergroups and roles pages. (Bryan Kearney)
- Add gettext calls to the common views, application controller, and application helper objects. (Bryan Kearney)
- Add gettext calls to the locations pages and the user pages. (Bryan Kearney)
- fixes #2272 setup capybara and spork and modified test_helper for future integration testing (Joseph Mitchell Magen)
- switch to latest released fog (Ohad Levy)
- fixes #2278 orchestration test failure (Joseph Mitchell Magen)
- fixes #2219 - Hostgroup ownership is hierarchical (Daniel Lobato)
- fixes #2274 renamed test/unit/orchestration.rb to test/unit/orchestration_test.rb (Joseph Mitchell Magen)
- fixes #2275 - include ThreadSession::Cleaner only once (Ivan Necas)
- fixes #2277 - adds spice html5 support (Ohad Levy)
- Added a build script for updating and generating policies and packages (Sam Kottler)
- fixes #2268 - exec puppet in Bundler-less env, don't touch PATH when puppetgem is set (Dominic Cleal)
- fixes #2273 - authorization over environment model (Ivan Necas)
- foreman-config - dry run (Ivan Necas)
- fixes #2269 - Add gettext framework to foreman. (Bryan Kearney)
- fixes #2266 - API doesn't honor 'view_facts' permission (Jeff Palmer)
- fixes #2264 - replace fulltext sources.value index with digest (Dominic Cleal)
- fixes #2256 - support minitest in jenkins rake tasks, add missing yaml require breaking bundler, fix version test for Ruby 1.9.2 (Dominic Cleal)
- fixes #2202 - add all unassigned actions to appropriate permissions (Dominic Cleal)
- fixes #2262 - handle strings from PostgreSQL (Dominic Cleal)
- fixes #2253 adds openstack floating ip support (Ohad Levy)
- fixes #2252 - add supports to openstack log console (Ohad Levy)
- fixes #2251 - adds openstack image listing (Ohad Levy)
- fixes #2222 hostgroup form can be scoped by multiple taxonomys. (Amos Benari)
- fixes #2242 - concatenate HTML errors, don't use Array#to_s on Ruby 1.9 (Dominic Cleal)
- fixes #2163 New host installation fails with RHEV 3.1 (Amos Benari)
- fixes #2224 Selecting a RHEV 3.1 template does not work properly (Amos Benari)
- Do not block create and destroy volume if api version is 3.1 or later. (Amos Benari)
- added blank option in ovirt select template. (Amos Benari)
- fixed test connection for existing compute-resource. (Amos Benari)
- refs #2254 - minor fixes related to facts import (Ohad Levy)
- refs #2254 - minor fixes related to host form (Ohad Levy)
- fixes #2254 - Add STI to hosts table (Greg Sutcliffe)
- fixes #2221 - non admin user can't set build flag for multiple hosts (Amos Benari)
- fixes broken build (Ohad Levy)
- ignore .rvmrc (Joseph Mitchell Magen)
- Ensures that unused API v2 routes are not added when using nested routes (Ohad Levy)
- fixes #1988 - CRUD Actions for nested parameters for host, domain, hostgroup, os (Joseph Mitchell Magen)
- fixes #2239 API v2 CRUD for locations and organizations and added nested loc/org (Joseph Mitchell Magen)
- bundler_ext require statements (Lukas Zapletal)
- bundler_ext initial support (Lukas Zapletal)
- edited TaxHost - selected_ids and used_ids do NOT return [] if ignored? (Joseph Mitchell Magen)
- fixes #2217 - initialize Regexp constants here to stop duplicate warnings (Dominic Cleal)
- fixes #2229 add an IAM role field to a compute image. (David Swift)
- fixes #2100 - fix regexp overflow on MRI 1.8 with older safemode/ruby_parser (Dominic Cleal)
- fixes #2203 - add locations/organizations to subnet edit page (Dominic Cleal)
- added filter to the multy select component. (Amos Benari)
- fixes 2228 json parsing failed (Joseph Mitchell Magen)
- Order multi-select options alphabetically (Daniel Lobato)
- fixes #2198 - add AJAX routes to existing permissions to fix non-admin UI (Dominic Cleal)
- fixes #2196 - create tmp/ if it doesn't exist (Dominic Cleal)
- Feature: #686 - Hosts can inherit environment from hostgroup (Daniel Lobato)
- Fixes #2199: Fix install media submit/cancel buttons when locations/orgs disabled - When locations and Organizations are disabled, the submit/cancel Buttons are not well displayed when you want to add a new medium. (Gaël Chamoulaud)
- fixes #2193 SQL error on Postgres 9.1 for classes_from_storeconfigs (Dennis Hoppe)
- fixes #2110 - bump safemode to support != (Dominic Cleal)
- Revert "ptables - displaying os_family and layout in api show and list" (Ohad Levy)
- Revert "ptables - validation for OS families" (Ohad Levy)
- fixes #2166 - error when clearing location (Joseph Mitchell Magen)
- ptables - validation for OS families (Tomas Strachota)
- ptables - displaying os_family and layout in api show and list (Tomas Strachota)
- Using Apipie versioning features and Maruku for markdown (Ivan Necas)
- API now allows for search of usergroups (Daniel Lobato)

* Tue Aug 20 2024 Patrick Creech <pcreech@redhat.com> - 3.13.0-0.1.develop
- Bump version to 3.13-develop

* Wed May 22 2024 Zach Huntington-Meath <zhunting@redhat.com> - 3.12.0-0.1.develop
- Bump version to 3.12-develop

* Thu Apr 11 2024 Evgeni Golov - 3.11.0-0.4.develop
- Update NPM Requirements

* Tue Apr 09 2024 Evgeni Golov - 3.11.0-0.3.develop
- Update GEM and NPM Requirements

* Mon Mar 04 2024 Evgeni Golov - 3.11.0-0.2.develop
- Update GEM Requiremens

* Tue Feb 20 2024 Patrick Creech <pcreech@redhat.com> - 3.11.0-0.1.develop
- Bump version to 3.11-develop

* Fri Feb 02 2024 Evgeni Golov - 3.10.0-0.10.develop
- Correct (Build)Requiremens for EL9

* Wed Jan 31 2024 Evgeni Golov - 3.10.0-0.9.develop
- Update Gem and NPM dependencies

* Wed Jan 31 2024 Evgeni Golov - 3.10.0-0.8.develop
- Use sass not node-sass

* Mon Jan 29 2024 Evgeni Golov - 3.10.0-0.7.develop
- Update NPM deps

* Mon Jan 29 2024 Evgeni Golov - 3.10.0-0.6.develop
- Use webpack:compile

* Fri Jan 26 2024 Evgeni Golov - 3.10.0-0.5.develop
- Update deps for webpack5

* Sat Jan 13 2024 Eric D. Helms <ericdhelms@gmail.com> - 3.10.0-0.4.develop
- Exclude docker-compose.yml from foreman

* Wed Jan 03 2024 Evgeni Golov - 3.10.0-0.3.develop
- Drop requirement on foreman-debug

* Tue Dec 12 2023 Evgeni Golov - 3.10.0-0.2.develop
- Update GEM dependencies

* Wed Nov 29 2023 Zach Huntington-Meath <zhunting@redhat.com> - 3.10.0-0.1.develop
- Bump version to 3.10-develop

* Fri Nov 24 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-0.6.develop
- Update Gem and NPM dependencies

* Thu Oct 26 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-0.5.develop
- Automatically depend on selinux package if needed

* Fri Oct 13 2023 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-0.4.develop
- Require fapolicyd rules package if fapolicyd is present

* Wed Oct 11 2023 Evgeni Golov - 3.9.0-0.3.develop
- Add PCP subpackage

* Tue Oct 10 2023 Evgeni Golov - 3.9.0-0.2.develop
- Update GEM dependencies

* Wed Aug 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-0.1.develop
- Bump version to 3.9-develop

* Tue May 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.8.0-0.1.develop
- Bump version to 3.8-develop

* Wed May 17 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.7.0-0.5.develop
- Update Gem and NPM dependencies

* Wed May 10 2023 Evgeni Golov - 3.7.0-0.4.develop
- Update GEM dependencies

* Thu May 04 2023 Evgeni Golov - 3.7.0-0.3.develop
- Update gem dependencies

* Mon Apr 03 2023 Evgeni Golov - 3.7.0-0.2.develop
- Update gem dependencies

* Wed Feb 22 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.7.0-0.1.develop
- Bump version to 3.7-develop

* Fri Feb 10 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.6.0-0.6.develop
- Update theforeman-vendor and friends to version 12

* Fri Jan 27 2023 Eric D. Helms <ericdhelms@gmail.com> - 3.6.0-0.5.develop
- Update GEM dependencies

* Wed Nov 23 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.6.0-0.4.develop
- Drop requirement on foreman-build from foreman-plugin

* Mon Nov 21 2022 Quirin Pamp <pamp@atix.de> - 3.6.0-0.3.develop
- Ensure tmp directory exists in foreman_precompile_plugin

* Fri Nov 18 2022 Evgeni Golov - 3.6.0-0.2.develop
- Update GEM dependencies

* Tue Nov 08 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.6.0-0.1.develop
- Bump version to 3.6-develop

* Mon Oct 31 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.17.develop
- Remove gce subpackage

* Fri Oct 28 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.16.develop
- Require sd_notify for Puma systemd support

* Tue Oct 25 2022 Evgeni Golov - 3.5.0-0.15.develop
- Update GEM dependencies

* Mon Oct 17 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.14.develop
- Obsolete foreman_docker (#35538)

* Wed Sep 28 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.13.develop
- Update graphql dependency

* Mon Sep 26 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.12.develop
- Update roadie-rails dependency

* Fri Sep 23 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.5.0-0.11.develop
- Update Sidekiq dependencies

* Thu Sep 22 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.5.0-0.10.develop
- Bump dependencies

* Fri Sep 02 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.5.0-0.9.develop
- Depend on /usr/bin/websockify

* Wed Aug 31 2022 Evgeni Golov - 3.5.0-0.8.develop
- Fixes #35461 - Require /usr/sbin/sendmail to be available

* Tue Aug 30 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.7.develop
- Depend on websockify if needed

* Mon Aug 29 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.6.develop
- Update Gem and NPM dependencies

* Sat Aug 27 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.5.develop
- Update rails-i18n dependency

* Thu Aug 25 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.4.develop
- Update Gem and NPM dependencies

* Tue Aug 23 2022 Evgeni Golov - 3.5.0-0.3.develop
- Refs #35409 - Include sprockets-based assets in plugin macros

* Tue Aug 23 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.5.0-0.2.develop
- Drop /var/lib/foreman/tmp

* Wed Aug 10 2022 Patrick Creech <pcreech@redhat.com> - 3.5.0-0.1.develop
- Bump version to 3.5-develop

* Wed Aug 03 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.4.0-0.6.develop
- Update Gem and NPM dependencies

* Fri Jul 15 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.4.0-0.5.develop
- Remove SCL compatibility macros
- Update Rails dependency

* Wed Jul 13 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.4.0-0.4.develop
- Update Gem and NPM dependencies

* Tue May 24 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.4.0-0.3.develop
- Update to Rails 6.1

* Mon May 23 2022 Evgeni Golov - 3.4.0-0.2.develop
- Update Foreman GEM requirements

* Tue May 10 2022 Odilon Sousa <osousa@redhat.com> - 3.4.0-0.1.develop
- Bump version to 3.4-develop

* Mon May 02 2022 Evgeni Golov - 3.3.0-0.5.develop
- Refs #34602 - log plugin installations

* Fri Apr 22 2022 Eric D. Helms <ericdhelms@gmail.com> - 3.3.0-0.4.develop
- Stop generating apipie cache for Foreman

* Wed Mar 23 2022 Evgeni Golov - 3.3.0-0.3.develop
- Update foreman GEM dependencies

* Wed Feb 23 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.3.0-0.2.develop
- Drop accidental nodejs dependency by moving files
- Exclude redundant systemd files

* Thu Feb 10 2022 Zach Huntington-Meath <zhunting@redhat.com> - 3.3.0-0.1.develop
- Bump version to 3.3-develop

* Tue Jan 25 2022 Evgeni Golov - 3.2.0-0.3.develop
- Update Gem and NPM dependencies

* Thu Dec 16 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.2.0-0.2.develop
- Build plugin apipie:cache with production Rails environment

* Fri Nov 12 2021 Odilon Sousa <osousa@redhat.com> - 3.2.0-0.1.develop
- Bump version to 3.2-develop

* Thu Aug 05 2021 Patrick Creech <pcreech@redhat.com> - 3.1.0-0.1.develop
- Bump version to 3.1-develop

* Thu Jul 22 2021 Tomer Brisker <tbrisker@gmail.com> - 3.0.0-0.1.develop
- Bump version to 3.0-develop

* Wed Jun 02 2021 Amir Feferkuchen <afeferku@redhat.com> - 2.6.0-0.2.develop
- Update NPM dependencies

* Tue May 04 2021 Zach Huntington-Meath <zhunting@redhat.com> - 2.6.0-0.1.develop
- Bump version to 2.6-develop

* Fri Apr 30 2021 Evgeni Golov - 2.5.0-0.8.develop
- Update depdendencies

* Wed Apr 28 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.5.0-0.7.develop
- Use rubygem-activerecord-session_store 2+

* Wed Apr 21 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.5.0-0.6.develop
- Add foreman-puma-status support

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.5.0-0.5.develop
- Rebuild for Ruby 2.7

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.5.0-0.4.develop
- Add timestamps to cron jobs

* Wed Mar 10 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.5.0-0.3.develop
- Update Gem and NPM dependencies

* Mon Feb 08 2021 Ondrej Prazak <oprazak@redhat.com> - 2.5.0-0.2.develop
- Bump @theforeman/vendor

* Tue Feb 02 2021 Evgeni Golov - 2.5.0-0.1.develop
- Bump version to 2.5-develop

* Thu Jan 07 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.4.0-0.4.develop
- Update puma dependency (#31431)

* Mon Dec 28 2020 Tomer Brisker <tbrisker@gmail.com> - 2.4.0-0.3.develop
- Update Gem dependencies

* Wed Nov 18 2020 Tomer Brisker <tbrisker@gmail.com> - 2.4.0-0.2.develop
- Update NPM dependencies

* Mon Nov 02 2020 Patrick Creech <pcreech@redhat.com> - 2.4.0-0.1.develop
- Bump version to 2.4-develop

* Sun Oct 25 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-0.7.develop
- Update Gem and NPM dependencies

* Tue Sep 29 2020 Ondrej Ezr <ezrik12@gmail.com> - 2.3.0-0.6.develop
- Clean up cron file

* Thu Sep 24 2020 Evgeni Golov - 2.3.0-0.5.develop
- Update GEM dependencies

* Fri Sep 04 2020 Lukas Zapletal <lzap+rpm@redhat.com> - 2.3.0-0.4.develop
- Enforce tmpfiles

* Mon Aug 31 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-0.3.develop
- Update Gem and NPM dependencies

* Sat Aug 29 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.3.0-0.2.develop
- Add puma-plugin-systemd to service subpackage requires

* Tue Aug 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.3.0-0.1.develop
- Bump version to 2.3-develop

* Wed Aug 05 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.30.develop
- Only generate en_US apipie docs for Foreman and Plugins

* Wed Jul 29 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.29.develop
- Ensure foreman.socket is removed on package removal

* Mon Jul 20 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.2.0-0.28.develop
- Update Gem and NPM dependencies

* Mon Jun 22 2020 Avi Sharvit <sharvita@gmail.com> - 2.2.0-0.27.develop
- Update foreman-js dependencies

* Fri Jun 19 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.26.develop
- Include manifest.js in Foreman RPM

* Fri Jun 19 2020 Michael Moll <mmoll@mmoll.at> - 2.2.0-0.25.develop
- Update sprockets dependency

* Mon Jun 15 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.24.develop
- Update Rails to 6.0.3.1

* Wed Jun 10 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.23.develop
- Ensure socket gets handled with service

* Thu May 21 2020 Lukas Zapletal <lzap+rpm@redhat.com> - 2.2.0-0.22.develop
- Added SELinux wrapper for sidekiq

* Thu May 21 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.2.0-0.21.develop
- Update Gem and NPM dependencies

* Wed May 13 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.2.0-0.20.develop
- Bump version to 2.2-develop

* Wed May 06 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.1.0-0.20.develop
- Require glibc-langpack-en in foreman-postgresql

* Sun May 3 2020 Tomer Brisker <tbrisker@gmail.com> - 2.1.0-0.19.develop
- Drop rackspace

* Fri May 1 2020 Justin Sherrill <jsherril@redhat.com> 2.1.0-0.18.develop
- stop dynflowd before service file is removed

* Fri May 1 2020 Tomer Brisker <tbrisker@gmail.com> - 2.1.0-0.17.develop
- Drop sqlite

* Thu Apr 30 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.1.0-0.16.develop
- Update Gem and NPM dependencies

* Fri Apr 24 2020 Evgeni Golov - 2.1.0-0.15.develop
- Regenerate GEM dependencies using new code

* Thu Apr 23 2020 Evgeni Golov - 2.1.0-0.14.develop
- Update Gem dependencies

* Thu Apr 23 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.1.0-0.13.develop
- Fix schema.rb.nulldb location

* Wed Apr 22 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.1.0-0.12.develop
- Use nulldb for rake tasks

* Wed Apr 22 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.1.0-0.11.develop
- Only use scl for dynflow if available

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.1.0-0.10.develop
- Bump to release for EL8

* Wed Apr 08 2020 Evgeni Golov - 2.1.0-0.9.develop
- Fix ignoring fonts and images for plugins once more

* Tue Apr 07 2020 ehelms - 2.1.0-0.8.develop
- Fix ignoring fonts and images for plugins

* Tue Apr 07 2020 Evgeni Golov - 2.1.0-0.7.develop
- Add images/ and fonts/ to exclude of plugin webpack builds

* Thu Mar 26 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.1.0-0.6.develop
- Stop dynflow service before removal

* Fri Mar 20 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.1.0-0.5.develop
- Use systemd socket activation (#29144)

* Tue Mar 10 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.1.0-0.4.develop
- Update Gem and NPM dependencies

* Thu Mar 05 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.1.0-0.3.develop
- Update Gem and NPM dependencies

* Thu Feb 20 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.1.0-0.2.develop
- Drop setting organization and location to enabled

* Thu Feb 13 2020 Tomer Brisker <tbrisker@gmail.com> - 2.1.0-0.1.develop
- Bump version to 2.1-develop

* Tue Feb 04 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.0.0-0.9.develop
- Update the rest of the tfm-runtime requirements

* Tue Feb 04 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.0.0-0.8.develop
- Update tfm-runtime requirement

* Wed Jan 22 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.0.0-0.7.develop
- Include .babelrc.js in foreman-assets

* Tue Jan 21 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.0.0-0.6.develop
- Update spec to remove the ror scl

* Tue Jan 21 2020 Ondrej Ezr <ezrik12@gmail.com> - 2.0.0-0.5.develop
- drop dynflowd service and leave only dynflow-sidekiq

* Thu Jan 16 2020 Eric D. Helms <ericdhelms@gmail.com> - 2.0.0-0.4.develop
- Remove database action macros and restart

* Wed Jan 15 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.0.0-0.3.develop
- Update Gem and NPM dependencies

* Wed Jan 08 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.0.0-0.2.develop
- Update Gem dependencies

* Mon Jan 06 2020 Tomer Brisker <tbrisker@gmail.com> - 2.0.0-0.1.develop
- Bump version to 2.0-develop

* Sun Dec 08 2019 Michael Moll <mmoll@mmoll.at> - 1.25.0-0.6.develop
- Update NPM dependencies

* Mon Dec 02 2019 Evgeni Golov - 1.25.0-0.5.develop
- Update Gem and NPM dependencies

* Thu Nov 21 2019 Tomer Brisker <tbrisker@gmail.com> - 1.25.0-0.4.develop
- drop mysql package

* Mon Nov 18 2019 Evgeni Golov - 1.25.0-0.3.develop
- Unify prerelease macro handling

* Wed Oct 30 2019 Michael Moll <mmoll@mmoll.at> - 1.25.0-0.2.develop
- Update fog-libvirt gem dependency

* Wed Oct 30 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.25.0-0.1.develop
- Bump version to 1.25-develop

* Tue Oct 22 2019 Ondrej Ezr <ezrik12@gmail.com> - 1.24.0-0.11.develop
- Add dynflow-sidekiq package providing services for running dynflow on sidekiq

* Fri Oct 11 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.24.0-0.10.develop
- Updates to support NodeJS packages built into SCL

* Thu Oct 10 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.24.0-0.9.develop
- Update MALLOC_ARENA_MAX in dynflowd sysconfig

* Thu Oct 10 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.24.0-0.8.develop
- Update JWT dependencies (#25809)

* Mon Oct 07 2019 Tomer Brisker <tbrisker@gmail.com> 1.24.0-0.7.develop
- remove foreman-config

* Sun Oct 06 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.24.0-0.6.develop
- Update Gem and NPM dependencies

* Thu Oct 03 2019 Michael Moll <mmoll@mmoll.at> - 1.24.0-0.5.develop
- Update responders gem dependency

* Tue Oct 01 2019 Michael Moll <mmoll@mmoll.at> - 1.24.0-0.4.develop
- Update deep_cloneable gem dependency

* Wed Aug 28 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.24.0-0.3.develop
- Update Gem and NPM dependencies

* Thu Aug 22 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.24.0-0.2.develop
- Update Gem and NPM dependencies

* Tue Jul 30 2019 Evgeni Golov - 1.24.0-0.1.develop
- Bump version to 1.24-develop

* Wed Jul 17 2019 Evgeni Golov - 1.23.0-0.15.develop
- Remove foreman-vendor artifacts from plugin builds

* Tue Jul 16 2019 Evgeni Golov - 1.23.0-0.14.develop
- use @theforeman/vendor

* Thu Jul 11 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.13.develop
- Update Gem and NPM dependencies

* Wed Jul 03 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.12.develop
- Define foreman_restart macro

* Mon Jun 10 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.11.develop
- Update Gem and NPM dependencies
- Add a redis subpackage

* Thu May 23 2019 Shira Maximov <shiramaximov@gmail.com> 1.23.0-0.10.develop
- Update for-ovirt deps

* Fri May 17 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.9.develop
- Update Gem and NPM dependencies

* Thu May 16 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.8.develop
- Update Gem and NPM dependencies

* Tue May 14 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.7.develop
- Remove webpack provides/requires

* Mon May 13 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.6.develop
- Update Gem and NPM dependencies

* Wed May 08 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.5.develop
- Update Gem and NPM dependencies

* Tue May 7 2019 Timo Goebel <mail@timogoebel.name> - 1.23.0-0.4.develop
- Obsolete foreman_userdata

* Fri May 03 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.3.develop
- Update Gem and NPM dependencies

* Tue Apr 30 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.23.0-0.2.develop
- Update Gem and NPM dependencies

* Tue Apr 23 2019 Evgeni Golov <evgeni@golov.de> - 1.23.0-0.1.develop
- Bump version to 1.23-develop

* Mon Apr 15 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.22.0-0.11.develop
- Replace foreman-ruby with tfm-ruby

* Mon Apr 1 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.22.0-0.10.develop
- Add foreman-puma service

* Fri Mar 29 2019 Tomer Brisker <tbrisker@redhat.com> - 1.22.0-0.9.develop
- Obsolete foreman-compute

* Thu Mar 28 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.8.develop
- Drop foreman-compute requirement

* Wed Mar 27 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.7.develop
- Update Gem and NPM dependencies

* Thu Feb 28 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.6.develop
- Update Gem and NPM dependencies

* Tue Feb 19 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.5.develop
- #26084 Restart the passenger service

* Mon Feb 18 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.4.develop
- Update roadie-rails dependency

* Mon Feb 18 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.3.develop
- Update Gem and NPM dependencies

* Wed Jan 23 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.2.develop
- Update Gem and NPM dependencies

* Wed Jan 16 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.22.0-0.1.develop
- Bump to 1.22

* Wed Jan 09 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.21.0-0.7.develop
- Update Gem and NPM dependencies

* Wed Dec 05 2018 Evgeni Golov - 1.21.0-0.6.develop
- Make the Requires script more robust if the manifest.json cannot be found

* Thu Nov 29 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.21.0-0.5.develop
- Update Gem and NPM dependencies

* Mon Nov 19 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.21.0-0.4.develop
- Update Gem and NPM dependencies

* Wed Oct 31 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.21.0-0.3.develop
- Remove *.js.map file after asset precompile

* Wed Oct 24 2018 Adam Price <komidore64@gmail.com> - 1.21.0-0.2.develop
- add nightly macro

* Wed Oct 17 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.21.0-0.1.develop
- Bump version to 1.21 and reset release

* Wed Oct 17 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.14.develop
- Remove incorrect systemd service alias

* Tue Oct 16 2018 Evgeni Golov - 1.20.0-0.13.develop
- ignore JS maps in webpack requires/provides

* Tue Oct 16 2018 Lukas Zapletal <lzap+rpm@redhat.com> - 1.20.0-0.12.develop
- Updated logging-journald dependency to 2.0 series

* Fri Oct 12 2018 Evgeni Golov - 1.20.0-0.11.develop
- Add automatic Provides and Requires for Foreman's webpack bundles.
  This should ensure that plugins can depend on a specific bundle version and
  get rebuilt when Foreman's bundle changes.

* Mon Oct 08 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.10.develop
- Update Gem and NPM dependencies

* Fri Sep 14 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.9.develop
- Treat logging.yaml as non-config

* Thu Sep 13 2018 Timo Goebel <mail@timogoebel.name> - 1.20.0-0.8.develop
- remove rails 4 message encryptor extensions patch

* Tue Sep 11 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.7.develop
- Update Gem and NPM dependencies

* Tue Sep 11 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.20.0-0.6.develop
- Drop schema loading for plugin builds

* Fri Sep 07 2018 Eric D. Helms <ericdhelms@gmail.com> 1.20.0-0.5.develop
- Updates for Rails 5.2 and Ruby 2.5

* Mon Aug 20 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.20.0-0.4.develop
- Remove foreman-release as a subpackage

* Mon Aug 13 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.3.develop
- Handle GPG checking after branching

* Wed Aug 01 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.2.develop
- Move the foreman-rails repository definition from foreman-release-scl to foreman-release

* Wed Jul 25 2018 Eric D. Helms <ericdhelms@gmail.com> - 1.20.0-0.1.develop
- Add prerelease macro

* Tue Jul 17 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.20.0-0.develop
- Bump version to 1.20-develop

* Thu May 31 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1.19.0-0.develop
- Bump version to 1.19-develop

* Thu Jan 11 2018 Eric D Helms <ericdhelms@gmail.com> - 1.18.0-0.develop
- Bump version to 1.18-develop

* Mon Aug 28 2017 Daniel Lobato Garcia <me@daniellobato.me> - 1.17.0-0.develop
- Bump version to 1.17-develop

* Wed Mar 29 2017 Eric D Helms <ericdhelms@gmail.com> - 1.16.0-0.develop
- Bump version to 1.16-develop

* Tue Dec 06 2016 Dominic Cleal <dominic@cleal.org> - 1.15.0-0.develop
- Bump version to 1.15-develop

* Wed Sep 07 2016 Dominic Cleal <dominic@cleal.org> - 1.14.0-0.develop
- Bump version to 1.14-develop

* Tue May 31 2016 Dominic Cleal <dominic@cleal.org> - 1.13.0-0.develop
- Bump version to 1.13-develop

* Fri Feb 19 2016 Dominic Cleal <dominic@cleal.org> - 1.12.0-0.develop
- Bump version to 1.12-develop

* Wed Oct 07 2015 Dominic Cleal <dcleal@redhat.com> - 1.11.0-0.develop
- Bump version to 1.11-develop

* Fri Jun 26 2015 Dominic Cleal <dcleal@redhat.com> - 1.10.0-0.develop
- Bump version to 1.10-develop

* Tue Mar 03 2015 Dominic Cleal <dcleal@redhat.com> - 1.9.0-0.develop
- Bump version to 1.9-develop

* Tue Oct 28 2014 Dominic Cleal <dcleal@redhat.com> - 1.8.0-0.develop
- Bump version to 1.8-develop

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump version to 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump version to 1.5-develop
- Remove rails3_before_render dependency
- generate encryption key and encrypt data in postinstall (#2929)

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme, don't overwrite VERSION (#3712)
- Pin fog to 1.18.x
- Add new rails3_before_render dependency
- Removed foreman-mysql package (obsoleted by mysql2)
- Seed database after DB migration
- Change twitter-bootstrap-rails to bootstrap-sass
- Pin fog to 1.19.x
- Add BR and explicit dependency on Ruby binary, for ruby193-ruby-wrapper

* Tue Nov 12 2013 Sam Kottler <shk@redhat.com> - 1.3.9999-7
- Add rubygem-unf as a requires for the compute subpackage

* Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> - 1.3.9999-6
* Add foreman-gce subpackage for Google Compute Engine

* Wed Nov 6 2013 David Davis <daviddavis@redhat.com> - 1.3.9999-5
- Removing rr gem, fixes #3597

* Fri Oct 25 2013 Martin Bacovsky <mbacovsk@redhat.com> - 1.3.9999-4
- foreman-cli metapackage installs hammer

* Mon Sep 30 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-3
- Adding Foreman plugins repo

* Fri Sep 27 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-2
- Update rubygem-ancestry to 2.x

* Wed Sep 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- Bump to version 1.3-develop

* Wed Sep 11 2013 Dominic Cleal <dcleal@redhat.com> - 1.2.9999-11
- Add new foreigner and immigrant dependencies

* Mon Sep 09 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-10
- Added dependency on fast_gettext 0.8 (multi-domain support)

* Mon Sep 02 2013 Greg Sutcliffe <gsutclif@redhat.com> 1.2.9999-9
- Remove Puppet from core requirements

* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.2.9999-8
- Update fog dependency to 1.15.0 to fix rackspace VM listing issue

* Wed Jul 24 2013 Jason Montleon <jmontleo@redhat.com> 1.2.9999-7
- Update rbovirt dependency version to 0.0.21 to support sending the host ssl certificate subject as an option to the xpi plugin

* Fri Jul 19 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-6
- add foreman-rake to /usr/sbin

* Mon Jun 17 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-5
- fix asset dependency versions
- add minitest dependency for console (Lukas Zapletal)

* Thu Jun 06 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-4
- fix libvirt package dependency on ruby-libvirt

* Wed Jun 05 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-3
- foreman-debug tool now installed into /usr/sbin

* Tue May 28 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-2
- Don't force SCL
- Distribute GPG key
- Replace dist in foreman.repo
- Rename foreman-ec2 to foreman-compute
- Update dbmigrate for SCL (Lukas Zapletal)

* Mon May 20 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-1
- Updated to 1.2.9999 (1.3-pre)

* Tue Apr 30 2013 Sam Kottler <shk@redhat.com> 1.1.9999-1
- Updated to 1.1.9999 (1.2-pre)

* Fri Feb 15 2013 shk@redhat.com 1.1-3
- Bumped safemode dependency

* Thu Feb 14 2013 shk@redhat.com 1.1-2
- Fixed baseurl in the -release subpackage.
- Updated to 1.1-1

* Mon Feb 4 2013 shk@redhat.com 1.1-1
- 1.1 final.

* Mon Jan 28 2013 shk@redhat.com 1.1RC5-2
- Bumped fog version dependency

* Fri Jan 25 2013 shk@redhat.com 1.1RC5-1
- Updated Rails requirements and bumped to RC5.

* Thu Dec 27 2012 shk@redhat.com 1.1RC3-1
- Updated to 1.1RC3 and updated dependencies.

* Wed Dec 19 2012 jmontleo@redhat.com 1.0.2-1
- Fix Foreman SQL injection through search mechanism CVE-2012-5648

* Thu Aug 09 2012 jmontleo@redhat.com 1.0.1-1
- Version 1.0.1

* Sun Aug 05 2012 jmontleo@redhat.com 1.0.0-2
- Update to pull in fixes

* Mon Jul 23 2012 jmontleo@redhat.com 1.0.0-1
- Update packages for Foreman 1.0 Release and add support for using thin.

* Wed Jul 18 2012 jmontleo@redhat.com 1.0.0-0.7
- Updated pacakages for Foreman 1.0 RC5 and Proxy RC2

* Thu Jul 05 2012 jmontleo@redhat.com 1.0.0-0.6
- Fix foreman-release to account for different archs. Pull todays source.

* Wed Jul 04 2012 jmontleo@redhat.com 1.0.0-0.5
- Bump version number and rebuild for RC3

* Sun Jul 01 2012 jmontleo@redhat.com 1.0.0-0.4
- Pull todays develop branch to fix dbmigrate issue, add mistakenly deleted version string back, and replace foreman-fog with foreman-ec2 as it indicates more clearly what functionality the package provides.

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.3
- More fixes for dbmigrate, foreman-cli and foreman-release added

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.2
- Rebuild with develop branch from today for 1.0.0 RC2. Try to fix inconsistent db:migrate runs on upgrades.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-20
- Implement conf.d style Gemfile configuration for bundle to replace the ugly method used in previous rpm versions. Replace foreman-virt package with foreman-libvirt package as it was confusing to have fog virt ovirt and vmware.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-9
- Rebuild with todays develop branch. Add VERSION file 1688, add wget dependency 1514, update rbovirt dep to 0.0.12, and break out ovirt support to foreman-ovirt package.

* Thu Jun 14 2012 jmontleo@redhat.com 0.5.1-8
- Rebuild with todays develop branch.

* Wed Jun 13 2012 jmontleo@redhat.com 0.5.1-7
- Rebuild with todays develop branch. Add require for at least rubygem-rake 0.9.2.2. Run rake:db migrate on upgrade.

* Wed May 30 2012 jmontleo@redhat.com 0.5.1-5
- Rebuild with todays merge of compute resource RBAC patch

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-4
- Fix rpm dependencies for foreman-virt and foreman-vmware to include foreman-fog

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-3
- tidy up postinstall prepbundle.sh, rebuild with EC2 support, and split out foreman-fog and foreman-vmware support

* Tue May 08 2012 jmontleo@redhat.com 0.5.1-1
- adding prepbundle.sh to run post install of any foreman packages, other small fixes

* Fri May 04 2012 jmontleo@redhat.com 0.5.1-0.2
- updated foreman to develop branch from May 04 which included many fixes including no longer requiring foreman-virt

* Wed Jan 11 2012 ohadlevy@gmail.com - 0.4.2
- rebuilt

* Tue Dec 6 2011 ohadlevy@gmail.com - 0.4.1
- rebuilt

* Tue Nov 08 2011 ohadlevy@gmail.com - 0.4
- rebuilt

* Mon Nov 07 2011 ohadlevy@gmail.com - 0.4rc5
- rebuilt

* Tue Oct 25 2011 ohadlevy@gmail.com - 0.4rc4
- rebuilt

* Tue Oct 18 2011 ohadlevy@gmail.com - 0.4rc3
- rebuilt

* Wed Sep 28 2011 ohadlevy@gmail.com - 0.4rc2
- rebuilt

* Sat Sep 10 2011 ohadlevy@gmail.com - 0.4rc1
- rebuilt

* Tue Jun 07 2011 ohadlevy@gmail.com - 0.3
- rebuilt

* Tue May 24 2011 ohadlevy@gmail.com - 0.3rc1-2
- rebuilt

* Thu May 05 2011 ohadlevy@gmail.com - 0.3rc1
- rebuilt

* Tue Mar 29 2011 ohadlevy@gmail.com - 0.2
- Version bump to 0.2

* Tue Mar 22 2011 ohadlevy@gmail.com - 0.2-rc1
- rebuilt

* Thu Feb 24 2011 ohadlevy@gmail.com - 0.1.7-rc5
- rebuilt

* Sat Feb 12 2011 ohadlevy@gmail.com - 0.1.7-rc4.1
- rebuilt

* Mon Jan 31 2011 ohadlevy@gmail.com - 0.1.7-rc3.1
- rebuilt

* Tue Jan 18 2011 ohadlevy@gmail.com - 0.1.7-rc2.1
- rebuilt

* Sat Jan 15 2011 ohadlevy@gmail.com - 0.1.7-rc2
- rebuilt

* Fri Dec 17 2010 ohadlevy@gmail.com - 0.1.7rc1
- rebuilt

* Mon Nov 29 2010 ohadlevy@gmail.com - 0.1.6-3
- rebuilt

* Fri Nov 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6-1
- Included fix for #461, as without it newly installed instances are not usable

* Thu Nov 11 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6
- New upstream version

* Sat Oct 30 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc2
- New release candidate
- Updated configuration file permssion not to break passenger

* Sun Sep 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc1
- Removed the depenecy upon rack 1.0.1 as its now bundled within Foreman

* Mon May 31 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.5-1
- New upstream version
- Added migration support between old directory layout to FHS compliancy, upgrades from 0.1-4.x should now work
- Added support for logrotate
- Cleanup old activescaffold plugin leftovers files

* Fri Apr 30 2010 Todd Zullinger <tmz@pobox.com> - 0.1.4-4
- Rework %%install for better FHS compliance
- Misc. adjustments to match Fedora/EPEL packaging guidelines
- Update License field to GPLv3+ to match README
- Use foreman as the primary group for the foreman user instead of puppet
- This breaks compatibility with previous RPM, as directories can't be replaced with links easily.

* Mon Apr 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1-4-3
- added status to startup script
- removed puppet module from the RPM

* Mon Apr 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-2
- Added startup script for built in webrick server
- Changed foreman user default shell to /sbin/nologin and is now part of the puppet group
- defaults to sqlite database

* Tue Apr 6 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-1
- Initial release.
